The Outlook Answer Book: Useful Tips, Tricks, and Hacks for Microsoft Outlook 2003

Next Page

Book Cover
The Outlook Answer Book: Useful Tips, Tricks, and Hacks for Microsoft Outlook 2003
By Tom Archer, Brian Delahunty
...............................................
Publisher: Addison Wesley Professional
Pub Date: August 30, 2005
ISBN: 0-321-30397-0
Pages: 648

Table of Contents | Index
Overview

Discover many useful customizations you can do with Outlook to improve efficiency both at home and on the job.

Get more out of Outlook! The Outlook Answer Book brings together hundreds of bite-size tips and tricks for saving time, using Outlook more efficiently, uncovering its hidden power, and overcoming its quirks and pitfalls. With this book's fast-paced Q&A format, you can find new ideas and better solutions fast.

From Favorite Folders to the Journal, you'll learn how to take advantage of Outlook features you've never usedor even noticed! You'll master simple techniques for automating routine tasks...customizations that make Outlook far more powerful...easy backup and troubleshooting solutions...even new ways to protect your privacy and security. Bite-size, useful items include

FAQ 1.5 How Can I Get Outlook to Start Automatically?

FAQ 1.8 Can I Add Shortcuts to the Quick Launch Bar for Specific Outlook Tasks?

FAQ 4.54 How Can I Open Blocked E-mail Attachments?

FAQ 6.33 How Do I Share My Notes with Others?

FAQ 7.1 What Is the Difference Between Journaling and Other Outlook Features Such As Notes and Tasks?

FAQ 9.15 What Is the Research Service?

FAQ 10.10 How Do I Customize a Default Outlook Form?

FAQ 14.1 What Is Outlook Web Access (OWA)?

FAQ 14.39 How Can I Get a Map Showing the Location of

a Contact's Address?

FAQ 16.26 How Do I Recover Items from a Backup?

© Copyright Pearson Education. All rights reserved.

Next Page


Table of Contents

Previous Page
Next Page

Book Cover
The Outlook Answer Book: Useful Tips, Tricks, and Hacks for Microsoft Outlook 2003
By Tom Archer, Brian Delahunty
...............................................
Publisher: Addison Wesley Professional
Pub Date: August 30, 2005
ISBN: 0-321-30397-0
Pages: 648

Table of Contents | Index

Copyright
Acknowledgments
About the Authors
Preface
 | Why Another Book on Outlook?
 | Conventions Used in This Book
 | Author Feedback
Chapter 1. SETUP AND CONFIGURATION
 | Starting Outlook
 | Profiles and Data Files
 | User Interface
 | Command-Line Switches
 | Accessibility
 | Troubleshooting
Chapter 2. CATEGORIES
 | About Categories
 | Master Category List
 | Categories and Items
Chapter 3. ADDRESS BOOK, CONTACTS, AND DISTRIBUTION LISTS
 | Address Book
 | Contacts
 | Distribution Lists
 | E-mail Address AutoComplete
Chapter 4. E-MAIL AND ATTACHMENTS
 | E-mail Accounts
 | Receiving and Viewing E-mails
 | Organizing Your E-mails
 | Composing and Sending E-mails
 | Working with Attachments
Chapter 5. CALENDER, APPOINMENTS, AND MEETINGS
 | View Options
 | Appointments and Meetings
 | Sharing Calendar Info
 | Event Options and Formatting
 | Custom Calendars
 | Printing
Chapter 6. NOTES
 | Note Basics
 | Viewing Notes
 | Customizing Notes
 | Organizing Notes
 | Sharing Notes
 | Miscellaneous
Chapter 7. JOURNALS
 | Purpose
 | Configuration
 | Working with Entries
 | Viewing and Printing
Chapter 8. TASKS
 | Task Basics
 | Task Assignment
 | Working with Tasks
 | Viewing Tasks
 | Organizing Tasks
 | Sharing Tasks
 | Miscellaneous
Chapter 9. FIND, SEARCH FOLDER, AND THE RESEARCH SERVICE
 | Find
 | Search Folders
 | Research Service
Chapter 10. CUSTOM FORMS
 | Form Basics
 | Creating and Modifying Forms
 | Using Forms
 | Saving and Publishing Forms
Chapter 11. VISUAL BASIC MACROS
 | Definitions
 | Creating Macros
 | Editing and Debugging
 | Security
Chapter 12. OUTLOOK EXPRESS AND NEWSGROUPS
 | Definitions
 | Configuration
 | Identities
 | Accounts
 | Subscriptions
 | Reading Messages
 | Writing Messages
 | File Maintenance
 | Security
Chapter 13. MICROSOFT EXCHANGE SERVER
 | Definitions
 | Configuration
 | Working Offline
Chapter 14. OUTLOOK WEB ACCESS
 | Basics
 | Clients and User Interface
 | E-mail
 | Calendar
 | Contacts and Distribution Lists
 | Miscellaneous
Chapter 15. PRIVACY, DATA SECURITY, AND VIRUS PROTECTION
 | Privacy and Data Security
 | Attachments
 | Encrypting E-mails and S/MIME Receipts
 | Digital Signatures and Digital IDs
 | Viruses and Macros
 | Security Labels
Chapter 16. DATA ARCHIVAL, BACKUP, AND RESTORE
 | Basics
 | Archiving
 | Item Backup and Recovery
Index

Previous Page


Copyright

Many of the designations used by manufacturers and sellers to distinguish their products are claimed as trademarks. Where those designations appear in this book, and the publisher was aware of a trademark claim, the designations have been printed with initial capital letters or in all capitals.

The authors and publisher have taken care in the preparation of this book, but make no expressed or implied warranty of any kind and assume no responsibility for errors or omissions. No liability is assumed for incidental or consequential damages in connection with or arising out of the use of the information or programs contained herein.

The publisher offers excellent discounts on this book when ordered in quantity for bulk purchases or special sales, which may include electronic versions and/or custom covers and content particular to your business, training goals, marketing focus, and branding interests. For more information, please contact:

U. S. Corporate and Government Sales
(800) 382-3419
corpsales@pearsontechgroup.com

For sales outside the U. S., please contact:

International Sales
international@pearsoned.com

Visit us on the Web: www.awprofessional.com

Library of Congress Number: 2005014718

Copyright © 2006 Pearson Education, Inc.

All rights reserved. Printed in the United States of America. This publication is protected by copyright, and permission must be obtained from the publisher prior to any prohibited reproduction, storage in a retrieval system, or transmission in any form or by any means, electronic, mechanical, photocopying, recording, or likewise. For information regarding permissions, write to:

Pearson Education, Inc.
Rights and Contracts Department
One Lake Street
Upper Saddle River, NJ 07458

Text printed in the United States on recycled paper at R.R. Donnelley in Crawfordsville, Indiana.

First printing September 2005

Dedication

To my loving, dear wife, Krista. I wouldn't be near the man I am without you. Thank you so much for coming into my life and just being you. I love you, Special K.

Tom

To Mam and Dad. Thanks for putting up with me all those years.

Brian


Acknowledgments

Many people help take a book from the germ of an idea to completion, and it's important to recognize their individual contributions to the team. The book is much better as a result of the following contributors.

  • Karen Gettman It was Karen who presented the idea of us writing a book on Outlook. Because there are already many books on the subject, Brian and I proposed the concept of the FAQ format to provide an easier means of locating the information most sought by readers. Thank you, Karen, for allowing us the freedom to try something different and having confidence in our ideas!

  • Joan Murray Being a project editor of a book is a pretty thankless job. You're stuck in the middle trying to balance giving the authors enough freedom and time to create something the public will buy while at the same time keeping upper management and sales happy about delivery dates. Then when it's all done, it's the publishing company and the authors that get all the credit. Therefore, we just wanted to let you know, Joan, that despite the difficulties that all editors and authors go through while producing a book, your work and input was extremely appreciated.

  • Editors Another job that frequently goes unnoticed is that of editing. Therefore, we would like to thank the tech editors, whose job it is to test our questions and solutions. Thanks to Jace Byers, Jim McAnally, Beth Melton, Tom Rizzo, and Echo Swinford, whose corrections and suggestions improved this book considerably. In addition, Kristy Hart, Krista Hansing, and Rebecca Storbeck were tasked with turning our gibberish into the much more readable form that you're holding now, and for that, we're all thankful!

  • Doyle Vann Doyle is one of the industry's most renowned Microsoft Exchange experts and wrote the Exchange chapter for this book. One of the most requested trainers in the country, Doyle can be reached through the special Web site we've set up for this bookwww.OutlookHacks.com.


About the Authors

Tom Archer is a Program Manager for the Microsoft Developer Network (MSDN), a winner of the prestigious Microsoft MVP award, and bestselling author of a dozen books and more than one hundred articles. In addition to his writing, he owns the Archer Consulting Group, which specializes in Microsoft Exchange and Outlook training, customization, and programming. With trainers and installers positioned around the globe, the Archer Consulting Group boasts a client list that includes companies such as IBM, AT&T, Equifax, and VeriSign. If you or your company are looking to get the most out of Exchange or Outlook, visit the book's support Web sitewww.OutlookHacks.comfor more information.

Brian Delahunty is a Software Engineer and Research Assistant for a prominent European telecommunications research group based in Ireland and his most recent work is in the area of next-generation mobile content delivery systems and advanced information syndication technologies. He has authored a number of online articles as well as once being an editor for The CodeProject, one of the largest developer communities on the Internet with more than two million members. He is also an active member of the Irish developer community and founded the South East Regional arm of the Ireland .NET Developers Alliance. In his spare time, he enjoys tinkering with numerous technology projects and spending time with his friends and family.


Preface

    Why Another Book on Outlook?

    Conventions Used in This Book

    Author Feedback


Why Another Book on Outlook?

Many dozens of books have been written about using the Microsoft Outlook product. Although many of these books are very good, none of them provided the key element that we, as authors, wanted to focus on with this book: providing a means by which a reader could open the book and very quickly locate an answer to a question. This is because most Outlook books are tutorial in nature, with each chapter designed to be read from beginning to end. But what if you simply have a question about a given feature and don't have the time or inclination to read through an entire chapter or paragraph searching for the answer? This is how we came up with the idea of producing an Outlook book in FAQ (Frequently Asked Questions) format.

The FAQ format, made popular in online material, enables the reader to more quickly skim the table of contents or a chapter to locate the needed question/answer without having to read through a lot of unrelated material. In fact, in a usability study in which Outlook users were given several books from which to find answers to common Outlook questions, the users found the answer three times faster using the FAQ format!

Therefore, feel free to skim the table of contents; we're sure you'll find that it's much easier and faster than ever to find just the information you're looking for.


Conventions Used in This Book

To make the bookand specifically the steps to solving each issuemore readable, the book employs the following conventions.

  • Text that you enter Anytime you see text that is underlined, this represents text that you are to enter verbatim. We chose this method instead of using quotation marks around the text because that's always misleading in terms of whether the reader is to actually type in the quotation marks. By underlining the text, you can see exactly what you need to type.

  • Bold keywords in step-by-step instructions Studies have shown that most people do not read every word in a list of directions, but instead look for the main words of the sentence that indicate what needs to be done. Therefore, we decided to bold the Outlook keywords, to visually break up large amounts of text and to make following the steps much easier and faster. For example, if the sentence states, "From the Tools menu, click the Options button," you can easily glance over that sentence and see the words Tools followed by Options and know what to do without reading each word of the sentence.

  • Bold dialog/form elements Many times an item on the form is named as a fragment, so it makes reading the sentence that refers to it difficult. As an example, one option on the Options dialog box states "Send immediately when connected." Therefore, for the reader to more easily discern the name of the option from our descriptive text, the option text always appears in boldfor example, "Turn on the option labeled Send immediately when connected."

  • Keyboard combination When the reader needs to press multiple keys to carry out a function, the specific text typically shown on the keys is shown in bold. Therefore, if you need to hold the Ctrl button while pressing the letter n, the text would read "Press the Ctrl N combination."


Author Feedback

As authors, we both have always strived to put our readers first. To that end, you'll often find us in the various Exchange and Outlook support forums and newsgroups helping users find the answers they're searching for. In addition, we've set up a Web site specifically for supporting this book: www.OutlookHacks.com. Therefore, if you have any questions about this book, please feel free to drop by our Web site and post a question/comment. In addition, as with any FAQ, this book will continue to grow as the Outlook product matures and as readers send in questions. Therefore, please feel free to send in questions/answers that you feel should be in our next edition.

The only thing we ask for is a bit of patience in terms of our response. Our Exchange/Outlook training courses and customization services have proven to be extremely popular, which means that we're often at client sites all around the world. Therefore, we will always respond as quickly as we can, but sometimes this can mean a delay of a day or two in getting a reply to your comment or question.


Chapter 1. SETUP AND CONFIGURATION

    Starting Outlook

    Profiles and Data Files

    User Interface

    Command-Line Switches

    Accessibility

    Troubleshooting


Starting Outlook

1.1. What Happens When I Start Outlook for the First Time?

The first time you run Outlook, it presents you with the Outlook 2003 Startup Wizard, which helps you configure Outlook. The wizard guides you through the process of configuring your first e-mail account that is added to the default profile. (For more information on profiles, refer to FAQ 1.19, later in this chapter.)

When the wizard appears, click the Next button to display the Account Configuration dialog box. At this point, you can choose whether you want to create an e-mail account. If you select No, the wizard creates a default profile with no e-mail accounts. Note that you can always add e-mail accounts later stage by following the instructions in FAQ 1.28.

If you choose Yes and click the Next button, you are presented with the E-mail Accounts dialog box, shown in Figure 1-1.

Figure 1-1. The E-mail Accounts dialog box.

[View full size image]

The E-mail Accounts dialog box enables you to choose what type of e-mail account you want to create. Select the account type of your choice and follow the instructions. For detailed instructions on how to configure each of these e-mail types, refer to the Composing and Sending Emails section of Chapter 4, "E-mail and Attachments."

1.2. What Is "Safe Mode"?

Outlook can be started in a special diagnostic mode that helps both you and Outlook locate and repair any problems that you might be having with Outlook. This mode is known as Safe mode. Starting Outlook in Safe mode enables you to safely use Outlook even when certain startup issues have been detected. Outlook provides two types of Safe mode:

  • Automated Safe mode

  • User-Initiated Safe mode

During startup, Outlook automatically checks for problems that could prevent it from running safely. Problems detected by these checks include things such as corrupted files, Windows Registry entries, or templates; these checks also discover whether an add-in, macros, or extensions fail to load correctly. If Outlook detects a problem, it automatically attempts to start in Safe mode and displays a message asking whether you want to disable the features that are causing the problem or (depending on the type of problem) whether Outlook should attempt to automatically repair the problem(s). This is known as Automated Safe mode.

As the name suggests, you start the other type of Safe mode, User--Initiated Safe mode (see FAQ 1.3). Note that when Outlook is started with User-Initiated Safe mode, the following restrictions apply:

  • The Office Assistant is not displayed automatically. If you still want to use the Office Assistant when in Safe mode, you can start it manually by selecting Office Assistant from the Help menu.

  • Any customizations that you have made to the Outlook toolbar or command bars are not loaded. Also, any changes to the configurations of the toolbar and command bars made while running in Safe mode will not be saved.

  • The list of corrections used by the AutoCorrect feature is not loaded, and any additions you make to the list will not be saved. AutoCorrect is the feature that automatically corrects simple mistakes you make when typing. For example, if you typed teh, it would automatically change it to the.

  • All command-line switches, except the /a and /n options, are ignored. For a list of command-line switches, see the Command-line Switches section of this chapter.

  • Outlook preferences are not saved.

  • You cannot work with documents that have restricted permissions. (You cannot open or create documents that have restricted permissions, such as mail messages and notes.)

  • Smart tags are not loaded, and any new smart tags that you create will not be saved.

1.3. How Can I Manually Start Outlook in Safe mode?

Sometimes you do need to manually start Outlook in Safe mode. Perhaps Outlook did not detect an error on startup or you think that a particular extension or add-in is making Outlook unstable. If Outlook is misbehaving, it might be worth manually starting in Safe mode to see if that resolves the issue. This process can aid you greatly in isolating various problems. Whatever your reason, starting in Safe mode manually is easily accomplished by doing the following:

1.
Locate the Outlook application. The simplest way to do this is to hold down the Ctrl key clicking the Outlook icon. (An Outlook icon is installed on the Windows taskbar.)

2.
Outlook determines that the Ctrl key was held down and displays a message confirming that you want to start in Safe mode (see Figure 1-2).

Figure 1-2. Outlook detects when you hold down Ctrl and prompts you to confirm that you want to start in Safe mode.

3.
Click the Yes button to start in Safe mode and the No button to start in normal mode.

You can also start Outlook in Safe mode using a command-line switch, as follows:

1. | Click the Windows Start button and select Run.
2. | When the Run dialog box is displayed, type outlook /safe into the Open text box and click the OK button. Outlook then starts in Safe mode.

NOTE

Outlook does not prompt you to confirm whether you want to start in safe mode, as it does when you hold down the ctrl key. You can find out more about starting outlook from the command line in the command-line switches section of this chapter.

1.4. How Do I Know If Outlook Has Started in Safe mode?

In the Outlook Title bar, you will see the text Microsoft Outlook (Safe mode). Another easy way to determine whether you have started in Safe mode is it to go to the Tools menu and see if the Customize option is enabled or disabled. When in Safe mode, Outlook disables this option; if it is enabled, you are not in Safe mode, and vice versa.

1.5. How Can I Get Outlook to Start Automatically?

If Outlook is normally the first application you open when you start your computer, it probably makes sense to have it automatically open for you. To accomplish this, you need to place a shortcut to Outlook in your Startup folder. Exactly how you do this varies depending on the version of Windows that you are running. Therefore, we've listed instructions for accomplishing this task for both Windows 2000 and Windows XP, as follows:

Windows 2000:

1. | From the Windows Start menu, select the Settings menu and then click Taskbar & Start Menu.
2. | When the Taskbar & Start menu Properties dialog box appears, select the Advanced tab.
3. | In the Customize Start menu section, click on the Add button.
4. | When the Create Shortcut dialog box appears, click the Browse button to display the standard Browse for Folder dialog box.
5. | Browse until you locate the Outlook executable file (usually located at C:\Program Files\Microsoft Office\OFFICE11\OUTLOOK.EXE) and then click the OK button. (Note that the applications are listed below the folders, so when you browse to the desired folder, scroll down until you locate the Outlook application file.)
6. | When you are returned to the Create Shortcut dialog box, click the Next button to display the Select Program Folder dialog box.
7. | From the list of folders, select Startup and click the Next button.
8. | At this point, you'll see a dialog box entitled Select a Title for the Program. Type the name that you want to appear in the Startup folder. Most people simply use the value Outlook. Click the Finish button when done.
9. | Finally, when returned to the Taskbar and Start Menu Properties dialog box, click the OK button to finalize your changes.

Windows XP:

1. | Select All Programs from the Windows Start menu and go to Microsoft Office.
2. | Using the right mouse button (instead of the left), drag the Outlook shortcut to the Startup folder. (If Windows XP will not allow you to drag the Outlook shortcut, see FAQ 1.6.)
3. | A context menu appears with three options: Move Here, Copy Here, and Cancel. From that menu, select the Copy Here option. Windows then adds the shortcut to Outlook to the Startup folder.

1.6. What If I Can't Drag and Drop My Outlook Shortcut in Windows XP?

If Windows XP is not allowing you to drag and drop the Outlook shortcut to the Windows Start menu, that typically means that this feature has been disabled on your system. To re-enable this feature, follow these steps:

1. | Right-click the Windows Start button and select Properties from the context menu to display the Taskbar and Start Menu Properties dialog box.
2. | Click the Start Menu tab and then click the Customize button, which displays the Customize Start Menu dialog box.
3. | If you are using the Classic Start menu, look for the Enable dragging and dropping check box in the Advanced Start menu options list and check it.
4. | If you are using the standard Windows XP Start menu, select the Advanced tab and find and check the Enable dragging and dropping check box in the Start menu items list.
5. | Click the OK button on each of the dialog boxes to close them.

After you have completed these steps, Outlook automatically starts each time you log into your Windows account. If you decide that you want to stop this, just delete the shortcut from the Startup folder.

1.7. How Do I Add Outlook to the Quick Launch Bar?

If the Quick Launch Bar is not already enabled, you can enable it by right-clicking on the task bar and going to the Toolbars submenu from the context menu that appears. To enable the Quick Launch Bar, select it from the submenu.

To add Outlook to the bar, follow these instructions:

1. | Click the Windows Start button and go to My Computer, or open My Computer from your desktop.
2. | Browse to the location where Outlook is installed (usually C:\Program Files\Microsoft Office\OFFICE11\).
3. | Drag the Outlook.exe file (using the left mouse button) to the location on the Quick Launch Bar where you would like it to appear. When you release the mouse button, Windows creates the shortcut to Outlook at the mouse's current location on the bar.
4. | Now you can simply click this shortcut to launch Outlook.

1.8. Can I Add Shortcuts to the Quick Launch Bar for Specific Outlook Tasks?

Absolutely. Being able to quickly create new Outlook items directly from Windows can be a huge timesaver. Perhaps you need to quickly create a new note or a new task without having to first open the main Outlook program. Outlook caters to this by providing you with the capability to quickly and easily create new Outlook items by invoking Outlook with specific switches that tell Outlook what item you're attempting to create. Table 1-1 lists the various Outlook items that can be created in this fashion and the FAQ that you should refer to.

Table 1-1. The Items and Their Related FAQs That Show How to Create Specific Shortcuts to Create New Instances of the Item

Item

FAQ That Covers It

E-mail

1.9

Note

1.10

Task

1.11

Appointment

1.12

Journal Entry

1.13

Contact

1.14

1.9. How Do I Add a Shortcut for Creating a New E-mail to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new e-mail without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click that shortcut and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new e-mail when the shortcut is clicked, append the value /c ipm.note to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new e-mail, all you need to do is click the shortcut in the Quick Launch Bar that you have just created.

1.10. How Do I Add a Shortcut for Creating a New Note to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new note without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new e-mail when the shortcut is clicked, append the value /c ipm.stickynote to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new note, all you need to do is click the shortcut in the Quick Launch Bar that you just created.

1.11. How Do I Add a Shortcut for Creating a New Task to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new task without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new task when the shortcut is clicked, append the value /c ipm.task to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new task, all you need to do is click the shortcut in the Quick Launch Bar that you just created.

1.12. How Do I Add a Shortcut for Creating a New Appointment to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new appointment without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new appointment when the shortcut is clicked, append the value /c ipm.appointment to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new appointment, all you need to do is click the shortcut in the Quick Launch Bar that you just created.

1.13. How Do I Add a Shortcut for Creating a New Journal Entry to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new journal entry without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new journal entry when the shortcut is clicked, append the value /c ipm.activity to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new journal entry, all you need to do is click the shortcut in the Quick Launch Bar that you just created.

1.14. How Do I Add a Shortcut for Creating a New Contact to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open just a new contact without opening the entire Outlook application, follow these instructions:

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | When the Shortcut Properties dialog box displays, click the Shortcut tab.
4. | The Shortcut tab contains several text boxes and buttons. For now, we are interested only in the text box called Target. This field contains the fully qualified location of the Outlook application file in quotation marks.
5. | To get Outlook to create a new contact when the shortcut is clicked, append the value /c ipm.contact to the text in the Target field (outside the closing quotation marks). When appending the text, ensure that there is a space between the new text and the original text.

NOTE

If the outlook shortcut already contains a command-line switch that is used to invoke the outlook application (such as/recycle), you will need to remove that switch because it pertains only to the starting of the application and conflicts with the/c ipm.note switch.

Now whenever you want to quickly create a new contact, all you need to do is click the shortcut in the Quick Launch Bar that you just created.

1.15. How Do I Change the Icon for My Outlook Shortcuts on the Quick Launch Bar?

You might want to set a different icon for each Outlook shortcut that you have placed on the Quick Launch Bar to help you quickly determine what a given shortcut does at a glance. To do this, just follow these steps:

1.
Right-click the shortcut on the Quick Launch Bar that you want to change the icon for and select Properties from the context menu that appears.

2.
Ensure that the Shortcut tab is selected on the Shortcut Properties dialog box that appears.

3.
Click the Change Icon button near the bottom of the dialog box to display the Change Icon dialog box (see Figure 1-3).

Figure 1-3. To make it easier to distinguish among your different Outlook Quick Launch icons, you can change icons to match the function of the shortcut.

4.
Select the icon you want from the list, or click the Browse button to browse to and select an icon.

As you can see from Figure 1-3, the Outlook program contains icons for the following Outlook items:

  • Journal

  • Notes

  • Contacts

  • Tasks

  • Calendar

  • E-mail

  • Folders

1.16. How Can I Get Outlook to Start Minimized?

If you have already configured Outlook to automatically launch when Windows starts (see FAQ 1.5), you might also want to get Outlook to start minimized. (You might even want Outlook to start minimized if you have not set it to start automatically when Windows starts.)

To make this modification, you need to change one of the properties on the shortcut that is used to start Outlook. If you have set Outlook to start automatically when Windows starts, you will have to modify the shortcut you placed in the Startup folder. Otherwise, modify whichever shortcut you use to start Outlook. Here's how to make that modification:

1. | Right-click the Outlook shortcut that you want to modify and select Properties from the context menu that appears.
2. | From the Shortcut Properties dialog box, select the Shortcut tab if it is not already selected.
3. | Locate the drop-down list called Run, select Minimized, and then click the OK button.

NOTE

This works only if outlook was not maximized when you last used and closed it. If it was maximizedor if you're note sureopen outlook and close it in a "nonmaximized" state.

At this point, whenever you click the modified shortcut, Outlook automatically starts in a minimized state. (If the shortcut you modified is in the Startup folder, each time Windows starts, Outlook will start up in a minimized state.)

1.17. How Can I Add a Shortcut for Loading a Particular Profile to the Quick Launch Bar?

To create a shortcut in the Quick Launch Bar that will open a particular profile when Outlook starts, follow these instructions: (Refer FAQ 1.19 if you're unsure of the concept of Outlook profiles and their use.)

1. | Create a new shortcut to Outlook in the Quick Launch Bar by following the instructions in FAQ 1.7.
2. | After you have created a new Outlook shortcut, right-click it and select Properties from the context menu that appears.
3. | This displays the Shortcut Properties dialog box, where you need to click the Shortcut tab if it is not already selected.
4. | The Target field contains the fully qualified location of the Outlook application file. To get Outlook to load a particular profile when the shortcut is clicked, you need to append /profile, followed by a space and then the name of the profile, to the text in the Target field.

NOTE

When appending a command-line switch to the Target field, ensure that there is a space between the new text and the original text. Also note that if the profile name contains spaces, you need to enclose it in quotation marks. For example, if your profile name is Work profile, you need to append the text: /profile "Work Profile".

1.18. What Other Ways Are There of Customizing How Outlook Behaves When It Starts?

You can customize what Outlook does and how it behaves when it starts in many different ways. See FAQ 1.47 for a list of the most commonly used command-line switches that can be used to modify the behavior of Outlook when it starts. For details on how to use the command-line switches, see FAQ 1.46.


Profiles and Data Files

1.19. What Is a Profile?

To support multiple users and multiple configurations per user, Outlook uses the concept of a profile. A profile is essentially a record of a particular user's e-mail accounts (and settings) and all the various settings that Outlook requires, such as the location of the data files that Outlook uses to store e-mails. (See FAQ 1.21 for more information about what is in a profile and data files.)

After you run Outlook the first time (covered in FAQ 1.1), a new profile is created. From that point forward, each time you start Outlook, this profile is loaded. (To modify this behavior, see FAQs 1.17, 1.30, and 1.31.)

1.20. Do I Need More Than One Profile?

The majority of Outlook users require only a single profile. However, in some situations it is convenient and practical to have more than one profile. For example, you might find it useful to have one profile for use with personal matters and another profile for use with your professional life. As another example, multiple colleagues or family members could be using the same computer. In such scenarios, it makes sense to use multiple profiles.

You could define a distinct profile for each person to keep separate each person's e-mail accounts information. Also note that it is not possible to associate more than one Microsoft Exchange Server account with each profile, so if you have multiple Microsoft Exchange Server accounts, you will need multiple profiles. For details on how to create new profiles, see FAQ 1.29.

1.21. Where Does Outlook Store Data?

Whereas Outlook profiles and settings are stored in each user's Windows Registry, Outlook stores the data associated with each profile either locally in a Personal Folders file (.pst) or on a server, depending on what type of e-mail account has been defined.

Several different types of e-mail accounts existMicrosoft Exchange Server, IMAP, POP3, and HTTPand they fall into two general categories regarding where the data files are located:

  • Microsoft Exchange Server accounts

  • Other account types: IMAP, POP3, and HTTP

By default, if you are using a Microsoft Exchange Server account, your data is stored on the server, although Outlook does maintain a local copy of the data, which it synchronizes with the server. This enables you to perform work offline (see the "Working Offline" section in the Chapter 13, "Microsoft Exchange Server").

If you are using one of the other types of e-mail accounts, then by default, Outlook stores the data related to the accounts in a local Personal Folders file.

1.22. What Are Personal Folder Files (.pst)?

If you are not using Microsoft Exchange Server, your e-mail, calendar, and other Outlook items are delivered to and stored locally in a Personal Folders file. This file has an extension of .pst and is called a "personal" file because it resides on each user's computer. Personal Folder files in Outlook 2003 use a different file format than previous versions of Outlook. Unfortunately, this means that Outlook 2003 Personal Folders files are not compatible with older versions of Outlook, although Outlook 2003 is capable of using data files from previous versions.

Outlook 2003 Personal Folders files are differentiated from previous version mainly by the fact that they support multilingual Unicode data (which allows Outlook to work with almost all known written languages). In addition, Outlook 2003 Personal Folders files have a much larger storage capacity for items and folders.

1.23. Can I Use More Than One Personal Folders File?

Although a single Personal Folders file will suffice for the majority of Outlook users, you might want to use multiple files to help organize your data better. For example, you might want to use one Personal Folders file to store your Outlook items (e-mail, contacts, meetings, and so on) for your business and another for your personal life. However, most people easily have both in the same file and simply use different folders, filters, view, categories, and so on to separate the two. If you do have a specific reason for wanting to create a secondary Personal Folders file, we cover that in FAQ 1.24.

1.24. How Do I Create a New Personal Folders File?

If you are not using Microsoft Exchange Server, your e-mail, calendar, and other Outlook items are delivered to and stored locally in a Personal Folders file. To create an additional file (to the one Outlook automatically creates), follow these instructions:

1.
From the File menu, select New and then Outlook Data File.

2.
When the New Outlook Data File dialog box is displayed (see Figure 1-4), select the type of Personal Folders file that you want to create and click the OK button.

Figure 1-4. The New Outlook Data File dialog box enables you to choose what type of Personal Folders file to create.

3.
When the Create or Open Outlook Data File dialog box appears, select the location in which you want to save the Personal Folders file, and type in the name of the file (or accept the default). When done, click the OK button.

4.
At this point, the Create Microsoft Personal Folders dialog box is displayed (see Figure 1-5). In the Name field, enter the name you want to appear in the Outlook folders list for the new data file.

Figure 1-5. You can specify the display name and the level of encryption, as well as a password for new Outlook data files.

5.
Select the level of encryption you desire, enter a password (if necessary), and click the OK button.

The new Personal Folders file is created and added to your profile (as well as the Outlook Folder List). Click Folder List on the Go menu to display your Folder List.

1.25. Can I Move Personal Folders Files?

Sometimes you might want to relocate your Personal Folders files. Perhaps you want to move them to a hard drive with more space, or maybe you're simply reorganizing your hard drive. Whatever your reason, you'll be happy to know that it is possible to move your Personal Folders files.

Here's how you can do it:

1.
Before you can move the Personal Folders files, you obviously need to know their current location. The quickest way to determine that is to open Outlook and, from the Navigation Pane, right-click the folder that represents the Personal Folders file.

2.
When the context menu appears, select Properties to display the Properties dialog box.

3.
Click the Advanced button to display the Personal Folders dialog box (see Figure 1-6).

Figure 1-6. The Personal Folders dialog box.

4.
Make a mental note of the text in Filename field; this is the location of the current data file.

5.
Close Outlook and then browse to the location of the current data file that you noted in Step 4; move that file to the desired location.

6.
From the Windows Control Panel, run the Mail applet.

7.
Click the Show Profiles button and highlight the profile whose files you moved. Click Properties to display the Mail Setup dialog box.

8.
Click the Data File button, highlight the Personal Folders file that you moved, and click Settings. An error message displays informing you that the Personal Folders file could not be found (see Figure 1-7). This is expected.

Figure 1-7. After you have moved the data file, the Windows Control Panel Mail applet displays an error when you try to access your mail settings.

[View full size image]

9.
Click the OK button to dismiss the error message.

10.
A dialog box appears where you are to browse to the new location for the data file. Select the data file and click the Open button.

11.
When you close the Mail applet, you can restart Outlook and it will use the new location of the Personal Folders file.

1.26. How Can I Reduce the Size of My Personal Folders File?

When you delete items from your Personal Folders file, you might have noticed that the size of the file does not actually reduce. To ensure that your Personal Folders files are taking up as little hard drive space as possible, you need to compact them. Here's how to accomplish this:

1. | From the File menu, select Data File Management.
2. | When the Outlook Data Files box is displayed, highlight the Personal Folders file you want to compact and click Settings. NOTE You will see a list of files if you are using a Microsoft Exchange server profile because the files are kept on the server (except for a local copy that allows for offline work).
3. | Click Compact Now to compact the file.

1.27. How Do I Back Up My Personal Folders Files?

For details on how to back up your Personal Folders files, refer to Chapter 16, "Data Archival, Backup, and Restore."

1.28. How Do I Add a New E-mail Account to My Profile?

For details on how to add a new e-mail account to your profile, refer to the "Composing and Sending Emails" section of Chapter 4, "E-mail and Attachments."

1.29. How Can I Create a New Profile?

As was mentioned in FAQ 1.20, in a number of situations, you might need to have more than one profile set up in Outlook. Creating a new profile is a simple procedure; the details on how to do it are listed here:

1.
From the Windows Control Panel, run the Mail applet.

2.
Click the Show Profiles button, which displays the Mail dialog box.

3.
Next, click the Add button, which displays the New Profile dialog box (see Figure 1-8).

Figure 1-8. The New Profile dialog box enables you to enter the Display Name for the new profile. This is the name that will appear on the Navigation Pane in Outlook.

4.
Enter a name in the Profile Name field and click the OK button.

5.
The E-mail Accounts Wizard starts, which enables you to add an e-mail account to your new profile. This wizard is covered in greater detail in the "Composing and Sending Emails" section of Chapter 4, "E-mail and Attachments."

When you have completed setting up your e-mail account, you have a new profile. For details on how to start Outlook with your new profile, see FAQs 1.17, 1.30, and 1.31.

1.30. How Do I Set Outlook to Ask Which Profile to Load When It Starts?

By default, Outlook loads the profile that you created when you first run Outlook (covered in FAQ 1.1). However, if you have multiple profiles, you might prefer to have Outlook query you on which profile to use each time Outlook is started. Here's how to configure Outlook to do just that:

1. | From the Windows Control Panel, run the Mail applet.
2. | Click the Show Profiles button, which displays the Mail dialog box.
3. | To configure Outlook to prompt you to specify which profile to use when it starts, select the Prompt for a profile to be used option and click the OK button.

Now when you start Outlook, it will prompt you to select which profile to use, as shown in Figure 1-9.

Figure 1-9. Outlook displaying the Choose Profile prompt.

1.31. How Can I Change the Default Profile?

To change the profile that Outlook loads by default, follow these instructions:

1. | From the Windows Control Panel, run the Mail applet.
2. | Click the Show Profiles button, which displays the Mail dialog box.
3. | To change the default profile, select the desired profile from the Always use this profile drop-down list and click the OK button.

Now each time you open Outlook, the profile that you just selected will be loaded automatically.


User Interface

1.32. What Are Folders?

Outlook wouldn't be much good to you if it didn't have the capability to store information and organize this information. To do this, Outlook uses folders to store information in much the same way you would use folders in Windows Explorer to store your files, documents, and applications. Depending on what type of e-mail account you are using, these folders are stored on your local machine in a Personal Folders file (see FAQ 1.22) or an e-mail server such as Microsoft Exchange Server.

Outlook provides a number of default folders for each profile and for each e-mail account in a profile:

  • Inbox

  • Calendar

  • Contacts

  • Tasks

  • Notes

  • Journal

Each of these folders represents a particular type of item that Outlook can handle. In addition to these item folders, Outlook provides each of the following folders by default.

  • Outbox Used to store items that have not been sent yet but that will be sent later.

  • Sent Items Stores copies of items that you have already sent from Outlook.

  • Deleted Items Deleted items are stored here until you decide to permanently delete them. You can think of it as the Outlook equivalent to the Windows recycle bin.

  • Drafts Stores items that you have created that you might want to send later or make modifications to.

1.33. How Do I View the List of My Folders?

You can view the complete list of your current folders by displaying the Folder List within the Navigation Pane (see Figure 1-10). For more information on the Navigation Pane, refer to FAQs 1.35 and 1.38. Alternatively, you can select Folder List from the Go menu.

Figure 1-10. The Folder List displays the list of folders in the profile that Outlook is currently displaying.

1.34. Can I Share My Folders?

Using Outlook, you an share folderssuch as calendar, notes, and tasks. However, you will need to run a collaboration server such as Microsoft Exchange Server. For details on Exchange Server, refer to Chapter 13. For information on sharing specific folders, refer to the chapter covering the specific type of folder that you want to share.

1.35. What Is the Navigation Pane?

The Navigation Pane provides you with a centralized location for performing navigation and also provides you with quick access to context-sensitive functions that act on the current item you are working with. For example, when working with notes, the Navigation Pane provides you with options that are specific to notes, such as the listing of your notes folders, option buttons that enable you to quickly change the current view, and links for sharing your notes or opening notes shared by others (if you are using Microsoft Exchange Server).

The Navigation Pane (Figure 1-11) also displays eight buttons that enable you to quickly navigate to the different items that you can work with in Outlook:

  • Mail

  • Calendar

  • Contacts

  • Tasks

  • Notes

  • Folder List

  • Journal

  • Shortcuts

Figure 1-11. The buttons on the Navigation Pane enable you to quickly and easily navigate through Outlook.

By clicking one of the buttons on the Navigation Pane, you can quickly move to that area within Outlook and begin working there.

1.36. Can I Add or Remove Buttons from the Navigation Pane?

Adding and removing buttons on the Navigation Pane is a simple process. Just click the Configure button, the small button that looks like >> (see Figure 1-12) at the bottom right of the Navigation Pane, and go to the Add or Remove Buttons submenu on the menu that appears. To add a button that does not currently appear on the Navigation Pane, just click the name of the button. To remove a button that is already present, click the name of the button on the same submenu.

Figure 1-12. Adding and removing buttons on the Navigation Pane.

1.37. How Do I Change the Order of the Buttons on the Navigation Pane?

If you use certain features of Outlook more often than others, you might find it useful to rearrange the buttons on the Navigation Pane. Here's how to do this:

1.
Click the Configure button on the bottom right of the Navigation Pane to display the Configuration menu.

2.
From this menu, click the Navigation Pane Options button, which displays the Navigation Pane Options dialog box (see-Figure 1-13).

Figure 1-13. The Navigation Pane Options dialog box enables you to specify how you want the various buttons that display the standard Outlook views to appear on the Navigation Pane.

3.
You can rearrange the buttons that appear on the Navigation Pane by selecting a button and then using the Move Up and Move Down buttons to change its position until you are happy with its location.

4.
When you have finished rearranging the buttons to your liking, click the OK button to commit the changes.

1.38. How Can I Show or Hide the Navigation Pane?

If you would prefer to use Outlook without the aid of the Navigation Pane, you can easily hide it by doing the following:

1. | Click the View menu.
2. | A check mark (or other distinguishing icon, depending on your operating system) indicates whether the Navigation Pane is currently viewable.
3. | Simply click this menu option to toggle its current viewable state.

1.39. How Can I Show or Hide the Current View Menu in the Navigation Pane?

When you are using certain items with Outlook, such as the contacts or notes items, the Current View menu option might not be visible on the Navigation Pane. The Current View menu enables you to quickly and easily modify the view of the items that you are working with at that particular moment in time.

To show or hide the menu in the Navigation Pane, select Arrange By from the View menu and click Show Views in Navigation Pane to toggle whether the Current View menu is displayed.

1.40. What Is the Reading Pane?

The Reading Pane enables you to view items in Outlook without having to open them. Using this feature, you can simply click the item to display its contents in the Reading Pane. The advantage is that the item is not marked as "read," so it continues to display in a view that lists only unread items.

Outlook enables you to specify where you want the Reading Pane to be displayed: either below the item list or to the right of the item list. (FAQ 1.44 explains how to specify this setting.)

1.41. How Can I Show the Reading Pane for a Folder?

To display the Reading Pane for a particular folder, select the View menu and then expand the Reading Pane submenu. To show the Reading Pane for the current folder, specify to Outlook where you want the Reading Pane to be displayed in relation to the item list: Right (displays the Reading Pane at the right side of the screen) or Bottom (displays the Reading Pane at the bottom of the screen).

1.42. How Can I Hide the Reading Pane for a Particular Folder?

If you need to turn off the Reading Pane, simply select the View menu and then select the Reading Pane submenu. From there, select Off to turn off the viewing pane for the current folder.

1.43. How Can I Hide the Reading Pane for All Folders?

If you do not want to globally turn off the Reading Pane for all your folders, you can do so by starting Outlook with the /nopreview command-line switch. This prevents Outlook from using the Reading Pane regardless of the individual view settings that previously were set.

For instructions on how to use command-line switches, see FAQ 1.46.

1.44. How Do I Change the Location of the Reading Pane?

The Reading Pane can be displayed in two different locations: the bottom of the main pane or the right side of the main pane. To specify this option, select the View menu and the Reading Pane menu. From there, select either the Right or Bottom menu items.


Command-Line Switches

1.45. What Are Command-Line Switches?

A command-line switch is a special instruction that can be appended to the end of the command that is used to start an application. The command used to start Outlook is outlook.exe. Command-line switches can also be appended it to alter the standard behavior of the Outlook.

1.46. How Can I Use Command-Line Switches with Outlook?

You can use command-line switches to alter the default behavior of Outlook in two main locations: in the Run dialog box and in shortcuts used to start Outlook. FAQ 1.47 lists the different command-line switches available when using Outlook.

To use command-line switches from the Run dialog box, follow these steps:

1. | Click the Windows Start button and select Run to display the Run dialog box.
2. | In the Open text box, enter Outlook.exe (or just Outlook) followed by a space and then any command-line switches and any options that the command-line switch requires.
3. | Click the OK button or press the Enter key. Outlook starts, taking into account the command-line switches that that you provided.

In some circumstances, entering Outlook.exe or Outlook will not be sufficient to start Outlook from the Run dialog box. In these circumstances you should enter the full path to the Outlook executable file, which will be something like C:\Program Files\Microsoft Office\OFFICE11\OUTLOOK.EXE, in place of the Outlook.exe or Outlook command.

To use command-line switches from shortcuts, follow these steps:

1. | Right-click the Outlook shortcut to display its context menu, and select Properties.
2. | The Shortcut Properties dialog box is displayed. Ensure that the Shortcut tab is selected by clicking it.
3. | Command-line switches need to be appended to the end of the text in the Target field. When appending the command-line switch, ensure that there is a space between the end of the original text in the Target field and the beginning of the command-line switch.
4. | Click OK button when you are finished, and double-click the shortcut to start Outlook with the command-line switches that you set.

If you are using more that one switch, ensure that you place a space before the switch; omitting the space will generally cause an error and Outlook will fail to start.

1.47. What Command-Line Switches Does Outlook Support?

Table 1-2 lists the command-line switches that Outlook supports. A short description of the effect the switch has on Outlook is provided, along with information on whether there is a FAQ related to the use of a switch. For instructions on how to use the command-line switches, see FAQ 1.46.

Table 1-2. Command-Line Switches Supported by Outlook 2003

Switch

Description

/a

Creates an item with the specified file as an attachment. By default, this creates a new e-mail message with the file attached. However, when used in conjunction with the /c switch, it can be used to create other types of Outlook items.

Examples:

"C:\Program Files\Microsoft Office\Office11\Outlook.exe" /a "C:\SkiingPic.jpg"

"C:\Program Files\Microsoft Office\Office11\Outlook.exe" /a "C:\SkiingPic.jpg" /c IPM.Task

/altvba otmfilename

Opens the VBA program specified in otmfilename.

/autorun macroname

Opens Outlook and immediately runs the macro specified in macroname.

/c messageclass

Creates a new item of the specified message class (Outlook forms or any other valid MAPI form).

Examples:

/c ipm.activity creates a new journal entry.

/c ipm.appointment creates a new appointment.

/c ipm.contact creates a new contact.

/c ipm.note creates a new e-mail.

/c ipm.stickynote creates a new note.

/c ipm.task creates a new task.

See FAQ 1.8.

/checkclient

Starts Outlook and asks whether you want to use Outlook as the default application for mail, news, and contacts if it is not already.

/cleanclientrules

Starts Outlook and deletes all client-based rules from the Rules and Alerts section of Outlook.

/cleandmrecords

Deletes the logging records saved when a manager or a delegate declines a meeting.

/cleanfinders

Removes Search Folders from the Microsoft Exchange server store.

/cleanfreebusy

Clears and regenerates free/busy information. Use this command-line switch only if you can connect to your Microsoft Exchange Server.

/cleanprofile

Removes invalid profile keys from the Windows Registry and re-creates default keys, where applicable.

/cleanpst

Launches Outlook with a clean Personal Folders file (.pst file). See FAQ 1.22.

/cleanreminders

Clears and regenerates reminders.

/cleanrules

Starts Outlook and deletes all client- and server-based rules.

/cleanschedplus

Deletes all Schedule+ data (free/busy, permissions, and .cal files) from the server, and enables all Schedule+ 1.0 users to use and view the free/busy information from the Outlook calendar.

/cleanserverrules

Starts Outlook and deletes all server-based rules.

/cleansniff

Deletes duplicate reminder messages.

/cleansubscriptions

Deletes the subscription messages and properties for subscription features.

/cleanviews

Restores default views. All custom views that you have created are lost.

/designer

Starts Outlook without figuring out whether Outlook should be the default client the first time it is run.

/embedding

Opens the specified message file (.msg) as an OLE embedding object. Also used without command-line parameters for standard OLE co-create.

/explorer

Opens the new window in Explorer mode (link bar on).

/f msgfilename

Opens the specified message file (.msg) or Microsoft Office saved search (.oss).

/firstrun

Starts Outlook as if it were run for the first time.

/folder

Opens a new window in Folder mode (Navigation Pane off).

/hol holfilename

Opens the specified .hol file.

/ical icsfilename

Opens the specified .ics file.

/importprf prffilename

Launches Outlook and opens/imports the defined MAPI profile (*.prf). If Outlook is already open, queues the profile to be imported on the next clean launch.

/l olkfilename

Opens the specified .olk file.

/launchtraininghelp assetid

Opens a Help window with the Help topic specified in assetid.

/m emailname

Provides a way for you to add an e-mail address to an item. Works only in conjunction with the /c command-line parameter.

Example:

Outlook.exe /c ipm.note /m a-person@an-address.com creates a new e-mail to the given address.

/nocustomize

Starts Outlook without loading outcmd.dat (customized toolbars) and the *.fav file.

/noextensions

Starts Outlook with extensions turned off but listed in the Add-In Manager.

/nopollmail

Starts Outlook without checking mail at startup.

/nopreview

Starts Outlook with the Reading Pane off.

/p msgfilename

Prints the specified message (.msg). Does not work with HTML.

/profile profilename

Loads the specified profile. If your profile name contains a space, enclose the profile name in quotation marks (").

See FAQ 1.17.

/profiles

Opens the Choose Profile dialog box, regardless of the Options setting on the Tools menu.

/recycle

Starts Outlook using an existing Outlook window, if one exists.

/resetfoldernames

Resets default folder names (such as Inbox or Sent Items) to default names in the current Office user interface language.

For example, if you first connect to your mailbox Outlook using a Spanish user interface, the Spanish default folder names cannot be renamed. To change the default folder names to another language such as English, you can use this command-line switch to reset the default folder names after changing the user interface language or installing a different language version of Outlook.

/resetfolders

Restores missing folders for the default delivery location.

/resetnavpane

Clears and regenerates the Navigation Pane for the current profile.

/rpcdiag

Opens Outlook and displays the remote procedure call (RPC) connection status dialog box.

/s filename

Loads the specified shortcuts file (.fav).

/safe

Starts Outlook without extensions, Reading Pane, or toolbar customization.

/safe:1

Starts Outlook with the Reading Pane off.

/safe:2

Starts Outlook without checking mail at startup.

/safe:3

Starts Outlook with extensions turned off but listed in the Add-In Manager.

/safe:4

Starts Outlook without loading Outcmd.dat (customized toolbars) and the *.fav file.

/select foldername

Starts Outlook and opens the specified folder in a new window. For example, to open Outlook and display the default calendar, use: "c:\Program Files\Microsoft Office\Office11\Outlook.exe" /select outlook:calendar.

/sniff

Starts Outlook and forces a detection of new meeting requests in the Inbox, and then adds them to the calendar.

/t oftfilename

Opens the specified .oft file.

/v vcffilename

Opens the specified .vcf file.

/vcal vcsfilename

Opens the specified .vcs file.

/x xnkfilename

Opens the specified .xnk file.


Accessibility

1.48. How Do I Increase the Size of the Buttons on the Outlook Toolbars?

By default, Outlook displays toolbar buttons at the standard size. However, if you prefer to have larger toolbar buttons, you can modify the default settings that Outlook uses. Here's how you can make the necessary changes:

1. | Select the Customize menu option on the Tools menu to display the Customize dialog box.
2. | Ensure that the Options tab is selected by clicking it.
3. | In the section labeled Other, check the Large Icons check box to enable large icons.

If later you decide you would like to revert back to using the smaller toolbar buttons, you can do so by simply removing the check from the Large Icons check box.

1.49. How Can I Show ScreenTips on Toolbars?

ScreenTips are small labels that appear to show you some information about whatever is located under the mouse. To get a ScreenTip to appear, after they have been enabled, just hold your mouse over an item on a toolbar for a few seconds; a ScreenTip will pop up and show you some information about the item.

To enable ScreenTips for items on the Outlook toolbars, just follow these instructions:

1.
From the Tools menu, select Customize to display the Customize dialog box.

2.
Ensure that the Options tab is selected by clicking it.

3.
In the section called Other, place a tick in the check box called Show ScreenTips on Toolbars (see Figure 1-14) and then click Close.

Figure 1-14. The Customize dialog box allows you to enable and disable settings related to ScreenTips across the entire suite of Microsoft Office applications.

Note that changing this setting in Outlook also changes the setting in other Microsoft Office products that you have installed on your machine.

1.50. How Can I Show Shortcut Keys in ScreenTips?

To configure ScreenTips to show shortcut keys in addition to their normal text, follow these instructions:

1. | From the Tools menu, select Customize to display the Customize dialog box.
2. | Ensure that the Options tab is selected by clicking it.
3. | In the section called Other, check the option labeled Show shortcut keys in ScreenTips (see Figure 1-14) and then click the Close button.

Note that changing this setting in Outlook also changes the setting in other Microsoft Office products that you have installed on your machine.

1.51. How Do I Change the Default Font Used When Creating a New, Replying to, or Forwarding an E-mail?

Outlook enables you to specify the default font to use when creating new e-mails and when replying to or forwarding received e-mails. This enables you to customize how your e-mails appear when the recipients open them if you are using HTML or Rich Text Format e-mails. If you are using plain-text e-mails, the font used to display the e-mail on the recipient's end will be whatever font the recipient has decided upon.

To make the necessary customizations, just follow these instructions:

1.
From the Tools menu, select Options to display the Options dialog box.

2.
Click the Mail Format tab and then click Fonts in the Stationary and Fonts section to display the Fonts dialog box (see Figure 1-15).

Figure 1-15. You can modify the default fonts used for e-mails from the Fonts dialog box.

3.
To modify the font used when creating new e-mails, click the Choose Font button next to the When Composing a New Message field, and select the font properties that you desire.

4.
To modify the font used when you reply to or forward an e-mail that you have received, click the Choose Font button next to the When replying and forwarding field, and select the font properties that you desire.

5.
To modify the font used when you are composing and reading e-mails in plain text, click the Choose Font button next to the label When composing and reading plain text, and select the font properties that you desire. Note that the settings for Plain-Text e-mails apply only to your Outlook; the recipients of your e-mail will not see the font that you have chosen.

1.52. How Do I Change the Size of the Text for a Particular Item?

Outlook enables you to modify the text size for different items such as e-mails, journal entries, and tasks. To modify the size of the text, select it and then, on the Formatting toolbar (or the E-mail toolbar if you are using Microsoft Word as your e-mail editor), enter the size of the text you want in the Font Size box. You can do this only if the item you are editing is not set to use Plain Text as the format.

1.53. How Do I Change the Font of the Text for a Particular Item?

Outlook enables you to modify the text font for different items such as e-mails, journal entries, and tasks. To modify the font, select the text you want to change and then, on the Formatting toolbar (or the E-mail toolbar if you are using Microsoft Word as your e-mail editor), select the font from the drop-down font list. You can do this only if the item you are editing is not set to use plain text as the format.

1.54. How Can I Change the Background Color of My Calendar?

To modify the background color of your calendar, just follow these instructions:

1. | From the Tools menu, click Options and then click the Calendar options button.
2. | In the Calendar options section, locate the Background Color drop-down list and select the color you want.
3. | You can default all calendars to the chosen color by checking the Use selected background color on all calendars check box.


Troubleshooting

1.55. What Can I Do If Outlook Fails to Start?

If Outlook ever fails to start, your first action should be to determine whether Outlook can start in Safe mode. For instructions on how to do this, see FAQ 1.3.

If Outlook loads successfully, chances are good that the error was caused by an add-in or an extension that was corrupted or misbehaving. To help determine which add-in or extension caused the problem, you can manually enable each extension one at a time to attempt to determine which is causing the problem so that you can remove it. To do this, go to Help and then click About Microsoft Office Outlook. At the bottom left of the About Microsoft Office Outlook dialog box, click the Disabled Items button. From here, you can manually enable the disabled items one at a time.


Chapter 2. CATEGORIES

    About Categories

    Master Category List

    Categories and Items


About Categories

2.1. What Are Categories?

Categories are essentially metainformation that you can attach to Outlook items to help make it easier for you to organization and quickly discover those items. In essence, a category is no more than a keyword that is attached to an item. After you assign a category to an item, you can change the way your items are organized by sorting, filtering, or grouping your items based upon the category or categories that have been assigned to the item.

2.2. What Are Categories Good For?

As mentioned, categories are a kind of metainformation in which you assign certain Outlook items, such as e-mail, tasks, and notes to these categories that you name. (Note that Outlook items can be assigned to zero, one, or many categories.) After you've assigned your items to categories, you can filter, sort, and group your lists of these items in Outlook by those categories. The "Master Category List" section of this chapter covers tasks such as creating and deleting categories, as well as saving, loading, and sharing your category list.

Nothing explains how to use an application feature like a real-world example, so Figure 2-1 lists some categories on one of our own PCs. Specifically, in this figure, you can see that we've defined about 10 categories, such as Aceno.com, Business, CodeProject.com, and so on. The itemse-mails in our Inbox, in this casehave been assigned to one or more of these categories. This process enables us to group the Inbox of e-mail items by category so that semantically related e-mails are grouped together. Now when we want to see the e-mails related to an upcoming skiing holiday, we can simply expand that category grouping, and all the e-mails that have been assigned to the Skiing Holiday category will be listed together.

Figure 2-1. E-mails grouped by category.

[View full size image]

Filtering can also be used in conjunction with categories to produce an effective means by which you can limit the items you see to only those of specific relevance to the current task. This is done by creating a filter and specifying, along with various other criteria, which categories you want to display.

As an example, you might want to create a filter that displays only tasks that are associated with the categories named Phone Calls, Friends, or University. FAQ 2.19 explains how to do this.

Categories can also help you significantly shorten the amount of time that you spend searching your Outlook items looking for something. Let's say you are searching for an e-mail that you received several weeks ago. If that e-mail had been assigned to a category, you could narrow your search results by including the category name to search for, as well as any text that you remember the e-mail containing.

To use a real-world example, one of us recently booked a flight to speak at a conference. When that author made the reservation, he recorded the e-ticket flight confirmation number in a note (refer to Chapter 6, "Notes," for more information on creating and working with notes). Because he had assigned all his notes to categories, he was able to quickly retrieve this number when he needed it simply by searching for all notes assigned to the category Travel and including the name of the carrier. Figure 2-2 shows an example of a search in which the Categories field is specified. (The Advanced Find dialog box is available via the Edit menu.)

Figure 2-2. The Advanced Find dialog box enables you to specify categories as part of the search criteria, thereby allowing you to more quickly locate the desired items.

2.3. Can I Use Categories As a Replacement for Folders?

The short answer is "yes." However, a more relevant question is whether using categories instead of folders suits your needs. Although categories provide a number of advantages over using the more traditional, folder-based method of organizing your items, there are advantages and disadvantages to using both techniques:

  • Categories eliminate redundant data If you use folders to organize your Outlook items, it can lead to unnecessary duplication of items. Let's use contacts as an example. Many people new to Outlook tend to separate their contacts into folders, such as Business, Friends, Family, and so on. However, in many situations, a particular contact fits equally well into several folders, such as a family member who is also a business associate. In sticking with the group-by-folder technique, this contact would be duplicated in Business and Family folders. You then would need to remember to update both records each time there is a change, such as change to the person's telephone number. With categories, you can assign multiple categories to the same item, thereby eliminating the redundancy issue.

  • Category information is stored within the e-mail This is extremely useful when it comes to items such as contacts and tasks. For example, you can forward a contact to a colleague who is also using Outlook; when that person saves the contact, it will still have the categories that you assigned to it.

  • Assigning categories is easier than using folders You can add new categories to items at any stageduring the item's creation or after the item has been created. If you have views already defined to group by or filter for items using the category, the item being assigned automatically is listed in accordance with your filtering or grouping criteria. This contrasts with using the group-by-folder technique, in which you would manually need to move (or copy) the item into the desired folder.

  • Folders are easier to back up Backing up data is much easier to do in terms of backing up selected folders than specific items based on their categories.

At the end of the day, your personal preference will decide whether you choose to use categories or folders. Because categories work hand in glove with custom views, thereby eliminating the need to maintain separate folders (and dealing with the possibility of duplicate items), we recommend using categories to group your Outlook items.


Master Category List

2.4. What Is the Master Category List?

As the name implies, the Master Category List (Figure 2-3) is the complete list of all defined categories in your Outlook installation. As mentioned in FAQ 2.2, Outlook provides a set of about 20 predefined categories. In addition, you can add new items and remove existing items from the list. These tasks are covered in FAQs 2.5 and 2.6.

Figure 2-3. The Master Category List defines the entire list of categories that can be used to help group or filter your Outlook items.

2.5. How Do I Create a New Category?

Although Outlook provides about 20 predefined categories, you will no doubt need to create categories that are specific to your needs from time to time. For example, you might want to create a category that you use to store tasks, notes, and e-mails about an upcoming skiing holiday you are planning, or you might want to create a category to store all your items relating to a particular client that your office is dealing with. Here's how you can create new categories:

1.
Ensure that an Outlook item is selected. For example, select an e-mail or a contact by highlighting it.

2.
Next, go to the Edit menu and click Categories. This displays the Categories dialog box, shown in Figure 2-4.

Figure 2-4. Adding a new category to the Master Category List from the Categories dialog box.

3.
From here, you can add a new category to the Master Category List by typing the name of the category into the Items(s) belong to these categories field and then clicking the Add to list button. This adds the item to the Master Category List. However, it is important to note that this method also assigns the new category to the item that was selected in Step 1.

4.
Alternatively, click the Master Category List button near the bottom right of the Categories dialog box to display the Master Category List dialog box (see Figure 2-5). From here, you can add a new category to the list by entering the name you want for the category into the New Category field and then clicking the Add button.

Figure 2-5. Adding a new category to the Master Category List from the Master Category List dialog box.

In the future, whenever you view the Master Category List or try to add a category to an item, the category you just added will be visible in the list.

2.6. How Do I Remove a Category from the Master Category List?

As with adding a new category, sometimes you might want to delete a category that you no longer use. For example, in FAQ 2.5, one example given for why you would want to add a new category to the Master Category List was if you were keeping details about an upcoming skiing trip and you wanted a category specifically for it.

If the trip fell through or you decided that a vacation on the beach would be more relaxing than hurtling down the side of a mountain on two planks of wood, you might want to remove that category from the Master Category List because it will probably no longer be used. To do so, follow these instructions:

1.
Ensure that an Outlook item is selected. For example, select an e-mail or a contact by highlighting it.

2.
Next, go to the Edit menu and click Categories. This displays the Categories dialog box.

3.
Click the Master Category List button that appears in the bottom right of the dialog box.

4.
To delete a category from the list, highlight it and then click the Delete button (see Figure 2-6). Note that Outlook does not prompt you to confirm whether you want to delete the category.

Figure 2-6. Deleting a category from the Master Category List.

5.
If you want to delete multiple categories, select all the desired categories first by holding down the Ctrl key while you select each one. (If you release the Ctrl button, the next category you select will deselect the others.) When you've selected the categories you want to delete, click the Delete button.

2.7. How Can I Reset the Master Category List?

With all the adding and deleting of categories that you will no doubt be engaging in after reading the FAQs 2.5 and 2.6, you might want to go back to the original list of predefined categories that Outlook supplied. Instead of memorizing those default categories, here's a simpler way to get back to that original set:

1. | Ensure that an Outlook item is selected. For example, select an e-mail or a contact by highlighting it.
2. | Next, go to the Edit menu and click Categories. This displays the Categories dialog box.
3. | From here, click the Master Category List button that appears in the bottom right of the dialog box.
4. | Click the Reset button.

2.8. How Do I Save the Master Category List?

The Master Category List is not stored in a file on your hard drive. Instead, it is stored in the Windows registry, which makes saving the Master Category List a little more complicated than if it were stored as a file. Here's how to save the Master Category List:

WARNING

Modifying the Windows registry can cause your system to become unstable. You should always back up your Windows registry before making any modifications.

1.
Close Outlook.

2.
From the Windows Start menu, click the Run option.

3.
Type regedit and click the Enter key.

4.
When the Windows registry editor loads, locate and expand the HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\OutlookCategories key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

5.
As Figure 2-7 illustrates, after you've expanded the Categories key, you will see its values on the right-side pane of the regedit application. Although it's not very readable, the MasterList value contains the binary representation of your categories. (Double-clicking the MasterList value brings up a dialog box that shows both the binary data and its ASCII, or plain-text, equivalent.)

Figure 2-7. The Categories key in the Windows registry.

[View full size image]

6.
Highlight the Categories key and, from the File menu, select Export. (Depending on your operating system, you might see a Registry menu option instead of File.)

7.
When the Export Registry File dialog box appears, specify the location and name of the file that will contain the categories.

8.
Click the Save button to export the file. Your categories will now be saved in a file with an extension of .reg.

After you have saved your Master Category List, you can use it as you would any file in terms of backing it up or e-mailing it to someone.

However, note that files with the .reg extension are considered especially dangerous because they modify the Windows registry. As a result, by default, Outlook blocks the receipt of any attachments with the .reg extension due to security concerns.

Therefore, if you plan to e-mail the list to someone and do not want the recipient to have to alter his or her Outlook to receive the file, you can do one of the following before sending the file:

  • Change the extension of the .reg file to something that Outlook won't block. For example, you could simply rename the file with a .txt extension. Obviously, you'll need to instruct the recipient to change the extension back to .reg to load the changes into the Windows registry (covered in FAQ 2.9).

  • Using your compression utility of choice, such as WinZip, compress the file and then send it. Outlook does not block compressed files.

2.9. How Do I Load a Saved Master Category List?

If you have received a saved Master Category List from someone else, or if you want to restore a list that you saved yourself, the process is less complicated than the process used for saving the list. Assuming that the file has the .reg extension, you simply need to double-click the file. This is because the .reg extension is registered to launch the Windows registry editor, which automatically attempts to import the file's contents.

When you double-click the file, you will see a prompt similar to that shown in Figure 2-8. If you want to continue, simply click the Yes button. However, note that the Windows registry editor will not merge the contents of the file with the information stored in the Windows registry for the branch that was exported; it will replace that information. Therefore, be careful that this is what you want before clicking the Yes button.

Figure 2-8. Loading a saved Master Category List from a .reg file causes a prompt such as this to appear.

2.10. Can I Share the Master Category List?

Unfortunately, you can't really "share" the list in terms of multiple people working from the same list. However, you can send your list to another person, who can then use the categories that you've created.

1. | First save the list (covered in FAQ 2.8).
2. | E-mail the list to the person that you want to share your list with.
3. | When the recipient receives the list, he or she needs to follow the instructions in FAQ 2.9.

As mentioned, the recipient really only has a copy of the list, so if either of you continues to make changes to the list, you will need to manually synchronize your respective lists using the steps outlined in this FAQ.


Categories and Items

2.11. How Do I Assign a Category to an Item When I Am Creating It?

You can assign a category to an item in two situations: when you are creating the item (which we cover here) or after the item has already been created (explained in FAQ 2.12).

Assigning a category to an item when you are creating the item is the same for all Outlook items that support categories, except for e-mails and notes, which both work slightly different. Therefore, here's a list of steps to perform the category association (we've noted when the type of items causes a slight change in procedure):

1.
Create the item and fill in the necessary information specific to that item.

2.
The forms for new tasks, task requests, journal entries, appointments, contacts, distribution lists, and meeting requests all have a button near the bottom labeled Categories. For these types, click the Categories button and then proceed to Step 5.

3.
When creating a new note, the text of that note is entered into a form that doesn't have a Categories button (or any other button). Therefore, to associate a category with a note, you need to click the system menu (in the upper-left corner) of the new note window and then select the Categories option from the menu that is displays. When you've done that, proceed to Step 5.

4.
The New E-mail form doesn't contain a Categories button, either. Therefore, you need to set the categories for your new e-mail via the Message Options dialog box. Note that if you're using Word as your e-mail editor, you will see an Options option on the Tools menu. However, you need to select the Options button from the e-mail form toolbar to display the correct Message Options dialog box. When you've done that, you'll see a button at the bottom of the dialog box labeled Categories.

You can either click that button and select your categories from a list or type them into the text control next to that button, making sure to separate each category with a comma.

At this point, you will see the Categories dialog box (shown in Figure 2-9).

Figure 2-9. The Categories dialog box.

5.
To assign categories to the item you are creating, simply check the boxes next to the desired categories. If you want to create a new category, enter the name of the category in the Item(s) belong to these categories field and click Add to List. The item is added to the Master Category List, displayed on the dialog box, and checked.

6.
When you are satisfied with the categories you have selected, click the OK button.

2.12. How Do I Assign a Category to an Existing Item?

FAQ 2.11 covers how to assign categories to new items, which account for a lot of the Outlook items that you have. Nevertheless, sometimes you need to assign a category to an existing item. Perhaps you want to assign a category to an e-mail you just received, or you want to assign additional categories to an item that you have assigned categories to in the past. Here's how to accomplish that:

1. | Highlight the item or items to which you want to assign one or more categories.
2. | From the Edit menu, select Categories. This displays the Categories dialog box (shown in Figure 2-9). From here, you can assign a category or multiple categories to the item by placing a check in the check boxes next to the desired categories.
3. | When you are satisfied with the selected categories, click the OK button.

2.13. Can I Assign Multiple Categories to an Item?

Absolutely. To assign multiple categories to an item, simply follow the instructions in FAQs 2.11 and 2.12. Both of these FAQs explain how to assign multiple categories to an item, either when you are first creating the item or when you want to assign the categories to an existing item.

2.14. How Do I Remove a Category Assignment from an Item?

To remove a category assignment from an item, follow these steps:

1. | Highlight the item(s) from which you to want to remove the category assignment.
2. | From the Edit menu, select Categories. This displays the Categories dialog box. From here, you can remove an assigned category or multiple categories from the item by removing the check from the check box beside the categories.
3. | When you are finished removing the categories, click the OK button.

2.15. Can I Assign a Category That Is Not on the Master Category List to an Item?

Sometimes you might want to add an item to a category but not have that category appear on the Master Category List. You might need a category that is used only once or twice and, hence, does not warrant a position in the Master Category List. Or perhaps you are forwarding the item to someone else who has requested that you assign a particular category to the item so that the item will appear in the correct category when he or she receives it.

1.
Whether you are assigning the category to a new item (covered in FAQ 2.11) or an existing item (covered in FAQ 2.12), you will eventually end up at the Categories dialog box (see Figure 2-10).

Figure 2-10. You can easily enter categories that do not appear in the Master Category List.

2.
To assign a category that is not in the Master Category List, type the name of the category that you want into the Item(s) belong to these categories field.

3.
You can add more that one category by separating the categories with a comma. For example, the following entry would assign three categories to the item:

Skiing Pictures, Photography, Holiday Pictures

2.16. Can I Assign a Category to Multiple Items at the Same Time?

Definitely. Simply highlight the items to which you want to assign the category by holding down the Ctrl key and clicking on the items. When you have selected all the items, follow the instructions given in FAQ 2.12. This has the same effect as if you had individually set each item's categories.

In FAQ 2.3, we recommended using categories instead of folders to group your Outlook items. Therefore, if you're moving from a folder-based means of organizing your items to categories, this tip can help you: You can select all the items in a given folder by pressing Ctrl A and then assigning the desired categories as explained.

2.17. When I Send an Item As an Attachment, Is the Category Information Sent with It?

Put simply, yes. If you forward an item as an attachment when the person at the receiving end saves that item, it will still contain the category's assignment information that you assigned to it. This is a useful feature because it enables you to ensure that the recipients of the time are using the same categories.

2.18. How Do I Group Items Based on Categories?

Figure 2-11 shows items grouped by category (each category has been collapsed so you can see the different category groupings). This capability to group items by category can greatly reduce the amount of time it takes you to locate your items and provides a much more organized view of your Outlook items.

1.
From the View menu, select Arrange By and then Custom to display the Customize View dialog box.

2.
Click the Group By button to display the Group By dialog box (Figure 2-12).

Figure 2-12. Grouping items based on their categories.

3.
Make sure that the option labeled Automatically group according to arrangement is unchecked. Otherwise, you will not be able to specify your group criteria because it will be done automatically.

4.
From the Group items by drop-down list, select the Categories option.

5.
If you want the Categories value to also display in the list, check the option labeled Show field in view. Note that the category value always displays above each grouping, so you might not need it to also appear on each items line in the list.

6.
Specify whether you want the sort order to be ascending or descending by clicking the respective option button.

7.
Click the OK button to dismiss the Group By dialog box.

8.
Click the OK button to dismiss the Customize View dialog box.

Figure 2-11. E-mails grouped by category.

[View full size image]

When you return to Outlook, your items will be brought back to the area of Outlook that you were in before. Your items will then be arranged in groups similar to the way items are grouped in Figure 2-11.

2.19. How Do I Filter Items to Show Only Those from a Particular Category?

Filtering enables you to configure a view to show only what items you want to show. If you want to show only particular categories and hide the rest, the easiest way to do this is to use a filter. For example, you might want to show only categories that are related to the current task or client that you're working on. Being able to switch filters enables you to see only the items that are relevant to your current work:

1.
From the View menu, select Arrange By and then Custom to display the Customize View dialog box.

2.
Click the Filter button to display the Filter dialog box (see Figure 2-13).

Figure 2-13. Creating a filter based upon the categories assigned to items.

3.
Click the More Choices tab.

4.
Click the Categories button, which displays the Categories dialog box, containing a list of the categories defined for your Outlook installation.

5.
Select the categories that will be used to filter your item list.

6.
Click the OK button to dismiss the Categories dialog box.

7.
Click the OK button to dismiss the Filter dialog box.

8.
Click the OK button to dismiss the Customize View dialog box.

When you return to Outlook, the items list will include only the items that correspond to your filter criteria.

NOTE

If you group items by category after you have put a filter in place to show only items in certain categories, you might notice that additional categories appear. This is caused by items that have been assigned more than one category. For example, if an item has been assigned a Travel and a Holiday category and you have filtered to show only items in the Travel category, the item w ill still appear. If you then group items by category (covered in FAQ 2.18), both the Travel and Holiday categories will appear because the item has been assigned both categories.

2.20. What Happens to the Items Assigned to a Deleted Category?

If you remove a category from the Master Category List, items that had been assigned to that category will still be assigned to that category. Removing a category from the Master Category List affects only the list; it does not force any change to the category assignment on each item. The category that is assigned to the item effectively behaves like a category that was assigned to the item that was not on the Master Category List (covered in FAQ 2.15).


Chapter 3. ADDRESS BOOK, CONTACTS, AND DISTRIBUTION LISTS

    Address Book

    Contacts

    Distribution Lists

    E-mail Address AutoComplete


Address Book

3.1. What Is the Address Book?

The Address Book in Outlook is actually a collection of address books of different types and formats. These address book types are covered in FAQ 3.3. Regardless of the exact address book type, all address books enable you to save contact information for your business acquaintances, friends, colleagues and so on. For example, you can store information such as the following and much more:

  • Full name

  • Display name (such as a nickname)

  • Addresses

  • Phone numbers

  • Fax numbers

  • E-mail addresses

  • General notes

When you are composing an e-mail and enter a name in the To, Cc (carbon copy), or Bcc (blind carbon copy) fields, Outlook automatically searches the Address Book for the entered name and inserts the e-mail address associated with the located information. If the name matches the name of a distribution list (see FAQ 3.35), the e-mail will be sent to all the addresses of the people in that particular distribution list.

As mentioned, the Address Book in Outlook is actually a collection of different types of address books. Outlook enables you to add and remove address books of different types to this collection. How to perform these tasks is covered in FAQs 3.5 and 3.6.

3.2. How Do I Display the Address Book?

There isn't much point in having the Address Book in Outlook without actually knowing how to display it. As with most items in Outlook, you can open the Address Book in a number of ways. Some of them are listed here:

  • From the Tools menu, select Address Book.

  • Use the Ctrl Shift B keyboard combination.

  • When writing an e-mail, just click the To, Cc, or Bcc buttons.

The first two methods display the Address Book as shown in Figure 3-1. This view of the Address Book is the primary view to use when you want to modify the contents of the Address Book.

Figure 3-1. The Address Book in Outlook.

[View full size image]

However, clicking the To, Cc, or Bcc buttons when writing an e-mail displays the Address Book as shown in Figure 3-2. As you can see, this view is slightly different: It is designed to make it easy to add addresses while you are composing e-mails, to make creating a new contact and e-mailing that person more efficient.

Figure 3-2. The Address Book in Outlook as displayed when you click To, Cc, or Bcc when writing an e-mail.

[View full size image]

3.3. What Different Types of Address Books Can the Address Book Store?

As explained in FAQ 3.1, the Address Book is actually a collection of address books rather than a single list of addresses. This is so that Outlook can support multiple address book types and formats, and enable you access to them via a single point.

To further explain what we mean, Outlook currently supports the following four types of address books that individually can have different formats and can be stored in different places. However, all these address books can be access via the Outlook Address Book so that you don't have to manually search through each of the four for the desired contact information.

  • Outlook Address Book Confusingly, the collection of address books is called the Address Book and one of the types is called the Outlook Address Book. However, that's how Microsoft chose to name these entities, so we're basically stuck with it. The important thing to know here is that the Outlook Address Book is made up of the Contacts folders that you see in the Navigation Pane. Therefore, you will sometimes hear the terms Outlook Address Book and Contacts used interchangeably. However, they are quite different because you can have only one Outlook Address Book, but within it you can define multiple Contacts folders.

  • Global Address List A Global Address List is present only if you are using a Microsoft Exchange Server e-mail account. This address book normally contains the details for all the people who have e-mail accounts on the Microsoft Exchange Server to which you are connected. The Global Address List can also contain Global Distribution Lists that the Microsoft Exchange Server administrator has set up.

  • Personal Address Book The Personal Address Book was the predecessor to the Contacts folder and works in a similar fashion. However, the Personal Address Book uses older internal technology, doesn't support Unicode, and is present only in current versions of Outlook for backward compatibility for users who started using it with past versions of Outlook and have not moved their contact information to the Contacts folder. Because of these factors, we strongly recommend using the standard Outlook Address Book (Contacts folder) instead of the Personal Address Book mechanism for storing contact information.

  • LDAP The Lightweight Directory Access Protocol is an Internet protocol that can be used to find e-mail addresses in LDAP servers based on the Internet or on your local network.

NOTE

Outlook uses two nearly identical terms to mean two different things. As this FAQ explains, the term Address Book really refers to a collection of address books of different types (Contacts, Global Address Book, Personal Address Book, and LDAP). However, Outlook also refers to the contacts address book that you can view in the Contacts folder as the Outlook Address Book. Where possible, we try to distinguish between the two, but keep this poor naming practice in mind when reading about this topic in this book or in the Outlook online help.

The Address Book can contain any address book of the types just listed. However, you can view only one address book at a time. FAQs 3.7 and 3.8 explain how to change which address book is currently being displayed when you are viewing the Address Book.

3.4. How Do I Create an Outlook Address Book?

Before showing the steps to creating an Outlook Address Book, it's important to know a few things about the Outlook Address Book:

  • The Outlook Address Book contains the Contacts folders that you see in the Navigation Pane.

  • The Outlook Address Book is maintained internally, as opposed to Personal Address Books, which are stored in their own distinct files.

  • Each Outlook profile can have only one Outlook Address Book.

This is how you create a new Outlook Address Book for the current Outlook profile.

1. | From the Tools menu, select E-mail Accounts to display the Email Accounts dialog box.
2. | Select the Add a new directory or address book option and click the Next button.
3. | Select the Additional Address Books option and click the Next button. You will see a dialog box containing a list of address book types you can create: Outlook Address Book or Personal Address Book. As mentioned in FAQ 3.3, the Outlook Address Book type holds your Contacts folders and can be defined only once per profile.
4. | If you want to create an Outlook Address Book, click that option and then click the Next button. Outlook creates the new address book and stores it in your Outlook profile. (You will receive an error message if you already have an Outlook Address Book defined for your profile.)
5. | To start using your new address book, you must close Outlook and then reopen it.

3.5. How Do I Add a New LDAP Address Book?

To add a new LDAP-based address book, simply follow these instructions:

1.
From the Tools menu, select E-mail Accounts to display the E-mail Accounts dialog box.

2.
Select the Add a new directory or address book option and click the Next button.

3.
Select the Internet Directory Service (LDAP) option and click the Next button. You are presented with a screen similar to the one in Figure 3-3.

Figure 3-3. Adding an LDAP-based address book.

[View full size image]

4.
In the Server Name field, enter the name of the LDAP server.

5.
Using the Username and Password fields, enter the necessary authentication information if your LDAP server requires security credentials.

6.
Click the More Settings button to bring up the Microsoft LDAP Directory dialog box, where you can change the display name and connection details (such as the Port Number).

7.
After you have configured the details of your LDAP server, simply click the Next button to add the LDAP address book.

8.
To start using your new address book, close Outlook and then reopen it.

3.6. Can I Remove Address Books?

Sometimes you want to just clear out an address book. Instead of manually removing each entry, it might be quicker to remove that address book from the Address Book and then add a new one.

1. | From the Tools menu, select E-mail Accounts, to display the E-mail Accounts dialog box.
2. | Select the View or change existing directories or address books option and click the Next button.
3. | Highlight the address book that you want to remove and then click the Remove button.
4. | Outlook displays a prompt asking you to confirm that you want to remove the address book. Click the Yes button. The address book is removed.

3.7. How Do I Change the Default Address Book?

This is probably the most requested task we get regarding Outlook and addresses. This option controls which address book you see when you open the Address Book (via clicking Ctrl Shift B) and when you click the To, Cc, or Bcc buttons when composing e-mails.

If you are using a nonMicrosoft Exchange e-mail account, by default, Outlook displays the Outlook Address Book. If you are using a Microsoft Exchange Server e-mail account, the Global Address List is displayed by default.

However, you can change this default by doing the following:

1.
From the Tools menu, select Address Book (or click Ctrl Shift B) to open the Address Book dialog box.

2.
From the Tools menu, select Options to display the Addressing dialog box.

3.
From the drop-down list labeled Show this address list first (see Figure 3-4), select the desired address book.

Figure 3-4. Setting the address book that is displayed by default.

4.
Click the OK button.

5.
Close the Address Book dialog box.

3.8. How Do I Change Which Address Book Is Being Displayed in the Address Book?

When you view the Address Book, you will see only the entries defined in the default address. In FAQ 3.7, we explained how to change this default behavior to display the address book you use most often. However, sometimes you simply want to see the entries in your various address books without changing the default address, such as if you're using a Microsoft Exchange account and you want to quickly view entries from either the Global Address List or the Outlook Address List. Here's how to do that:

1. | From the Tools menu, select Address Book (or click Ctrl Shift B) to open the Address Book dialog box.
2. | You should see two controls on the dialog box just above your address book entries: a text control for entering the entry to look for and a drop-down list of address books defined for your Outlook installation. From the drop-down list (labeled Show Names from the), select the address list that you want to view. As soon as you select a different address book, its entries will be displayed.

3.9. Why Are My Contacts Not Appearing in the Address Book?

This is typically because someone inadvertently changed the setting that defines your contacts folder as being an e-mail address book. The option exists to specify that a contact is not an e-mail address book for a simple reason: You might want to keep a contact list, such a phone list, of people you never e-mail and, thus, don't want to appear when you are viewing the Address Book. Here's how to ensure that your Contacts folder appears in the Address Book (and, conversely, how to omit its display in the Address Book dialog box):

1. | From the Navigation Pane, go to Contacts view. (You can also get there from the Go menu.)
2. | At the top of Contacts view, you should see a heading labeled My Contacts. Under that, you will see your Contacts folder(s). Right-click the desired Contacts folder and then select the Properties option from the context menu that appears.
3. | When the Contacts Properties dialog box is displayed, click the Outlook Address Book tab.
4. | You will now see a option labeled Show this folder as an e-mail address book. Make sure that it is checked to view the contacts defined in this folder in the Address Book dialog box. (Leaving it unchecked obviously omits its listing.)

NOTE

If the Show this folder as an e-mail address book option is not visible, that means that an Outlook Address Book has not been defined. To create an Outlook Address book, follow the instructions in FAQ 3.4.

3.10. How Do I Make an Address Book Available Offline?

If you are using a Microsoft Exchange Server e-mail account, you will have an address book available when you are working online. However, when you do not have a connection to the Microsoft Exchange Server, you are said to be working offline; unless you have downloaded your address book, you will not be able to view the entries that it stores.

To download your address book so that you view the entries even when you are working offline, just follow these instructions:

1.
Make sure you are not working offline at this moment. Outlook must connect to the Microsoft Exchange Server to download the contact information. From the File menu, you can toggle your offline status by clicking the Work Offline option.

2.
From the Tools menu, select Send/Receive and then Download Address Book. This displays the Offline Address Book dialog box (see Figure 3-5).

Figure 3-5. You can choose which address book to download and also select what level of detail about each entry you want to make available offline.

3.
To download all the details for each entry in the address book, ensure that the Full Details option is checked.

4.
If there are multiple address books on the Microsoft Exchange Server, you can choose which one you want to download by selecting it from the Choose address book drop-down list.

5.
When you are ready to download the address book, simply click OK.


Contacts

3.11. What Are Contacts?

The Address Book is a collection of address books of different types and formats. One of these types is called the Outlook Address Book. Only one Outlook Address Book is defined for each Outlook profile, and it contains all of your Contacts folders. Each of these Contacts folders is then a repository for storing information about the contacts (people and businesses) with whom you associate. Here is a list of some of the information elements that you can store about an individual as an Outlook contact:

  • Name

  • Job title

  • Company

  • Multiple e-mail addresses

  • Web page address

  • Instant message address

  • Multiple phone/fax numbers (up to 19)

  • Multiple addresses

  • Picture

  • Nickname

  • Spouse's name

  • Birthday

  • Title

  • Anniversary

  • Suffix

  • Profession

  • Digital certificates

As you can see from this list, which is actually only partially complete, you can store quite a large amount of information about an individual. Contacts are used throughout Outlook, such as when you want to compose an e-mail, assign a task, or arrange an appointment.

3.12. How Do I View My Contacts?

The quickest way to view your contacts is to click the Contacts button in the Outlook Navigation Pane. You can also get to the Contacts view by clicking the Go menu and then selecting Contacts. (The quick keyboard method is to click Ctrl 3.)

By default, Outlook displays a list of your Contacts folders at the top of the Navigation Pane on the left side of the screen under the heading My Contacts. Below the list of folders that appears under My Contacts, Outlook displays the Current View options, which enable you to quickly select from the seven predefined views for your contacts (see FAQ 3.13). To the right of the Navigation Pane, Outlook displays the list of contacts, based upon the view you have selected.

You also will see two link options on the Navigation Pane: Share My Contacts and Customize Current View. If you are using a Microsoft Exchange Server e-mail account, you will have an extra link option, Open Shared Contacts (see FAQs 3.33 and 3.34 for details on how to share contacts).

3.13. What Are the Different Views I Can Have of My Contacts?

Outlook provides seven predefined views of your contacts. Two of these views are specific to contacts and allow you to view your contacts in a similar manner to that of a Rolodex where a column to the right of the contact listing enables you to click a letter and quickly jump to the listing of contacts whose name start with that letter.

  • Address Cards This view displays each contact as a card. The contact's display name is the title of the card, and details about the contact, such as address and e-mail addresses, are displayed on the card itself.

  • Detailed Address Cards This view is similar to the Address Cards view, but it displays more of the contact's stored details on the address cards.

Both the Address Cards and Detailed Address Cards views are vertically split into multiple columns. The width of which can be modified by dragging the vertical line that separates two columns to the left or the right.

Aside from the Address Cards and Detailed Address Cards views, Outlook defines the following views:

  • Phone List This view displays the contacts in list form, with details such as name, company, and phone and fax numbers.

  • By Category This view displays the contacts grouped by the categories to which the contacts have been assigned.

  • By Company Outlook enables you to associate a contact with a company; this view displays the contacts grouped by company.

  • By Location In this view, the contacts are grouped based on the country or region that has been set for their address.

  • By Follow-Up Flag This view groups the contacts into two groups: those that have been assigned a follow-up flag and those that have not.

To select one of these views, click it in the Current View section on the Navigation Pane (see Figure 3-6). Alternatively, follow these steps to select your view or display the Current View options:

1. | From the View menu, select Arrange By.
2. | Under the Arrange By submenu, select the Current View menu item. From there, you can select the view you want.
3. | To display the Current View options in the Navigation Pane, click Show Views In Navigation Pane under the Arrange By submenu.

Figure 3-6. You can quickly and easily select one of the predefined views from the Current View options in the Navigation Pane.

[View full size image]

You can customize all the predefined views by clicking the Customize Current View link on the Navigation Pane or by selecting Arrange By from the View menu, going to Custom View, and then clicking Customize Current View on the submenu that appears. This enables you to specify things such as what fields should be visible in the view and any sorting or filtering criteria you want to specify.

3.14. How Do I Create a New Contact?

If you want to simply add a new contact, you can do so in a number of ways, depending upon which part of Outlook you are currently using:

  • If you are already viewing your contacts (covered in FAQ 3.12), you can quickly create a new contact by clicking the New button on the Outlook toolbar or by pressing Ctrl N. This displays the Contact form (see Figure 3-7).

    Figure 3-7. When you create a new contact you are presented with this dialog box.

    [View full size image]

  • Regardless of where you are in Outlook, you can create a new contact by going to the File menu and then selecting New. From the submenu that appears, select Contact to invoke the Contact form (see Figure 3-7).

When the Contact form appears, you can enter the details that you desire and save the new contact by selecting Save (or Save and Close) from the File menu.

If you receive an e-mail and you want to add the sender of the e-mail as a contact, follow the instructions in FAQ 3.15.

3.15. How Do I Create a Contact from an E-mail?

When you receive an e-mail from someone you want to add to your contacts, you certainly don't want to have to manually enter the information in the Contact form. Outlook enables you to perform this task with a couple mouse clicks:

1. | Open the e-mail from the person for whom you want to create a contact entry.
2. | Right-click the name or e-mail address that appears in the From or Cc fields.
3. | From the context menu that appears, click the Add to Outlook Contacts menu option. This displays the Contact form similar to the one shown in Figure 3-7; several of the fields will be filled in using the details from the e-mail.
4. | Save the new contact by clicking the Save and Close button on the dialog box's toolbar.

3.16. How Do I Delete a Contact?

Sometimes you want to delete a contact from the Outlook Address Book. You can do so as follows:

1. | Ensure that you are viewing your contacts (covered in FAQ 3.12).
2. | Highlight the contact that you want to delete. If you want to delete multiple contacts, hold down the Ctrl key while selecting the contacts that you want to delete.
3. | When you have highlighted the contact(s) that are to be removed, simply click the Delete button on your keyboard.

3.17. How Can I Recover a Deleted Contact?

When you delete a contact, Outlook does not prompt you to confirm the deletion. As a result, it is very easy to lose your contact information for someone due simply because you selected the wrong person before clicking the Delete key. Fortunately, it's as easy to undelete a contact as it was inadvertently delete it.

As with most Windows applications, Outlook supports an undo feature that enables you to undo the previous operation. Therefore, if you want to recover a contact that you just deleted, simply select the Edit menu and then select Undo Delete. (You can also perform an undo by pressing Ctrl Z.)

3.18. How Do I Add an E-mail Address to a Contact?

The majority of people in this day and age have more than one e-mail address, and it often makes sense to have a record of more than one of these addresses. To add e-mail addresses to an existing contact, just follow these simple steps:

1. | Open the contact to which you want to add the new e-mail address.
2. | Click the General tab.
3. | Click the drop-down arrow that appears to the left of the E-mail field and select one of the e-mail options that appears.
4. | Enter the e-mail address into the E-mail field. Outlook automatically generates a Display as value for you by simply using the Display as value from the first e-mail address and adding the new e-mail address in parentheses. For example, let's say that Brian Delahunty is in the Contacts folder and his Display as value for his email address is his name. If you add the e-mail address briandela@outlookhacks.com to Brian's contact record, the automatically generated Display as value for this new e-mail address will be Brian Delahunty ( briandela@outlookhacks.com ). (To understand what the Display as value is used for, refer to FAQ 3.19.)
5. | Click the Save and Close button on the dialog box's toolbar.

3.19. What Is the Contact's Display As Value Used For?

When creating (or updating) a contact, you can specify several values related to how the contact's information is displayed in different contexts. For example, the File as value is displayed when you view your Contacts folder. No matter how many e-mail addresses you have for a contact, that contact is listed only once in the Contacts folder, and the value there is the File as value.

However, sometimes Outlook displays a listing for each e-mail address for a contact. In this situation, you obviously need a value that is unique to that contact/e-mail address combination so that you can select the correct e-mail address. One example is the Select Names dialog box.

When you are composing an e-mail, you can click any of the addressee fields (To, Cc, or Bcc) to view the Select Names dialog box, from which you can select the recipients of the e-mail. If you have multiple e-mail addresses for a given contact, there will be an entry in the Select Names dialog box list for each e-mail address for that contact. The Display as value is displayed so that you can select the correct e-mail address for the intended recipient of the e-mail. As a result, we suggest using meaningful names for the Display as value, such as Brian Delahunty (work) and Brian Delahunty (home).

3.20. Can I Add Physical Addresses to a Contact?

Outlook enables you to add three different types of addresses for each contact:

  • Business address

  • Home address

  • Other

Here's how you can add the different addresses to a contact:

1.
Open the desired contact.

2.
On the General tab, locate the area called Addresses. In this area, you'll see a button labeled Business, Home, or Other. The data to the right of the button reflects the address for the address type stated on the button.

3.
To enter the address for the stated address type, you can type the information into the text box provided or click the button; the Check Address dialog box (Figure 3-8) opens, providing text boxes for the common address valuesstreet, city, state/province, and so on.

Figure 3-8. The Check Address dialog box enables you to enter the address details for a contact.

4.
To specify which address type you're entering, simply click the down arrow next to the address type button and select the desired address type from the menu that appears.

5.
You can designate which address is the mailing address by checking the option labeled This is the mailing address after you select the appropriate address type.

6.
To save your work, select Save from the File menu, or click the Save and Close button if you're finished working with the contact.

3.21. How Do I Add Phone and Fax Numbers to a Contact?

As with normal paper-based address books, Outlook also enables you to save phone and fax numbers for each of your contacts. We live in an age in which so many people have multiple phones (land lines, mobile phones, faxes, and so on), and Outlook provides you with the capability to enter up to 19 different phone numbers per contact. If your friend or business associate has more than 19 phone numbers, that person is probably too busy talking on the phone to answer your call anyway!

Here's how you can add phone or fax numbers:

1.
Open the desired contact.

2.
On the General tab, locate the area called Phone numbers.

3.
By default, you will see four buttons, labeled Business, Home, Business Fax, and Mobile. To enter a different phone number typesuch as a second business number, an assistant's number, or a callback numbersimply click the drop-down arrow to the left of the text box where you'd like the number to be displayed.

4.
From the menu that appears, select the phone number type. The button text changes to match the selected type.

5.
To enter the phone number, simply enter the phone number in the text box adjacent to the appropriate button. In addition, you can click the button with the phone number to display the Check Phone Number dialog box (see Figure 3-9), which contains text boxes that represent the different components of the phone number.

Figure 3-9. The Check Phone Number dialog box enables you to enter phone or fax number details.

6.
To save your work, select Save from the File menu, or click the Save and Close button if you're finished working with the contact.

3.22. Can I Have Outlook Dial the Phone?

You can call your contacts from the Outlook application if you've defined a valid phone number for your contact and if your computer has a modem that is connected to an analog telephone line. This capability enables you to quickly and easily call someone in your Contacts folder without having to manually search for and then dial the person's number.

Here's how to call one of your contacts from Outlook:

1.
From the Contact List (see FAQ 3.12), highlight the contact you want to call.

2.
Right-click the contact and select the Call Contact option from the context menu to display the New Call dialog box (see Figure 3-10).

Figure 3-10. Dialing a contact from within Outlook.

3.
From here, you can select which phone number you'd like to use or even type in a different number.

4.
If you want to create a new journal entry to track the amount of time you spend on the call, check the Create new Journal Entry when starting new call option. Refer to Chapter 7, "Journals," for more information on this feature.

5.
To have Outlook dial the number via your modem, click the Start Call button.

3.23. What Information Is Displayed on the Activities Tab?

Outlook provides you with the capability to associate certain items and events with each contact to better track your dealings with your business associates and colleagues. For example, you can assign a task to a contact or associate a particular journal entry with a contact. (Refer to Chapter 7, "Journals" and Chapter 8, "Tasks," for more information on these topics.) In addition, if you schedule an appointment or meeting with a particular contact, that event will automatically be associated to the contact and listed on the Activities tab of that contact. E-mails to and from a contact are also automatically associated with a contact and can be viewed via the Activities tab.

To display the activities associated with a particular contact, follow these steps:

1. | Open the desired contact.
2. | Click the Activities tab.
3. | By default, Outlook lists all activities associated with the current contact. To filter which activities are displayed, click the arrow next Show drop-down list and select the desired activity type.

3.24. When I View a Contact, I See a Tab Called CertificatesWhat Is It Used For?

The Certificates tab is used to store digital certificates for the contact. Outlook enables you to send encrypted e-mails using digital certificates that you have obtained from a Certificate Authority (refer to Chapter 15, "Privacy, Data Security, and Virus Protection").

When you receive an encrypted e-mail from one of your contacts, you need to decrypt it. If you save the contact's digital certificate key on the Certificates tab, Outlook will use that in decrypting the message. In addition, Outlook uses the contact's saved digital certificate key when attempting to encrypt and send a message to the contact.

3.25. Can I Attach Notes and Files to a Contact?

In some situations, you might want to attach a file to a contact or just store some additional notes about the contact. For example, let's say that you're possibly going to do business with someone for whom you've created an estimate. Wouldn't it be great to attach that estimate to the contact? That way, when he or she contacts you, you can very quickly open the estimate without having to search for it on your hard drive. Likewise, if you have questions for one of your contacts, you could place those questions in a file and add that file to the contact so that you're always ready for the contact when he or she calls you.

1. | Open the contact to which you want to add a note or attach a file.
2. | To add a note, type the desired text into the large text box located below the IM Address field.
3. | You can attach a file to a contact in a number of different ways. One way is to select the Insert menu and then select the File option. This displays a dialog box that enables you to browse for the file you want to attach to the contact. When you have located and selected the file, click Insert to attach the file to the contact.
4. | Another way of attaching a file to a contact is to drag a file from Windows Explorer and drop it onto the notes text box.

NOTE

When you attach a file to a contact, a copy of that file is made; Outlook does not link to the existing file. That means that any changes made after you attach the file will not be seen when you open the file that was attached to the client.

3.26. How Can I Add, Change, or Remove a Picture from a Contact?

In a world of e-mail and instant messaging, it's easy to forget that a real person is sitting on the other end of your Internet conversation. As a result, it's sometimes helpful to see a picture of the person you're communicating with, whether they are business associates or friends.

Adding a picture to a contact:

1. | Open the desired contact.
2. | From the Actions menu, select the Add Picture option to display the Add Contact Picture dialog box, where you can browse for and select the picture you want to associate with the contact.

Modifying a contact's picture:

1. | Open the desired contact.
2. | From the Actions menu, select Change Picture.
3. | When the Change Contact Picture dialog box appears, browse to the desired picture file and select it.

Removing a contact's picture:

1. | Open the desired contact.
2. | From the Actions menu, select the Remove Picture option.

Figure 3-11. A picture associated with a contact appears in the center of the contact's details.

[View full size image]

3.27. Can I Create Additional Contacts Folders?

Although Outlook provides a default folder for your contacts, some users prefer to create multiple Contacts folders to organize the information for their business associates, friends, and family. We recommend using categories instead of folders to organize your contacts, but separating your contacts into distinct folders provides two benefits:

First, you can more easily back up just the contacts you want when they're in different folders because the Outlook backup system is folder based. (See Chapter 16, "Data Archival, Backup, and Restore," for more information on this topic.) Second, data sharing between Outlook installations is done via folders. Therefore, if you want to share only a select subgroup of your contacts, the easiest method is to create a folder for the contacts you want to share and then, using Microsoft Exchange Server, share that particular folder. (Refer to FAQ 3.33 for instructions on sharing a Contacts folder.)

To add an additional Contacts folder, follow these steps:

1. | From the File menu, select New and then Folder. (Alternatively, you can click the arrow to the right of the New button on the Outlook toolbar.)
2. | When the Create New Folder dialog box appears, type in the desired name of your new Contacts folder. For example, you might name your folders something like Work Contacts or Family Contacts.
3. | Ensure that the Folder Contains combo box is set to Contact Items.
4. | Select the desired parent folder. As with most tasks, Outlook is context sensitive, in that the currently selected folder (usually the Contacts folder if you're in the Contacts view) is selected as the parent folder by default. However, you are free to change the parent folder to suit your needs. Note that no matter what folder represents the parent folder, all Contacts folders will be listed in the My Contacts section of the Navigation pane when you are viewing your contacts.

NOTE

If you need to rename or remove the Contacts folder, simply right-click the folder in the Navigation Pane and select the desired menu option.

Figure 3-12. Adding a new Contacts folder.

3.28. Can I Assign Tasks to a Contact?

Besides e-mail, Outlook is designed around the concept that people work with contacts and tasks. Therefore, Outlook makes it very easy to assign a task to a specific contact to better track what person is responsible for specific jobs.

1. | Highlight the contact to which you want to assign a task.
2. | From the Actions menu, select New Task for Contact.
3. | When the New Task dialog box appears click, fill in the task information (see Chapter 8, "Tasks," for more detail on this).
4. | Click the Assign Task button. This causes several changes to the New Task dialog box: A text box with a button labeled To appears above the Subject text box. The To value automatically is set to the contact's name. Two options appear, as discussed in the next two steps.
5. | Check or uncheck the option labeled Keep an updated copy of the task on my task list. Checking this option enables you to more easily keep track of the progress for the task.
6. | Check or uncheck the option labeled Send me a status report when the task is completed. Checking this option causes Outlook to send you an e-mail when the contact marks the task as completed.
7. | Click the Send button to send an e-mail notification to the contact that a new task has been assigned to him or her.

NOTE

When you click the Send button, you might get a message stating, "Since you are no longer the owner of this task, the task reminder has been turned off." If you get this message, it typically means that you set a due date before assigning the task. When you did that, Outlook created the reminder for you (because you had not yet assigned the task to the contact). When you clicked the Send button, Outlook then realized that you had a reminder for a task that won't be yours if the assignment is allowed to continue. Simply click the OK button to ignore this warning message and to assign the task to the contact.

3.29. How Do I Quickly Invite a Contact to a Meeting Request or Appointment?

Chapter 5, "Calendar, Appointments, and Meetings" covers the reverse process of creating a meeting request or appointment and then inviting desired attendees. However, sometimes it's more convenientsuch as when you're reading an e-mail or looking at a list of contactsto be able to select the contact(s) and then submit a request for attending the meeting/appointment.

While reading an e-mail:

When reading an e-mail, you might decide to create a meeting request with the person who sent the e-mail (or a person on the copy list). To do that, follow these steps:

1. | Right-click the person's name on the E-mail dialog box.
2. | From the context menu that is displayed, select the Schedule a Meeting menu option.
3. | You will see a dialog box for creating and scheduling a new meeting, in which you and the contact you selected are listed on the left side under the title All Attendees. To add more contacts to the meeting request, click the Add Others button below the All Attendees list and select the desired contacts.
4. | The right side of the dialog box displays a calendar control indicating the date and time of the meeting. A vertical bar illustrates the length of the meeting; the green side (left) represents the starting time and the red side (right) represents the meeting's stopping point. You can use your mouse to modify this time, or you can use the drop-down controls below the calendar to specify the starting and ending dates/times for the meeting.
5. | When you're done, click the Send button to have Outlook e-mail the meeting request to the contact.

From the Contacts view:

1. | Select the desired contact(s). (For more than one contact, hold the Ctrl key while selecting contacts with your mouse.)
2. | From the Actions menu, select either the New Meeting Request to Contact or New Appointment with Contact option.
3. | When the dialog box for either the new meeting or the appointment appears, fill in the necessary information, such as the subject, starting time and date, ending time and date, and location of the event. (Chapter 5 goes into more detail on each of these fields.)
4. | If you're creating a meeting request, click the Send button. If you're creating an appointment, click the Save and Close button.

3.30. Is It Possible to Get Directions to a Contact's Address?

Outlook has a little-known capability to communicate with the Microsoft mapping service (hosted on the MSN Web site) and actually lets you get directions to your contact's main address. To see a map of a given contact, follow these steps:

1. | Open the desired contact.
2. | Select the desired address.
3. | From the Actions menu, select Display Map of Address. Outlook connects to the Microsoft mapping service and passes it the currently displayed address information for the contact. This results in your browser automatically opening and displaying the results of the search.
4. | Many times, you will get a message on the browser that states something like, "Your search has returned a close match. If this is what you want, select it; otherwise, click Back and revise your entry." As you can tell from the message, it's meant for people who've used their browser to specify the search criteria. If you do get this message and you're happy with the address that's displayed, simply click the Get Map button on the Web page to display a map of the contact's address. If you're not happy with the address, close the browser (or tab if you're using a tabbed browser such as FireFox) and reattempt the search from Outlook by returning to Step 2 in these instructions.

What's really nice about this service is that when you are presented with the map, you can click links that will display items such as directions to and from the address, a city guide where the address is located, and even the weather for that area.

3.31. How Do I Back Up My Contacts?

For details on how to back up your contacts, as well as other Outlook items, refer to Chapter 16, "Data Archival, Backup, and Restore."

3.32. What Is a vCard and How Can I Use It?

Because there are many different types of e-mail clients (such as Outlook and Outlook Express) and address book software, a standardized means of sharing contact information is necessary. This was defined in what is known as the vCard standard. Put simply, vCard is an Internet file format used for sharing virtual business cards between different e-mail client and address-book software application. Outlook supports the vCard standard.

Here's how to create a vCard from a contact:

1. | Open the contact for which you want to create a vCard.
2. | From the File menu, select Export to vCard file.
3. | Outlook displays the VCARD File dialog box, where you can specify the location and name of the vCard file that will be created. When finished, click the Save button.
4. | After you've created the vCard, you can e-mail it to other people. From the Actions menu, select Forward as vCard.

The e-mail form appears, where you can specify the recipient of the contact's vCard. (The vCard will be sent as an attachment to the e-mail, which can be opened by any software supporting the vCard standard.)

3.33. How Do I Share My Contacts?

NOTE

To share contacts with others, you must be using the Microsoft Exchange Server, covered in Chapter 13, "Microsoft Exchange Server."

As mentioned in FAQ 3.27, many Outlook users choose to organize their contacts into different folders. One of the benefits of doing so is the capability to share specific contacts while keeping others private.

To share a given Contacts folder, perform the following steps:

1. | From the Go menu, select Contacts to view the Contacts view.
2. | In the Navigation Pane, you should see a section labeled My Contacts that contains your different Contacts folders. Right-click the folder you want to share to view its context menu.
3. | From the menu, click the Sharing option. This displays the Properties dialog box for that folder.
4. | At the top of the dialog box, you will see a list of users for whom you can specify permissions to your selected folder. If the desired user(s) are in that list, select them. Use the Default user option to specify permissions for people whom you have not explicitly set permissions for. We recommend that you explicitly set permissions for only the people who should have access to the folder and leave the Default permissions set to "none, to better protect the confidentiality of your contact information (especially in a business environment).
5. | If the desired user(s) are not in the list, click the Add button to select them from the Add Users dialog box. If the users do not appear on the Add Users dialog box, don't forget to select the proper address book from the Show names from the drop-down list. Typically, you'll want to select the Global Address List from that drop-down list.
6. | After you've selected the user(s) who should have access to the folder and have returned to the Properties dialog box, you can specify the exact permissions those users should have in terms of whether they can create items (contacts) and subfolders, just read items, and so on.
7. | When you're finished defining the permissions for the folder, click the OK button to save your changes and to let Microsoft Exchange Server know that the folder is now sharable.
8. | See FAQ 3.34 to learn what the users to whom you've given permissions need to do to view the folder's contacts.

3.34. How Can I View Someone Else's Shared Contacts?

NOTE

To view Contacts folders shared by others, you must be using a Microsoft Exchange Server account.

To view contacts that have been defined as shared by others, perform the following steps:

1. | In the Contacts view of the Navigation Pane, click the Open Shared Contacts link. (This link is just below the Current View option buttons.)
2. | The Open Shared Contacts dialog box appears, with a single field for entering the name of the folder that you want to access. The dialog box also contains a button labeled Name that enables you to search for the desired folder. Clicking this button produces the Select Name dialog box.
3. | If necessary, change the Show names from the combo box to display Public Folders and then select the desired folder.
4. | After you click the OK button, the selected shared folder will appear in your Navigation Pane under Other Contacts.

Figure 3-13. Contacts folders that others have shared are displayed in the Other Contacts section.

    Previous Page
    Next Page


Distribution Lists

3.35. What Is a Distribution List?

A distribution list is essentially a named collection of contacts. Distribution lists provide you with a way to quickly and easily send an e-mail to a group of people. For example, we have a distribution list called Outlook Book that contains the addresses of the various people who need to be advised on the status of this book's production. This includes the book's project manager, the authors (us), and various editors. Having a distribution list enables us to simply e-mail that list and know that everyone on it will receive the e-mail.

Another key point to keep in mind is that distribution lists can be used when addressing meeting requests and task assignments. You can even nest distribution lists within other distribution lists. As an example of that, we'll again use the production of this book. Using distribution lists, we created four lists: project management, copyeditors, technical editors, and marketing/salespeople. Using these base lists, we can create lists that include only the lists of people who need to be included in certain discussions.

3.36. How Do I Create a New Distribution List?

The mechanism for creating a distribution list is almost identical to that of creating a single contact:

1.
From the File menu, first click the New option and then select Distribution List. This displays the Distribution List dialog box (see Figure 3-14).

Figure 3-14. The new Distribution List dialog box.

[View full size image]

2.
Enter the desired name for the new distribution list in the Name field. The name can contain spaces and, therefore, be something meaningful, such as Outlook Book Project Management.

3.
Click the Select Members button to display the Address Book.

4.
Select the desired address book from the drop-down list labeled Show names from the.

5.
From the list of contacts, select the contacts you want to include in the distribution list. You can add multiple contacts by double-clicking each desired contact; that contact's e-mail address then is added to the Members text box at the bottom of the dialog box.

6.
When you've finished adding contacts to the distribution list, click the OK button to return to the Distribution List dialog box.

7.
Click the Save and Close button to create the new distribution list.

3.37. How Do I Add or Remove Names from a Distribution List?

Sometimes you want to add or remove members from a distribution list. Perhaps a new person has started in the accounting department, or maybe someone has left a company with which you do business.

Whatever the reason, adding or removing names from a distribution list is very easy:

Adding new members to a distribution list:

1.
Ensure that you are viewing your contacts (see FAQ 3.12).

2.
Open the distribution list that you want to modify.

3.
If you want to add a contact that is defined in an address book, click the Select Members button to display the Address Book dialog box. (If the desired contacts are not in an address book, skip to Step 6.)

4.
Select the contact entries that you want to add to the distribution list by double-clicking each one. This adds each member to the Members text box. (You can also hold down Ctrl while clicking each member and then click the Members button to add them en masse to the Members text box.)

5.
When you've finished selecting members, click the OK button.

6.
To add contacts that are not in an address book, click the Add New button. This displays the Add New Member dialog box (see Figure 3-15), where you can specify the name and e-mail address of the contact, as well as whether you want this person added to your contacts.

Figure 3-15. Adding a new member to a distribution list that does not exist in the Address Book or Contacts folder.

7.
When you are finished adding members to the distribution list, click the Save and Close button to return to Outlook.

Removing members from a distribution list:

1. | Ensure that you are viewing your contacts.
2. | Open the distribution list from which you want to remove members.
3. | Highlight the member you no longer want on the list and click the Remove button.
4. | Click the Save and Close button when finished to save your work and return to Outlook.

3.38. How Do I Send an E-mail to a Distribution List?

You address an e-mail to a distribution list just as you would a single contact.

1.
While in the New Message (e-mail) dialog box, click the To or Cc buttons to display the Select Names dialog box (see Figure 3-16).

Figure 3-16. Distribution lists are listed in bold and alongside a distinctive icon in the Select Names dialog box.

[View full size image]

2.
From the list of contacts and distribution list, select the desired distribution list(s) and click the To, Cc, or Bcc buttons, depending on whether the e-mail is being sent directly to the list or is being copied on an e-mail being sent to someone else.

Note that while on the New Message dialog box, you can type the first few letters of the distribution list name into the To or Cc text boxes and then click Ctrl K. If only one distribution list (or contact) matches what you've typed, that name automatically is inserted into the text box. Otherwise, the Check Names dialog box appears, filtered to include only contacts and distribution lists that begin with the letters you've typed. Select the desired contact or distribution list and click the OK button.

After you've specified a distribution list for the e-mail, you will note that the distribution list name will be displayed in bold with a plus sign to the left of the name (see Figure 3-17). As you can probably guess, you can click that plus sign to expand the list to view its individual members. However, if you do that, you will not be able to collapse the list again. About the only benefit for doing this is if you want to send an e-mail to many different membersbut not allof a given list. Therefore, instead of manually selecting each contact, you simply select a list that contains the desired addressees, expand the list, and then remove the members of that list who are not to receive the email.

Figure 3-17. Turning off the AutoComplete feature of Outlook.

3.39. Can I E-mail a Distribution List?

Two of us are authoring this book, and we live quite a ways apartTom in Atlanta, Georgia, and Brian in Irelandso being able to share a distribution list is obviously a feature that's nice to have; while working on this book, we need to communicate with the same people. Whatever your reason is for sharing your distribution lists, here's how that can be accomplished.

Here are two ways of e-mailing a distribution list; the first (drag and drop) is quicker, but the second offers additional control:

Drag and drop (faster):

1. | Start a new e-mail message.
2. | In Outlook, display the Contacts folder.
3. | Locate and drag the desired distribution list onto the new e-mail. Outlook attaches the distribution list to the e-mail in the form of a vCard. (See FAQ 3.32 for information on this topic.)
4. | Complete and send the e-mail as you would any other.

Inserting the distribution list into the e-mail (more options):

1. | Start a new e-mail message.
2. | From the Insert menu, click the Item option.
3. | In the top half of the Insert Item dialog box, you'll see the folders that are also displayed in the Outlook Navigation Pane. Locate and expand the Contacts folder and, if necessary, the subfolder under it that contains the distribution list you want to e-mail.
4. | After you've located the desired Contacts folder, the bottom half displays that folder's contacts and distribution lists. Select the desired distribution list.
5. | Below the OK and Cancel buttons, you'll note two option buttons that control how the item is attached to the e-mail. If you select the option labeled Text only, the e-mail of each member of the distribution list will be copied into the body of your e-mail. This is akin to manually typing in the e-mail addresses, with the obvious difference that this is easier and less error prone. Selecting the option labeled Attachment attaches the distribution list to the e-mail as a file attachment.
6. | Click the OK button when finished and then complete and send the e-mail as you would any other.

3.40. How Do I Import a Distribution List Someone Else Sent to Me?

As mentioned, sharing distribution lists can be a great timesaver when multiple people need to continuously e-mail the same groups of individuals. Assuming that the distribution list was e-mailed to you as an attachment, as explained in FAQ 3.39, here's how you would incorporate a received distribution list into your Outlook installation:

1. | Open the e-mail containing the distribution list.
2. | In Outlook, open the Contacts view from the Go menu.
3. | Drag the distribution list attachment from the e-mail message onto the desired Contacts folder. Outlook automatically creates the contact entries for you.


E-mail Address AutoComplete

3.41. What Is AutoComplete?

AutoComplete is a feature of Outlook that suggests names as you begin to type a contact's name or e-mail into various Outlook forms. When you type the first letter of a name or e-mail, Outlook automatically begins searching the AutoComplete list for entries that start with the same letters and then begins narrowing the entry you're typing, to save you time.

For example, if you have five contacts that begin with the letter A and you type the letter A, Outlook knows that you must be typing the name or e-mail address for one of those five contacts. Therefore, a list of those five contacts pops up as you're typing and Outlook then continues to filter that list as you type additional letters. When the list appears, you can use the down arrow key to select the desired contact and then click the Enter or Tab key to select that contact. This obviously enables you to much more quickly select the desired contact, and it is extremely helpful when you don't know the exact spelling of the contact's name.

3.42. How Do I Delete Items from the AutoComplete List?

Remember that you can configure Outlook to automatically add contacts to your address book when you receive an e-mail from them. However, if you rarely e-mail them, you probably don't want their name popping up all the time on the AutoComplete list. To remove a contact from the list, simply click the Delete key when the list appears while selecting the desired contacts.

3.43. Why Don't I See All My Address Book Entries on the AutoComplete List?

The AutoComplete list shows only entries for items that it has recordedthat is, the names you have sent e-mails to, regardless of whether it was a new, replied to, or forwarded e-mail. If you type in a name into a To, Cc, or Bcc field and AutoComplete fails to find it, you can view the contents of your Address Book by pressing Ctrl K on the keyboard. The Check Names dialog box appears and is filtered by the letters you've typed before displaying the dialog box. (The Check Names dialog box will not appear if you have not typed anything.)

3.44. How Do I Enable or Disable the AutoComplete Feature?

We personally believe that the AutoComplete feature is a great timesaver, but Outlook does provide the capability to either enable or disable this feature, according to your personal tastes.

1. | From the Tools menu, select Options to display the Options dialog box.
2. | Click the Preferences tab.
3. | Click the E-mail Options button.
4. | Click the Advanced E-mail Options button.
5. | Near the bottom of the Advanced E-mail Options dialog box, you will see an option labeled Suggest names while completing To, Cc, and Bcc fields (see Figure 3-17). Simply check or uncheck this control to specify your preference for using AutoComplete.


Chapter 4. E-MAIL AND ATTACHMENTS

    E-mail Accounts

    Receiving and Viewing E-mails

    Organizing Your E-mails

    Composing and Sending E-mails

    Working with Attachments


E-mail Accounts

4.1. How Do I Add a New POP3 or IMAP E-mail Account to Outlook?

Assuming a nonMicrosoft Exchange setup, the type of e-mail account that you'll create most regularly is a POP3 account. Here are instructions for creating both POP3 and IMAP e-mail account types:

1.
From the Tools menu, select E-mail Accounts to display the E-mail Accounts dialog box.

2.
In the E-mail section, select the Add new e-mail account option and click the Next button.

3.
Select the type of e-mail account that you want to add, either POP3 or IMAP, and click the Next button to display a dialog box similar to the one shown in Figure 4-1.

Figure 4-1. The E-mail Accounts dialog box.

[View full size image]

4.
When the Internet E-mail Settings dialog box is displayed, simply fill in the details for your particular e-mail account. If you need to configure detailed information such as login details for your outgoing mail server or port numbers for the mail accounts, you can do so by clicking on the More Settings button. This displays the Internet E-mail Settings dialog box.

5.
When you've finished configuring your e-mail account, click Next and then click Finish.

4.2. How Do I Add a New Microsoft Exchange Server E-mail Account to Outlook?

This can be a bit tricky your first time because although the E-mail Accounts dialog box accessed via the Tools menu has an option for creating a Microsoft Exchange Server, you cannot create an Exchange account while Outlook is running. However, as you'll see in the following directions, you can display this same dialog box outside of Outlook.

1. | Close the Outlook application.
2. | From the Windows Control Panel, run the Mail applet.
3. | Click the E-mail Accounts button to display the E-mail Accounts dialog box. (This is the same dialog box that you see from Outlook when creating POP3 and IMAP accounts.)
4. | In the E-mail section of the dialog box, select the Add new e-mail account option and then click the Next button.
5. | Select Microsoft Exchange Server from the list of available server types and click the Next button.
6. | Enter the details for your particular mail account. You can configure detailed settings for your account by clicking on the More Settings button.
7. | Finally, click the Next button and then the Finish button to create the account

4.3. How Do I Add my Hotmail or MSN E-mail Account to Outlook?

The majority of e-mail users have one of two types of accounts: Web-based e-mail accounts (such as Hotmail and MSN) that are accessible via a browser, or POP3 e-mail accounts in which an e-mail client (such as Outlook) is used to read and send e-mail.

Both types have their advantages and disadvantages, but the main benefits of Web-based e-mail has always been that these accounts are generally free and allow the user to access e-mail from almost any personal computer. However, most Internet service provider (ISP) companies and many places of employment give you POP3 e-mail accounts.

Until recently, most Web-based e-mail accounts couldn't be accessed from a nonbrowser e-mail client, and POP3 accounts couldn't be accessed via a browser. As a result, a major problem with having both types of accounts was keeping track of both from the same application. The following instructions walk you through being able to access types of Web-based e-mail accounts (Hotmail and MSN) from Outlook.

1. | From the Tools menu, select E-mail Accounts to display the E-mail Accounts dialog box.
2. | In the E-mail section, select the Add new e-mail account option and click the Next button.
3. | Select HTTP from the list of server types and click the Next button.
4. | Select HTTP Mail Service Provider from the drop-down list.
5. | Enter the remaining details for your mail account (such as username, password, and Web site URL), and click Next when done.
6. | Click the Finish button.

4.4. How Can I Change My E-mail Account Settings?

If you find that you made a mistake when setting up an account, or if the properties for the account (such as your password) have changed, it's fairly easy to modify your account settings.

1. | From the Tools menu, select the E-mail Accounts option.
2. | When the E-mail Accounts dialog box is displayed, click the View or change existing e-mail accounts button.
3. | Select the e-mail account you want to modify and then click the Change button.
4. | Depending on the exact type of account you're modifying, make the appropriate changes on the subsequently displayed dialog box.
5. | Click the Finish button to save your changes.

4.5. How Do I Remove an E-mail Account from Outlook?

Unfortunately, you can't simply remove an e-mail account from the Navigation Pane as you can other Outlook types. However, the E-mail Accounts dialog box provides you with this capability.

1. | From the Tools menu, select the E-mail Accounts option.
2. | When the E-mail Accounts dialog box is displayed, click the View or change existing e-mail accounts button.
3. | From the e-mail accounts list, select the account you want to delete and then click the Remove button.
4. | Respond to the confirmation message box by clicking the Yes button.
5. | Click the Finish button.


Receiving and Viewing E-mails

4.6. How Can I View My E-mail?

By default, Outlook displays the Outlook Today pane when started. From here you can display your e-mail by clicking the Inbox link, which takes you to your Inbox (see FAQ 4.17 to find out how to display different folders on the Outlook Today screen). In addition, you can always change to Mail view in your Navigation Pane by pressing Ctrl 1 or clicking the Outlook Go menu and then selecting the Mail option.

4.7. How Do I Specify Which Folder Is Displayed When Outlook Starts?

Most people prefer to have Outlook display the Inbox when the application is started. The following instructions enable you to specify which folderincluding the Inboxyou would like to be displayed when you start Outlook.

1.
From the Tools menu, select Options.

2.
Click the tab entitled Other.

3.
Click the Advanced Options button.

4.
Under General Settings, click the Browse button.

5.
When the Select Folder dialog box is displayed (see Figure 4-2), select the folder you want to be displayed when you start Outlook.

Figure 4-2. This pop-up window enables you to select the folder that will be opened by default when Outlook starts.

4.8. How Can I Automatically Receive New E-mail?

By default, Outlook checks for e-mail only when you explicitly select the send and receive option from the Tools menu. However, it's very easy to configure Outlook to automatically check for e-mail and at certain intervals:

1.
From the Tools menu, select Options.

2.
Click the Mail Setup tab.

3.
Click the Send/Receive button.

4.
At this point, you will see a list of e-mail account groups. Select the group you want to automatically receive new e-mails.

5.
Check the option labeled Include this group in send/receive. This causes Outlook to send and receive e-mail for the specified accounts whether Outlook is checking the e-mail automatically or you are manually telling Outlook to send and receive e-mail for the selected accounts.

6.
Check the option labeled Schedule an automatic send/receive every X minutes. This automates the send/receive process. Figure 4-3 shows an example of these settings.

Figure 4-3. Outlook enables you to specify the time interval between each send/receive.

4.9. How Do I Set Outlook to Download Only E-mail Headers?

Sometimes it is to your advantage to not download an entire e-mail from your mail server, such as when you have a slow Internet connection or you want to start looking through many e-mail messages for a particular one as soon as possible. Outlook offers the capability to download only the e-mail header, which includes the sender and the subject of the e-mail, and display these onscreen before downloading the message itself. This enables to you browse through your e-mails without actually having to download all the e-mails and their attachments in their entirety, which can often be a lengthy task.

To configure Outlook to download only the e-mail headers, do the following:

1.
From the Tools menu, select Options and go to the Mail Setup tab.

2.
Click the Send/Receive button to display the Send/Receive Groups dialog box. Then select the group you want to modify the settings for, and click the Edit button.

3.
From the Accounts section on the left side of the dialog box (see Figure 4-4), you can select the mail account that you want to modify the settings for.

Figure 4-4. The Send/Receive Settings dialog box enables you to modify settings for each individual mail account within the selected group.

[View full size image]

4.
Select a folder from the list of folders in the Folder Options section and then choose the option Download headers only.

It is possible to have different setting for each folder in an account, so, for example, you could set Outlook to download only headers in a folder that you know gets a large volume of e-mails.

4.10. How Can I Specify a Custom Message in a New Mail Alert?

You can configure Outlook to display a message of your choice when a new e-mail arrives. Here's how to do it:

1.
Select Rules and Alerts from the Tools menu.

2.
Click the New Rule button and, in the section Stay Up To Date, in Step 1, select Display mail from someone in the New Item Alert Window.

3.
In Step 2, click the underlined text people or distribution list and enter the addresses that you want this particular alert to appear for. Then click the OK button.

4.
Next, click the underlined text a specific message and enter the text you want to appear in the New Item Alert window; click the OK button.

Figure 4-5. The New Item Alerts window can be customized to display your own messages when new mail arrives.

5.
Click the Finish button to save the new rule.

4.11. What Options Do I Have for Dealing with Read Receipt Requests?

When you send an e-mail, you can request a receipt when the addressee receives your e-mail. If you're the recipient of such an e-mail, by default, Outlook displays a message box asking if you'd like to send that receipt. Outlook asks you before sending the receipt because some people find it intrusive that the sender knows exactly when you received the e-mail and feels like it puts them "on the clock" in terms of responding to the e-mail when the original goal of e-mail was asynchronous communications.

Therefore, Outlook enables you to customize exactly how these requests for a receipt are handled. Here's how to configure those options:

1. | From the Tools menu, select Options.
2. | When the Options dialog box is displayed, click the Preferences tab.
3. | Click the E-mail Options button.
4. | Click the Tracking Options button.
5. | When the Tracking Options dialog box appears, you'll see three options near the bottom where you can specify how to respond to requests for read receipts. These options include Always send a response, Never send a response, Ask me before sending a response. Select the desired setting and click the OK button to dismiss the Tracking Options dialog box.
6. | Click OK to close the E-mail Options dialog box.
7. | Click OK to close the Options dialog box.

4.12. How Do I Enable Send/Receive Logging?

Outlook enables you to log information about all the Send/Receive cycles that take place. This information can be useful if you encounter any trouble. To enable Send/Receive logging, follow these steps:

NOTE

Logging can slow your system, so you should turn on Send/Receive logging only for troubleshooting purposes.

1.
From the Tools menu, select Options.

2.
When the Options dialog box is displayed, click the tab labeled Other.

3.
Click the Advanced Options button.

4.
To enable send/receive logging, place a check in the option Enable logging (troubleshooting), as shown in Figure 4-6.

Figure 4-6. Enabling send/receive logging for troubleshooting purposes.

5.
Click the OK button to close the Advanced Options dialog box.

6.
Click the OK button to close the Options dialog box.

NOTE

After enabling logging on the dialog box, you must restart Outlook before logging will begin.

The log files are located in the temp directory of the current user, such as C:\Documents and Settings\<username>\Local Settings\Temp\outlook logging\. You can quickly browse to this folder by following these steps:

1. | Click the Windows Start button and select Run.
2. | In the Open text box, type %temp%\outlook logging and click the OK button. (Windows automatically converts the %temp% value to the folder defined as the temp folder where temporary files, such as log files, are stored.)
3. | When the Explorer window opens, you should see that a subfolder has been created for each e-mail account where the log files for that account are stored.

4.13. How Do I Personalize the New E-mail Notification Options?

If you have Outlook configured to automatically check for new e-mails at predefined intervals (covered in the preceding FAQ), you will probably want to be notified when a new e-mail has arrived. Outlook provides a number of options for notifying you when new e-mails arrive in your Inbox and to personalize these options follow these steps:

1.
From the Tools menu, select Options.

2.
When the Options dialog box is displayed, click the Preferences tab.

3.
Click the E-mail Options button.

4.
At the bottom of the Message Handling section, click the Advanced E-mail Options button.

5.
When the Advanced E-mail Options dialog box is displayed, you can personalize your e-mail notification options by changing the options in the section entitled When new items arrive in my Inbox. This includes the capability to specify the following (by checking or unchecking their respective options):

  • Play a sound

  • Briefly change the mouse cursor

  • Display an envelope icon in the notification area (the tray area of your Windows system, where the time is normally displayed)

  • Display a new-mail desktop alert

4.14. How Do I Change the New Mail Sound?

Depending on the new e-mail notification options that you have set, a sound file might be played when a new e-mail arrives.

1. | Close the Outlook application.
2. | From the Windows Control Panel, run the Sounds, Speech, and Audio Devices applet (the exact applet name depends on which version of Windows you're running).
3. | When the applet starts, select the Sounds tab.
4. | From the list of events, scroll down until you find the New Mail Notification sound.
5. | To change the default sound, click the Browse button and select the desired .wav audio file that you want to be played when a new mail arrives.

4.15. What Is a Desktop Alert?

The Desktop Alert is an alert window that pops up when a new e-mail arrives in the Outlook default Inbox. To enable or disable Desktop Alerts, see FAQ 4.13.

It is also possible to customize the period of time, to a maximum of 30 seconds, that the alert stays visible by following these instructions:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Preferences tab.

3.
Click the E-mail Options button.

4.
When the E-mail Options dialog box is displayed, click the Advanced E-mail Options button.

5.
Click the Desktop Alert Settings button.

6.
When the Desktop Alert Settings dialog box appears (see Figure 4-7), you'll see the various options that enable you to define both the duration and the transparency of the Desktop Alert.

Figure 4-7. Outlook enables you to customize the Desktop Alert settings.

7.
To test your changes, click the Preview button.

8.
When finished, click the OK button to close the Desktop Alert Settings dialog box.

9.
Click the OK button to close the Advanced E-mail Options dialog box.

10.
Click the OK button to close the Options dialog box.

4.16. How Can I Get the Desktop Alert to Display for More Than 30 Seconds?

Sometimes you might need the Desktop Alert to appear for more than the 30 seconds that can be configured in Outlook (covered in FAQ 4.15). To make the Desktop Alert appear for longer, you need to modify the Windows Registry. Here's how you can do this:

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1.
Close the Outlook application.

2.
Click the Windows Start button and select the Run option.

3.
Type regedit into the Open text box and click the OK button.

4.
When the Windows Registry editor loads, locate and expand the HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

5.
Click DesktopAlerts, as shown in Figure 4-8.

Figure 4-8. The DesktopAlerts key highlighted in the Windows Registry.

[View full size image]

6.
On the right side of the application, you will see the values for the DesktopAlerts key. If there is a TimeOn value, skip ahead to step 10. If the TimeOn value does not exist, you will need to create it. To do this, continue to the next step.

7.
Right-click the DesktopAlerts key to display its context menu.

8.
From the context menu, select the New option and then the DWORD Value option.

9.
A new value is created on the right with default text. Replace that text with the value TimeOn and then press the Enter key.

10.
Double-click the TimeOn value to display the Edit DWORD Value dialog box.

11.
Select the Decimal option.

12.
Specify the desired value in the text box below the label Value data. The value you specify will be in terms of milliseconds (1 second = 1,000 milliseconds) and added to the minimum Outlook value of 3,000 milliseconds. Therefore, if you want the Desktop Alert to display for 1 minute (60 seconds), you need to factor in that Outlook will add 3 seconds to your value. Therefore, you need to enter the number of milliseconds for 57 seconds, which would be a value of 57000.

13.
After you've entered the desired value, click the OK button and then close the regedit application.

4.17. How Can I Change the Outlook Today Message Folders?

Outlook Today, displayed by default when you open Outlook, provides a preview of your day by listing links to various appointments, meetings, and tasks that you have scheduled for today. (FAQ 4.7 explains how to specify which folder to display upon Outlook startup.)

To change or add to this list of folders, click the Customize Outlook Today button at the top of the Outlook Today page and click the Choose Folder button page that appears. The Select Folder dialog box appears; you can now choose what folders you want to appear on the Outlook Today page. When you have finished making changes, simply click the Save Changes button to store your new settings.

4.18. How Can I Change the Mail Count Display?

Outlook can display the number of unread e-mails or the total number of e-mails in a folder alongside the folder name. To choose which number you want to be displayed, right-click the folder and select Properties. From the folder's Properties dialog box, you can choose one of the following options:

  • Show number of unread items

  • Show total number of items

4.19. How Can I See a Preview of My E-mail Before Opening It?

Sometimes you just need to have a quick preview of an e-mail before deciding whether to open it. Outlook provides a feature called AutoPreview that shows the first few lines of your e-mails. To enable the AutoPreview feature for a particular e-mail folder, such as your Inbox, select that folder and then click the View menu and select AutoPreview. To disable the AutoPreview feature later, perform the same operation again. Figure 4-9 shows an example of what Auto-Preview looks like.

Figure 4-9. Outlook enables you to view a short preview of an e-mail before opening it.

[View full size image]

4.20. How Do I See the Entire E-mail Without Having to Manually Open It?

A lot of people find it frustrating to have to manually open every e-mail that they want to view. Luckily, Outlook provides a feature called the Reading Pane that enables you to see the entire contents of an e-mail just by selecting it. Here is how you can enable the Reading Pane for a particular folder:

1.
Select the folder (such as the Inbox) for which you want to enable the Reading Pane.

2.
From the View menu, select Reading Pane.

3.
From the Reading Pane submenu (see Figure 4-10), select where you want the Reading Pane to appear (to the right or below the folder's items); you also can select the Off option to close the Reading Pane.

Figure 4-10. The Outlook Reading Pane can be enabled or disabled from the Reading Pane submenu under View.

4.21. How Can I Control How the Reading Pane Marks My E-mails as Read?

When you open an e-mail, it automatically is marked as read. However, if you are using the Reading Pane to view messages instead of opening them, you have a number of possible options for marking e-mails as being read.

Follow these steps to modify or change these settings:

1.
From the Tools menu, select Options.

2.
When the Options dialog box is displayed, click the tab labeled Other.

3.
Click the Reading Pane button.

4.
When the Reading Pane dialog box is displayed (see Figure 4-11), select from the options explained in the following list.

Figure 4-11. The Reading Pane options for marking items as read.

  • If the Mark items as read when viewed in the Reading Pane option is not checked, an e-mail will not be marked as having been read just by viewing it.

  • To set the e-mails to be automatically marked as read when they have been selected, check the Mark items as read when viewed in the Reading Pane option and set the Wait X seconds before marking item as read to 0.

  • To delay the e-mails from being marked as having been read, enter the delay, in seconds, in the Wait X seconds before marking item as read option and ensure that the Mark items as read when viewed in the Reading Pane box is checked.

  • If the Mark items as reread when selection changes option is checked, an e-mail will be marked as read when the selected item changes.

The Ctrl Q combination can also be used to mark the currently selected item as having been read.

From this dialog box, it is also possible to enable or disable single key reading by selecting or unselecting the Single key reading using space bar option.

4.22. Can I Set Outlook to Display All Received E-mails in Plain Text?

Some people prefer to read all their e-mails in plain text because it can increase the speed of opening messages and also help reduce the risks involved with opening unsolicited e-mails. Outlook provides this feature. To set Outlook to automatically display all e-mails in plain text, follow these instructions:

1. | From the Tools menu, select Options.
2. | When the Options dialog box is displayed, click the Preferences tab.
3. | Click the Email Options button.
4. | To ensure that all e-mail is displayed in plain text, place a check in both the Read all standard email in plain text and Read all digitally signed mail in plain text options.

4.23. How Can I Stop Outlook from Splitting Single Lines into Multiple Lines?

By default, Outlook reverts to using the Multiline display for your e-mails if you resize your Outlook window so that the list of e-mails is less then 100 characters wide. Multiline view shows your e-mails with their From address and Subject on two separate lines. You can prevent this from happening by selecting Arrange By from the View menu and then selecting Current View. In the submenu that appears, click Customize Current View and select Other Settings. Remove the check from the Use multi-line layouts in widths smaller then X characters option.

Figure 4-12. Setting Outlook to always use the single-line layout.

4.24. How Do I Redirect E-mails to a Different Address?

It may often be the case that you receive an e-mail by accident that was intended for somebody else, or you might simply want to forward an e-mail to someone else who also needs to read the same information. Whatever the reason, you can quickly forward an e-mail as follows:

1. | Select the e-mail.
2. | Press Ctrl F.
3. | Enter the recipient's name in the To field and type a subject (by default, Outlook prefixes the original e-mail subject with the abbreviation FW: to indicate that the original e-mail was forwarded).
4. | Click the Send button.

4.25. How Can I Set Up Autoresponses When I Am Out of the Office?

If you are using a Microsoft Exchange Server e-mail account, you can configure your account to automatically send out-of-office e-mails by doing the following:

1.
From the Tools menu, select Out of Office Assistant.

2.
When the Out of Office Assistant dialog box appears, select I am currently Out of the Office (see Figure 4-13).

Figure 4-13. Enabling send/receive logging for troubleshooting purposes.

3.
In the first text box, enter the text that you want Outlook to automatically send to anyone who sends you an e-mail.

NOTE

Note that each person will see the out-of-office text that you specify only one time. This is so the same person doesn't continually get your out-of-office replies for every e-mail he or she sends you when the first reply has already established that. Therefore, you should include your return date in the text so that person knows when you'll be back in the office.

To send autoresponses when you do not have a Microsoft Exchange Server e-mail account, you can emulate the features provided by the Out of Office Assistant by following these steps:

1. | Create a new, plain-text Outlook mail message by going to the Actions menu, selecting New Mail Message Using, and then clicking Plain Text.
2. | Next, type the message that you want to be automatically sent in reply to each e-mail received while you are away.
3. | From the File menu, select Save As.
4. | When the Save As dialog box is displayed, specify the location and name of the file. Name the file something meaningful, such as Out of Office.
5. | Click the Save as type drop-down list (near the bottom of the dialog box) and select Outlook Template (*.oft).
6. | When finished, click the Save button.

At this point, you have created an e-mail to be used as your out-of-office reply message. Now you need to create a rule that will tell Outlook to reply to all incoming e-mails with this message/file.

1.
From the Tools menu, select Rules and Alerts.

2.
Select New Rule to display the Rules Wizard dialog box.

3.
Select the option labeled Start from a blank rule.

4.
From the first list of items, select the one labeled Check messages when they arrive and click the Next button.

5.
Select the conditions under which you want your out-of-office e-mail to be sent. For example, you might want your e-mail to be sent to only certain people who e-mail you. If you want an automated reply sent to all people who e-mail you, select either where my name is in the To or Cc box or where my name is in the To box. (Note that on some of the options, you need to specify values that determine whether the e-mail is one you want responded to.)

6.
Click the Next button.

7.
Select the item labeled Reply using a specified template (see Figure 4-14).

Figure 4-14. The Rules Wizard enables you to select a number of actions to perform when an incoming e-mail matches the specified criteria.

8.
In the bottom half of the dialog box, you'll see a link labeled a specified template. Click this link.

9.
When the Select a Reply Template dialog box appears, choose the template you created and click the Open button.

10.
Click the Next button.

11.
Specify any exceptions to your rule and click the Next button.

12.
Name the rule something meaningful, such as Out of Office Reply, and click the Finish button.

NOTE

Note that Outlook must be running to use this rule because the rule is predicated on messages reaching your Inbox. As mentioned, this rule sends only one reply to each sender. However, that's once per Outlook session. In other words, if you restart Outlook and a sender who previously received the automated reply sends another e-mail to you, that sender will receive the out-of-office reply again.


Organizing Your E-mails

4.26. How Can I Sort the E-mails in a Folder?

Occasionally you might find it necessary to sort the e-mails in a folder in an order other than that in which they were received. For example, you might want to arrange your e-mails based on their size. To arrange the e-mails by any number of criteria, go to the View menu and select Arrange By. From this submenu, you can choose which criteria you want to have the e-mails sorted by. You can also get display the Arrange By submenu by right-clicking any of the column headings, such as From or Subject, and then selecting Arrange By from the context menu that appears.

4.27. Can I Define Custom Ways of Sorting My E-mails?

Absolutely. From the View menu, select Arrange By and then Custom. On the resulting dialog box, select Sort and select the criteria by which you want your e-mails to be sorted.

4.28. How Do I Show E-mails in Groups?

Sometimes you want to have your e-mails shown in particular groups. For example, you might want to have them grouped depending on whether they have an attachment. To show e-mails in groups, simply select Arrange By from the View menu and then click Show in Groups. By default, the e-mails will be grouped by the same criteria that they are sorted by.

4.29. Can I Sort Items Within a Group?

Sometimes it might be necessary to group and sort items using different criteria. For example, you might want to group e-mails into those with attachments and those without; within each group, you might want to sort by size or by date.

1.
From the View menu, select Arrange By and then Custom to display the Custom View dialog box.

2.
Click the Group By button to customize the criteria by which e-mails are grouped.

3.
On the Group By dialog box (see Figure 4-15), uncheck the Automatically group according to arrangement option.

Figure 4-15. The Group By dialog box enables you to customize how items are grouped together and even allows nested grouping.

4.
Select the grouping criteria to use. It is possible to set a number of items by which to group items. This results in a nested grouping view. For example, you could group e-mails by attachment and then by the sender, which would result in a nested group such as the one shown in Figure 4-16.

Figure 4-16. The capability to use nested groups is a powerful feature that can greatly increase your ability to navigate through thousands of e-mails.

[View full size image]

5.
To sort items within the groups, you need to go back to the Custom View dialog box from Step 1 and select Sort.

6.
On the Sort dialog box, select the criteria by which the items within each group will be sorted.

Customizing the grouping and sorting criteria gives you a lot of power over how items are displayed. It is well worth experimenting with the options until you get a view that allows you to be as productive as possible.

4.30. How Can I Set a Follow Up Flag on an E-mail?

To set a Follow Up flag, just right-click an e-mail and select Follow Up from the context menu. From here you can then select the flag color. When an e-mail is highlighted, you can also access the Follow Up menu from the Actions menu.

4.31. Can I Quickly Flag an E-mail with a Default Follow Up Flag?

To quickly flag an e-mail with the default Follow Up flag, highlight it and press the Insert key on your keyboard. To change the default Follow Up flag, right-click an e-mail and select Follow Up and select Set Default Flag. From here, you can set the default Follow Up flag color.

4.32. How Can I Flag an E-mail as Complete?

To flag an e-mail as complete, right-click it and select Follow Up and then Flag Complete from the submenu. If you are using a POP3 or a Microsoft Exchange Server e-mail account and the e-mail already has a Follow Up flag, pressing the Insert key marks the e-mail as complete. (Pressing Insert twice marks an e-mail without an existing flag as complete.) You can also access the Follow Up submenu from the Actions menu when an e-mail is selected.

4.33. How Do I Quickly Assign a Category to an E-mail?

Categories are words or phrases that you define and associate with your Outlook itemssuch as e-mails, tasks, and meetingsto more easily group and filter those items. For example, you might create a category for a specific project or client. After creating that category, you would then assign it to the desired Outlook items pertaining to that project or client. You could then filter or group your views by category to more easily work with the items assigned to that category.

Because categories can be applied to many types of Outlook items, they are covered in more detail in Chapter 2, "Categories." However, the following steps illustrate how to associate one or more categories with your e-mails.

1. | Highlight the e-mail to which you want to assign the category.
2. | From the Edit menu, select Categories.
3. | When the Categories dialog box is displayed, specify the category (or categories) that you want to assign to the e-mail.
4. | Click the OK button when finished.

You can also assign a category to multiple e-mails by selecting the e-mails while holding down the Ctrl key and then following the instructions starting at Step 2. You can also group your e-mails by category (see FAQ 4.28 for details on how to arrange your e-mails into groups) and drag and drop the e-mail into the desired category.

4.34. How Do I Quickly Remove Category Assignments?

Select the e-mail or e-mails you want to remove from a category and right-click any highlighted e-mail to display a context menu. Select Categories on the context menu; when the Categories dialog box appears, simply remove the check from the option beside the category that you want to remove the e-mail from.


Composing and Sending E-mails

4.35. How Do I Make Word or Outlook My E-mail Editor?

If you have Microsoft Word installed, you can use it as your default e-mail editor. To enable or disable Word as your e-mail editor, select Options from the Tools menu. Select the Mail Format tab; in the Message Format section, you can choose whether to use Word as your e-mail editor, as shown in Figure 4-17.

Figure 4-17. Setting the default e-mail editor.

By default, Outlook is your e-mail editor if Microsoft Word is not installed on your system.

4.36. How Do I Forward Multiple E-mails?

You can select multiple e-mails by holding down the Ctrl key and clicking the e-mails you want to forward. When you have highlighted the e-mails, just click the Forward button, press Ctrl F on the keyboard, or select Forward from the Actions menu.

Next enter the subject and the recipient(s), as shown in Figure 4-18, and click Send to send the e-mail.

Figure 4-18. Forwarding multiple attachments.

[View full size image]

4.37. How Can I Bcc an E-mail to Someone?

Depending on whether you use Microsoft Word or Outlook as your e-mail editor (see FAQ 4.35), you can Bcc an e-mail to an address in a number of ways.

When using Word as your editor, the quickest way to Bcc an e-mail address is to click the drop-down arrow to the right of Options and then click Bcc, as shown in Figure 4-19.

Figure 4-19. Displaying the Bcc field when using Microsoft Word as your e-mail editor.

To display the Bcc field when using Outlook as your e-mail editor, just click Bcc Field from the view menu, as shown in Figure 4-20.

Figure 4-20. Displaying the Bcc field when using Outlook as your e-mail editor.

Now that you have enabled the Bcc field, sending an e-mail to someone and hiding one or more recipients is as easy as entering the address or the contact names into the Bcc field.

4.38. How Do I Reply to All the Recipients of an E-mail?

When the e-mail is highlighted in the e-mail pane, or if the e-mail is open, click the Reply All button. A new e-mail message is created where you can type your reply. When you click Send, the e-mail is sent to the sender of the e-mail and also to all the recipients of the original e-mail, except yourself.

4.39. Can I Set the Default Format for New E-mails?

To set Outlook to automatically default a new message to a particular format, select Options from the Tools menu and select the Mail Format tab. In the Message Format section of the tab is a drop-down list beside Compose in this message format. You can select HTML, Rich Text, or Plain Text from this list as the default format for new e-mails.

4.40. Where Can I Set Default Fonts for E-mails?

Outlook enables you to specify default fonts to use for different situations when dealing with e-mail. You can individually configure default font settings for three main circumstances:

  • Composing a new e-mail

  • Replying to or forwarding an e-mail

  • Composing or reading e-mails in plain text

For any of these situations, use the following instructions to specify your desired default font:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Mail Format tab.

3.
In the section labeled Stationary and Fonts, click the Fonts button.

4.
From the Fonts dialog box (see Figure 4-21), click the Choose Font button associated with the font you want to change.

Figure 4-21. The Fonts dialog box enables you to change the fonts used when composing or displaying e-mail.

5.
Click the OK button to close the Fonts dialog box.

6.
Click the OK button to close the Options dialog box.

4.41. How Can I Set Outlook to Automatically Spell-Check My E-mails When Sending?

Not only does Outlook allow you to spell-check your e-mail at any point by clicking the F7 button, but you can also configure Outlook to automatically spell-check all e-mail messages before sending them. This way, you don't have to worry that your important business proposal doesn't end up in the Deleted Items folder due to unprofessional misspellings and typos.

1.
From the Tools menu, select Options.

2.
When the Options dialog box is displayed, click the Spelling tab.

3.
To have Outlook automatically spell-check e-mails before they are sent, place a check in the Always check spelling before sending option (see Figure 4-22).

Figure 4-22. The Spelling tab enables you to change the default settings relating to the Spell Checking and AutoCorrect features of Outlook.

4.
Specify the other options, such as ignoring capitalized abbreviations and words with numbers, as desired.

5.
Click the OK button to close the Options dialog box.

You can also change other general options regarding spelling, such as the AutoCorrect feature which, if enabled, can automatically replace incorrect items with the correct spelling.

NOTE

The AutoCorrect feature can also be used to easily enter symbol such as © and ™ by entering the text © and ™, respectively.

4.42. How Do I Create a Signature for My E-mails?

Signatures are information usually placed at the end of an e-mail, to give your correspondence a more polished, professional look. This information typically includes things such as your name and contact and company information. With Outlook, you can create a single signature that is used for all your outgoing e-mail (see FAQ 4.44) or, if you've defined more than one e-mail account, you can associate a distinct signature with each e-mail account.

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, select the Mail Format tab.

3.
In the Signatures section near the bottom of the dialog box, click the Signatures button.

4.
When the Create Signature dialog box is displayed, click the New button.

5.
When the Create New Signature dialog box (see Figure 4-23) is displayed, enter a name for the signature. This is so you can create multiple signatures that are each used in different situations.

Figure 4-23. The Create New Signature Wizard enables you to quickly and easily create new signatures to add to your e-mails.

6.
Next, you need to select whether you want to create a new signature from scratch, use an existing signature as a template, or use an HTML file as a template.

If you want to create a completely new signature, just click the Next button.

To create a new signature based on an existing signature (see Figure 4-24), check the Use this signature as a template option, select the signature you want to use as the template, and click the Next button.

Figure 4-24. Outlook enables you to use existing signatures as templates for new signatures.

To use an HTML file as a template, check the Use this file as a template option and click the Browse button to select the template file. When you have selected the file, click the Select button and then click Next.

7.
You should now see the Edit Signature dialog box. This is where you can design the new or modified signature.

The Font and Paragraph buttons enable you to specify the signature's font settings and paragraph alignment, respectively.

If you don't like what you're creating and want to start over, click the Clear button to erase your entire signature.

The Advanced Edit button launches Microsoft Word for more advanced editing features. (If you click the Advanced Edit button, you will receive a warning message that you are about to launch a non-Outlook application. Click the Yes button to confirm that you want to continue.)

8.
You can also attach a vCard to your signatures so that everyone receiving an e-mail from you can also integrate your vCard information into their e-mail clients.

9.
When you are happy with the design of your signature, click the Finish button to return to the Create Signature dialog box, where you can preview your signature by highlighting it in the list of available signatures.

10.
Click the OK button to close the Create Signature dialog box.

11.
Click the OK button to close the Options dialog box.

Refer to FAQs 4.43 and 4.44, depending on whether you want to manually select a signature when sending e-mail or you want Outlook to do it for you.

4.43. How Do I Select a Signature for an E-mail?

Many people choose to manually select their signature for specific e-mails rather than have Outlook automatically append the signature to every e-mail. In addition, even if have selected to have Outlook automatically append a signature for an e-mail for a given e-mail account, if you're on the e-mail form and you change the e-mail account being used (assuming you've defined more than one e-mail account), Outlook will not modify the e-mail.

In either case, assuming that you're on the e-mail form, select the Insert menu, then Signatures, and finally the signature name (specified when the signature was created). The More option on the Signatures menu enables you to see a preview of the signatures before selecting one.

4.44. How Do I Automatically Append a Signature to an E-mail?

You can configure Outlook to automatically append a signature to new e-mails that you create. To do this, simply follow these steps:

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, click the Mail Format tab.
3. | In the Signatures section at the bottom of the tab, you will see a drop-down list labeled Select signatures for account. This list includes all your e-mail accounts because you can specify a signature for each e-mail account. Select the desired account at this time.
4. | From the drop-down list labeled Signature for new messages, you can specify which signature you want to use (assuming that you have created at least one signature) on new e-mails that you compose.
5. | From the drop-down list labeled Signature for replies and forwards, you can specify which signature you want to use (assuming that you have created at least one signature) on e-mails that you either reply to or forward. Many people choose to use their signature only on new e-mails, but there's no established rule of etiquette here.
6. | Click the OK button when finished.

NOTE

If you have multiple e-mail accounts defined and you change the e-mail account from which you are sending e-mail, Outlook will not automatically append the signature associated with the account you're telling outlook to use. This behavior is by design and is due to the fact that Outlook programmers didn't want to change your e-mail after you started it. In these cases, you'll need to manually select the signature as in FAQ 4.43.

4.45. What Is AutoComplete and How Do I Use It?

AutoComplete is a feature that instructs Outlook to automatically search for matching e-mail addresses and names as you type them into the address fields of the e-mail form. Refer to the E-mail Address AutoComplete section of the Address Book chapter for FAQs on this feature of Outlook.

4.46. How Can I Use Extended Characters in E-mails?

Even when writing English e-mails, sometimes you need to use extended characters. These include foreign letters, scientific notations, currency symbols, and even simple graphical shapes. The old-school trick to doing this was to type the ASCII value for the character using the numeric keypad on the keyboard (the numbers across the board won't work for this). However, because people have better things to do than memorize the ASCII table, here's a much easier way:

1. | From the Windows Start menu, select the Run option.
2. | When the Open dialog box appears, type in the value charmap and click OK button. This starts the Windows Character Map application.
3. | Simply select the character you want from the grid of characters and click the Select button to display the character and copy it to the Clipboard. If you want to select more than one character, just keep selecting clicking the Select button. Then when you're done, you can select all the characters displayed at the bottom of the dialog box and click the Copy button to copy them all to the Clipboard.
4. | When you're finished selecting and copying the needed characters, return to the e-mail form and paste them into your e-mail.

NOTE

If you're searching for a character in the Windows Character Map and you are unsure of its appearance or can't find it, you can search by name. First click the Advanced view option to expand the dialog box to include more options. Then type the name of the character, such as euro, into the Search for text box and press the Enter key. The dialog box displays only characters with the entered text as part of its description (or all characters, if no match is found).

4.47. How Can I Enter a Hyperlink Containing a Space into an E-mail?

When you enter text into an e-mail, Outlook recognizes certain values, such as Web and UNC addresses (such as a network resource), and automatically makes them hyperlinks. However, after you enter a space, Outlook stops creating the hyperlink because it has no way of knowing whether you've finished the address and are now typing another word or whether the address contains spaces. Therefore, to manually specify that a group of words containing spaces is an address and should be represented by a hyperlink, simply surround the text with the left and right angle brackets. That is to say, prefix the address with the < character and terminate it with the > character. Here's an example of using the angle brackets to discern a Web address: <http://www.example of an address with spaces.htm>.

Note that you can enter the angle brackets as you type the address or afterward. In either case, Outlook makes the address a hyperlink. In fact, Outlook makes any text surrounded by angle brackets a hyperlink.

A second way of entering an address with spaces that should be treated as a hyperlink is to insert the value %20 (the hex value for a space) for each space. Using this technique, the previous example address would be entered as follows: http://www.example%20of%20an%20address%20with520spaces.htm.

4.48. How Can I Automatically Request Receipts for E-mails I Send?

You can request two types of receipts for e-mails that you send: a delivery receipt that confirms that the e-mail reached its destination, and a read receipt that confirms that the e-mail was opened. Keeping in mind that many e-mail clients, such as Outlook, give users the capability to open the e-mail without sending a receipt, here is how you request the receipt:

1.
From the Tools menu, select the Options dialog box.

2.
When the Options dialog box is displayed, click the Preferences tab.

3.
Click the E-mail Options button.

4.
In the Message Handling section, click Tracking Options.

5.
The Tracking Options dialog box has several options for controlling how Outlook should request receipts for your sent e-mails and handle incoming receipts for e-mail sent to you. For e-mails that you send, select the desired option(s):

  • Read receipt

  • Delivery receipt

6.
Click the OK button to save your changes.

7.
Click the OK button to close the E-mail Options dialog box.

8.
Click the OK button to close the Options dialog box.

4.49. Can I Set Read and Delivery Receipt Requests for Individual E-mails?

Many Outlook users don't want to use read and delivery receipts for every e-mail they send. Instead, they simply want the capability to request these receipts in certain situations. Keeping in mind that many e-mail clients, such as Outlook, enable the user to disallow the sending of receipts, here's how to request a receipt for your sent e-mails:

1.
If you are using Microsoft Word as your e-mail editor, click the Options button on the toolbar. If you're using Outlook as your editor, select the View menu and then Options.

2.
When the Message Options dialog box appears (see Figure 4-25), locate the Voting and Tracking Options section.

Figure 4-25. The Message Options dialog box.

[View full size image]

You have two options, depending on the receipt you want to request.

  • Request a delivery receipt for this message Requests a receipt when the e-mail has reached its destination (does not indicate that the e-mail has been opened).

  • Request a read receipt for this message Requests a receipt when the e-mail has been opened.

4.50. Can I Specify That an E-mail Be Sent at a Later Date/Time?

Although you will send most e-mails when you compose them, Outlook offers the capability to schedule an e-mail to be sent at a later date and time that you specify. Here's how you do that:

1. | Create the new e-mail.
2. | If you are using Microsoft Word as your e-mail editor, click the Options button on the toolbar. If you're using Outlook as your editor, click the View menu and then select Options.
3. | When the Message Options dialog box appears (see Figure 4-25), locate the section entitled Delivery Options.
4. | Select the option labeled Do not deliver before and then specify the date and time from the drop-down lists. When the specified date and time is realized, Outlook will attempt to send the e-mail.

4.51. How Do I Change the Reply-To Address for an E-mail?

Sometimes you might want to change the e-mail address that is used when the recipient of your e-mail responds. Here's how to accomplish that:

1. | If you are using Microsoft Word as your e-mail editor, click the Options button on the toolbar. If you're using Outlook as your editor, click the View menu and then select Options.
2. | When the Message Options dialog box appears (see Figure 4-25), locate the Delivery Options section.
3. | Select the option labeled Have replies sent to and enter the list of addresses, or click the Select Names button to choose one or more addresses from your Address Book.


Working with Attachments

4.52. How Do I Attach a File to an E-mail?

The quickest way to attach a file to an e-mail is to drag and drop the file from an Explorer window onto the e-mail form. Outlook then adds that file to the e-mail as an attachment. Alternatively, you can select the Insert menu and then the File option to display the Insert File dialog box, where you can browse to and select the desired file(s) to attach to the e-mail.

4.53. How Can I Remove an Attachment from an E-mail Before I Send It?

To remove an attachment from an e-mail, simply click the attachment to highlight it and then press the Delete key.

4.54. How Can I Open Blocked E-mail Attachments?

Outlook automatically blocks access to certain types of attachments to help protect you from viruses and other malicious software. For example, applications, Windows installer packages, and Windows Control Panel extensions are all blocked by default. However, sometimes it is absolutely necessary to open a file that is blocked by Outlook and that you know to come from a trusted source. Therefore, here's a way to hack the Windows Registry so that you can receive and open the attachment.

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1.
Close the Outlook application.

2.
From the Windows Start menu, select Run.

3.
When the Open dialog box appears, type regedit and click the OK button.

4.
When the Windows Registry editor loads, attempt to locate (it might not exist) the HKEY_CURRENT_USER\Software\Policies\Microsoft\Office\11.0\Outlook key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

5.
If the key exists, look to the right of the Windows Registry editor for a value called DisallowAttachmentCustomization. If that value exists, delete it by clicking on it and then pressing the Delete key. (You will need to confirm its deletion.)

6.
Now locate and expand the HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook\Security key on the left side of the Windows Registry editor. (You will probably need to expand each of these nested keys one at a time.)

7.
Right-click the Security key to display the context menu.

8.
Select New and String Value from the context menu.

9.
A new value is created on the right side with default text. Replace that text with the value Level1Remove and then press the Enter key.

10.
Double-click the newly created Level1Remove value.

11.
When the Edit String dialog box appears, enter the extensions of the file that you want to unblock. If there is more than one, separate each extension with a semicolon, as shown in Figure 4-26.

Figure 4-26. Modifying the Windows Registry to allow the opening of files that are normally blocked.

12.
Click the OK button to save your work and close the Windows Registry editor.

13.
Open the Outlook application. You should now be able to open blocked attachments containing any of the extensions you entered into the Windows Registry.

4.55. How Can I Block Additional Types of Attachments?

Outlook does a good job of blocking any potentially dangerous file attachment types by disallowing you to open files with certain extensions, but occasionally you might determine that an additional file type should be blocked. For that scenario, follow these steps:

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1. | Close the Outlook application.
2. | From the Windows Start menu, select Run.
3. | When the Open dialog box appears, type regedit and click the OK button.
4. | When the Windows Registry editor loads, attempt to locate (it might not exist) the HKEY_CURRENT_USER\Software\Policies\Microsoft\Office\11.0\Outlook key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)
5. | Right-click the Security key to display the context menu.
6. | Select New and String Value from the context menu.
7. | A new value is created on the right side with default text. Replace that text with the value Level1Add and then press the Enter key.
8. | Double-click the newly created Level1Add value.
9. | When the Edit String dialog box appears, enter the extensions of the file that you want to block. If there is more than one, separate each extension with a semicolon, as shown in Figure 4-26.
10. | Click the OK button to save your work and close the Windows Registry editor.
11. | Open the Outlook application. You should now be able to open blocked attachments containing any of the extensions you entered into the Windows Registry.

4.56. How Can I Edit an Attachment and Save It to the Original E-mail?

Typically when you receive an e-mail with an attachment, you will save the attachment to a folder on your hard drive and, if necessary, edit that file in its new location. However, that doesn't update the version of the file that's attached to the e-mail. Therefore, to send your changes to someone, you need to create a new e-mail and then attach the new file to that e-mail because the original e-mail contains a version of the file that doesn't have your edits.

When you want to make your changes to an e-mail's attached file and then reply to or forward that e-mail (with the attachment reflecting your changes), do the following:

1. | Open the e-mail.
2. | Open the attachment by double-clicking it, and make any necessary edits. You must keep the e-mail open during this process.
3. | When you are finished editing, save the attachment and close the editor. Note that when you save the attachment, accept the defaults of where the attachment is being saved (typically a temp folder) and the name given to that file because Outlook has established a link between the e-mail and that file location and name. If you do receive a confirmation message asking if you want to overwrite the existing file, click the button indicating that you do.
4. | When you have finished your edits and closed the application from which you made these edits, close the e-mail. You will be asked if you want to save changes to the e-mail. Click the Yes button.


Chapter 5. CALENDER, APPOINMENTS, AND MEETINGS

    View Options

    Appointments and Meetings

    Sharing Calendar Info

    Event Options and Formatting

    Custom Calendars

    Printing


View Options

5.1. How Can I View My Calendar?

The Navigation Pane includes a row of buttons that allow quick access to various views, such as the Calendar view. In addition, you can press the Ctrl 2 keyboard combination or click the Calendar option on the Go menu. When you're in the Calendar view, you will see the following:

  • The Navigation Pane includes one or more small calendars in an area known as the Date Navigator. The exact number of calendars displayed depends on the width of the Navigation Pane and the height of the Date Navigator. (You can't directly change the height of the Date Navigator, but Outlook will resize it if you resize the bottom portion of the Navigation Pane using the bar just above the Navigation Pane icons/menus.)

  • Depending on the current view, the main pane displays either today's date or the current work week, week, or month.

Note that if you are displaying the TaskPad and the calendar concurrently (explained in FAQ 5.2), you will not see the Date Navigator in the Navigation Pane. Instead, the Navigation Pane will display only your calendars and any shared calendars. The calendars normally displayed in the Date Navigator will then be displayed in a separate pane with the past-due and current tasks.

5.2. How Can I Work with My Calendar and Tasks at the Same Time?

It's common to enter tasks en masse without assigning them to a specific date or time. For example, you might enter all the various tasks you know you need to accomplish for a given week, such as finishing a report, scheduling a team meeting, buying a plasma television, and, of course, meeting with the boss to ask for a raise to pay for that new television. Then when your week's schedule becomes a little clearer, you want to quickly assign dates to each task. Here's how you would do that:

1. | Click the Tasks button on the Navigation Pane to display the Tasks view.
2. | For each task you want to create, press the Ctrl N keyboard combination and enter the information for that task. Refer to Chapter 8, "Tasks," for more detailed information on creating new tasks.
3. | When you've finished creating the tasks, return to the Calendar view.
4. | From the View menu, click the TaskPad option to toggle the viewing of your tasks alongside your calendar.
5. | At this point, you can drag and drop each task onto the calendar at the desired date and time.

5.3. What Is the Date Navigator Used For?

As the name suggests, the Date Navigator is used to quickly move about your calendars. (To see how to create a calendar, refer to FAQ 5.34.)

In the Date Navigator, you will see at least one month, depending on the width of the pane in which the Date Navigator is being displayed. (If you have the TaskPad displayed, the Date Navigator is displayed in the TaskPad. Otherwise, it is displayed in the Navigation Pane.) The top row of calendars starts with the current month and continues from there. This row also displays left and right arrows for displaying previous or next months, respectively.

However, a much faster way of moving through your calendar is to click any of the month names to display a listing of months. The ensuing pop-up window displays a list that includes the three months before the month you clicked, the current month, and the three subsequent months. Figure 5-1 shows an example in which February 2005 was clicked.

Figure 5-1. This pop-up window enables you to more quickly locate a month than using the arrow next to the current month name.

Although it's not very intuitive (because there are no scrollbars), you can scroll this list and very quickly locate other months. To do that, simply move the mouse cursor just a bit above or below the pop-up window, and the months will scroll automatically. Click the desired month to have it displayed in the pane.

5.4. What Are the Different Ways I Can View My Calendar?

Outlook supports four different views of your calendar:

  • Day Shows all the events for the selected day.

  • Work Week By default, shows Monday through Friday.

  • Week Shows Monday through to Sunday, and enables you to scroll forward and backward one week at a time. The current week is highlighted in the Date Navigator.

  • Month Shows the entire month and enables you to scroll forward and backward one month at a time. The current month is highlighted in the Date Navigator.

To specify the desired view, either select it from the View menu or click the corresponding button on the toolbar (see Figure 5-2).

Figure 5-2. Outlook defines four different standard Calendar views for looking at your schedule.

[View full size image]

5.5. How Can I Quickly Jump to a Specific Date?

To jump to a specific date in the current calendar, press the Ctrl G combination. You will then see a dialog box like that shown in Figure 5-3, where you can specify the date you are looking for as well as the Calendar view (Day, Week, Month, Work Week). If the date is already being displayed (such as if you select a date in the current week or month being displayed), that day is highlighted.

Figure 5-3. Outlook enables you to easily jump to a specific data in the desired view.

A really slick trick is to type plain English into the Date field. For example, you can type relative values such as Yesterday, Today, or even Next Year, and Outlook will figure out what date you need and display it. This is extremely valuable for those of us who aren't quick with calendar math in our heads and need to determine the date 10 days from today. Just type in the value 10 days from now, and Outlook determines what date that will be and jumps to it.

5.6. How Can I Display Nonconsecutive Dates in My Calendar?

Let's say you have created a calendar that is specific to a given activity, such as jogging and you perform this activity on select days of the week. For example, your running schedule might be Tuesday, Wednesday, Friday, and Sunday. When you want to see your schedule in terms of just your running, you probably don't care about the nonrunning days. To view only the desired days, follow these steps:

1. | Make sure that the Calendar view is not in Month View.
2. | From the Date Navigator, hold down the Ctrl key and select the desired dates on the calendar. As you select each date, it is displayed in the Calendar view.

Figure 5-4 shows a personal Books and Articles calendar in which the only dates being displayed are a couple days that include deliverables that are due.

Figure 5-4. An example of displaying nonconsecutive dates.

[View full size image]

5.7. How Can I Change the Time Scale Shown on the Calendar?

Although a 30-minute granularity for your time scale works for most situations, you might want to see more detail. For example, you might have events that start (or end) on the quarter-hour. Or if you don't need half-hours and your events start on the hour, you can display that level of granularity and view even more information on your Calendar view. Here's how to change the time scale value:

1.
Right-click the background of an open calendar (not the calendar in the Date Navigator) to display the calendar contact menu.

2.
From the context menu, select Other Settings.

3.
When the Format Day/Week/Month View dialog box is displayed, you will see a drop-down list in the upper-right corner labeled Time scale. Drop down that list (see Figure 5-5) and select the desired time scale from a list: 5, 6, 10, 15, 30, or 60 minutes.

Figure 5-5. Outlook enables you to specify a calendar time scale as low as 5 minutes to as high as 60 minutes.

    Previous Page
    Next Page


Appointments and Meetings

5.8. How Can I Quickly Add a Meeting or Appointment?

Sometimes you simply need to make note of an appointment, without needing the bells and whistles such as appointment length, whether the appointment is recurring, how much of the task has been completed, and so on. This might be a lunch with a friend or even a phone call whose duration you don't know and don't care to notate.

1. | Click the desired time in one of the Calendar views that shows time, such as the Day and Work Week views.
2. | Start typing your event text.
3. | When you're finished, press the Enter key. The entry will be saved for that date/time.

If you need to edit the item after entering it, simply click the text and then make your changes. Alternatively, you can double-click the item to display its full details and then modify the item there.

5.9. How Do I Add an Appointment with Details?

Obviously, one of the main reasons for having a calendar system built into Outlook is the capability to create appointments. Outlook gives you a tremendous amount of flexibility regarding appointments, such as enabling you to specify attendees, location, start and end time, and so on. Here's how to create an appointment in Outlook.

1.
From the File menu, click the New menu and then Appointment to display the Appointment form (see Figure 5-6).

Figure 5-6. Outlook enables you to specify many different aspects of an appointment or meeting.

[View full size image]

2.
In the Subject field, type in the value that will be viewed on the calendar. Therefore, although this value will generally be short, it still needs to be informative.

3.
In the Location field, type in a physical location where the meeting is to take place, such as Main Conference Room or Downtown Office. Note that the drop-down arrow to the right of the field displays location values that you've previously entered.

4.
Click the Label drop-down to select the background color that will be displayed in the calendar for this appointment. Several FAQs in the "Event Options and Formatting" section of this chapter will explain how to perform tasks such as changing these labels and the colors associated with them.

5.
The Start and End date and time fields enable you to define the duration of the meeting. Click the All day event option to indicate that the appointment will occupy your entire day. This has the same effect as what is accomplished in the FAQ 5.21.

6.
If you want to be reminded of the appointment, click the Reminder option. A sound will play on your computer's speakers when that time has been reached, and Outlook will display a reminder message. For information on changing the default sound or for specifying a specific sound for an appointment, see the "Event Options and Formatting" section of this chapter.

7.
In the Show time as field, specify how the time slot for this calendar will appear for you if you are sharing your calendar with other users. By default, the value is Busy.

8.
Click the Contacts button to add participants to the appointment.

9.
Click the Categories button to assign one or more categories to the appointment. This is very useful when you want to be able to return and locate all appointments related to a particular category. (This is explained in FAQ 5.10.)

10.
Click the Private option if you are sharing your calendar and do not want others to see this particular appointment.

11.
When you are finished defining the appointment, click the Save and Close button.

5.10. How Can I Search for Specific Calendar Appointments and Meetings?

Depending on your exact needs, there are two ways to search for an appointment or meeting. One way is to use the Find bar, where you can search for text in the various fields, such as appointment/meeting subject, location, details, and so on. The second way enables you to search for specific categories, people who attended, and so on. Let's look first at how to search for text.

1.
From the Tools menu, select the Find menu. From there, you'll see a second Find submenu option. Click that second option to display the Find bar above the calendar. (You can also press the Ctrl E keyboard combination.)

2.
Type in the text being searched for in the field labeled Look for (Figure 5-7). Also, note that the field includes a drop-down arrow where you can select previously searched-for text.

Figure 5-7. The Find bar is the quickest way to search your folders for items containing specific text.

[View full size image]

3.
Click the Find Now button to start the search. This will display all items matching your search text in a search-results grid (see Figure 5-8).

Figure 5-8. The results of a find (or search) are displayed neatly in a grid that can then be sorted and filtered like any other folder.

[View full size image]

4.
Double-click the desired appointment or meeting to open it.

5.
Press Ctrl E to return to the Look for field.

6.
Click the Clear button to close the search-results grid and return to the previous view with the Find bar still visible.

Although many times you just need the capability to search for text, sometimes your search criteria are a bit more complicated. For example, you might need to find all items associated with a specific category or all e-mails with attachments from a specific contact. Or you might want to search for a combination of criteria, such as all appointments at the main office during February for a given client. For searches such as this, you need the Advanced Find dialog box.

1.
From the Tools menu, select Find and then click the Advanced Find menu option (You can also press the Ctrl Shift F keyboard combination.)

2.
When the Advanced Find dialog box appears, note that the type of search (indicated by the Look for value at the top of the dialog box) is context sensitive. For example, if you're currently in the Calendar view, it defaults to Appointments and Meetings. Changing this value (via the drop-down list) changes the search parameters that are available to you. Along with the item--specific parameters, you can click the More Choices and Advanced tabs. The Browse button is important because it enables you to specify which folder(s) to search, as well as whether you want to search subfolders.

3.
The New Search button simply gives you a quick means of initializing all the fields so that you can begin a new search without manually resetting all the search criteria on each tab or exiting and then re-entering the Advanced Find dialog box.

4.
You can perform thousands of combinations of searches, so we suggest looking through the tabs to see how powerful this search capability is. Most people rarely need this level of control, but it's nice to know it's there when you do need it. Especially take note of the Advanced tab, where you can build your search criteria from any field defined by Outlook, create Boolean expressions, and use predefined conditions.

5.
When you're finished specifying the search criteria, click the Find Now button to start the search.

6.
When the search is started, the Advanced Find dialog box is expanded to include a list of all items that match the search criteria. Figure 5-9 shows an example of all calendar items for entries pertaining to the writing of this book. Double-click any of the found items to open that item.

Figure 5-9. The Advanced Find dialog box enables you to search using almost any field and presents its findings in the same dialog box so that you can easily scroll through the items matching your search criteria.

5.11. How Do I Edit an Appointment?

You can edit an appointment (or meeting) in a couple ways, depending on your exact needs. For some changes, you can right-click the entry in any of the various Calendar views and select the appropriate option from the context menu. The following appointment properties can be modified in this manner:

  • Private Specifies that if the calendar is being shared (via Microsoft Exchange Server), you do not want others to be able to view this particular appointment's details.

  • Show Time As Specifies in a collaborative environment (such as with Microsoft Exchange Server) how you want the time slot for this appointment to appear for other users. The options are Free, Tentative, Busy, and Out of Office.

  • Label Enables you to select the background color that will be displayed in the calendar for this appointment. Refer to the "Event Options and Formatting" section of this chapter for more information on changing these labels and the colors associated with them.

  • Automatic Formatting Enables you to create special formatting rules, such that items that adhere to specific rules have unique formatting. For example, you might specify that appointments for a given category (defined for a specific client) all appear in red, to better draw your attention. Refer to FAQ 5.25 for more information.

  • Categories Enables you to quickly associate one or more categories with a specific calendar entry.

If you want to modify other settings that are not on this list, simply double-click the item to enter the appointment form, where you can edit the various fields described in FAQ 5.9.

5.12. How Do I Change an Appointment's Date or Time?

You can easily modify the details of an appointment by opening that appointment and then changing the date or time values associated with the Start time and End time fields on the appointment form. However, a much faster way is to drag and drop the appointment to a new date and time, as follows:

1. | From the Calendar view, select the View menu and then select Day View.
2. | Locate the day that lists your appointment by clicking that day in the Date Navigator.
3. | If the date to which you want to move the appointment is also visible, skip to step 5.
4. | If the date to which you want to move the appointment is not visible, hold down the Ctrl key and select that date from the Date Navigator. The Day View should now show both the date with the appointment and the day to which you want to move the appointment.
5. | With the mouse, grab the blue vertical bar displayed on the left side of the appointment entry and drag the appointment to its new time slot in the new day.

5.13. How Can I Change the Duration of an Appointment?

As with any appointment property, you can always open the appointment by double-clicking it to display the appointment form and then modifying the desired property. However, here's a much quicker way to change the duration of an appointment or meeting.

1. | From the Calendar view, select the View menu and then select Day View.
2. | Locate the day containing the appointment you want to change.
3. | As you can see, each item has a rectangle enclosing it. (The rectangle is blue if the item is selected.) With the mouse, grab the top horizontal line (if moving the start time) or the bottom horizontal line (if moving the end time) and drag until the duration is what you want it to be.

5.14. How Can I Cancel (or Delete) an Appointment?

To cancel an appointment, simply click that entry in the Calendar view and then press the Delete key on your keyboard. If you have already sent invitations to the appointment (covered in FAQ 5.17), you will receive a warning message reminding you that you have sent invitations. If you want to continue with the cancellation, you have the following two choices:

  • You can click the option that sends a cancellation notice and then deletes the meeting.

  • You can click the option that deletes the meeting without sending a cancellation message.

If you choose the first option, Outlook automatically creates and displays an e-mail for you so that you can add further information on why the appointment is being cancelled. When the originally invited attendees receive the e-mail, Outlook displays a button within the e-mail that allows each person to remove the appointment from his or her calendar.

5.15. How Do I Define a Recurring Item?

The capability to define a recurring item is a very powerful part of the calendar feature in Outlook. To set up recurrence, simply click the Recurrence button on the toolbar of the appointment form to display the dialog box shown in Figure 5-10.

Figure 5-10. Using the Appointment Recurrence dialog box gives you quite a bit of flexibility in defining how an appointment recurs over time and when that recurrence pattern should end.

The Appointment Recurrence dialog box grants you a great deal of flexibility, including several options to control the recurrence pattern, such as what days of the week, how many times per week, weekly versus monthly, and so on. You can even specify that the recurrence should end on a given date.

5.16. How Can I E-mail a Calendar Entry to Someone?

Because many different e-mail clients are available (of which Outlook is only one), there is an Internet standard for sharing calendar information. This standard, called iCalendar, is described in RFC (Request for Comment) 2445.

The iCalendar standard enables users of different calendar and schedule software to share their information with any application that supports the iCalendar standard. All current versions of Outlook support the iCalendar specification.

NOTE

You can find a list of all RFCs (including RFC 2445) at http://www.faqs.org/rfcs/.

Simply type the number into the text box under the label Or display the document by number and click the Display RFC by Number button. The formal specification for that RFC is displayed, and you can read the details about the standard.

To send a calendar entry to someone via e-mail, simply follow these steps:

1. | Open a calendar entry.
2. | From the Actions menu, select Forward as iCalendar.

The calendar entry is written to a temporary file whose name is the same as the entry subject (with an extension of .ics). Outlook then automatically generates a new e-mail message and attaches the file to that e-mail. This e-mail is displayed so that you can specify the recipients as well as any other information, such as the e-mail subject and body. Figure 5-11 shows an example of this. When you are finished making your changes to the e-mail, click the Send button as you would with any e-mail.

Figure 5-11. Sending a calendar item in iCalendar for import into another application is as simple as forwarding an e-mail.

[View full size image]

When the recipient receives the e-mail, that person can import the file into his or her application. If the recipient is using Outlook, FAQ 5.18 explains how to import these file types into Outlook.

5.17. How Do I Invite Others to an Appointment or Meeting?

One of the most difficult aspects of setting up meetings is trying to find a date, time, and location that convenient for everyone. Outlook takes some of the manual issues out of this task by enabling you to invite the people you need to attend and then tracking which people respond.

1. | When on the appointment form, click the Invite Attendees button. This expands the form to include both a text box for entering the names or e-mail addresses of those that you're inviting and a button for selecting those people in your Address Book.
2. | Click the Send button to send e-mails to the invited attendees.

Each attendee receives an e-mail that has a series of buttons across the top. These buttons allow that person to accept, decline, or tentatively schedule the appointment (see Figure 5-12). You will receive an e-mail from each attendee based on the button that person selected, enabling you to track which people will be attending the meeting.

Figure 5-12. Outlook automatically displays buttons for accepting and declining appointment/meeting requests sent via e-mail.

[View full size image]


Sharing Calendar Info

5.18. How Do I Import a Calendar That Is in iCalendar Format?

As mentioned in FAQ 5.16, the iCalendar format enables you to exchange data between different calendar and scheduling applications that support RFC 2445. For example, if someone who is using Lotus Notes wants to share a calendar with you, that person can simply export to iCalendar format. You would then do the following to import that calendar file after you've received it:

1. | From the File menu, select Import and Export to invoke the Import and Export Wizard.
2. | From the Choose an action to perform list, click the Import an iCalendar or vCalendar file option and click the Next button.
3. | When the Browse dialog box is displayed, note that the dialog box defaults to displaying only iCalendar-formatted files (those with an .ics extension). Therefore, if you're attempting to import a vCalendar file, you need to click the Files of type drop-down list and then select vCalendar Format (*.vcs).
4. | Locate and select the desired iCalendar file and click the OK button.

Outlook merges the calendar entries in the specified file with the current calendar. However, note that there is currently no way to have the entries inserted into a calendar other than the default calendar. If you want to move the entries into a calendar that you created, you need to follow the steps outlined in FAQ 5.36.

5.19. How Do I Export a Calendar to iCalendar Format?

If you click the Import and Export menu option from the File menu, you'll find that there is no intuitive way to export a calendar to iCalendar format. However, you can get around this by following these steps:

1. | Highlight the calendar entry that you want to export using the iCalendar format. (Note that you can e-mail recurring items and they will import correctly with the recurrence rules that you specify.)
2. | From the Actions menu, click Forward as iCalendar.
3. | The calendar entry is written to a temporary file whose name is the same as the entry subject (with an extension of .ics). Outlook then automatically generates a new e-mail message and attaches the file to that e-mail. To e-mail the file to someone, simply fill in the rest of the e-mail, such as recipient information, and click the Send button. To save or export the file, right-click the attachment (shown to the right of the Attach button) and, from the context menu, select the Save As option. Browse to the desired location where you want to save the file, and click the Save button.

5.20. What Is a vCalendar and How Is It Different from iCalendar?

In FAQ 5.16, we explained that the iCalendar standard enables you calendar and scheduling information to be shared between different e-mail clients, such as Outlook and Lotus Notes. The vCalendar standard is a slightly older standard that lacks some of the features that iCalendar supports. As a result, you should use the iCalendar format when exporting calendar entries unless you need vCalendar for a specific reason, such as knowing that the recipient's software does not support iCalendar.

5.21. How Do I Add an All-Day Calendar Entry?

Sometimes a given activity will encompass your entire day so that you don't want to specify exact start and end times. For example, you might want to block out the entire day for a meeting, a trip to the airport, or a client visit. Whatever the case, you need a means of indicating to others who can view your calendar that you will not be available on that particular day.

If you are currently in the Day view:

1. | Click the area above the first time slot.
2. | This area should turn white. Simply type in the desired text that explains your all-day activity, such as I will be visiting clients all day.
3. | Press the Enter key when finished. You will now see your text just below the date and above the first time slot.

If you are currently in the Week view or Month view:

1. | Because these views do not show time slots, click the bar with the date.
2. | A white area is displayed below the date. Simply type in the desired text that explains your all-day activity, such as Taking Mr. Smith to the airport; back in the office tomorrow.
3. | Press the Enter key when finished. You will now see your text just below the date.


Event Options and Formatting

5.22. How Can I Play a Different Sound for a Specific Reminder?

By default, Outlook plays a generic sound (from a file called reminder.wav) when a reminder for an event (appointment, meeting, or task) fires. The following explains how to change this sound to something a little more personalized.

1.
While on the event's form, click the Reminder option.

2.
To the right of that Reminder option is a drop-down list that enables you to specify the amount of time before the event is scheduled to start, to display a message and play a sound. Select this option and specify the amount of time.

3.
Click the button with a speakerlike icon on it.

This displays the Reminder Sound dialog box (see Figure 5-13).

Figure 5-13. You can specify the sound file (.wav) of your choice to be played when a reminder fires.

4.
Click the Browse button.

5.
Locate and select the desired sound file.

5.23. How Can I Specify a Default Sound That Outlook Plays for All My Reminders?

One little tidbit of information regarding the sound Outlook plays when a reminder is fired is that you can specify your own sounds! The way you do this is by pointing Outlook at the .wav file you want played when Outlook displays the reminder. The following instructions explain how to do this.

1.
From the Tools menu, click Options.

2.
When the Options dialog box appears, click the tab entitled Other.

3.
In the General section, click the Advanced Options button.

4.
Click the Reminder Options button.

5.
Now you can specify a sound (.wav) file and determine whether you want the default reminder message to display along with the sound (as shown in Figure 5-14).

Figure 5-14. You can specify the default sound that Outlook plays for all reminders.

NOTE

This is also how you specify that you do not want a sound played at all. Simply uncheck the Play reminder sound option.

If you uncheck the Display the reminder option, the Play reminder sound option will be checked and disabled. That makes sense because displaying a message and/or playing a sound file would be Outlook's only way of reminding you of the scheduled event. Oddly, though, you can uncheck Play reminder sound first and then uncheck the Display the reminder option. This disables the Play reminder sound option, which will not be checked. This is a slight bug in the user interface because if you click OK and then click Reminder Options again, the Play reminder sound option then is checked.

5.24. How Do I Color Individual Calendar Events?

Sometimes it's helpful to display a particular event with a distinct background color so that it visually stands out when you look at your calendar. For example, you could have that important salary review meeting next week be displayed with a blue background, or you might want to apply a red background color to an important deadline. The following steps walk you through specifying a color for an individual event on your calendar.

1.
Double-click the item in your calendar to open that item.

2.
If you've defined the item as recurring, you will get the standard message asking if you want to open this instance or the series. Select the option that corresponds with whether you want to color this one instance or each instance of the recurring event. Click the OK button.

3.
When the item opens, locate the Label drop-down list (on the right side of the form) and click the down arrow to display the 10 colors that Outlook supports (see Figure 5-15). The descriptive names associated with the colors (such as Important, Business, and Personal) are simply there as a guideline. FAQ 5.26 explains how to change this text if these labels are not what you need. Select the desired label/color.

Figure 5-15. When defining a calendar item, you can select 1 of 10 built-in colors that will display as the item's background in the calendar, enabling you to more quickly identify important items.

[View full size image]

4.
Click the Save and Close button. When you return to the calendar, the item(s) are displayed using the background color you selected.

5.25. How Do I Create Rules to Automatically Color Certain Calendar Events?

One of the tricks that people who use the calendar quite a bit employ to visually distinguish events is to use different colors for different types of events. For example, you might use blue to indicate meetings, red to indicate deadlines, white to represent phone calls, and so on. The following steps illustrate how to define the rules that determine how Outlook colors your calendar events:

1.
Right-click the calendar (either the background or an event) and select the Automatic Formatting menu option.

2.
The Automatic Formatting dialog box displays all rules that you have created for coloring calendar items.

  • If you have already created the rule you want, select it and click the OK button. You're done at this point, and Outlook applies calendar event coloring based on the rule(s) you've chosen.

  • If you want to modify a given rule before choosing it, select it, click the Condition button, and proceed to step 7.

  • If you want to add a new rule, proceed to step 3.

3.
Click the Add button. This creates a rule with a name of Untitled.

4.
In the Name text box, type the name of the field, such as School Activities, Volunteer Work, or whatever you personally need.

5.
Select the desired color to be applied to events for which this rule is being created. Obviously, you'll want to make sure that the color you select doesn't conflict with the colors selected for other rules you've already created.

6.
Click the Condition button.

7.
At this point, you should see the Filter dialog box. Using the tabs across the top of the dialog box, you can specify the conditions under which a given item should be colored. For example, you could have all items that include a given word or phrase in the subject line be included (using the Appointments and Meetings tab). If you assign categories to your tasks, you could specify that items that belong to a certain category be colored (using the More Choices tab). Finally, the Advanced tab enables you to build your own complex Boolean condition using any field that Outlook supports, thereby giving you complete control.

8.
When you have finished defining the condition, click the OK button to close the Filter dialog box.

9.
If you're finished creating rules, click the OK button to dismiss the Automatic Formatting dialog box.

NOTE

If an Automatic Formatting rule conflicts with the manual setting of a label, the manual setting takes precedence.

5.26. How Do I Change the Calendar Label Text?

The default labels are helpful and serve as a guide for distinguishing your calendar events, but you might decide to create more personalized labels, such as School Activities, Church Events, or Charity Work. Here's how to do that:

1.
Click the Calendar Coloring button on the Standard toolbar. (This button has an icon that displays a grid of very small blue, red, and green squares.)

2.
A menu displays below the toolbar button. Click the Edit Labels option.

3.
When the Edit Calendar Labels dialog box appears (see Figure 5-16), you can edit the labels to suit your needs.

Figure 5-16. If the labels associated with the reminder colors are not to your liking, you can modify them.

5.27. How Can I Change the Days That Outlook Defines as a "Work Week"?

Obviously, not everyone's work week is defined by the days Monday through Friday. Therefore, although Outlook defaults to this definition of a work week, it also enables you to easily define which days constitute work days for you.

1.
From the Tools menu, click Options.

2.
When the Options dialog box appears, click the Calendar Options button.

3.
When the Calendar Options dialog box is displayed (see Figure 5-17), you'll see at the very top a series of options representing each day of the week. Simply check the days that constitute your particular work week.

Figure 5-17. If your work week does not follow the traditional Monday-through-Friday pattern, you can define which days make up your work week.

[View full size image]

4.
When you're finished, click the OK button to close the Calendar Options dialog box.

5.
Click the OK button to close the Options dialog box.

The calendar now displays the specified days when you click the Work Week view.

5.28. How Can I Define the Time Slots Shown in the Calendar?

Both the Day and Work Week views of the calendar display time slots that, by default, start at 8:00 AM. You'll also note that the time slots from 8:00 AM until 5:00 PM. are a different color than the other time slots because Outlook sees these hours as the typical work day. Not every user has the same definition of a work day, though (you might work midnight until 8:00 AM), so Outlook enables you to easily change the starting and ending times of these time slots.

1. | From the Tools menu, click Options.
2. | When the Options dialog box appears, click the Calendar Options button.
3. | When the Calendar Options dialog box appears, you'll see two drop-down fields labeled Start time and End time. Click the down array next to these fields to adjust their settings to your needs, and then click the OK button to dismiss the Calendar Options dialog box.
4. | Click the OK button to dismiss the Options dialog box.

NOTE

Sometimes after setting the Start and End time values, you need to leave the Calendar view and return to update the calendar. Just click the Ctrl 1 keyboard combination to go to the E-mail view, and then click the Ctrl 2 keyboard combination to return to the Calendar view. The calendar's displayed time slots should then reflect your settings.

5.29. How Can I Change the Date Format on the Calendar?

It's a large and diverse world of standards, so not everyone can use the default settings for things such as date and time formats. As a result, Outlook has been designed to use the format specified in your Windows settings. The following steps explain how to set the particular date format value that Outlook uses so that dates are displayed in Outlook per your needs.

You can modify the format used by Outlook's calendar by changing the long date format in your Windows Regional settings.

Windows 2000 or Windows XP with Classic View:

1. | From the Windows Control Panel, run the Regional Options applet.
2. | Click the Date tab.
3. | The Long date format drop-down list contains the available options. Select one and click the OK button.

Windows XP:

1.
From the Windows Start menu, enter the Windows Control Panel.

2.
Click the Date, Time, Language, and Regional Options link.

3.
Click the Regional and Language Options link.

4.
On the Regional Options tab, click the Customize button.

5.
Click the Date tab.

6.
Outlook uses the Long Date format, so change that date format value to the desired format (see Figure 5-18). The dates will now display per your settings.

Figure 5-18. The Customize Regional Options dialog allows you to modify the date format that Outlook will use.

Windows Server 2003:

1. | From the Windows Start menu, select the Control Panel and then the Regional and Language Options menu options.
2. | On the Regional Options tab, click the Customize button.
3. | Click the Date tab.
4. | Outlook uses the Long Date format, so change that date format value to the desired format (see Figure 5-18). The dates will now display per your settings.

5.30. How Do I Add the Holidays of Other Countries?

With so many companies employing personnel from all over the world, this is can be a very valuable feature. Just think of how great clients or even employees will feel when you send them a greeting for a holiday that they would never guess you would know about!

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Calendar button.

3.
When the Calendar Options dialog box appears, click the Add Holidays button.

4.
As Figure 5-19 shows, the Add Holidays to Calendar dialog box enables you to select from a list of countries the ones whose holidays you would like to add to your calendar. Select the desired countries and click the OK button.

Figure 5-19. You can import the holidays from dozens of countries into your calendar.

5.
You will see a series of dialog boxes with progress bars displaying the progress of each selected country's holidays being added to your calendar. When the process has finished, you will see a message box telling you that the holidays have been added. Click the OK button to dismiss this message box.

6.
Click the OK button to close the Calendar Options dialog box.

7.
Click the OK button to close the Options dialog box.

Your calendar will now display the newly added country's holidays.

5.31. How Can I Remove Holidays?

You might want to remove holidays from your country that you personally don't observe or less recognized holidays from other countries whose holidays you've imported into your calendar. Although you can add the holidays of a country via the Calendar Options dialog box, you can't remove them via that same dialog box. Therefore, here's how to remove holidays from your calendar:

1.
From the View menu, click Arrange By followed by Current View and then Events.

2.
This results in a gridlike display, as shown in Figure 5-20. If you've installed the holidays of multiple countries, clicking the Location heading sorts the entire list by location (country). That way, it is easier to find the holidays you're looking for and easier to delete all the holidays for a specific country.

Figure 5-20. After you add the holidays of a given country, you can remove the ones that are not as important to you or that you do not recognize.

[View full size image]

3.
Select the holidays you want to delete (hold down the Ctrl key while selecting more than one) and then press the Delete key.

NOTE

You will not get a confirmation message. However, if you accidentally delete a holiday you want to keep, simply add back the country and confirm that you want to reinstall that country when queried.

4.
When finished, you can use the View menu to return to a "-normal" Calendar view. For example, from the View menu, click Arrange By followed by Current View and then Day/WeekMonth.

5.32. How Can I Find More Information on a Given Holiday?

A few sites have developed Outlook data files that contain information that can easily be imported into Outlook. Unfortunately, most of these data files also contain a lot of advertisements. Therefore, we've included holiday files for various countries on our Web site.

1. | Navigate your browser to the http://www.ArcherConsultingGroup.com Web site.
2. | Locate and click the Books link. This displays the various books written by Archer Consulting Group authors.
3. | Click this book's title.
4. | Click the Downloads link to see a list of all downloads available for this book.
5. | Locate the specific calendar you want, such as the United States 2005 Holiday Calendar, and click it.
6. | Save the file to the desired location on your hard disk.
7. | From Outlook, click the File menu and the select Open.
8. | Browse to the location where you saved the file and select it.

Outlook automatically creates a custom calendar for you containing the information you've just downloaded. Now when you click a date that is a holiday, you can double-click the name of the holiday (located above the day's first time slot) and read information about that holiday. For example, you will find information such as why that day is celebrated, how the holiday originated, and many other tidbits.

5.33. How Do I View Different Calendar Formats, Such As Gregorian or Hebrew Lunar?

This is not an everyday request, but you might have good reason to view your calendar in a completely different format than the default. Here's how to select a different calendar format:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Calendar button.

3.
When the Calendar Options dialog box appears (see Figure 5-21), click the option labeled Enable alternate calendar (near the bottom of the dialog box).

Figure 5-21. You can specify virtually any type of calendar format using the Advanced Calendar options.

[View full size image]

4.
From the two drop-down lists to that option's right, select the desired language and the calendar format.


Custom Calendars

5.34. How Do I Create Additional Calendars?

One of the most powerful aspects of the Outlook 2003 calendar feature is that you can create custom calendars for specific tasks. If you use the calendar for many of your events, you'll quickly find that you have a very cluttered and difficult-to-read calendar. As a result, you might find it much easier to create one calendar for your business activities and another for your personal activities. This would be especially important if you're using Microsoft Exchange Server and you need to share the business calendar without letting others see your personal calendar. Here's how to create additional calendars:

1.
While in the Calendar view, right-click under the My Calendars area of the Navigation Pane.

2.
When the context menu displays, select the New Folder option.

3.
When the Create New Folder dialog box appears, you'll see that the Folder contains drop-down list has been defaulted to Calendar Items (see Figure 5-22). Type the name of the calendar, such as Personal or Kids, and click the OK button.

Figure 5-22. Outlook enables you to create custom calendars to keep unrelated appointments, meetings, and tasks separated.

4.
The newly created calendar appears in your My Calendars list of the Navigation Pane. To display it, click the option to the left of the calendar's name. You'll see that you can select which calendar to view or you can view more than one side by side.

5.35. Why Can't I Get My Reminders to Work for Items in My Custom Calendars?

If you create a custom folder and attempt to set a reminder for a calendar event in that folder, you will receive an error stating "The reminder will not appear because the item is not in your Calendar or Tasks folder" (see Figure 5-23).

Figure 5-23. Outlook does not allow you to set reminders for meetings and appointments created in custom calendars.

[View full size image]

Unfortunately, reminders fire only from certain Outlook-supplied folders (Inbox, Calendar, Tasks, and Contacts folders), unless you use a third-party add-in to provide reminders from other folders. However, there is one way to accomplish thisit involves creating an associated task that has a reminder.

1. | If you're creating the item and receive the aforementioned message, click the Yes button. If you're looking to add a reminder to an entry that already exists in a Calendar folder you created (not the default folder supplied by Outlook), continue to the next step.
2. | If you are not viewing your calendar and TaskPad simultaneously, click the View menu and then select TaskPad to display the TaskPad.
3. | Drag the calendar entry onto the TaskPad.
4. | When the Task form opens, click the Reminder option and specify a specific time for the reminder to fire.
5. | Click the Save and Close button.

Now when the time specified on the Task form arrives, the reminder will fire.

5.36. How Can I Copy an Appointment from One Calendar to Another?

When you start creating custom calendars, you might want to copy events from one calendar to a newly created calendar. In addition, you might simply create an event in the wrong calendar and need to move it. Moving a recurring event involves additional steps, so we've covered how to move both recurring and nonrecurring events as follows:

Moving a nonrecurring event:

1. | Open the calendar in which the entry currently resides.
2. | Drag the event to the Navigation Pane and drop it onto the name of the calendar as it's listed under the My Calendars heading. Outlook automatically inserts the event into the correct date and time, and then deletes the original.

Moving a recurring event:

1. | Open the calendar in which the entry currently resides.
2. | Double-click the entry.
3. | Outlook sees that the item is recurring and displays the Open Recurring Item dialog box so that it knows whether you're attempting to edit just the single occurrence of the entry or the entire series. Select the Open the series option and click the OK button.
4. | When the Appointment form is opened, click the File menu and then select Move to Folder.
5. | When the Move Item to dialog box appears, select the desired Calendar folder and click the OK button.

5.37. Where Can I Find an Outlook Calendar Containing My Favorite Sports Team's Schedule?

The Web site http://www.calendar-updates.com contains a complete list of all schedules for all the teams in many major sports (such as major-league baseball, NBA, NFL, NHL, golf, and more). The only negative is that, with the calendar, you also get some advertisements in the event description, such as how to purchase tickets to the event. However, that's a small price to pay for a free calendar of your favorite team's schedule!

5.38. How Can I Create My Own Calendar for Others to Import?

This is actually a much easier task than most people realize. Let's say that you run a youth soccer league and want to create a schedule that lists all practices, games, and team meetings for all the kids' parents. Here's how you would do that:

1. | As explained in FAQ 5.34, create a new calendar called something like Atlanta Youth Soccer League Schedule.
2. | Define the various appointments, tasks, and meetings in the calendar. Remember that when you set a recurring item, you can also set an End date.
3. | As explained in FAQ 5.24, you can make the calendar easier to read by using different colors for practices, games, meetings, and so on.
4. | From the File menu, select the Import and Export option.
5. | When the Import and Export Wizard appears, select the Export to a file option from the list and click the Next button.
6. | When the Export to a File dialog box is displayed, select the Personal Folder File (.pst) item and click the Next button.
7. | Select the desired folderin this case, the folder representing the calendar you want to exportand click the Next button.
8. | Specify where the file is to be saved and give the file a name. Most people typically use the same name as the calendar itself. Keep the other defaults and click the Finish button.
9. | When the Create Microsoft Personal Folders dialog box appears, you can specify a username and password to protect your calendar information. You can also leave these fields blank if you don't need this level of security. Click the OK button when finished.

Now you can easily share your new calendar file with others.


Printing

5.39. I'm Not Happy with the Way Outlook Prints the CalendarIs There Another Way?

Although you can print calendars from Outlook, many people find that a Microsoft Word calendar template provided free from Microsoft works much better. This template, called olcalndr, enables you to customize the calendar grid, color cells to your liking, incorporate images, and add notes. The template even enables you to save to HTML so that the calendar can be posted on a Web site. This file is available from the following Web page that also includes instructions on installing it: http://www.microsoft.com/downloads/details.aspx?FamilyID=802B2C82-2D9A-496B-AC3B-E1D0B2812BB5&displaylang=EN.

Note that although the page might state that the template was originally created for Outlook 97/98, it will also work for all subsequent versions, including Outlook 2003.


Chapter 6. NOTES

    Note Basics

    Viewing Notes

    Customizing Notes

    Organizing Notes

    Sharing Notes

    Miscellaneous


Note Basics

6.1. What Are Notes?

Outlook notes are an electronic form of paper sticky notes that you can use to record whatever information you desire. You can use them just as you would use paper sticky notes to jot down anything from a reminder to do something after lunch, to a list of people who should attend your next meeting.

6.2. What Are the Benefits of Using Outlook Notes?

Have you ever jotted something down on a sticky note or on a piece of paper, only to not be able to locate that all-important bit of information precisely when you need it? Has there ever been a stage at which you saw something on a Web site, in a document, or in a spreadsheet, and you needed to quickly jot it down before moving on? Quick! I need a pen and paper!

These are just some of the many issues that can easily manifest themselves when manually writing down information that is better entered into a computer. Along with the obvious benefits of a keyboard being more difficult to misplace than a pen and piece of paper, notes can be searched, filtered, shared, assigned to categories, associated with clients, and much more. This chapter contains dozens of FAQs that will hopefully help you get the most out of this very useful Outlook feature.

6.3. How Can I View My Notes?

The easiest way to get to the notes feature of Outlook is to click the Notes button on the Navigation Pane. If you don't use the Navigation Pane, your other options for opening notes include clicking the Go menu and then selecting Notes, and just pressing the Ctrl 5 keyboard combination.

When you are viewing the Notes view, the Navigation Pane displays a list of Notes folders under the heading My Notes. Below that, you will see a series of options that enable you to quickly specify how to view your notes. If you are using Microsoft Exchange Server, the section below the Current View options gives you the capability to open a shared Notes folder and define your various Notes folders as shareable.

As for the Notes view itself, it consists of a list of your notes for the currently selected Notes folder. (By default, you have only one Notes folder, but you can create additional ones as needed.) As with most views, you can customize the list according to the sort order, grouping, and filtering you desire.

6.4. How Do I Create a Note?

A note can be created with just a couple keystrokes, depending on where you are in Outlook:

1. | If you are not currently in the Notes view, you can get there by clicking the Go menu and then selecting Notes.
2. | You can now create a new note by pressing the Ctrl N keyboard combination.
3. | At this point, you will see a form that has the general appearance of a yellow sticky note. This note has a date and time along the bottom that specifies when the note was started, and the text pointer automatically is positioned at the beginning of a large text box. Simply start typing in the note.
4. | Clicking the X button in the upper-right corner of the note form saves the note. You will then see it in the Notes view.

6.5. How Do I Close a Note Without Saving It?

When creating a note, you can click the Esc key or click the X button, which, in standard Windows applications, cancels an operation. However, in the case of a note, it actually saves the note. Therefore, the following steps are needed to "cancel" the creation of a note:

1. | If you're writing a note and decide you no longer want that note, click the system menu icon (the note icon in the upper-left corner of the note).
2. | From the context menu that appears, select Delete.
3. | If you're in the Notes view, you will see that the note is actually created and saved at this point. However, you will also see a confirmation message box asking if you would like to delete the note. Click the Yes button.

The note then is deleted and removed from the Notes view.

6.6. How Can I Duplicate a Note?

You can duplicate a note in two main ways. The first is to hold down the Ctrl key and then drag the note to another part of the view. When you release the mouse button, a copy of the original note is created. The same can be accomplished by selecting the note, pressing Ctrl C (to copy the note to the clipboard) and then pressing note and Ctrl V to paste it.

6.7. How Do I Delete a Note?

Obviously, at times you want to delete notes. The quickest and, arguably, easiest way to delete a note is to highlight it and press the Delete key on the keyboard. You can delete multiple notes at the same time by holding down the Ctrl key when selecting them and then deleting them.

6.8. How Do I Print a Note?

You can print a note by right-clicking the note and selecting Print from the context menu. To view print options, such as the printer used, select the note and then press Ctrl P. The Print dialog box appears, where you can customize the print job. (You can also press the Ctrl P combination while the note is open to view the Print dialog box.)

6.9. How Do I Automatically Display My Notes When Outlook Starts?

Sometimes you would like the Notes folders to display when you open Outlook. Here's how to tell Outlook to display your notes upon startup:

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, select the Other tab.
3. | In the General section of the tab, click the Advanced Options button.
4. | When the Advanced Options dialog box appears, click the Browse button.
5. | When the Select Folder dialog box appears, highlight Notes in the tree on the left and click the OK button.
6. | Click OK on each dialog box to close it until you are returned to Outlook.


Viewing Notes

6.10. What Are the Different Views I Can Have of My Notes?

Outlook provides five default views of your notes:

  • Icons Displays each note as an icon. This is the default view for your notes.

  • Notes List Displays the notes in a list, similar to the view used for e-mails.

  • Last Seven Days Shows the notes from the previous week using a view similar to the Notes List.

  • By Category Automatically groups notes by the categories they have been assigned.

  • By Color Acts similar to the By Category view, but groups notes by color.

You can customize each of the previous views to your needs and preferences; FAQs 6.13, 6.14, and 6.15 explain how to make these customizations. Outlook also enables you to select different views for each Notes folder that you have created.

If the Current View options are displayed in the Navigation Pane (see Figure 6-1), you can just select your desired view by clicking it. Other-wise, follow these steps to select your view or to display the Current View options:

1. | From the View menu, select Arrange By.
2. | Under the Arrange By submenu, select the Current View menu. From there, you can select the view you want.
3. | To display the Current View options in the Navigation Pane, click Show Views In Navigation Pane under the Arrange By submenu.

Figure 6-1. You can quickly select your desired view from the Current View options on the Navigation Pane.

[View full size image]

If you want, you can also define your own views by selecting the Define Views menu option on the Current View submenu from step 2.

6.11. In What Ways Can I Customize the Icons View?

The Icons View displays note icons in a way similar to how Windows Explorer displays file icons: It enables you to display large icons, small icons, or a list of icons. If you choose the large or small icon view, it enables you to autoarrange, sort and autoarrange, line up, or have freely placed note icons (see Figure 6-2), so you can handle your notes in a familiar way.

Figure 6-2. Freely placed large icons in the predefined Icons view that Outlook provides.

[View full size image]

The quickest way to customize the Icons View is to right-click the right pane of the notes window and select Other Settings from the context menu that appears. Alternatively, you can click the Customize Current View option on the Navigation Pane, if available (see Figure 6-2), and select Other Settings.

Figure 6-3 shows the Format Icon View dialog box. From here, you can choose which size note icon you desire and also modify the options governing the layout of the notes. The Icon List format is the only format of the three that doesn't allow the icons to be freely placed.

Figure 6-3. The Format Icon View dialog box enables you to modify the way the Icon View displays your notes.

If you are using large or small icons with the Sort and AutoArrange option, or if you have decided to view the icons as a list, you can also define how you would like the notes to be sorted (covered in FAQ 6.13) and set up filters to display only the notes you desire (covered in FAQ 6.15).

6.12. How Can I Customize the Other Views?

Except for the Icon view, the predefined views that Outlook provides are all similar in nature and differ only by their individual settings for the following properties:

  • Sorting

  • Grouping

  • Filters

The following is a list of the previous properties the different views use:

  • Notes List Sorts items but does not group or filter notes

  • Last Seven Days Filters the notes to show only those from the last week, and sorts them

  • By Category Groups the notes depending upon the categories that they have been assigned

  • By Color Groups the notes based upon the color of the note

Figure 6-4. The By Color view provided by Outlook.

[View full size image]

You can completely customize all of the previous views and, if desired, modify the Notes List view until it exactly replicates the By Color view. Customizing theses four views is achieved using the Customize View dialog box, which can be reached by one of the following methods:

  • If the Current View options are available on the Navigation Pane, click the Customize Current View link.

  • Alternatively, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.

6.13. How Do I Sort My Notes?

Sometimes you need to sort your notes using different criteria than what is provided by the predefined Outlook views. For example, you might want to sort your notes based on the color of the note and the last time that they were modified rather than on when they were created or what category they belong to.

To modify the criteria by which your notes are sorted, follow these steps:

1. | If the Current View options are available in the Navigation Pane, click the Customize Current View link; otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.
2. | Click the Sort button to display the Sort dialog box.
3. | From here, you can choose to sort the notes based upon multiple criteria.

For the previous example, you would sort the notes first by color and then by the time they were modified (in ascending or descending order). Selecting Color from the Sort items by drop-down list and then selecting Modified from the Then by list (and the appropriate Ascending or Descending option) achieves the desired goal, as shown in Figure 6-5.

Figure 6-5. Notes sorted first by color and then by the date they were last modified.

[View full size image]

NOTE

If any selected sort fields are not currently being shown in the view, Outlook displays a message box asking if you want the selected field(s) added to the view. Clicking the Yes button to this question adds the field(s) to the view and carries out the sort.

6.14. How Can I Group My Notes?

As with any items in Outlook, the key is being able to find what you're looking for when looking at a list of those items. This can be done by either filtering the list or grouping semantically similar items. For example, you might group your notes by category so that you can more quickly find the notes pertaining to a particular project. Here's how to group your notes in the Notes view.

1.
If the Current View options are available in the Navigation Pane, click the Customize Current View link. Otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.

2.
When the Customize View dialog box appears (the title bar will indicate any current customizations), click the Group By button.

3.
When the Group By dialog box appears (see Figure 6-6), you will see a nested series of controls that illustrate the manner in which your notes will be displayed. For example, if (counting from the top of the dialog box) you select Contacts from the first drop-down list and then select Categories from the second drop-down list, you will see the same indentation in your notes list.

Figure 6-6. Notes grouped by category and sorted by their last modified date.

[View full size image]

4.
Click the OK button when you are finished to dismiss the Group By dialog box.

5.
Click the OK button to dismiss the Customize View dialog box.

6.15. How Do I Set Up Filters to Display Only the Notes I Want?

Sometimes you simply need to see a particular subset of your notes. Perhaps you want to see only notes from the business category that have been created or modified in the last week, and you consider all other notes as being stored only for historical reasons. Chances are high that you would prefer to see only those notes that you are interested in. This is where the capability to define custom filters comes to your rescue.

Filters enable you to define rules that govern which items are displayed. To create a filter for the example scenario that displays only notes in the business category that were created or modified in the last week, follow these steps:

1. | If the Current View options are available in the Navigation Pane, click the Customize Current View link. Otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.
2. | Click the Filter button to display the Filter dialog box.
3. | The Filter dialog box provides a plethora of options that enable you to apply filtering to almost any item with Outlook. However, for this filter, we are interested only in filter notes based on their last created or modified date.
4. | In the Filter dialog box, select the More Choices tab.
5. | Click the Categories button and place a check in the option beside the word Business, and click the OK button
6. | Select the Advanced tab and then click the Field button, to display a drop-down menu.
7. | From this menu, select All Note Fields and then select Created.
8. | Select in the last 7 days from the Condition drop-down list, and click the Add To List button to add the rule Created in the last 7 days.
9. | Repeat steps 7 and 8, this time selecting Modified from the All Note Fields menu.

6.16. Can I See a Preview of a Note Before I Open It?

If you are using any view other than the Icon view, the easiest way to preview a note is to select AutoPreview from the View menu (the AutoPreview feature is not available when you are using the Icon view). As you can see from Figure 6-7, the AutoPreview feature displays the first three lines of the note just below the note title. The end of the note is identified by the text <end>.

Figure 6-7. Outlook can display previews of notes using the AutoPreview feature.

[View full size image]

6.17. How Can I View the Entire Note Without Having to Open It?

It is often useful to be able to see the entire note without having to open it, similar to viewing an e-mail without having to open that. If you are well organized or you like to be economical with your desktop space, you might find opening each note to be a fruitless activity. You need a way to view your notes without messing up your screen.

As with e-mails, you can use the Reading pane to view a note in its entirety without having to open it. If you want to see just a quick preview of a note before deciding whether to open it, see FAQ 6.16. To enable the Reading Pane, go to the View menu and then to the Preview Pane submenu. From here you can select which area, the Top or the Bottom, of the notes window that you want the Reading pane to be shown in.

You can also set some preferences for the Reading Pane by following these steps:

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, select the Other tab.
3. | In the Reading Pane section, click the Reading Pane button to customize the Reading pane options to your needs. You should note, however, that these settings apply to the use of the Reading Pane throughout Outlook, not just to the notes feature.
4. | Click the OK button to close the Options dialog box.


Customizing Notes

6.18. Where Can I Change the Default Note Properties?

Every time you create a new note, it is given default properties, such as these:

  • Color The color of the note itself

  • Size The initial size of the note

  • Font The font, font size, font style, effects, and font color

Outlook enables you to modify these default properties. To do so, follow these simple steps:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, select the Preference tab.

3.
Click the Note Options button.

4.
When the Notes Options dialog box appears (Figure 6-8), set the options as follows:

  • To change the default color that is automatically applied to all new notes, select the color you want from the Color drop-down list. Outlook provides you with five colors to choose from: blue, green, pink, yellow, and white. Yellow is the default color.

  • You can set the default size for new notes by modifying the selected value in the Size drop-down list.

  • To modify the default font that is used for the text that you enter into the note, click the Font button. When the Font dialog box is displayed, you can select the font, point size, color, style, and effects.

Figure 6-8. Outlook enables you to modify the default properties that are applied to all new notes.

5.
Click the OK button to save your changes.

6.
Click the OK button to close the Options dialog box.

6.19. How Can I Resize a Note?

To resize a note, move your mouse over the resize handle at the lower-right side of the note. When you see the resize arrows, grab the handle by clicking and holding the left mouse button. You can then drag the mouse and the note will resize with it. When you are happy with the size, release the mouse button.

Figure 6-9. Resize the note by grabbing the resize handle in the lower-right corner of the note and dragging.

6.20. How Do I Change the Color of a Note?

Having notes of different colors can help you be more organized, and sometimes different-colored notes will help put a smile on your face. Outlook enables you to easily change the color of a note:

1.
Click the note icon in the top-left side of the note with your left mouse button. A menu appears similar to the one shown in Figure 6-10.

Figure 6-10. Quickly and easily change the color of a note in Outlook.

2.
Move your mouse over the Color menu item to display the Color submenu.

3.
Now simply choose the desired color for the note.

You can also change the color of a note without opening it by right-clicking it and selecting a color from the Color submenu, as shown in Figure 6-11.

Figure 6-11. You can also change the color of a note without opening it by using the context menu.

6.21. How Do I Hide a Note's Time Stamp Information?

By default, Outlook displays the date and time that the last modification was made to the note on the note itself when it is displayed, as shown in Figure 6-12.

Figure 6-12. The last modification date is displayed by default on each note.

To alter this behavior and prevent the date and time of the last modification from being displayed, follow these instructions:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, select the Other tab.

3.
Click the Advanced Options button.

4.
On the Advanced Options dialog box, locate the Appearance options section and, within it, the option labeled When viewing Notes, show date and time (as shown in Figure 6-13).

Figure 6-13. The Advanced Options dialog box enables you to modify numerous aspects of Outlook, including whether the data and time are visible when viewing notes.

5.
To ensure that the date and time of the last modification are not displayed, remove the check from the option if it is checked. If you want to enable the display of the date and time at some other stage, return to this dialog box and check the box.

6.
Click the OK button to save your changes.

7.
Click the OK button to close the Options dialog box.


Organizing Notes

6.22. Can I Create Additional Notes Folders?

To create a new Notes folder, perform the following:

1.
Click the arrow to the right of the New button on the toolbar and select Folder from the menu that drops down. Alternatively, you can go to the File menu, select New, and, from the submenu, select the Folder option.

2.
The standard Create New Folder dialog box appears. Type in the desired name of your Notes folder. For example, you might have folders named Favorite Recipes and Holiday Details.

3.
Ensure that the Folder Contains drop-down list is set to Note Items.

4.
Select the desired parent folder for your new Notes folder. Any new folder that you create will appear under the My Notes section when you are viewing your notes (see Figure 6-14).

Figure 6-14. All Notes folders appear at the same root level in the My Notes section of the notes window of the Navigation Bar.

[View full size image]

6.23. What Are Some of the Advantages to Having Multiple Note Folders?

Although we personally recommend using categories for grouping notes, creating multiple note folders does have its advantages:

  • Sharing your Outlook items is done at the folder level. Therefore, if you want to share only some of your notes, you can create a folder for only those notes you want to share and mark that folder as shared (public), keeping the remainder of your notes in a nonshared (private) folder.

  • Autoarchiving rules are defined at the folder level.

  • Manual archiving is done for each individual folder.

(For more information on archiving, refer to Chapter 16, "Data Archival, Backup, and Restore.")

6.24. How Can I Rearrange My Notes Folder in the My Notes Section?

In either the Notes View or the Folder List view, you can easily re-arrange your Notes folders by dragging and dropping the folders to their desired locations relative to one another or other folders. A line will appear as you're dragging the folder indicating where it will be inserted when you release the mouse button. Alternatively, you can right-click any Notes folder and, from the context menu, select either the Move Up in List or the Move Down in List menu options.

6.25. Can I Save Notes Outside of Outlook?

On some occasions you will want to save notes to a location of your choice rather than having the note saved directly inside your Outlook account. For example, you might want to keep the notes visible on the desktop so that you can quickly open them, or you might just like to keep them in an encrypted folder instead of in your main account data file.

To save a note to a location of your choice, simply follow these instructions:

1. | Click the note icon on the top-left side of the note with your left mouse button.
2. | When the menu appears, select Save As to display the Save As dialog box.
3. | In the Save as type field, select Outlook Message Format (or Outlook Message FormatUnicode if you have used extended characters in your note) and then enter the name of the file.
4. | Click Save to save the file to the location that you specified.

Alternatively, simply drag the note from Outlook and drop it in the location where you want to store the note. For example, you could drag a note directly from your Notes folder onto the desktop.

When saving the note, you have a number of options in the Save as type field. If you select Rich Text Format as the file type, opening it later will probably not open the file in Outlook. This is because the rich-text format file type is normally associated with your default document editor (such as Microsoft Word or WordPad). If you set the file type to Outlook Message Format, or the Unicode version, when you open the file later by double-clicking it, it will be displayed correctly as an Outlook note.

6.26. How Do I Assign Categories to Notes?

You can assign categories to notes in a number of ways:

  • When creating a new note, you can assign it categories by clicking the note icon in the top-left corner of the note and selecting Categories from the menu that appears.

  • If the note already exists and is closed, right-click it and select Categories from the context menu that appears.

  • If the note already exists and is open, click the note icon in the top-left corner of the note and select Categories.

Regardless of which of the method you use, you are presented with the Categories dialog box, as shown in Figure 6-15. To assign a category, simply place a check in the option for that category and click the OK button when you are finished. (Note that categories are covered in detail in Chapter 2, "Categories.")

Figure 6-15. The Categories dialog box can be used for assigning categories to notes.

6.27. Can I Associate Notes with Contacts?

Absolutely. When you create a note or open a note, simply click the little note icon in the top-left side of the note. On the resulting menu, select Contacts to bring up a dialog box where you can enter the names of the contacts you want to associate the note with. You also have the option of browsing for the contact by clicking the Contacts button on the dialog box.

After you have selected your contacts, click Close. The note will be added to that contact as an activity, as shown in Figure 6-16.

Figure 6-16. Outlook allows for notes to be associated with contacts as activities.

[View full size image]

6.28. Can I Mark Notes as Read or Unread?

It might often be necessary for you to mark notes as having been read or to mark them as having not been read yet. The number in parentheses next to each folder name indicates the number of unread items in that folder. It is important to note that when you are displaying your notes using an Icon view, you cannot see whether they are marked as read or unread.

To mark a note as having been read, highlight it by clicking it and pressing the Ctrl Q combination on the keyboard. To mark an item as not having been read yet, ensure that it is highlighted and press Ctrl U on the keyboard. You can apply this method to multiple notes at once by selecting multiple notes. To do this, hold down the Ctrl key while selecting them; when you have selected all the notes you want, release the Ctrl key.

6.29. How Can I Store Notes That Have Been E-mailed to Me?

If somebody sends you an e-mail with a note attached, you might want to store it instead of just reading it and disposing of it. You can do so by simply dragging the note from the e-mail and dropping it onto the notes button on the Navigation Pane, or by dropping it into a Notes folder of your choice. Outlook stores the note locally, and you can manipulate the note as you would any other note you have created.

6.30. How Do I Move Notes from One Place to Another?

If you've accidentally created a note in the wrong folder, or if you just want to move a note, doing so is simple. Just drag the note from its current location and drop it into its new home. You can also move a note by cutting it using Ctrl X and pasting it to its new location using Ctrl V.


Sharing Notes

6.31. Can I E-mail a Note?

Definitely. To e-mail a note, simply drag the note from the Notes folder and drop it onto the E-mail button on the Navigation Pane. Outlook automatically creates an e-mail with the title of the note as the subject and the body of the note as the body of the e-mail. Figure 6-17 shows an example e-mail created by dragging a note from a Notes folder onto the E-mail tab in the Navigation Pane.

Figure 6-17. Outlook makes sending notes as e-mails as easy as dragging and dropping.

[View full size image]

6.32. How Do I Forward a Note?

Here's how to forward a note via e-mail:

1. | Right-click the note you want to forward.
2. | When the context menu appears, select the Forward option.
3. | Outlook saves the note to a file, creates a new e-mail, and attaches the file to the e-mail. This e-mail then is opened for you to edit.
4. | Specify the recipients of the e-mail, make any other necessary changes (such as the e-mail body), and click the Send button.

6.33. How Do I Share My Notes with Others?

If you want to share a Notes folder that is associated with your Microsoft Exchange Server account, right-click the desired folder and select the Sharing menu option. This produces the Properties dialog box for that folder, with the Permissions tab selected.

1. | Select the username of the person you want to share the folder with. If the user isn't present, click the Add button to add that user.
2. | Select the desired Permission Level for the selected user.
3. | Via the supplied options, you can override the defaults of a given Permission Level.
4. | Click the OK button to share your folder.

As you can see in Figure 6-18, the Default user (anyone not otherwise listed on this dialog box) connected to the Outlook 2003 Tips Notes folder has Reviewer rights, meaning that the user can read but not edit the notes.

Figure 6-18. The Permissions tab enables you to specify who can access your notes and what level of access they have.

NOTE

The Notes folder is like any other folder, and all folders are shared using the same dialog box.

6.34. How Can I View Notes That Have Been Shared by Others?

If you are using Microsoft Exchange Server, you can view Notes folders shared by other users on your network. Here's how to connect to and share the Notes folders of other users:

1. | Go to your notes by clicking the Notes button on the Navigation Pane.
2. | Next, click the Open Shared Notes link. (This link is just below the Current View radio buttons.)
3. | A dialog box appears that has a single text box for entering the name of the user whose notes you want to access. The dialog box also contains a button labeled Name that enables you to search for the desired user. Clicking this button produces the Select Name dialog box, where you can select the user from a number of different address books (address books are covered in greater detail in Chapter 3, "Address Book, Contacts, and Distribution Lists.")
4. | After you click the OK button, the selected shared folder will appear in your Navigation Bar.

NOTE

The Notes folder is like any other folder, and all shared, or public, folders are located using the same dialog box.


Miscellaneous

6.35. How Do I Generate a Task from a Note?

Sometimes you'll quickly create a note, such as a grocery shopping list or a few reminders of what you want to cover in a meeting, and then later decide that the note should become a task. You can easily accomplish this by dragging the note from its folder and dropping it onto the Tasks button on the Navigation Pane. Outlook then automatically creates a new task based on the note. The title of the note becomes the subject of the task, and the task is automatically assigned the same categories that the note was assigned.

6.36. Can I Create Outlook Notes from Other Applications?

Some of the main uses of notes are to jot down ideas, questions, and general items that you would otherwise save to a document or even e-mail to yourself. The things you save might be Web site addresses, paragraphs from articles, or just a phone number you don't want to lose. However, many times you'll find yourself in another application and would like to generate a note from that application's data. Outlook makes that task easy by being a drop-target for many types of data. Here are some examples of the types of data that can automatically generate a new note for you:

  • You can drag and drop any text (from Web sites, Word documents, and so on) onto a Notes folder, and Outlook will automatically create the note and insert the text into that note.

  • You can drag and drop cell data from an Excel document onto a Notes folder.

  • When using Internet Explorer (IE), you can easily create a note containing a URL by dragging the icon from the IE address bar onto a Notes folder. This is really useful if you want to have a Notes folder that contains URLs that you don't want to forget.


Chapter 7. JOURNALS

    Purpose

    Configuration

    Working with Entries

    Viewing and Printing


Purpose

7.1. What Is the Difference Between Journaling and Other Outlook Features Such As Notes and Tasks?

Notes and tasks do allow similar note-taking capabilities, but only the journal provides a means of automatically tracking your work at the contact and category levels. As an example, let's say that you have a client for whom you perform a lot of work, and you want to keep track of how many hours you spend on various events such as composing and replying to e-mails, attending meetings, and working on Office documents. With journaling, you could automate the tracking of all these events and even manually record activities such as phone calls and errands to the post office. The end result is a greater level of control over knowing just where your time is spentnot just for each specific client, but also for your entire day. In addition, because journaling provides a means of date- and time-stamping each activity, specifying the exact type of activity (e-mails, meetings, phone calls, and so on) and tracking the amount of time spent on the event, you have a built-in system for properly and efficiently billing your clients.

7.2. What Events Can I Journal Automatically?

You can think of the journal as an electronic log, or diary, where your work is logged to a central place. The beauty of journaling in Outlook is that you can specify that many basic operations produce journal entries automatically:

  • E-mail You can specify that Outlook automatically create journal entries whenever you send e-mail to or receive e-mail from particular contacts.

  • Tasks Because a task often involves work for a particular contact, you can specify that Outlook generate a journal entry each time you request a task or respond to a task involving particular contacts. This is especially useful if you're tracking inner-office work with co-workers.

  • Meetings Another item that is useful to track for inner-office communications and work is meetings. You can specify that any combination of meeting requests, responses, and cancellations be logged in the journal.

  • Phone calls You can have Outlook automatically generate a journal entry each time you call a contact. In addition, Outlook will track the amount of time spent on the call and record that information. This feature works only if you've configured Outlook to dial through your phone. Otherwise, you'll need to create the journal entry manually (addressed in FAQ 7.14.)

  • Office Applications This type of journal entry is very useful if you want to track how much time you spend creating or modifying Office documents such as Word documents, Excel spreadsheets, or PowerPoint presentations. Recording Office document work is addressed in FAQ 7.11.

7.3. What Are Examples of Events I Can Journal Manually?

You can journal any event that you deem important enough for Outlook to remember. For example, you can easily journal phone calls. In fact, the Journal Entry form has a built-in timer so that you can easily determine how much billable time is spent on the task (such as a phone call). In addition, you can create journal entries after the fact. Let's say that while out of the office you run into a contact and decide to have an impromptu lunch meeting. When you return to Outlook, you can record the time and duration of that meeting and properly associate it with the client. In addition, because each journal entry has a free-form text area associated with it, you can enter details about the event, such as what was discussed and decided during the meeting.

The Journal Entry form supports the following journal entry types:

  • Conversation

  • Fax

  • Letter

  • Notes

  • Phone call

  • Remote session

For more information on manually creating a journal entry, refer to FAQ 7.14.

7.4. Is Journaling Right for Me?

Interestingly Outlook does a certain amount of record keeping on a contact basis behind the scenes without you ever having to turn on journaling. To see that, do the following:

1.
Via the Navigation Pane or Go menu, open the Contacts Pane.

2.
Double-click any contact with which you've had any interaction, such as e-mails, tasks, or meetings.

3.
When the Contact form appears, click the Activities tab. As Figure 7-1 indicates, Outlook automatically associates basic Outlook items such as e-mail, meetings, and tasks.

Figure 7-1. Outlook automatically tracks all activities (e-mail, meeting, tasks, and so on) associated with each contact and makes that information viewable through the Contact form.

[View full size image]

As you can see in Figure 7-1, the authors of this book have exchanged many e-mails. So the question becomes "Why use journaling at all if Outlook seems to record events automatically?" This issue is further clouded by a message box that greets you when you start journaling that says in part, "[T]he Activities tab on the contact item is the best way to track e-mail and does not require the Journal."

Therefore, to address the issue of whether journaling is right for you, we present some sample scenarios and what we suggest doing.

  • Tracking e-mail, meetings, and tasks for specific clients If you need to track only these basic items as they relate to specific contacts, journaling is not necessary. As mentioned, simply view the contact's Activities tab to locate past events of note.

  • Tracking other events (such as phone calls, errands, and so on) for specific clients As an example, let's say that you're running a company and need to track all activity for a client for billing purposes. In this scenario, you would want to track all tasks, including those that occur away from the computer, such as phone calls, errands, and trips to the post office. In this case, we recommend turning on journaling, configuring journaling to automatically journal the desired tasks, and manually entering the other tasks.

  • Tracking the use of Office documents Some examples of the usefulness of tracking Office document activity include when you're putting together a PowerPoint presentation for a particular client and you want to determine how much time you've spent on that task so that you can cost the job correctly. As another example, we personally use journaling when tracking how much time a book takes to write. With Outlook, we need to configure Outlook to journal only Office document work. FAQ 7.11 shows how to do this and provides some tips for making sure that your journal entries are recorded properly.

  • Tracking non-contact-specific items Let's say that you need to track things that have no correlation with a given person or company. For example, you might need to track the time and money spent on improving your home. In this case, you would manually create journal entries (see FAQ 7.14) using custom journal entry types (see FAQ 7.16) that would detail exactly what was done to the house, how long it took, and how much it cost. You could then create a custom view (see FAQ 7.19) that would enable you to determine how much money you spent on your home (for tax-deduction purposes). In addition, if you were to sell your home, you could print these journal entries (see FAQ 7.21 to show the prospective buyers what recent additions and modifications were made to the house.

  • Tracking work that is not specific to a single contact Many times the work you want to track involves multiple contacts. Again, we can use the writing of this book as an example. Many people are involved in writing a book: the authors, copyeditors, technical editors, a project manager, and so on. Because most of the interaction with these people involves Outlook items such as e-mails, tasks, and appointments, we can create journal entries from those items. This is discussed in FAQ 7.15.

  • Tracking select items for a contact Automatic journaling works on a contact basis in which you specify the types of Outlook items you want journaled for specific contacts. However, sometimes you want to journal only certain items for a given contact. As an example, let's say that you run a business and you regularly receive e-mails from prospective customers. You might not want to journal each e-mail with each person until the person actually becomes a customer. Instead, you might want to journal only select e-mails, such as when a firm offer has been tendered. In this case, you could do two things. First, you could assign a category to the e-mail in question, manually generate a journal entry for the specific e-mail, and then use a view to quickly review all of those journal entries. Second, you could manually generate a journal entry for the specific e-mail, assign that journal entry to a custom journal entry type, and then use a view to easily see all those entries.


Configuration

7.5. How Do I Turn On Journaling?

In the Navigation Pane, click on either the Journal button or the Journal icon. (You can also click the Go menu option and then select Journal.) The first time you enter the Journal section of Outlook, you'll see a message box (see Figure 7-2) asking if you want to turn on journaling.

Figure 7-2. Autojournaling slows your system, so you should turn it on only if you're sure you need it.

As you can see, the message box that Outlook displays when it asks if you want to turn on automatic journaling states what we've mentioned in this chapter: The journal can be used to automatically track Office documents and e-mail associated with a contact. It continues, "However, the Activities tab on the contact item is the best way to track e-mail and does not require the Journal." That's a bit misleading, so we interject here that what they mean is that if the only event you're going to track is e-mail, you're fine just using the Activities tab of the contact. This is because it's done automatically for all contacts, so you don't have to manually specify which contacts you want email journaled for. However, if you're going to be journaling other types of events, such as meetings, phone calls, tasks, and Office documents, we suggest also journaling e-mail; that way you can quickly see all journal events for a given contact without having to switch back and forth between the journal and the contact's Activities page.

In FAQ 7.4, we cover this issue in more detail and give specific examples of where and how journaling might be of benefit to you.

Therefore, if you're going to journal more than just e-mail, we recommend checking the option labeled Please do not show me this dialog box again and then clicking the Yes button.

You then are presented with the Journal Options dialog box, which enables you to customize the automatic journaling aspects of Outlook. Refer to FAQ 7.6 for a description of these various options.

7.6. How Do I Configure Automatic Journaling?

When you start journaling, you are presented with the Journal Options dialog box (see Figure 7-3). When you've turned journaling on, you can revisit these options by doing the following:

1. | Select the Tools menu and then click Options.
2. | Click the Journal Options button.

Figure 7-3. You can autojournal Outlook items such as e-mail, meetings, and tasks on a per-contact basis.

As you can see in Figure 7-3, the Journal Options dialog box is separated into sections that enable you to specify what events you want to journal for each selected contact.

  • Automatically record these items Three types of Outlook items can be journaled: e-mail messages, meetings, and tasks. Email is pretty self-explanatory. Any e-mail received from or sent to the selected contacts is recorded in the journal. You're given three options for meetings. You can record meeting requests, responses, and cancellations, or any combination of those three. Finally, you can record the request for a task and the response to a task request.

  • For these contacts Here you simply check the contacts whose items you want recorded.

  • Also record files from This option enables you to specify that you want a journal entry created each time the specified Office document type is created or accessed. For example, you could specify that each time you create or access a Word document for a given contact, the event should be journaled.

7.7. Can I Have Different Journaling Options Per Contact?

No. The options that you set (via the Journal Options dialog box) are global to all contacts that you select.

7.8. How Can I Associate Journal Entries with a Category Instead of a Contact?

Unfortunately, there is no way to have Outlook automatically create journal entries for a given category. One reason might be that Outlook automatically journals only a subset of the types for which categories can be assigned. In other words, Outlook can be configured to automatically journal e-mail, meetings, and tasks, but categories also can be assigned to other Outlook items, such as notes. As a result, you need to manually create the journal entries for the category of types. The process is similar to that explained in FAQ 7.15, except that here you want to drag and drop an entire group of items:

1. | In each pane containing items that you want to journal (e-mail, tasks, and so on), group the items by category.
2. | Click the category header (or select each item within the category grouping) and drag it to the Journal pane (either the icon at the bottom of the Navigation Pane or the tab on the Navigation Pane labeled Journal, depending on how you've sized your Navigation Pane).
3. | The Journal Entry form appears. By default, the Subject is given a value based on the item being journaled. For example, if you attempt to journal a received e-mail, the subject will be set to the subject of the e-mail plus the word (received) to indicate that you're journaling the fact that you received this e-mail. If this value doesn't accurately capture the idea of what you're attempting to journal, you can change this value. For example, if you were journaling your many interviews and job offers, you could change the subject to something like Firm offer made need to decide by Friday.
4. | Click the Save and Close button.

Now you can view the journal entries of interest by doing the following:

1. | Via the Navigation Pane or the Go menu, navigate to the Journal Pane.
2. | Click the View menu and then click Arrange By. Click Current View and finally By Category.

The view automatically converts to a timeline where you will see the different journaled items grouped by category.

7.9. How Do I Add or Remove Office Products from the Journal Options Dialog Box?

Here's a little Registry hack that enables you to specify which Office products should show up on the Journal Options dialog box.

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1.
From the Tools menu, click Options.

2.
Click the Journal Options button.

3.
In the Also record files from section, clear the options alongside the Office documents that you no longer want to journal.

4.
Click the OK button to close the Journal Options dialog box.

5.
Click the OK button to close the Options dialog box.

6.
From the Windows Start menu, click the Run option.

7.
Type regedit and click the Enter key.

8.
When the Windows registry editor loads, locate and expand the HKEY_CURRENT_USER\Software\Microsoft\Shared Tools\Outlook\Journaling key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

9.
As Figure 7-4 shows, the Journaling key contains a key for each journal entry type allowed in Outlook. In the figure, we've selected the Microsoft PowerPoint key. On the right side of the Windows Registry editor, you can see that for the selected key, there are several values (name/data pairs). One of these values, called AutoJournaled, contains a value of 1 if the item can be autojournaled and 0 if it can't be. Simply locate the desired Office product's key and double-click the AutoJournaled name.

Figure 7-4. The Microsoft Office journal entry types are defined via the Windows Registry.

[View full size image]

10.
When the Edit Value dialog box appears (see Figure 7-5), specify a value of 0 and click the OK button.

Figure 7-5. Outlook uses the AutoJournaled value to determine whether a journal entry type is to be displayed on the Journal Options dialog box.

Now when you open the Journal Options dialog box, the only items that you'll see in the Also record files from list will be those with a Windows registry AutoJournaled value of 1.

7.10. How Do I Automatically Journal Interaction with Specific Contacts?

Journaling contact-specific tasks, appointments, and so on enables you to view your journal and quickly view this interaction in a timeline format. This is an especially nice feature when you're attempting to determine past or future tasks in terms of how they relate to one another on the timeline. To specify that you want Outlook to journal certain Outlook objects that are created and associated with a given contact, follow these steps:

1. | Select the Tools menu and then click Options.
2. | Click the Journal Options button.
3. | From the list labeled Automatically record these items, specify the types of interaction that you want to be recorded.
4. | Select the desired contacts.
5. | Click the OK button to close the Journal Options dialog box.
6. | Click the OK button to close the Options dialog box.

7.11. How Do I Automatically Record Office Document Activity?

In some cases, it's great to be able to journal your work outside of Outlook as it pertains to a given contact. For example, let's say that part of your work for a contact involves producing estimates that you might prepare in either Word or Excel. The following steps illustrate how to turn on journaling so that Outlook automatically tracks how much time you spend using the various Office products.

1. | Select the Tools menu and then click Options.
2. | Click the Journal Options button.
3. | From the list labeled Also record files from, click the desired Microsoft Office applications for which you want to record activity. For each selected application, Outlook will create a journal entry when you create, open, and save a document of that type.
4. | Select the desired contacts.
5. | Click the OK button to close the Journal Options dialog box.
6. | Click the OK button to close the Options dialog box.

7.12. Can I "Grandfather" My Journaling?

Unfortunately, there is no method of having previously processed e-mails, meetings, and tasks journaled via automatic journaling.

7.13. How Can I Turn Off Journaling?

Surprisingly, there isn't a single option to simply turn off journaling. Instead, you must perform the following steps:

1. | From the Tools menu, click Options.
2. | Click the Journal Options button.
3. | Clear all the checked options in the Automatically record these items and Also record files from lists. You can also clear the checked contacts from that list. However, it's not really necessary because Outlook maintains a map of what you want journaled and for whom. Therefore, after you've cleared the list of what items to journal, the "for whom" list is unimportant.


Working with Entries

7.14. How Do I Manually Create a Journal Entry?

You'll want to manually create a journal entry many times.

1. | From the File menu, select New and then Journal Entry to display the Journal Entry form.
2. | Type in the Subject (something like Phone call to ABC or Meeting with XYZ, Inc.).
3. | Select an Entry Type. Along with the entry types that can be automatically journaled, several more (such as Phone Call, Fax, Letter, and so on) handle most basic business journaling needs. If you want to create additional journal entry types, refer to FAQ 7.16.
4. | Specify a Company.
5. | Select the Start time information as well as the Duration. You can also click the Start Timer button so that Outlook tracks how long a task takes you. For example, if you want to time a phone call, you simply click the Start Timer button when you begin the call. The Start Timer button then is disabled and the Pause Timer button is enabled. This way, if you're interruptedor for whatever reason want to pause the timing of the eventyou can click that button. When you're ready to resume, click the Start Timer button again. Note that that Duration field automatically updates for each minute that clicks by. When you're finished, click the Save and Close button.
6. | In the text box below the Duration label, type in a description of the journal entry.
7. | Click the Contacts button and select the contacts that were associated with this journal entry.
8. | Click the Categories button and select the categories associated with this journal entry.
9. | If you do not want anyone else to be able to view the journal entry, click the Private option.
10. | When you are finished, click the Save and Close button.

7.15. How Do I Create a Journal Entry from an Existing Outlook Item (Such As an Email)?

You can configure Outlook to automatically journal the activity having to do with specific Outlook items (sent and received e-mails, meeting requests, responses and cancellations, and task requests and responses). You simply specify which event you want journaled for the selected individuals from your contact list. However, one little-used feature of Outlook has to do with journaling specific Outlook items (regardless of the contact involved) that represent an important event.

As an example, let's say that you are looking for a new job, and each time an e-mail arrives from a prospective employer or recruiter, you assign a category to that e-mail, something like Job Hunting. You might even have notes and tasks associated with this category. Now you can create a custom view that enables you to quickly view all e-mail having to do with the Job Hunting category.

But what if you want to see only e-mails in which the employer or recruiter has either invited you for an interview or offered you a job? You could journal every one of the contacts, but then you would have to wade through all the e-mails from and to these contacts to locate only e-mails pertaining to interviews and job offers. So instead of configuring automatic journaling for these clients, you could manually create the specific journal entry using you need via drag-and-drop.

1. | Via the Navigation Pane or the Go menu, navigate to the desired view (Mail, Tasks, Notes, and so on).
2. | Drag the item that you want to journal to the Journal tab on the Navigation Pane.
3. | The Journal Entry form appears. By default, the Subject is given a value based on the item being journaled. For example, if you attempt to journal a received e-mail, the subject is set to the subject of the e-mail plus the words (received) to indicate that you're journaling the fact that you received this e-mail. If this value doesn't accurately capture the idea of what you're attempting to journal, you can change this value. Using the aforementioned example of wanting to journal all interviews and job offers, you could change the subject to something like Firm offer made need to decide by Friday.
4. | Click the Save and Close button.

Now you can view the journal entries of interest by doing the following:

1. | Via the Navigation Pane or the Go menu, navigate to the Journal Pane.
2. | Click the View menu and then click Arrange By. Then click Current View and finally By Category.

The view automatically converts to a timeline where you will see the different journaled items grouped by category.

7.16. How Do I Create My Own Custom Journal Entry Types?

One of the examples we gave in FAQ 7.4 had to do with creating custom journal entry types for work that is not represented by the standard set of journal entry types. For example, there are journal entry types for things such as phone calls, meetings, and conversations, but let's say that you want an entry type for running errands or performing house repairs. To add custom journal entry types, you need to add them via the Windows Registry, as follows:

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1.
Click the Windows Start button and select the Run option.

2.
Type regedit into the Open text box and click the OK button.

3.
When the Windows registry editor loads, locate and expand the HKEY_CURRENT_USER\Software\Microsoft\Shared Tools\Outlook\Journaling key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

4.
As Figure 7-6 shows, the Journaling key contains a key for each journal entry type allowed in Outlook.

Figure 7-6. All journal entry types are listed in the Windows Registry under the Journaling key.

[View full size image]

5.
Right-click the Journaling key and, from the context menu, select first New and then Key.

6.
A new key is added to the end of the list of keys for Journaling with a default name of New Key #1. You automatically are put into Rename mode, where you can type the name of your choice (see Figure 7-7). (Going back to one of the examples we mentioned in FAQ 7.4, we named this example key Home Repairs.) When you've finished typing the name of the key, press the Enter key.

Figure 7-7. New or custom journal entry types are added to Outlook via the Windows Registry.

[View full size image]

If you look at the other Journaling keys, you'll see that they each have several values, including AutoJournaled, DescriptionID, and JournalByContact. At a minimum, you must define three values: Description, AutoJournaled, and LargeIcon.

1. | Right-click the key you just created and from the context menu, and select first New and then String Value.
2. | As when you created the new key, a text box appears in which you can type the name of the new value. Type the word Description and click the Enter key.
3. | Double-click the Description value and type in the name that you want users to see within Outlook. Generally, this will be the same as the key.
4. | Right-click the new key and, from the context menu, select first New and then DWORD Value. Type the word AutoJournaled and click the Enter key. This value defaults to 0, which is what you want because that means it will not appear on the Journal Options dialog box.
5. | Right-click the new key again and, from the context menu, select first New and then String Value. Type the word LargeIcon and click the Enter key.
6. | Double-click the LargeIcon value and type in the value [12].

Now when you create a new journal entry via the Journal Entry form (see FAQ 7.14), the Entry Type combo box will contain your new custom entry type.

7.17. How Do I View the Journal Entries for a Specific Contact?

You can accomplish this task in two ways: via the Contact form or via the Journal pane. Both techniques have their respective advantages. When using the Contact form, you can more quickly and easily filter the list of journaled items (e-mails, notes, and so on) that you want to view. The advantage to using the Navigation Pane is that the items are displayed on a timeline, so it's easier to graphically see when the events occurred.

To view the journal items for a contact via the Contact form, follow these steps:

1. | Via the Navigation Pane or the Go menu, navigate to the Contacts Pane.
2. | Locate the desired contact.
3. | Click the Activities tab.
4. | Select the desired item type that you're searching for from the Show combo box control. The lists includes options Contacts, E-mail, Journal, Notes, Upcoming Tasks and Appointments, and the all-inclusive All Items option. After you select the option, the list automatically fills with all items for that contact of the specified type.

To view the journal items for a contact via the Journal pane, do the following:

1. | Via the Navigation Pane or the Go menu, navigate to the Journal Pane.
2. | Click the View menu and click Arrange By. Then click Current View and finally By Contact.

The view automatically converts to a timeline where you will see the different journaled items grouped by contact.

7.18. How Can I Find a Specific Journal Entry?

As you can see in FAQ 7.17, journal entries are easy to find if you know when they were created. However, it's also very easy to lose track of a journal entry, especially if you journal a large number of events and contacts. If you know some key text that appears in the journal entry, you can locate the entry via the Find feature.

1. | Via the Navigation Pane or the Go menu, navigate to the Journal Pane.
2. | From the Tools menu, click Find and then Find again.
3. | Above the list of journal entries, you'll now see a text box labeled Look for. Simply type in the text that represents a word or phrase to search for in the journal entries.
4. | Press the Enter key.
5. | The journal entries list are filtered to include only the entries containing the searched-for text. (A Find button on the standard toolbar is highlighted to indicate that the Find feature has been activated, and the current view is also changed to the Entry List view.) Double-click the desired entry to open it. The Journal Entry form opens, with the item that was journaled (such as an e-mail) displayed as an attachment.

To hide the Find text box, click the Find button on the standard toolbar or from the Tools menu, click Find, and then click Find again.


Viewing and Printing

7.19. What Are the Different Standard Views for Journal Entries?

You can locate the standard (Outlook-provided) views for journal entries by navigating to the Journal Pane (either from the Navigation Pane or via the Go menu). There you'll see the following defined views:

  • By Type This view (shown in Figure 7-8) shows the entries on a timeline where the entries are grouped by journal entry type (such as e-mail, note, and Office document type).

    Figure 7-8. The By Type view enables you to see the journal entries as grouped by journal type (such as e-mail, phone call, and office document).

    [View full size image]

  • By Contact Also shown on a timeline, this view groups the entries by the associated contact. All Office documents are grouped together with a contact value of (none).

  • By Category This view is useful only if you're assigning categories to either your Outlook items or the Office documents that are being journaled. To learn more about categories, refer to the Categories chapter.

  • Entry List The Entry List view lists all entries in a table or grid. This list works identically to the views you're accustomed to seeing when you view your e-mail. For example, you can sort the list by clicking a column heading, you can group by any column by right-clicking a column heading and then selecting the Group By This Field option, and so on. Figure 7-9 shows an entry list view of journal entries in which I've grouped by type. The difference between this view and the By Type view is that here there's a table view instead of the timeline view.

    Figure 7-9. The Entry List view is a quick means of viewing all your journal entries at once. You can then order, group, and filter as you would any pane.

    [View full size image]

  • Last Seven Days This view is identical to the Entry List view, except that the only entries shown are those entered into the journal in the previous seven days.

  • Phone Calls As the name suggests, this view is specifically for journal items consisting of phone calls.

7.20. Can I Modify the Standard Views or Create My Own Views?

The answer to both of these questions is "yes." In fact, when you create your own views (or copy a standard view into a new view and modify it), they appear in the Journal Pane and on the View menu for easy access. Because the topic of creating and customizing views is global to many Outlook types, that subject is covered in the Categories chapter.

7.21. How Do I Print a Listing of My Journal Entries?

Many times it's helpful to have a hard-copy of your journal entriessuch as for a meeting or review. The following steps illustrate how to print your journal.

1.
Via the Navigation Pane or the Go menu, navigate to the Journal Pane.

2.
Switch the view to the Entry List view.

3.
If needed, apply any filter that you want to pare the listing to just the entries you want to print.

4.
Select the desired entries to print by clicking one entry and then, while holding down the Ctrl key, clicking additional entries. If you want to print the entire list, you don't have to select any entries because an option on the Print dialog box provides this functionality.

5.
From the File menu, select Print.

6.
When the Print dialog box appears (see Figure 7-10), select the Table Style print style. This prints the entire journal entry list in a table that looks identical to what you see on the Entry List view.

Figure 7-10. The Table Style print style prints the list of entries, but not the content of each entry.

[View full size image]

7.
Set the appropriate Print Range option. Selecting All rows causes all of the entries that were displayed in the view to be printed in a table, or grid, that looks like the Entry List view. Select the Only selected rows option if you want only those entries selected in step 4 to be printed.

8.
If you're unsure of what will be printed, click the Preview button on the Print dialog box to ensure that the desired journal entries will be printed.

9.
Click the OK button to print.

7.22. How Do I Print the Details of One or More Journal Entries?

Along with printing the journal entry headings, you can also specify to print the details of each selected journal entry. The following steps walk you through doing that.

1.
Via the Navigation Pane or the Go menu, navigate to the Journal Pane.

2.
If needed, apply any filter that you want to pare the listing to just the entries you want to print.

3.
Select the desired entries to print by clicking one entry and then, while holding down the Ctrl key, clicking additional entries. If you want to print the entire list, you don't have to select any entries because an option on the Print dialog box provides this functionality.

4.
From the File menu, select Print.

5.
When the Print dialog box appears (see Figure 7-11), select the Memo Style print style. This prints the selected journal entries and their details (instead of a list of entries).

Figure 7-11. The Memo Style print style prints the details of the selected journal entries.

6.
In the Print options part of the dialog box, check or uncheck the option Start each item on a new page. If you have selected more than one item, this option is checked by default and grayed out so that you cannot change it.

7.
Also in the Print options part of the dialog box, check or uncheck the option Print attached files. Checking this option results in the journal entry being printed along with any attached files.

8.
Set the appropriate Print Range option. Selecting All rows causes all the entires that were displayed in the view to be printed in a table, or grid, that looks like the Entry List view. Select the Only selected rows option if you want only those entries selected in step 4 to be printed.

9.
Click the OK button to print.

If you select to print attachments, you might be presented with a dialog box confirming that you've verified the source of the document and know that it's safe (see Figure 7-12).

Figure 7-12. As part of its commitment to protecting you against harmful attachments, Outlook asks you to verify that any attachments are safe before it attempts to open them.

    Previous Page
    Next Page


Chapter 8. TASKS

    Task Basics

    Task Assignment

    Working with Tasks

    Viewing Tasks

    Organizing Tasks

    Sharing Tasks

    Miscellaneous


Task Basics

8.1. What Are Tasks?

An Outlook task is a job or unit of work that you want to be scheduled, be reminded of, track, or share with other people. Tasks can be as simple as a telephone call that you need to remember to make, or they can be complex and involve multiple people. Although Outlook is certainly not a competitor to a real task-management application such as Microsoft Project, its tasks enable you to set start and finish dates, as well as estimate working hours and then track the percentage of work done as the task progresses. As with many other Outlook types, tasks can be associated with categories and contacts.

8.2. What Can I Use Tasks For?

Tasks are a means of tracking your work, so there are an infinite number of possible examples. However, here are a few examples (split into personal as well as business) that should give you some good ideas:

Personal uses for tasks:

  • Tasks can be used to remind you of appointments. For example, you could set up a task to remind you of a dentist appointment.

  • You could create a task to help you track your progress on a personal project, such as a home-improvement plan.

  • You could quickly set up a simple task to remind you to pick up cousin Ed from the airport.

  • Tasks could be used to set a schedule for chores around the house; you could assign different tasks to different family members and track when they are completedor if they are not done at all!

Work-related uses for tasks:

  • You could use tasks as reminders to write timely reports. For example, you could set up a recurring task that reminds you on Friday evening to send your weekly report.

  • You could set up a task to track your progress on the latest work order you've received.

  • You could use Outlook tasks to delegate work to others and then track their progress automatically via status reports.

  • Tasks might be used to track project status, the hours spent on the project, and who is assigned to it.

These items barely touch the tip of the iceberg regarding what you can use tasks for. Using Outlook tasks, you can store, manage, and organize anything that you need to track, need reminders for, need to delegate, need to receive updates on, or just want to record as a job to be done.

8.3. How Do I Create a Basic New Task?

Chances are high that in some situations you need to just create a simple task quickly, without filling in details such as start and finish dates, estimated hours, or other details that can be associated with a task. To quickly create a basic task, just follow these instructions:

1.
First, ensure that you are viewing your tasks in a simple or detailed list view. The default view for Outlook tasks is the Simple List view, but if you are using a different view and don't know how to change to a simple or detailed list view, see FAQs 8.6 and 8.33.

2.
When you are in the correct view, you will notice an area at the top of the list that reads Click here to add a new task (see Figure 8-1).

Figure 8-1. You can quickly create new tasks in Outlook without having to fill in all the details.

[View full size image]

3.
To add a basic task, simply click that text or anywhere in the field the text appears.

4.
After you have clicked in the box, you can enter the subject of the task by typing in the field. You can also set the due date of the task by clicking the box under the Due Date column header.

5.
Depending on which list view (the Simple List, the Detailed List, or perhaps even a custom list viewsee FAQ 8.34 for details on how to create a custom list view if you are interested) is displayed, there might be extra fields that you can enter data into. For example, in the default Detailed List view, you can also assign categories to the task and set the status of the task.

6.
When you have finished entering the data for the task, just press Enter on your keyboard or click the main area of the Tasks view. Doing so saves your task and adds it to the list.

8.4. How Do I Create a Detailed New Task?

You can create a task with a lot of details, such as start dates, estimated hours, reminders, and so on, in a number of ways. Some are as follows:

  • Right-click a blank area in the Tasks view and selecting New Task from the subsequent context menu

  • Select the New Task option from the Action menu

  • Click the New button on the toolbar

  • Press Ctrl N when a task view is visible

Each of these methods requires that you are already be in the Tasks view in Outlook. However, you can quickly create a new task from anywhere in Outlook using one of the following options:

  • The quickest way to create a new task in Outlook when you are not in the Tasks view is to use the Ctrl Shift K keyboard combination.

  • Alternatively, you can click the drop-down arrow on the New button that appears on the Outlook toolbar and select Task from the drop-down list.

Regardless of which of the method you use to create a new task, you are presented with a new task screen similar to the one shown in Figure 8-2. From here you can fill in all the information you need to create your task. Specific details on numerous features available on the Task form are examined in FAQs throughout this chapter.

Figure 8-2. The Task form enables you to define criteria such as Start Date, Due Date, and Priority.

[View full size image]

8.5. How Do I Save a Task?

After you have created a new task, you obviously will want to save it. Doing so is as simple as clicking a button. It is also possible to save new tasks using your keyboard.

If you created the new task using the instructions detailed in FAQ 8.3, you can simply save the task by clicking the main task view screen. Pressing Enter on the keyboard also saves the new task immediately. On the other hand, if you created the task using the instructions from FAQ 8.4, you can save the new task by clicking the Save and Close button in the top left of the Task form (see Figure 8-2). Pressing Ctrl S or selecting Save from the File menu of the task also saves the new task immediately.

8.6. How Can I View My Tasks?

To quickly and easily navigate to your tasks, click the Tasks button on the Navigation Pane, which normally appears on the left side of your Outlook screen. However, if you do not have the Navigation Pane enabled, you can also view your tasks by clicking Tasks in the Go menu or by using the Ctrl 4 key combination.

If you have not modified the default settings, Outlook opens your tasks in the Simple List view. In the Navigation Pane, you will see a list of your Task folders in the My Tasks section. Below that, Outlook displays the Current View options that you can use to modify the default view of your tasks (covered in FAQ 8.33). On the right side of the screen is a task list that displays your tasks after you have created them.

By default, the panel on the left also contains two links, one of which enables you to open tasks that have been shared by others; the other link enables you to customize the current view of your tasks. If you are using a Microsoft Exchange Server account, the Navigation Pane also displays a link that enables you to share your tasks with others.

8.7. How Can I Delete a Task?

The easiest way to delete a task is to highlight the task you want to delete by clicking it and then pressing the Delete key on the keyboard. You can also delete a task when it is highlighted by clicking the Delete button on the Outlook toolbar or by selecting the Delete option from the Edit menu.

If you want to delete multiple tasks in one swoop, you can do so by holding down the Ctrl key while selecting the tasks that you want to delete, and then you can eliminate the tasks by using one of the delete methods described in this FAQ.

8.8. How Do I Duplicate a Task?

The quickest way to duplicate a task is to click and hold the right mouse button on the task, and then drag the task to the location where you want it duplicated. When you release the right mouse button, a context menu appears. Simply select Copy to duplicate the task. You can also use Ctrl C to copy the task, and then paste the task to the location you desire using the Ctrl V key combination.

8.9. Can I Automatically Display My Tasks When Outlook Starts?

If you find yourself working with tasks more often than you work with other items in Outlook, it might be advantageous to have Outlook automatically open your tasks whenever you start the application. Doing so could help you better manage your tasks and save you time in the long run.

To configure Outlook so that it automatically navigates to the task folder of your choice when it starts, just follow these instructions:

1. | From the Tools menu, select Options.
2. | When the Options dialog box is displayed, ensure that the Other tab is selected.
3. | Click the Advanced Options button in the Other section. The Advanced Options dialog box appears.
4. | At the top of the dialog box, the folder that is currently set to be displayed by default when Outlook starts is listed in the Startup in this folder field. To change this to display tasks upon startup, click the Browse button.
5. | On the Select Folder dialog box that appears, highlight Tasks in the tree on the left and click OK to close the dialog box.

The next time you open Outlook, it will open directly into your Tasks folder and display your tasks using the view that you last used while viewing your tasks. If you have multiple task folders (FAQ 8.42 explains how to create additional task folders), you can actually specify the exact one that you want to have displayed when Outlook starts by selecting it instead of selecting the default Tasks folder, in step 5 of the previous instructions.


Task Assignment

8.10. What Is a Task Request?

Outlook provides you with the capability to assign tasks to other people and to track the progress of these tasks, as well as keep information regarding the time spent by different people on particular tasks. Delegating tasks to others can free up time for you, enabling you to concentrate on more important things, and it can help ensure that the task or job is being done by the most suitable person. This feature essentially hands you impressive task- and project-management capabilities, all of which are integrated with Outlook e-mail and the other Outlook features.

A task request is the mechanism by which you assign tasks to others. It is essentially an e-mail that details the task and requests that the recipient or recipients accept the task. When a person accepts a task that you have assigned to him or her, that person becomes the owner of that task and has the sole capability to modify and update that particular task. However, you still retain a copy of the task, and any updates that the owner makes to the task are automatically circulated to all copies of that task, including yours.

It is also important to note that you can also receive task requests. If you choose to accept the task, it essentially behaves like other unassigned tasks that you created. The main difference is that updates to the task are automatically circulated to all copies of your task, although this behavior can be modified, as explained in FAQ 8.19.

8.11. How Do I Assign a New Task to Somebody?

FAQ 8.10 outlines the task-assignment features Outlook provides. If you've read that FAQ and are convinced of the usefulness of assigning tasks, the next question is, how do you actually assign a new task to somebody?

You can create a new task and then assign it to a different person in two main ways:

  • The first method involves creating a new task, as outlined in FAQ 8.4. Before closing the task, click the Assign Task button on the toolbar or select Assign Task from the Actions menu of the task.

  • The second way to easily assign a new task to somebody is to create a task request. When you create a task request, you are essentially creating a new task in which the Assign Task button has already been clicked. You can create a new task request in a number of different ways, but the easiest is to right-click a blank area of a Tasks view and select New Task Request from the context menu. You can also create new task requests by clicking the drop-down arrow on the New button on the Outlook toolbar when you are in a Tasks view and selecting Task Request from the menu. You can also create a new task request from anywhere in Outlook using Ctrl Shift U.

Regardless of which method you use, you end up with a form almost identical to the Task form (see Figure 8-2). The only differences are that a Send button replaces the Save and Close button, and a To field enables you to enter the e-mail address of the person you want to send the task request to (you can enter multiple addresses if you want to assign the task to more than one person). You can type in the addresses directly or select them from a contacts list by clicking the To button.

After you have created the task and entered all the necessary details, click the Send button to send the task request to the list of e-mail addresses you chose.

8.12. How Do I Assign an Existing Task to Somebody?

If you have a task that you have already created and that you are the owner of, or even a task that someone else has assigned to you, you can assign this task to others by simply opening the task and clicking the Assign Task button, or by right-clicking the task before you open it and selecting Assign Task from the resulting context menu.

When you do this, the task is opened and, as with the method for creating new task requests in FAQ 8.11, you can enter the addresses of the people you want to assign the task to. When you are satisfied with the new assignees, you can send the task request to them by simply clicking the Send button.

8.13. Can I Assign a Task to Multiple People?

Most definitely. As mentioned in FAQ 8.11, you can enter multiple e-mail addresses in the To field when you create a new task request or when you assign a new or existing task. When you are satisfied with the task and the recipients, you can assign the task to all the people in the To field by click the Send button.

8.14. How Can I View Tasks by Their Assignment?

If the Current View options are displayed in the Navigation Pane on the left of the screen, the quickest way to view tasks based on who they have been assigned to (that is, the task's assignment) is to select the Assignment view. The Assignment view displays only tasks that you have assigned to others, by applying a filter to the list of tasks.

If you do not want to use the Assignment view and would prefer to use a custom view or modify one of the other default views, you can do so by creating a filter to display only tasks of which you are not the owner. Creating filters is covered in FAQ 8.39.

8.15. How Do I Create an Unassigned Copy of a Task?

If you previously assigned a task to a particular person, at some time in the future you might want to create a copy of this task, but without having it assigned to the same person. For example, you might have assigned a task to a colleague that reminds him to make sure that all the weekly reports have been received on a Friday evening, and you now want to also perform this task yourself because you have moved to a different team. To avoid having to re-create a new task from scratch, you can just create an unassigned copy of the task that you previously assigned to your colleague.

To do this, just follow these instructions:

1.
Open a view of your tasks that enables you to see tasks that you assigned to others in the past. (FAQ 8.33 explains the different types of views available.)

2.
Find and open the task that you want to create the unassigned copy of.

3.
Click the Details tab.

4.
When you are on the Details tab, you can create an unassigned copy by clicking the Create Unassigned Copy button near the bottom left of the tab (see Figure 8-3).

Figure 8-3. The Details tab of an assigned task enables you to quickly create unassigned copies.

[View full size image]

5.
A pop-up message warns you that you will no longer receive updates for the task from the original assignee. If you click OK, Outlook creates a copy of the task, which you can use as you would any other task.

8.16. How Do I Handle Status Reports and Task Updates from Assignees?

You can get two different types of information from assignees:

  • Status reports

  • Task updates

Status reports are e-mails that you receive from the assignee detailing the progress of the task. Because status reports are sent via e-mail, the assignee can also include a textual message or attach a file to the report. Essentially, a status report is an everyday e-mail that, at a minimum, contains basic information about the progress of a particular task. Although status reports can contain additional information entered by the assignee, they do not cause automatic update of the information contained within your local copy.

Task updates basically contain information that automatically updates your copy of the task that you have assigned to the assignee. When you view a task update e-mail, the information in that e-mail, such as the status of the task, the percentage complete, and the number of actual hours worked on the task, is automatically integrated into your local copy of the task. Therefore, you do not have to manually update your copy.

8.17. How Do I Send a Comment About Assigned Tasks?

If you need to send a comment about an assigned task, you can do so by following these simply instructions:

1. | Open the assigned task that you want to send a comment for.
2. | When the comment is open, click Reply or Reply to All on the Actions menu of the task.
3. | This displays an e-mail where you can enter your comment. You can then send the comment by clicking the Send button as you would with any other e-mail.

8.18. How Do I Accept a Task Somebody Assigns to Me?

When you open a task request that somebody has sent to you, it appears like a standard task, but with two additional buttons on the toolbar, an Accept button and a Decline button (see Figure 8-4). When you decide to either accept or decline the task, Outlook sends a response to the person who sent the task request, informing that person of your decision.

Figure 8-4. When you receive a task request, you can easily see all the details to help you decide whether you want to accept or decline the request.

[View full size image]

If you decide to accept the task, you automatically are made the owner of the task, and it is added to your list of tasks. You can subsequently delegate this task to others if you choose, and you can do anything with the task that you could do if you had created the task yourself.

8.19. How Do I Send Status Reports and Task Updates for a Task?

To send a status report for a task, you first need to open the task. When the task is open, go to the Actions menu and, from there, click Send Status Report. This opens a new e-mail that Outlook has already filled with basic information about the task, such as the percentage complete and the task status. In this e-mail, you can write any additional information or attach any additional files that you want; when you are ready to send the status report, you can do so by clicking the Send button.

When it comes to task updates, you need not worry about having to manually send them. Whenever you accept a task request from someone, that person automatically is added to the update list for that particular task. Outlook then automatically sends changes that you make to the task to the people in the update list.


Working with Tasks

8.20. Can I Create Recurring Tasks?

Put simply, yes. You can easily modify a new or existing task that you are the owner of to run on a defined recurring schedule. Previous FAQs in this chapter gave examples of when recurring tasks would be most beneficial. For example, you could set up a recurring task to remind you every Friday evening to send a weekly report, or you could have a recurring task that reminds you every three months to visit the dentist.

Here's how to modify a normal task to make it into a recurring task:

1.
Find the task you want to modify and then open it.

2.
After you have opened the task, you can display the Task Recurrence dialog box by either clicking the Recurrence button on the toolbar or selecting the Recurrence menu item on the Actions menu.

3.
You are presented with the Task Recurrence dialog box (see Figure 8-5).

Figure 8-5. You can easily customize the recurrence schedule of a task from the Task Recurrence dialog box.

On the dialog box are two main areas where you can set options. Recurrence pattern defines how often the task occurs, and Range of recurrence enables you to set the start date and options that determine when the recurrence will end.

4.
After you have set the Recurrence pattern and the Range of recurrence, you can save the options and make the task a recurring one by clicking the OK button.

If later you want to change Recurrence pattern or Range of recurrence, you can do so by following the previously listed steps and making modifications to suit your needs. If you want to remove the recurrence entirely and just make the task a standard, nonrecurring task, you can do so by go to the Task Recurrence dialog box (see Figure 8-5) using steps 13 in the previously listed instructions, and then clicking the Remove Recurrence button.

Sometimes you want to skip one occurrence of a recurring task. To accomplish this just follow these instructions:

1. | Open the recurring task that you want to skip.
2. | On the Actions menu, select Skip Occurrence.

8.21. How Do I Attach Something to a Task?

If you want to attach files to a task, you must be the owner of the task. If you are the owner, you can attach files by following these instructions:

1. | Open the task that you want to attach the files to.
2. | You can now attach files by simply dragging and dropping the files onto the task, by clicking on the attachment button on the toolbar, or by selecting Files from the Insert menu.
3. | After you have attached the files, click Save and Close to record the fact that you have attached the files.

Note that when you attach files to a task you have been assigned by somebody else, the files automatically are sent to the people on the update list in a task update when you click the Save and Close button. This is important to remember because if you are attaching large files, they might take some time to propagate to everyone on the update list and will use some bandwidth.

8.22. Can I Mark Tasks as Being Private?

Yes, you most certainly can. To do this, just open the task that you want to make private and check the Private option in the bottom right of the task. You can make the task public again later by returning to the same place and removing the check from the option (see Figure 8-6).

Figure 8-6. The Task tab on a Task form.

[View full size image]

8.23. How Do I Set or Change the Start Date of a Task?

You can set the start date of a task when you initially create it, or you can modify it later. Regardless of when you enter the start date, the easiest place to do it is on the form for that particular task.

To set the start date when you are defining a new task, first follow the instructions in FAQ 8.4. However, before you click the Save and Close button to save the new task, you can select the start date by clicking the drop-down arrow next to the Start date field (see Figure 8-6) and selecting the date from the calendar that drops down.

If you want to add or modify the start date of a task that has already been created, you can do so by opening the task and then clicking the drop-down arrow beside the Start date field and selecting the date from the resulting calendar, just as you can do for new tasks.

After you have selected the date, click the Save and Close button to record your changes. You should be aware that if you are entering a start date for a recurring task (see FAQ 8.20) that does not match any of the dates in Recurring pattern, a new, once-off task is created for the start date.

8.24. How Do I Set or Change the Due Date of a Task?

To set the due date of a task, follow the instructions in FAQ 8.23 to the point at which you have to select the date. At this point, instead of clicking the drop-down arrow beside the Start date field, click the drop-down arrow to the right of the Due date field and, on the calendar that drops down, select the date that you want the task to be completed by.

8.25. How Do I Change the Status of a Task?

Outlook defines five different statuses that you can use to help identify what stage a task is in:

  • Not Started

  • In Progress

  • Completed

  • Waiting on someone else

  • Deferred

Each task that you are the owner of has one of these statuses associated with it. Obviously, as time progresses, the status of a task in real life will change; to keep the task up-to-date, the status of the task in Outlook should also be changed. Here's how you can do this:

1. | Open the Tasks view of your choice, and find and open the task you want to change the status of.
2. | When the task is open, you can modify its current status by clicking the drop-down arrow to the right of the Status field and selecting from one of the options.
3. | To ensure that the new status is saved, click the Save and Close button when you are satisfied with your modifications.

When you save the task, task updates (covered in FAQs 8.16 and 8.19) automatically are sent to everyone on the update list, ensuring that they are notified of the change in the task status.

8.26. How Do I Change the Percentage Completed of a Task?

Outlook enables you to set the percentage completed value of a particular task. Obviously, this value will not be necessary for all tasks, such as those that are more of a reminder than a task that progresses over time. However, in a lot of situations, being able to set the percentage of a particular task that has been completed is a useful feature.

To set the percentage complete of a task, simply follow these instructions:

1. | Open the task that you want to set the percentage completed on.
2. | After you have opened the task, you are presented with the Task form, similar to the one in Figure 8-6.
3. | From here you can set the percentage of the task that has been completed by modifying the value in the % Complete field. You can modify the value in this field by either typing it in or using the up and down arrows.

A task update automatically is sent to everyone on the update list with the new details for the task. This ensures that all affected people are aware of the progress of the task.

8.27. How Do I Mark a Task as Having Been Completed?

You can mark a task as having been completed in a number of ways. Depending on what view of your tasks you are using (the different views available are examined in FAQ 8.33), you might be able to mark the task as complete without actually opening the task. Obviously, as with most actions you can take on a task, you have to be the owner of the task before you can mark the task as completed.

Here are some of the different ways you can mark a task as completed:

  • In certain views, you can right-click the task and select Mark Complete from the context menu that appears.

  • If the Status column heading is visible in the task view that you are using, you can set the status to Completed by selecting it from the drop-down menu under the Status header.

  • If the task view that you are using displays the % Completed column header, you can mark the task as completed by setting % Completed to 100.

  • You can open the task and select Complete from the Status drop-down list.

  • You can open the task and set the % Completed vale to 100.

  • If you have the task open, you can select Mark Complete from the Actions menu.

This list of methods for identifying the task as complete is not exhaustive, but if you can't find a way to mark the task as such using one of these methods, chances are high that the task was never meant to be completed!

8.28. Can I Set Task Details Such As Total Hours, Mileage, and Billing Info?

If you need to record details such as the total hours spent on a task, the names of companies involved with the task, or just some basic billing information, you can do it from the details tab of the task (see Figure 8-7).

1. | Open the task that you want to set the details for.
2. | Ensure that the Details tab (see Figure 8-7) is selected by clicking it. From this tab, you can set the necessary details.
3. | To save the details that you just set, click the Save and Close button. When you do this, a task update (see FAQs 8.16 and 8.19) automatically is sent to those on the update list.

Figure 8-7. The Details tab on a Task form enables you to set items such as the hours spent on the task, the companies involved, and billing.

[View full size image]

8.29. How Can I Prioritize Tasks?

By default, all tasks that you create have a priority level of Normal. Tasks in Outlook can be assigned two other priority levels: Low and High. You might want to order your tasks by priority, so there needs to be different levels of priority. To set the priority level of a task, just follow one of these options:

  • If the Priority column (identified by an exclamation mark, !) is visible in the current view of your tasks, you can set the priority of the task by clicking in the column for the task that you want to change. Doing so displays a drop-down menu, from which you can choose the priority to assign to the task.

  • You can also set the priority of a task by opening the task and clicking the arrow on the drop-down list to the right of the Priority label. You can then set the priority of the task by selecting one of the options from the drop-down list and clicking Save and Close.

8.30. How Do I Set Reminders for Tasks?

You can tell Outlook to automatically remind you about a particular task by setting a reminder for that task. Here's how to do it:

1.
Open the task that you want to set the reminder for.

2.
To configure the task to have a reminder, simply check the Reminder option that appears below the Start date field.

3.
After you have enabled a reminder for the task, you have to set the date and time that you want to get the reminder. To do this, select the date and the time from the two fields to the right of the Reminder option.

4.
You can also define whether a sound is played when Outlook reminds you of the task. To do this, click the button with the speaker that appears to the left of the Owner label. This displays the Reminder Sound dialog box (see Figure 8-8).

Figure 8-8. The Reminder Sound dialog box allows you to enable or disable sounds for a reminder and to choose which sound to play.

5.
You can determine whether a sound is played by checking or removing the check from the Play this sound option. If you want to change the sound that will be played, you can do so by clicking the Browse button and selecting the file that you want played.

6.
When you are happy with your reminder sound, click the OK button, and then click Save and Close to save your reminder settings.

8.31. Can I Set New Tasks to Have a Reminder by Default?

FAQ 8.30 shows how to set a reminder for a task on a once-off basis. However, if you would like to have reminders automatically set when you create new task, you can configure Outlook to do so by following these instructions:

1. | From the Tools menu, select Options to display the Options dialog box.
2. | Click the Task Options button to display the Task Options dialog box.
3. | You can tell Outlook to automatically set reminders for new tasks that have a due date set by checking the Set reminders on tasks with due dates option.

Figure 8-9. You can configure Outlook to automatically set reminders when you create new tasks that have a due date set.

8.32. How Can I Create an Appointment from a Task?

To create an appointment from a task, just follow these instructions:

1. | Drag the task that you want to create an appointment from and drop it onto the Calendar button on the Navigation Pane.
2. | Outlook automatically creates a new appointment based on the details of the task. You can modify these details and save the appointment by clicking the Save and Close button of the appointment.

For more information about appointments and the calendar features of Outlook, refer Chapter 5, "Calendar, Appointments, and Meetings."


Viewing Tasks

8.33. What Are the Different Ways I Can View My Tasks?

Outlook provides 10 default views of your tasks. Table 8-1 lists these default views and gives a short description of each.

Table 8-1. Available Task Views

View

Description

Simple List

A basic list of all tasks that displays the subject and due date of the task.

Detailed List

Similar to the Simple List view, except that it displays extra items of information such as status, percent completed, and categories.

Active Tasks

Displays information similar to that in the Detailed List view, but uses a filter to hide tasks that have already been completed or that have been deferred (filters are covered in FAQ 8.39).

Next Seven Days

Displays the same details as the Detailed List view, but displays only tasks that are due in the next seven days.

Overdue Tasks

Displays the same details as the Detailed List view, but displays only tasks that are overdue (whose due date has already passed).

By Category

Displays the tasks in groups, based on the categories that the tasks have been assigned to.

Assignment

Displays only tasks that you assigned to others in the past.

By Person Responsible

Groups tasks based on who is responsible for them.

Completed Tasks

Displays only tasks that are marked as having been completed.

Task Timeline

Is completely different from the other views listed. It displays tasks along a timeline so that you can graphically see which tasks overlap and how long each task takes or when a task is due.

If the Current View options are displayed in the Navigation Pane, you can select your desired view by clicking it. Alternatively, you can follow these steps to select your view:

1. | From the View menu, select Arrange By.
2. | Under the Arrange By submenu, select the Current View menu. From there, you can select the view you want.

If the Current View options are not displayed in the Navigation Pane, click Show Views in Navigation Pane under the Arrange By submenu from the View menu to display them. You can also define your own views by selecting the Define Views menu option on the Current View submenu in step 2.

Each of the views listed can be customized, although with the large number of predefined views, you might not need to. However, if you do want to customize them, FAQs 8.37, 8.38, and 8.39 explain how.

8.34. How Can I Customize the Available Views?

The predefined views that Outlook provides, which are covered in the preceding FAQ (excluding the task Timeline view), are all similar in nature and differ only by their individual settings for the following properties:

  • Sorting

  • Grouping

  • Filters

You can customize the views using the Customize View dialog box, which you can reach by following these instructions:

  • If the Current View options are available on the Navigation Pane, click the Customize Current View link.

  • Or, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.

8.35. How Can I See a Preview of a Task Before I Open It?

If you are using any view other than the task Timeline view, the easiest way to preview a task is to select AutoPreview from the View menu (this option is not available on the View menu if you are using the task Timeline view to view your tasks). The AutoPreview feature displays the first few lines of the task just below the task subject, as can be seen in Figure 8-10. The end of the task body is identified by the text <end>.

Figure 8-10. Outlook can display a preview of your tasks using the AutoPreview feature.

[View full size image]

8.36. Can I See the Entire Task Without Opening It?

Sometimes you want to view a task without having to open it. As with e-mails, you can use the Reading Pane to view a task without having to open it first. If you just want to see a quick preview of the task before deciding whether to open it, see FAQ 8.35.

To enable the Reading Pane, go to the View menu and then to the Preview Pane submenu. From here, you can select which area, the Top or the Bottom, of the Tasks view you want the Reading Pane to be shown in.

You can also set some preferences for the Reading pane by following these steps:

1. | Select Options from the Tools menu to display the Options dialog box.
2. | On the Options dialog box, select the Other tab.
3. | In the Reading Pane section, click the Reading Pane button to customize the Reading Pane options to your needs. You should note, however, that these settings apply to the use of the Reading Pane throughout Outlook, not just to the tasks feature.

8.37. How Do I Sort My Tasks?

Sometimes you need to sort your tasks using different criteria than the predefined Outlook views provide. To modify the criteria that Outlook uses to sort your tasks, follow these steps:

1. | If the Current View options are available in the Navigation Pane, click the Customize Current View link. Otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.
2. | Click the Sort button to display the Sort dialog box.
3. | From here, you can choose the criteria that Outlook should use to sort your tasks.

NOTE

If any selected sort fields are not currently being shown in the view, Outlook displays a message box asking whether you want to add the selected field(s) to the view. Clicking the Yes button for this question adds the field(s) to the view and carries out the sort.

8.38. How Can I Group My Tasks?

To group your tasks, follow these steps:

1.
If the Current View options are available in the Navigation Pane, click the Customize Current View link. Otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.

2.
Click the Group By button to display the Group By dialog box.

3.
From here, you can choose the criteria that Outlook should use to group your tasks. For example, Figure 8-11 shows tasks that have been grouped by category.

Figure 8-11. A list of tasks that Outlook has grouped by category.

[View full size image]

8.39. Can I Set Up Filters to Show Only Certain Tasks?

Filters enable you to define rules that govern which items are and are not displayed. For example, the Next Seven Days view, mentioned in FAQ 8.33, uses a filter to display only tasks that are due in the next week. To create custom filters, follow these steps:

1. | If the Current View options are available in the Navigation Pane, click the Customize Current View link. Otherwise, select Arrange By from the View menu and then select Customize Current View from the Current View submenu.
2. | Click the Filter button to display the Filter dialog box.
3. | From the Filter dialog box, you can configure the filter to your needs.

8.40. How Can I View My Task at the Same Time as My Calendar?

Sometimes you want to be able to view your calendar and your tasks at the same time. To do this, open your calendar and select the TaskPad option from the View menu.

This makes Outlook display both your calendar and your tasks on the same screen, enabling you to quickly and easily move tasks to and from the calendar, and to easily create appointments from your tasks.


Organizing Tasks

8.41. How Do I Assign Categories to Tasks?

You can assign categories to tasks in a number of ways:

  • When creating a new task, you can assign it categories by clicking the Categories button near the bottom of the Task form and selecting the categories from the dialog box that appears.

  • If the task already exists and is closed, right-click it and select Categories from the context menu that appears.

  • If the task already exists and is open, click the Categories button near the bottom and select the categories from the dialog box that appears.

Regardless of which method you use, you are presented with the Categories dialog box, as shown in Figure 8-12. To assign a category to the task, simply place a check in the option for that category and click OK when you are finished.

Figure 8-12. The Categories dialog box can be used for assigning categories to a task.

8.42. Can I Create Additional Folders for My Tasks?

To create a new Tasks folder, perform the following steps:

1.
Click the arrow to the right of the New button on the toolbar and select Folder from the menu that appears. Alternatively, go to the File menu and select New, and then click Folder on the submenu that appears.

2.
The standard Create New Folder dialog box appears. Type in the desired name of your new Tasks folder. For example, you might have folders named Work tasks, Gym tasks, and School Play tasks.

3.
Ensure that the Folder Contains combo box is set to Task Items.

4.
Select the desired parent folder. As with most items, Outlook is context sensitive, in that the currently selected folder (usually the task folder, if you're in the Tasks view) is selected as the parent folder by default. However, you are free to change the parent folder to suit your needs. Note that no matter what folder represents the parent folder, all Tasks folders are listed in the My Tasks section of the Navigation Pane (see Figure 8-13).

Figure 8-13. All Tasks folders appear at the same root level in the My Tasks section of the tasks window of the Navigation Pane.

[View full size image]

8.43. What Are Some Advantages to Having Multiple Task Folders?

Although we personally recommend using categories for grouping tasks, creating multiple task folders does have its advantages:

  • Sharing your Outlook items is done at the folder level. Therefore, if you want to share only some of your tasks, you can create a folder for only those tasks you want to share, mark that folder as shared (public), and keep the remainder of your tasks in an unshared (private) folder. (Sharing is accomplished via a Microsoft Exchange Server and is covered in Chapter 13, "Microsoft Exchange Server.")

  • Auto-archiving rules are defined at the folder level.

  • Manual archiving is done for each individual folder.

8.44. How Do I Mark Tasks as Having Been Read or Unread?

To mark a task as having been read, highlight it by clicking it and then press the Ctrl Q keyboard combination. To mark an item as unread, ensure that it is highlighted and press Ctrl U. You can apply this method to multiple items at once by selecting multiple tasks. To do this, hold down the Ctrl key while selecting the items; when you are finished selecting them, release the key.


Sharing Tasks

8.45. How Do I E-mail a Task?

The easiest way to e-mail a task to somebody is to simply drag the task from the folder that it resides in and drop it onto the E-mail button on the Navigation Pane. Outlook automatically creates a new e-mail from the task, with the subject of the e-mail set to the same subject as that of the task. Figure 8-14 shows an example of an e-mail that was created by dragging a task onto the E-mail tab.

Figure 8-14. Sending a task as an e-mail in Outlook.

[View full size image]

8.46. How Do I Forward a Task as an Attachment?

Here's how to forward a task as an attachment via e-mail:

  • Right-click the task and, from the context menu, click Forward

  • Or, highlight the task and use the Ctrl F keyboard combination

  • Or, highlight the task and select Forward from the Actions menu

Regardless of which method you use to forward the task, a new e-mail appears with the task attached to it. To forward the task, enter the e-mail address or address and click Send.

8.47. How Can I Share My Tasks?

To share a Tasks folder that is associated with your Microsoft Exchange Server account, right-click the desired folder and click the Sharing menu option. This produces the Properties dialog box for that folder, with the Permissions tab selected.

1. | Select the username of the person you want to share the folder to. If the user isn't present, click the Add button to add that user.
2. | Select the desired Permission Level for the selected user.
3. | Via the supplied option, you can override the defaults of a given Permission Level.
4. | Click the OK button to publish your folder.

NOTE

The Tasks folder is like any other folder, and all folders are shared using the same interface.

8.48. How Can I View Tasks That Have Been Shared by Others?

Assuming that you're using Microsoft Exchange Server, you need to perform the following steps to view tasks that have been defined as shared by other users on your network:

1. | In the Tasks view of the Navigation Bar, click the Open Shared Tasks link (just below the Current View option buttons).
2. | A dialog box appears that has a single text box for entering the name of the user whose shares task folder you want to access. The dialog box also contains a button labeled Name that enables you to search for the desired folder. Clicking this button produces the Select Name dialog box.
3. | If necessary, change the value in the Show Names drop-down list to display Public Folders, and then select the desired folder.
4. | When you click the OK button, the selected shared folder appears in your Navigation Bar.

NOTE

The Tasks folder is like any other folder, and all shared, or public, folders are located using the same dialog box.


Miscellaneous

8.49. How Can I Generate a Task from Other Outlook Items?

Outlook makes it possible to quickly and easily create a task from other Outlook items, such as e-mails, notes, and appointments. To do this, drag the item (click the item with the left mouse button and hold down the button) that you want to generate a task from, and drop it onto the Tasks button in the Navigation Pane.

Outlook automatically creates a new task using the details of the item that you just dropped. For example, if you drop an e-mail onto the Tasks button in the Navigation Pane, a new task is created, with the subject of the e-mail becoming the subject of the task and the body of the e-mail, including details such as the From and To addresses, becoming the body of the task. Similarly, you could drop a note onto the Tasks button in the Navigation Pane to create a new task based on the note.

8.50. How Can I Generate Different Outlook Items from a Task?

If you have a task that you would like to use to make a different Outlook item from, such as a note or an e-mail, you can do so easily. Simply drag the task from the task view and drop it onto the button in the Navigation Pane that represents the item that you want to create.

For example, if you want to create a note from a task, just drag the task and drop it onto the Notes button on the Navigation Pane. Similarly, if you want to create a journal entry, you can do so by dragging the task and dropping it onto the Journal button in the Navigation Pane. When you drop the task onto the tab of your choice, Outlook creates a new item based on the task that you dropped. For example, if you are creating a note from a task, the subject of the task becomes the title of the note, and the task details and task body comprise the body of the task.


Chapter 9. FIND, SEARCH FOLDER, AND THE RESEARCH SERVICE

    Find

    Search Folders

    Research Service


Find

9.1. How Do I Search My Items for a Word or Phrase?

Outlook makes searching for your items very easy and provides many advanced features for performing complex searches. All the available search options can be accessed through the Tools menu. The first option is the standard Find dialog box, which is activated with the following steps:

1.
From the Tools menu, select Find and then select Find again. (The Alt I keyboard combination also works from any view in Outlook.) A narrow window appears above your current view. (Actually, this menu option toggles the viewable state of the Find bar so that it can be dismissed using this menu option.) Figure 9-1 shows the Find bar above the Notes view.

Figure 9-1. The Find feature enables you to quickly search for a word or phrases within the current folder.

[View full size image]

2.
Note that the Search In value on the Find bar is defaulted to the current view. Therefore, if you're currently in the Notes view and are doing a find operation, Outlook assumes that you want to search your notes. To change that, either type in the name of the folder you want to search (keeping in mind that things such as the calendar, tasks, and notes are simply folders and can be typed in here) or click the down arrow to the right of the Search In label. This drop-down list provides some default entries, such as the current folder, All Mail Folders, Mail I Received, and Mail Sent. If none of these is what you want and you're not sure of the name, click the last entry on the list, Choose Folders. This option displays the Select Folder dialog box, where you can navigate through your Outlook installation's folder tree to locate the exact folder you want to search. (Note that you can select the Search subfolders option on the Select Folder dialog box to search the selected folder as well as any folders within that folder.)

3.
When you're happy with where Outlook is going to search, you need to tell Outlook what to search for. This is done via the Look for text box; type the word or phrase that you're searching for. After you've typed in the text to search for, click the Find Now button. Outlook clears the contents of your current table view and shows the results of the search criteria.

9.2. How Can I Search for E-mail Messages?

Outlook provides the capability to search using several e-mail-specific field values. For example, you can search based on who the e-mail was from or to, the text in the subject or body, and when the e-mail was received or sent.

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If Mail is the current view, you'll see the word Messages in the Look for combo box. Otherwise, drop down that list and select the Messages entry. This changes the first tab in the Advanced Find dialog box to display e-mail messagespecific search criteria.

3.
As you can see in Figure 9-2, the Messages tab enables you to specify several e-mail messagespecific values to search for (e-mail subject and author, in this case):

  • Search for words Type the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search. The list gives you the capability to search in the e-mail message's subject field only, in the message's subject and body, or through frequently used text fields.

    NOTE

    Use the frequently-used text fields option when you wish to search any or all of the following email message fields: To, Cc, From, and Message. For example, if you wanted to search for all e-mails that were sent to or copied to someone, you would type the name of the person in the Search for words field, select the frequently-used text fields option, and then click the Find Now button.

  • From Either type or select (by clicking the From button) the contact that the searched-for e-mail messages are from.

  • Sent To Either type or select (by clicking the Sent To button) the addressees of the searched-for e-mail messages.

  • Where I am This option enables you to specify your relationship to the e-mail. For example, you can specify that part of the search criteria is that you are the only person to whom the searched-for e-mail messages were sent. Check the Where I am option and then select from the list of: the only person on the To line, on the To line with other people, on the CC line with other people.

  • Time The Time value is actually two lists that enable you to restrict the time frame of the messages you're searching for. For example, if you're looking for a message you sent yesterday, you would select sent from the first combo box and then yesterday from the second combo box.

Figure 9-2. Outlook enables you to search based on e-mail messagespecific criteria.

4.
The More Choices and Advanced tabs enable you to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for e-mail messages, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed on the dialog box, you can open any message by double-clicking it. (Right-clicking the items shows that you can also perform many of the same functions on them from this dialog box, as you can from the Mail view).

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.3. How Can I Search for an Appointment or Meeting?

You can easily search for and locate lost appointments and meetings (referred to in unison as meetings from here on) using several meeting-specific field values. For example, you can search for all meetings within a given time frame or any meeting for which the organizer or attendee meets your search criteria.

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If you're currently in the Calendar view, you'll see the words Appointments and Meetings in the Look for combo box. Other-wise, drop down that list and select the Appointments and Meetings entry. This changes the first tab in the Advanced Find dialog box to display search criteria that is more helpful in your search.

3.
As you can see in Figure 9-3 (in which a search is being performed for all meetings organized by Krista Crawley), the Appointments and Meetings tab enables you to specify several meeting-specific values to search for:

  • Search for words Type in the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search through. The list gives you the capability to search in the meeting's subject field only, in its subject and notes, or through frequently used text fields.

    NOTE

    Use the frequently-used text fields option when you want to search any or all of the following meeting fields: Subject, Location, Body, Contacts and Categories. For example, if you want to search for all team meetings at a given location, you would click the Attendees button and select the team members (or the distribution list for the team, as explained in Chapter 3, "Address Book, Contacts, and Distribution Lists"), type the location into the Search for words field, select frequently-used text fields, and then click the Find Now button to begin the search.

  • Organized by Either type or select (by clicking the Organized By button) the contact that created the meeting.

  • Attendees Either type or select (by clicking the Attendees button) the people or groups that will be attending (or did attend) the meeting.

  • Time The Time value is actually two lists that enable you to restrict the time frame of the messages you're searching for. For example, if you're looking for a meeting that is scheduled for tomorrow, you would select starts from the first combo box and then tomorrow from the second combo box.

Figure 9-3. Outlook enables you to search for appointments and meetings using fields that are specific to that Outlook item type.

4.
The More Choices and Advanced tabs enable you to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for meetings, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed in the dialog box, you can open any of the found meetings by double-clicking it. (Right-clicking the items shows that you can also perform many of the same functions on them from this dialog box as you can from the Calendar view.)

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.4. How Can I Search for a Contact?

When you've been using Outlook for any period of timeespecially if you've configured Outlook to add all incoming e-mail authors to your contact listyou might grow your contact list to the point that finding people can be difficult. Luckily, Outlook's Advanced Find feature enables you to search for contacts using contact-specific field values. For example, you can search for a contact based on that person's phone number or business, or even the time frame when that contact's record was created or last modified.

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If Contacts view is the current view, you'll see the word Contacts in the Look for combo box. Otherwise, drop down that list and select the Contacts entry. This changes the first tab in the Advanced Find dialog box to include fields that are specific to contacts.

3.
As you can see in Figure 9-4 (where we're searching for all Addison-Wesley contacts with an e-mail address containing the text @outlookhacks.com), the Contacts tab enables you to specify several contact-specific values to search for:

  • Search for words Type in the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search through. The list includes options such as search file as field, name fields, company field, address fields, e-mail fields, phone number fields and frequently-used text fields (which includes almost any field defined on the Contact form).

  • E-mail Either type or select (by clicking the E-mail button) the e-mail address defined for the searched-for contacts. You can also specify partial addresses, such as @outlookhacks.com.

  • Time The Time value is actually two lists that enable you to restrict the time frame of the messages you're searching for. For example, if you're looking for a contact record that you modified recently, you can select modified from the first combo box and then the time frame (such as yesterday or in the last 7 days) from the second combo box.

Figure 9-4. Outlook enables you to search for contacts using fields that are specific to that Outlook item type.

4.
The More Choices and Advanced tabs give you the capability to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for contacts, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed in the dialog box, you can open any contact by double-clicking it. (Right-clicking the items shows that you can also perform many of the same functions on them from this dialog box as you can from the Contacts view.)

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.5. How Can I Search for Tasks I've Defined?

Outlook tasks are a fantastic means of managing the various jobs you need to perform in your hectic life, and you can very quickly find yourself with quite a long list of completed and future tasks. As a result, sometimes you need to quickly locate specific tasks. Although you can define custom views that filter your task list by selected criteria, sometimes you simply want a one-time-only solution. Here's how the Advanced Find dialog box can help you accomplish that goal:

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If the Tasks view is the current view, you'll see the word Tasks in the Look for combo box. Otherwise, drop down that list and select the Tasks entry. This changes the first tab in the Advanced Find dialog box to display task-specific search criteria.

3.
As you can see in Figure 9-5, the Tasks tab enables you to specify several task-specific values to search for:

  • Search for words Type in the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search through. The list gives you the capability to search in the task's subject field only, in its subject and notes, or through frequently used text fields.

    NOTE

    Use the frequently-used text fields option when you want to search any or all of the following task fields: Owner, Subject, Notes, Contacts, and Categories. For example, if you want to search for all tasks that belong to particular category, you would type the category in the Search for words field, select frequently used text fields, and then click the Find Now button.

  • From Either type or select (by clicking the From button) the contact that send you the task. (The owner is the person responsible for the task, not the person who sent it to you.)

  • Sent To Either type or select (by clicking the Sent To button) the owner of the task.

  • Time The Time value is actually two lists that enable you to restrict the time frame of the tasks you're searching for. For example, if you're looking for a task that was completed in the past week, you would select completed from the first combo box and then in the last 7 days from the second combo box.

Figure 9-5. Outlook enables you to search for tasks using fields that are specific to that Outlook item type, such as originator and owner.

4.
The More Choices and Advanced tabs give you the capability to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for tasks, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed in the dialog box, you can open any task by double-clicking it. (Right-clicking the items shows that you can also perform many of the same functions on them from this dialog box as you can from the Tasks view.)

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.6. How Can I Search for a Note I've Created?

The main difference between the Find and Advanced Find dialog boxes is that the former enables you to search only for text within a given folder, whereas the latter enables you to search on item-specific field values. In the case of notes, there are very few item-specific fields to specify as search criteria because a note consists of only a subject and a body. Therefore, most of the time, when you're searching for a particular note, you do the following:

1. | Go to the Notes view by clicking the Go and then Notes menu options.
2. | Start a standard (as opposed to advanced) find, as outlined in FAQ 9.1.

The only added benefit that the Advanced Find dialog box gives you is the capability to specify that you want to search only the subject or the entire body of the note. Here's how you would do that:

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If you're currently in the Notes view, you'll see the word Notes in the Look for combo box. Otherwise, drop down that list and select the Notes entry. This changes the first tab in the Advanced Find dialog box to display e-mail messagespecific search criteria

3.
As mentioned, only a couple options are available for the advanced searching of notes (as opposed to searching for other Outlook items such as e-mails, tasks, and meetings).

  • Search for words Type in the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search through. The only options are subject field only and contents only. These options are not as straightforward as they seem, however. First, the interface for creating a note is only a free-form body into which you can create text. In other words, unlike other Outlook items, such as e-mails and tasks, there isn't a separate field for subject and body. As a result, the subject is considered to be the first line of the note's body. Second, the contents only option doesn't exclude the subject; it refers to the entirety of the note. Therefore, your options here really are "I want to search only the first line of each note" and "I want to search the entirety of each note."

  • Time The Time value is actually two lists that enable you to restrict the time frame of the notes you're searching for. For example, if you're looking for a note you created today, you would select created from the first combo box and then today from the second combo box.

4.
The More Choices and Advanced tabs enable you to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for notes, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed in the dialog box, you can open any note by double-clicking it. (Right-clicking any note shows that you can also perform many of the same functions on it from this dialog box as you can from the Notes view.)

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.7. How Can I Search for Journal Entries?

Depending on the journaling options you select, when you turn on automatic journaling, you can quickly have a tremendous number of entries to have to wade through in search of specific journal entries. You can create a custom view to help you filter your entries, but sometimes you simply want a one-time search capability. The Advanced Find dialog box enables you to search your journal entries based on various journal-specific field values. For example, you can search based on contact field, journal type, or journal entry subject.

1.
From the Tools menu, select Find and then Advanced Find. This displays the Advanced Find dialog box.

2.
If the Journal view is the current view, you'll see the words Journal Entries in the Look for combo box. Otherwise, drop down that list and select the Journal Entries entry. This changes the first tab in the Advanced Find dialog box to display journal entryspecific search criteria

3.
As you can see in Figure 9-6, the Journal Entries tab enables you to specify several journal entry-specific values to search for:

  • Search for words Type in the word or phrase that you're searching for. Note that this field can be dropped down to view a list of the words and phrases most recently searched for.

  • In Select from this list the fields you want Outlook to search through. The list gives you the capability to search in the item's subject field only, contact field only, subject and notes, or frequently used text fields.

    NOTE

    Use the frequently-used text fields option when you want to search any or all of the following journal entry fields: Subject, Company, Contacts, and Categories.

  • Journal entry type Select from the list the type of journal entry you're searching for.

  • Contact Either type or select (by clicking the Sent To button) the contact associated with the searched-for journal entries.

  • Time The Time value is actually two lists that enable you to restrict the time frame of the messages you're searching for. For example, if you're looking for a journal entry that was generated yesterday, you would select created from the first combo box and then yesterday from the second combo box.

Figure 9-6. Outlook enables you to search for journal entries using fields that are specific to that Outlook item type, such as journal entry type or contact name.

4.
The More Choices and Advanced tabs enable you to enter search criteria that is generic to all Outlook item types. Therefore, these tabs are covered in FAQ 9.8.

5.
When you have entered the criteria to use in searching for journal entries, click the Find Now button.

When you click the Find Now button, Outlook begins its search and the Advanced Find dialog box is enlarged to include a list of all found items that match your search criteria. (You can stop a search that is currently in progress by clicking the Stop button.)

When the results of the search have been returned and are listed in the dialog box, you can open any journal entry by double-clicking it. (Right-clicking any of the entries shows that you can also perform many of the same functions on them from this dialog box as you can from the Journal view.)

If the results are not what you want (or expected), or if you want to perform a new search, you can quickly initialize the dialog box by clicking the New Search button and then confirming the message box that your action will discard your previously entered search criteria.

9.8. How Can I Search Using Criteria That Isn't Specific to One Type of Outlook Item?

In addition to the basic find capability outlined in FAQ 9.1, the Advanced Find dialog box enables you to search for items using item-specific fields and to even search for items using fields that are common across multiple item types. Several FAQs in this chapter address the former (including FAQs 9.2 and 9.3). This FAQ addresses such examples as when you need to search using criteria such as a category, whether the item has an attachment, and the size of the item.

1.
To display the Advanced Find dialog box, click the Tools menu and select first Find and then Advanced Find.

2.
Based on your current view in Outlook, the Advanced Find dialog box shows item-specific fields on the first tab. For example, if your current view is the Mail view, you'll see e-mailmessage specific fields such as From and Sent To.

3.
The second tab, More Choices, contains fields that are common across multiple item types and enables you to perform searches using the following criteria:

  • Categories Select or type in the category you want to search for. A little-known tip here is that you can type in partial category values separated by semicolons.

  • Only items that are Enables you to specify that you want only read or unread items.

  • Only items with Enables you to specify whether the item has attachments.

  • Whose importance is Select from the list of normal, high or low.

  • Only items which Select from the list the flag color that the item must have to be included in the search results.

  • Match case Specifies whether your search should be case sensitive.

  • Size (kilobytes) Gives you the capability to filter your search to include only files within a given size range. This is a good way to search for extremely large files or explicitly exclude those from the search results.

4.
The third tab, Advanced, is where you can really get complex with your search criteria. Using this tab, you can select any field that is defined by Outlook and any field you've added to the system (user-defined fields). In addition, you can specify whether the field contains or doesn't contain a given value. For example, you can specify "find all journal entries to client ABC where the type is not a phone call."

  • Field Click this button to drop down a list that contains a categorized listing of every standard and user-defined field in the system.

  • Condition Drop this list down to select from contains, is (exactly), doesn't contain, is empty and is not empty.

  • Value If the condition is contains, is (exactly), or doesn't contain, type in the value to search for within the selected field.

  • Add to List When you've selected Field and Condition and entered a Value, click the Add to List button to add this field/value combination to the total search criteria. You can then continue adding more search criteria.

  • More Advanced This button is on the Advanced Find dialog box to allow for third-party developers to extend Outlook's find functionality. We have yet to see anyone implement it.

9.9. Can I Specify Boolean Logic with My Search Criteria?

We're not sure if this is a documented issue, so please understand that this trick works in Outlook 2003 but is not guaranteed to work with future releases.

1. | From the Tools menu, select the Find and then Advanced Find options.
2. | In any field where you can enter text (as opposed to a drop-down list of options you have to select), type in the values you're searching for separated by the | operator (for the Boolean or) and the & operator (for the Boolean and).
3. | Click the Find Now button to return the results of your search.

This tip enables you to perform searches like those shown in Table 9-1.

Table 9-1. Boolean Search Examples

Desired Search

Steps

All contacts with a category of A or B

On the More Choices tab of the Advanced Find dialog box, enter A|B and click Find Now.

All contacts with a category of A and B

On the More Choices tab of the Advanced Find dialog box, enter A&B and click Find Now.

All contacts with a category of A and B and not C

On the More Choices tab of the Advanced Find dialog box, enter A&B. On the Advanced tab, specify Categories doesn't contain C.

9.10. How Can I Search for Related Items to a Specific Item?

Many times it's convenient to be able to quickly locate all messages relating to a single message. Outlook provides this capability from the Mail view.

1. | From any folder containing e-mail messages, select a message.
2. | Right-click the message, select the Find All menu option, and click Related Messages.
3. | Outlook searches and returns all messages that have the same subject line or that contain the same subject line prefixed with the abbreviation for a forwarded or replied-to e-mail.


Search Folders

9.11. What Is a Search Folder?

A search folder isn't really a folder at all. It's more of a cross between a folder and a custom view. Search folders are created by saving the search criteria specified in a find operation so that the criteria doesn't have to be manually specified each time you want to perform a particular search. You specify the conditions of the search, such as all tasks of a given category that have been performed in the past week, and save that search as a search folder. Outlook then automatically keeps that folder updated per your search criteria.

9.12. How Can I Customize the Standard Search Folders?

By default, Outlook installs three search folders that provide you with very useful predefined search conditions as well as starting points for creating your own search folders. (Actually, there are about 15 standard search folders, and Outlook displays only 3 of them. See FAQ 9.13 to find out how to view the others.) These search folders, which you can see in either the Mail or Folder List views, consist of the following:

  • For Follow-Up Displays all items that have been flagged for follow-up

  • Large Mail Displays all e-mail messages that are greater than 100KB (kilobytes)

  • Unread Mail Displays all e-mail messages that are marked as unread

NOTE

You can modify the names of any of the standard search folders. You can also specify the folders to which the search criteria applies. However, Outlook only allows you to modify the search criteria for the Large Mail search folder. (The search criteria for the other two search folders can not be modified).

1. | From the Mail or Folder List views, expand Search Folders.
2. | Right-click the desired search folder.
3. | Select the Customize this search folder option.
4. | Type in the desired name for the folder (if you want to change the default).
5. | If you are modifying the Large Mail search folder, you can click the Criteria button and specify exactly how large an e-mail has to be (in kilobytes) to be defined as "large" and included in this folder. (The dialog box that appears as a result of clicking the Criteria button will be based on the search folder. For example, if you're modifying a custom search folder that you created [see FAQ 9.14] and the search criteria is based on a specific contact, clicking this button will produce a dialog box where you can specify that criteria.)
6. | Click the Browse button to specify in which folders Outlook will apply the search folder's search criteria. Simply check each folder on the Select Folder(s) dialog box and whether you want subfolders included (the Search Subfolders option). The default for this value is that the topmost folder is selected and Search Subfolders is checked so that all folders are included in the search.
7. | Click the OK button when you are done, to save your work.

9.13. Are There Other Standard Search Folders?

By default, only three search folders are displayed in Outlook, but there are actually about 15 defined search folders. To see all the search folders, do the following:

1.
From either the Mail or Folder List views, right-click Search Folders.

2.
Select New Search Folder.

3.
The New Search Folder dialog box appears (see Figure 9-7), where you can select from a list of supplied search folders.

Figure 9-7. Outlook defines about 15 different standard search folders for your convenience.

4.
Included on the New Search Folder of several (but not all) of the search folders is a button labeled Choose that enables you to specify the search criteria that is specific to that search folder. For example, the Old mail search folder enables you to specify in days, weeks, and months how old constitutes "old" for you, the Mail with specific words enables you to specify which words you're searching for, and so on. Specify the criteria and click the OK button.

NOTE

Although there is a Search mail in option, it appears to allow you only to select the default root folder. Therefore, in our tests (such as when we wanted Old mail to include only mail from the Inbox), we had to accept that as the default and then modify the search value after creating the folder (as described in FAQ 9.12).

9.14. How Do I Define a New Search Folder?

When you get the hang of search folders, you'll find them extremely useful. To that end, you'll quickly outgrow the basic search folders that Outlook provides and want to create your own. Here's how that is done:

1. | From either the Mail or Folder List views, right-click Search Folders.
2. | Select New Search Folder.
3. | At the bottom of the Select a search folder list, you'll see an entry called Create a custom Search Folder. Click that option.
4. | Click the Choose button.
5. | When the Custom Search Folder dialog box appears, type in the name of the new search folder.
6. | Specify which folders are to be searched by clicking the Browse button and checking each folder that is to be searched.
7. | Click the Criteria button.
8. | At this point, the Search Folder Criteria dialog box appears. This dialog box looks and behaves almost exactly like the Advanced Find dialog box does when you're searching for emails. Therefore, follow the instructions in FAQ 9.2 to define the search criteria.
9. | When you've entered the search criteria, click the OK button to close the Search Folder Criteria dialog box.
10. | Click the OK button to close the Custom Search Folder dialog box.
11. | Click the OK button to close the New Search Folder dialog box.

The search folder is created, placed under the Search Folders folder, and populated with the results of the search. Now each time you receive an e-mail that corresponds to your defined search criteria, a copy of that e-mail will appear in your new search folder.


Research Service

9.15. What Is the Research Service?

In Office 2003, Microsoft has introduced the Research Service, a means of easily researching items, phrases, and information directly from any Office product. The research option is quite simple to use. Just select any word in a message body, right-click your selection, and select the Look Up menu option. You'll see a window on the right side of the message with the applicable the research options. You can use this feature not just with messages that you received, but with messages that you're writing.

1.
Start a new e-mail message.

2.
In the body of the message, type the words quid pro quo and select the words with your mouse.

3.
Right-click the selected text and click the Look Up menu option.

4.
The Research pane appears (on the right side, by default). You can see this pane in Figure 9-8 (where it was moved to the bottom of the e-mail to make the screen capture easier.)

Figure 9-8. The Research Service enables you to research words and phrases on the Internet.

[View full size image]

NOTE

A shortcut to the Research Service that is especially useful when composing e-mails is to type in a word and, while holding the Alt key, click the word you want to research.

On the right side of the Research pane, you will see the results of the search grouped by the reference book in which the word or phrase was located.

On the left side of the Research pane, you will see the selected words (quid pro quo) in a text box under the heading Search for and a list right below this text box that, by default, has the value All Reference Books selected. If you drop down this list, you'll see that you can search through individual reference books such as dictionaries, thesauruses (English, French, and Spanish), a Microsoft Encarta encyclopedia, and even business and financial Web sites.

At this point, you can simply type in other words to search for, specify the reference material to use in the search, and click the green arrow to the right of the Search for text box.

9.16. How Can I Access the Research Pane from Anywhere in Outlook?

Outlook's online help states that the Research pane is available only when you're reading or composing an e-mail. In this way, you can access the Research pane by selecting the Tools menu and click the Research option. You can also click the word that you want to find information on while holding the Alt key. However, what online help does not tell you is that you can use the Research Pane from any Outlook view by performing the following steps:

1.
Press the F1 key to display the Outlook Help Pane.

2.
Click the down arrow icon to the right of Outlook Help, as shown in Figure 9-9, to display the Help Pane menu.

Figure 9-9. You can access the Research Service from any place in Outlook where Help is available.

[View full size image]

3.
Select the Research menu option.

4.
From this point, you use the Research Pane as explained in FAQ 9.15.

9.17. How Can I Remove Certain Research Services from My Research Pane?

Although the Research Pane is very useful, its default configuration tends to clutter search results with articles from sources that you might not want. For example, if you're never going to need language translation, you might want to omit using the various foreign--language research books. In addition, many research services charge fees to click through and read their articles. Many times research content that you pay for is better in quality than freely available content, but it can be frustrating to see lots of search results only to find that you have to pay to read most of the articles when you're not a subscriber to the research services. The default research services include services from Factiva and HighBeam eLibrary Research, both of which charge fees to access content. In addition, the default configuration includes Microsoft's Encarta Online research service, which contains both free and subscriber-based content.

To exclude specific research services from being used, follow these steps:

1.
Open the Research Pane (see FAQ 9.16).

2.
Click the Research Options link near the bottom of the Research Pane (see Figure 9-10).

Figure 9-10. The Research Options dialog box enables you to determine which service providers you want to include when Outlook performs research on your behalf.

3.
Uncheck the options next to the services that you do not want used in your research.

4.
Click the OK button.

9.18. How Can I Find Synonyms While Composing E-mails?

Aside from using the research service's thesauruses, you can use the following little-known trick to quickly find and substitute synonyms for text in your e-mails:

1. | Start a new e-mail.
2. | Type some text into the e-mail message's body, such as This was such a radical paradigm shift in thinking that at first most people could not even accept it.
3. | Right-click any word, such as paradigm, that you might want to replace.
4. | When the context menu appears, select the Synonyms option to see a list of interchangeable words. Select the desired word. Outlook automatically replaces the researched word with the selected word.

9.19. How Can I Copy Search Results into My E-mail?

Copying information from the research results into an e-mail is very easy when the research service you select allows it. Fortunately, several of the research services support this useful feature. Here's an example of inserting Pearson Education's stock quote into an e-mail:

1.
Start a new e-mail.

2.
Type some text into the e-mail message's body that includes the Pearson Education stock symbol, PSO.

3.
Highlight the text PSO and, while holding down the Alt key, click that text. The Research pane displays, and no data is found.

4.
From the Research Books drop-down list, select the MSN Money Stock Quotes research service. Outlook displays a stock quote like the one in Figure 9-11.

Figure 9-11. The MSN Money Stock Quotes research provider performs searches based on a stock symbol and returns the most current stock information to you, including today's price, which you can then copy into your e-mail.

[View full size image]

5.
The stock quote has a button labeled Insert Price. Click that button to insert the current price of the stock into your e-mail.

NOTE

Another useful means of locating text and adding the result of a search is to use the Thesaurus. Look up a word such as set and select the Thesaurus research service to get a listing of synonyms. Pick a word from the listing that shows up in the Research pane, and click the down arrow next to the word to reveal a short menu. You can insert the word if you like it, look up the current word, or insert the word into your e-mail to replace set.

9.20. How Do I Translate My E-mail into a Foreign Language Using the Research Option?

Along with the research option, Outlook has a translation option. This is a quite useful feature when you receive an e-mail in a foreign language or you're writing an e-mail in a foreign language. The translation option can be accessed in two ways: by the Research option (which researches the word you selected in dictionaries) and by the Translate option.

1. | Create a new e-mail message.
2. | In the e-mail message's body, type a phrase such as this is a great feature.
3. | Select the phrase you just typed and right-click that selection.
4. | From the context menu, select Translate. This causes the Research pane to open a list of translation service providers.
5. | Select the desired translation. For this example, select English in the From list and Russian in the To list.
6. | You should see the translated phrase below the language selection drop-down lists, which, in this case, is [image] .
7. | Change the language to French; it is translated as C'est un grand dispositif.
8. | Click the arrow to the right of the text that reads Send document for translation over the Internet in unencrypted HTML format. Your entire e-mail is translated and displayed in a Web page. (It's far from a perfect translation, but it will work when you're attempting to get an idea of what a foreign-language e-mail says or if you're trying to learn a few new words in another language.)

9.21. How Can I Filter Offensive Material from Being Returned by the Research Service?

Outlook provides a tool called Parental Control that enables you to block research services that could contain offensive material. In addition, you can choose to use only services that block such material. Finally, the tool includes a password that you can set to prevent others from changing these settings without knowing the password.

1. | Open the Research Pane (see FAQ 9.16).
2. | Click the Research Options link at the bottom of the pane.
3. | Click Parental Control.
4. | Enable content filtering by checking the option Turn on content filtering to make services block offensive results.
5. | For the highest level of filtering, click the option labeled Allow users to search only the services that can block offensive results.
6. | Type in a password.
7. | Click the OK button.
8. | You are asked to confirm the password, in case you mistyped it. Retype the password in the Confirm Password dialog box.
9. | Click the OK button.

You'll now find that if you attempt to return to the research services options, you'll need to first enter the password.

9.22. What Can I Do If I Forget the Parental Control Password?

Although you cannot recover a lost password, you can disable the research service's Parent Control feature by editing your the Windows Registry. After you have done this, you can re-enable the Parental Controls feature using Outlook and specify a new password.

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1. | Close all Office applications, such as Outlook, Word, Excel, and PowerPoint.
2. | Close all instances of Internet Explorer.
3. | Click the Windows Start button and select the Run option.
4. | Type regedit into the Open text box, and click the OK button.
5. | When the Windows registry editor loads, locate and expand the HKEY_LOCAL_MACHINE\\Software\Microsoft\Office\11.0\Common\Research\PC key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)
6. | Delete the key.
7. | Close the Windows registry editor.
8. | Restart Outlook.

When you reopen the Research Pane, click the Research Options link, and then click the Parental Control button, you'll see that Outlook does not ask you for a password, and the filtering options are returned to their factory defaults. If you want, you can now re-enable this feature, as explained in FAQ 9.21.

9.23. Can I Add Other Research Services to Outlook?

Absolutely. In fact, new research services are being created all the time that directly interface with Office's research service. Here are a couple useful research services:

  • Amazon Research Service for Microsoft Office System This service enables you to search for any Amazon products from within Outlook. Simply type in the name of the product (such as a book) and search using the Amazon research service. When the service returns its results, click the appropriate link; the item appears in the Research pane. Browse to the URL to download and install this service: http://www.amazon.com/gp/associates/research-pane/download_rp.html/103-3513244-5834255.

  • PerfectXML.com This Web site is a great source of information regarding XML-based technologies such as XML, XSL, SOAP, and Web Services. Browse to the following URL to download and install this service: http://www.perfectxml.com/Research/default.aspx.

  • Microsoft Marketplace Microsoft has a large number of research providers listed on its Marketplace Web site: http://office.microsoft.com/en-us/marketplace/CE063644961033.aspx.


Chapter 10. CUSTOM FORMS

    Form Basics

    Creating and Modifying Forms

    Using Forms

    Saving and Publishing Forms


Form Basics

10.1. What Is an Outlook Form?

An Outlook form is essentially a dialog box that enables the user to create, edit, and view the details of specific Outlook types. For example, the task of creating e-mails, appointments, and contacts (among other items) is accomplished with forms that have been specifically designed for those item types.

Although there are seven default forms (see FAQ 10.3), the Outlook designers realized that for Outlook to handle the individual needs of its millions of users, Outlook needed the capability to allow users to create their own forms and customize existing forms. Forms that you create (or modify from existing forms) are called custom forms and are the focus of this chapter.

10.2. How Are Outlook Forms and Outlook Items Related?

All items (e-mails, journal entries, tasks, and so on) within Outlook are stored within folders, which are in a file such as a Personal Folders file. Each item has a number of different details associated with it, such as the subject, categories, date created, and priority. The details that are stored in relation to an item depend on the type of item. For example, a task might have a Start and a Due By date, but an e-mail will not have these details associated with it.

The actual details relating to a particular item are stored as a collection of fields. Forms and views are used to display the various Outlook items. For more information on specific views, such as the Task view or the Notes view, refer to the chapter covering the item in question. Forms essentially provide a more detailed view of the different fields that are stored for an item. They also give you a lot more control and freedom to modify the details of a particular item, and they enable you to create new items. However, up to this point, you have not been shown how to customize forms in the same way that you have seen how to customize views. The aim of this chapter is to show how to do just that.

As explained, all items in Outlook store certain fields that represent the different details related to that particular item, and not all items have the same fields. However, each item always has a field called Message Class. This field contains the name of the form that Outlook uses when you want to display or edit an item. For example, when you are working with e-mail, Outlook uses the IPM.Note form because this is the default Message Class for e-mails. For a journal entry, Outlook would use the IPM.Activity Message Class by default.

10.3. What Are the Default Outlook Forms?

When creating new forms, you always need to begin by selecting an existing Outlook form. Chances are, when you create your first custom form, it will have to be based on one of the default forms that come with Outlook. Seven default forms are available for you to tinker and play with; each has a particular use and a specific Message Class, as shown in Table 10.1.

Table 10-1. The Default Form Types Outlook Provides

Form Type

Message Class

Used

Task

IPM.Task

When you want to perform actions relating to tasks

Message

IPM.Note

When you want to send information to someone

Appointment

IPM.Appointment

When dealing with meetings, appointments, or scheduled events

Contact

IPM.Contact

When you want to work with information relating to a person or an entity such as a company or an organization

Journal Entry

IPM.Activity

When you want to record information about an item or a particular event that has happened

Post

IPM.POST

When you are posting information to a folder or when you are dealing with threaded conversations in a Microsoft Exchange Server folder

Distribution List

IPM.DistList

When you want to create lists of e-mail addresses

10.4. Can I Customize the Default Forms?

Yes and no. All the default forms (covered in FAQ 10.3) can be customized, but some of them do not allow you to modify the existing aspects of the form. Instead, they enable you to customize the form by adding pages (see FAQ 10.18) and then implement your desired changes or features on the new page. The following list explains what level of customization you can do for each of the default form types:

  • Task You cannot modify the standard pages of the Task form. However, you can hide the standard pages and create your own (see FAQ 10.19).

  • Message Outlook enables you to modify all aspects of the Message form. Two different modes are used for Message forms, and both can be customized. Read mode is displayed when you try to read an item that uses this form. Compose mode is displayed when you are creating new items.

  • Appointment As with the Task form, you cannot customize the default pages of an Appointment form. Although you can hide the default pages, it is recommended that you not do so because they contain fields necessary for scheduled items. Instead, you should add pages to the form and customize these pages.

  • Contact Outlook enables you to modify only the General page on the contact form. The other pages, such as Details, Activities, and Certificates, can be hidden but not modified.

  • Journal Entry You cannot modify the standard page on the Journal Entry form, but if you want, you can safely hide the page and create your own, customized page to replace it.

  • Post As with Message forms, Post forms have Read and Compose modes, each of which can be customized completely.

  • Distribution List The Distribution List form is similar to the Appointment form, in that you cannot modify the standard pages and it is recommended that you not hide them. However, you can extend the form by creating additional pages and extending these.

This list specifies the intricacies of what you can and cannot customize with regard to each of the default forms. However, it is important to note at this stage that you are not actually customizing the default forms themselves: You are customizing a default form and then saving it as a custom form, not actually replacing the default form with your customized version. However, you can effectively replace the default forms by creating a custom form and then setting that form as the default form for a particular folder (covered in FAQ 10.29). You can also set the form that you just created to be the global default form for a particular item type by following the instructions in FAQ 10.31.

10.5. Where Are Forms Saved?

The location where Outlook forms are stored depends on both the type of form you are using and the environment you are using. For example, if you are using a Microsoft Exchange Server environment, your custom forms typically are stored in the Organization forms library, which is stored on the server itself. This helps ensure that the forms are accessible by everybody using the server. Custom forms can also be stored within a normal folder within Outlook, such as your Inbox or your Drafts folder, or in a Personal forms library, which is a special library that is usually located within your Personal Folders file.

10.6. What Is a Reply Form?

You can reply to certain item types within Outlook, such as the Message type. For example, you can reply to an e-mail, a task request, or a post. In the example of an e-mail, the form you use for replying to the e-mail is different than the form used for creating the e-mail. This is because when you are replying, you are using a Reply form. In the e-mail example, the Reply form is also used when you click the Forward button.

Reply forms are essentially separate forms for an item and are displayed when you click a button that has an action (see FAQ 10.15), such as Reply, Reply to All, or Forward, associated with it. These actions generally display Reply forms instead of standard Compose or Read forms. As the name suggestions, FAQ 10.8 guides you through the process of creating a new Reply form and configuring actions that use your custom Reply form instead of the default Reply form.


Creating and Modifying Forms

10.7. How Do I Create a New Form?

When creating a new form, you must begin with an existing form, whether one of the default Outlook forms (the default Outlook forms are presented in FAQ 10.3), a custom form that you created previously, or a form that someone else created. This means that before you can create a form, you need to display the form that you want to base the new form on. Here is how you can do this:

1.
From the File menu, select New and then Choose Form.

2.
This displays the Choose Form dialog box, shown in Figure 10-1.

Figure 10-1. The Choose Form dialog box lists the forms available to you.

3.
The Look In drop-down list at the top of the dialog box enables you to select the location where you want to look for forms. These locations could include the Standard Forms Library, the Personal Forms Library, Standard Templates, the Organization Forms Library, and all the folders in your Personal Folders file.

4.
When you have found the form that you want to base your form upon, highlight it and click the Open button.

Alternatively, you can open a form by creating a new Outlook item. For example, you can open the Message form by creating a new e-mail, or open the Task form by creating a new task. Regardless of how you open a form, you now need to create a new form based on this. Here is what you need to do:

1.
On the form that you opened, click the Tools menu and then select Forms followed by Design This Form.

NOTE

If the form that you opened is the Message form (the form used for creating e-mails), ensure that you are using Outlook, not Word, as your e-mail editor. You can do this by going to Tools and selecting Options to display the Options dialog box. Go to the Mail Format tab and then ensure that the options Use Microsoft Office Word to edit e-mail messages and Use Microsoft Office Word to read Rich Text e-mail messages are not checked.

2.
Outlook changes the form to Design Mode and also displays the Field Chooser (see FAQ 10.11). Figure 10-2 shows how the Message form might look in Design mode.

Figure 10-2. Outlook allows you to create your own customized forms such as that used for creating new e-mail messages.

[View full size image]

3.
Design Mode enables you to edit the form; FAQs throughout the remainder of this chapter explain how to do just that.

4.
When you are satisfied with the changes you made, you can save the form by following the instructions in FAQ 10.33.

NOTE

Note that on the Forms submenu in step 2, you also have the Choose Form option and a Design Form option. The Choose Form option enables you to select and display a form of your choice. The Design Form option enables you select and then immediately edit a form of your choice. The Choose Form option displays the dialog box visible in Figure 10-1; the Design Form option displays a similar dialog box.

10.8. How Do I Create a New Reply Form?

The process for creating a custom Reply form is the same as the process for creating any other new form, which is explained in the preceding FAQ. The difference lies in the fact that, to display your custom Reply form, you need to set an action (see FAQ 10.15) on another form that will display your custom Reply form when performed. FAQ 10.16 explains how to create custom actions and provides an example showing how to create a custom action that displays a form, whether a normal form or a Reply form.

10.9. How Do I Modify a Form?

Unfortunately, Outlook does not allow you to modify the default forms (see FAQ 10.3). Nonetheless, sometimes you want to modify a form that you created previously. Perhaps you want to add functionality, or you just want to change the layout of the fields that are displayed on the form. Regardless of your reasons for wanting to modify the form, here is how you can accomplish your goal:

1. | You first need to open the custom form that you want to modify. FAQ 10.28 explains how you can open forms. NOTE If the form that you opened is the Message form (the form used for creating e-mails), ensure that you are using Outlook, not Word, as your e-mail editor. You can do this by going to Tools and selecting Options to display the options dialog box. Go to the Mail Format tab and then ensure that the options Use Microsoft Office Word to edit e-mail messages and Use Microsoft Office Word to read Rich Text e-mail messages are not checked.
2. | When the form is open, go to the Tools menu.
3. | From here, select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode. When in Design Mode, you can make the necessary changes to the form; FAQs throughout the remainder of this chapter explain how to make these changes.
4. | Finally, when you are finished making modifications, you can save your form by following the instructions in FAQ 10.33.

10.10. How Do I Customize a Default Outlook Form?

As mentioned in FAQs 10.4 and 10.9, Outlook does not allow you to modify the default Outlook forms. However, it does enable you to create new forms based upon the default ones. After you have created a new form, you can set Outlook to use this custom form instead of the default form.

These are the FAQs you need to follow to customize the default Outlook forms:

1. | To start, you must create a new custom form that is based upon the default form that you want to customize. To do this, follow the instructions in FAQ 10.7.
2. | When you have created and saved the new form, you need to configure Outlook to use your custom form instead of the default Outlook form. If you want to do this for a particular folder, simply follow the instructions in FAQ 10.29.
3. | If, on the other hand, you want to always use your custom form in place of the default form, follow the instructions in FAQ 10.31.

Although this process is a roundabout way of customizing the default forms, it does help to ensure that you do not inadvertently corrupt integral components of Outlook.

10.11. What Is the Field Chooser and How Do I Use It?

When you are creating or customizing a form, more often then not, you will need to add ways for the user of the form to supply it with data or to view information. This can be accomplished by adding a control (see FAQ 10.12) to the form, then adding a field, and finally binding the control to the field. A simple example of this is the subject line of an e-mail. The control is a textbox that enables you to enter the text, and the field is the subject of the e-mail.

Although it is possible to manually add controls and bind them to fields, it is certainly not efficient. This is where the field chooser comes to our rescue. As you can see in Figure 10-3, the Field Chooser dialog box displays a number of different items that you probably recognize. By default, it displays Frequently-used fields, but you can change the fields that are displayed by selecting an option, such as Date/Time fields, from the drop-down menu.

Figure 10-3. The field chooser when displaying the Frequently-used fields.

For the field chooser to be of use, you need to be able to get items from it and drop them onto the form you are working on. To do this, simply drag the field from the Field Chooser and drop it onto the form where you want it to appear. Figure 10-4 shows a form based on the Message form in Design Mode. As you can see, we have placed a number of items on the form. Take, for example, the Importance label and drop-down list. To place this item on the form, we simply located the Importance field in the Field Chooser, clicked on it, dragged it to the form, and dropped it to the location where we wanted it to appear. The Field Chooser automatically added the label with the text Importance, added the drop-down list, and also associated the Importance field with the drop-down list.

Figure 10-4. A custom form with a field dropped onto it from the Field Chooser.

[View full size image]

10.12. What Is the Controls Toolbox and What Do I Use It For?

The Controls Toolbox enables you to quickly and easily add controls to a form. By default, the toolbox is not displayed when you enter the Design mode of a form. To display it, simply go to that Form menu and click Controls Toolbox.

Figure 10-5. The standard Controls Toolbox.

As with the field chooser (see FAQ 10.11), you can drag items from the Controls Toolbox and drop them onto a form. This enables you to quickly add new Controls to the form you are working on. The Controls Toolbox itself is also customizable, and you can add or remove tabs to the toolbox and add new controls. For example, in Figure 10-6, we added a new tab to the toolbox called Test Tab and then added two new controls to the tab: a Spreadsheet control and a Windows Media Player control.

Figure 10-6. Adding items to the Controls Toolbox.

Here is how we did this:

1.
To add the tab, we right-clicked on the Controls tab and clicked the New Tab button.

2.
Next, we right-clicked the tab we just created and selected Rename from the menu. On the dialog box that appeared, we typed the name Test Tab into the Caption field and then clicked OK.

3.
To add the new controls to the tab, we right-clicked a blank area within the tab page and, on the menu that appeared, selected Custom Controls.

4.
After a few seconds, this displayed the Additional Controls dialog box. This dialog box lists all the available controls on the system. We selected the Microsoft Office Spreadsheet 11.0 and Windows Media Player controls and clicked OK.

5.
The two new controls were added to the Controls Toolbox. Figure 10-7 shows a form in Design mode on which we placed two new controls by dragging them from the Test Tab and dropping them onto the form.

Figure 10-7. A form that uses the additional controls added to the Controls Toolbox.

[View full size image]

10.13. Can I Specify That a Value Must Be Entered into a Field?

In some situations you want to ensure that somebody enters a value into a field. The obvious example is when you are creating a custom form for sending e-mails. You will more than likely have a To field where the user of your form will enter the e-mail addresses of the intended recipients. If the user does not enter anything, the form should not allow the user to send the e-mail. You can implement this by requiring a value to be entered into the To field.

Here is how to do this:

1. | Right-click the control or the field in which you require a value. In the example, you would right-click the To field.
2. | On the context menu that appears, select Properties to display the Properties dialog box.
3. | Next, click the Validation tab and check the option A value is required for this field.
4. | Click OK to return to designing the form.

From this point on, whenever someone uses this custom form, Outlook will display a dialog box informing the user that this is a required field if none is entered.

10.14. How Do I Set Validation Rules for Fields?

FAQ 10.13 showed you how to ensure that a user enters a value. However, this fails to ensure that the user enters a valid value. Sometimes you require that values be entered in a specific format or that the entered values be within a particular range.

To configure a field to use specific rules to validate the values entered into it, follow these steps:

1. | Right-click the control or the field for which you require a value.
2. | On the context menu that appears, select Properties to display the Properties dialog box.
3. | Next, click the Validation tab.
4. | Ensure that the option Validate this field before closing the form is checked.
5. | You need to tell Outlook what validation rule to use, by typing the rule into the Validation formula field or by clicking the Edit button to the right of the field and building the rule in the Validation formula dialog box that appears.
6. | Outlook also enables you to specify a custom message to display when a user enters something invalid into the field. Enter your message in the Display this message if the validation fails field, or click the Edit button to the right of the field to display the Validation text dialog box.

10.15. What Are Actions?

Actions are a feature of Outlook forms that tells Outlook to perform a particular action when an event associated with that action occurs. For example, when you open an e-mail to view it, a number of buttons that are available, including the Reply, Reply to All, and Forward buttons. Each of these buttons has a particular action associated with it; when you click one of them, Outlook carries out that action. In the case of the Reply, Reply to All, and Forward buttons, the action is to display the Message Reply form.

The good thing about actions is that they do not require you to know any particular code or scripting language. You can create actions and configure them using the (Actions) page of a form when you are in Design Mode. FAQ 10.16 explains how to create actions.

Figure 10-8. The default actions set on the Task form.

[View full size image]

10.16. How Do I Create New Actions for My Form?

To create a new action for a form, you need to be in the Design mode of the form in question. If you are unsure of how to display the Design mode for a form, simply follow the instructions in FAQ 10.9 up to step 4. When you are ready, follow these steps to create new actions for your form:

1.
Ensure that you are in Design Mode and then click the (Actions) tab.

2.
On the (Actions) page, click the New button to display the Form Action Properties dialog box (see Figure 10-9).

Figure 10-9. Creating a new action for a form.

3.
Enter the name of the action in the Action name field and ensure that the Enabled option is selected. The text that appears in the Action name field is the text that will appear on the menu and the toolbar.

4.
You can specify which form you want the action to open by selecting the Forms option from the Form name drop-down list. This displays the Choose Form dialog box, where you can select the form that you want to have displayed. In Figure 10.9, the Appointment form has been selected, so when someone clicks the Action name button or menu option, the Appointment form will be displayed.

5.
You do not have to choose one of the default forms. For example, you might want to display a custom Reply form. In this situation, you would create the Reply form by following the instructions in FAQ 10.8 and then selecting that form.

6.
The Characteristics of the new form section enables you to specify specific properties about how the new form will be displayed. You can also specify whether you want the action to be displayed by checking or removing the check from the Show action on option. If the option is selected, you can decide to have the action appear on the Actions menu of the form only or on both the Actions menu and the toolbar of the form.

7.
When you are finished configuring your new action, click OK. When you are finished designing your new form, you can save it by following the steps in FAQ 10.33.

Figure 10-10 shows a custom form with the Example Action custom action (see Figure 10-9) that was added to it.

Figure 10-10. Creating a new action for a form.

[View full size image]

10.17. How Do I Change the Properties of an Action?

Sometimes creating a new action for your form might be overkill, and simply changing the properties on an existing property could be sufficient. Here is how you can do this:

1. | Open the form in Design Mode.
2. | Ensure that the (Actions) page is visible by clicking the (Actions) tab.
3. | Highlight the action that you want to modify the properties for and click the Properties button.
4. | This displays a Form Action Properties dialog box similar to the one shown in Figure 10-9. From here you can configure the action as you see fit.
5. | When you are satisfied with the changes you have made, simply click OK to save the changes to the action and then save the form.

10.18. What Are Pages and How Can I Use Them?

Pages enable you to display different information by showing only one page at a time. You select the page that you currently want to view by clicking the tab that represents that page, just as you do in Windows Explorer. Each of the default items in Outlook has at least one form, but not all of the default forms enable you to customize its standard pages.

In general, regardless of the type of form, Outlook enables you to customize five different pages. These pages do not include the standard pages of the form. For example, the default form for a contact has five standard pages, General, Details, Activities, Certificates, and All Fields. The only standard page that Outlook enables you to customize is the General page, although Outlook does allow you to customize and add another five new pages. Which standard pages you can customize depends on the form type. FAQ 10.4 lists which pages are customizable for each form type.

Figure 10-11 shows the contact form when in Design Mode. As you can see, there are five standard pages, five additional pages, and the (Properties) and (Actions) pages also. We have selected the P.2 page and added some text to it by using the Control Toolbox. The pages whose names are surrounded by parentheses are hidden (see FAQ 10.19) and are not displayed when the page is viewed normally.

Figure 10-11. Working with pages.

[View full size image]

You can rename all custom pages and certain standard pages by selecting the page and then going to the Form menu and selecting the Rename Page menu option. This displays a dialog box. Enter the desired name for the page into the Page name field and click OK. It is also worth noting that there must always be at least one page visible on a form.

10.19. How Do I Hide Pages on a Form?

FAQ 10.4 listed the restrictions that apply to some of the pages that are normally visible on the default forms. For example, on the Appointment form, it is not possible to customize any of the standard pages. If you want to create a custom Appointment form, you need to create new pages.

Creating new pages to replace the existing pages often results in the same information appearing in both the standard pages and your new custom pages. In this type of situation, it is useful to have the capability to hide the standard pages and display only your custom pages to the user. Here is how you can do this:

1. | Select the page that you want to hide by clicking it.
2. | Next, go to the Form menu.
3. | From here, click the Display this page menu option to remove the check mark from beside it. The page that was selected is now hidden.

On the other hand, in some situations you want to display a page that has been hidden in the past or that is hidden by default. To do this, simply follow the instructions in this FAQ, ensuring that, in Step 3, you place a check mark beside the Display this page menu option.

10.20. Can I Add Custom Code to My Form?

Most users will not need to extend the forms beyond what is possible in the Design Mode. However, some power users might want to use code to give them greater control over exactly what happens and when it happens. This is accomplished by using Visual Basic script that interacts with the Outlook Object Model. To add VBScript code to the form, follow these instructions:

1.
Go to the Form menu when in Design Mode and click the View Code option. This displays the Script Editor.

You can write all the VBScript by hand or you can get a little help from the Script Editor.

2.
Go to the Script menu and click Event Handler to display the Insert Event Handler dialog box, shown in Figure 10-12.

Figure 10-12. The Insert Event Handler dialog box makes writing code for your custom form even easier.

3.
Here you can select an event and click the Add button to have the code for handling the event automatically added to the Script Editor.

4.
You can also display the Object Browser dialog box, which lists the objects available in the Outlook Object Model, by going to the Script menu and clicking Object Browser.

10.21. Can I Set the Icons for My Custom Forms?

While using Outlook, you might have noticed that each type of Outlook item has its own icon associated with it. For example, e-mail messages have an envelope icon, calendar entries have a calendar-like icon, and task items have a notepad with the tick on it as an icon. So, it is reasonable to wonder if you can also specify icons for your custom forms. Well, wonder no moreyou can.

Outlook enables you to set a large icon and a small icon for each custom form that you create. Here is how you can do it:

1. | First open the custom form that you want to set the icons for. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | To set the large icon for your custom form, click the Choose Large Icon button, which displays a browse dialog box. Locate the icon that you want to display as the large icon for your form, highlight it, and click Open.
6. | To set the small icon, simply click the Choose Small Icon button and do the same as you did for the large icon.
7. | When you are finished, save your form by following the instructions in FAQ 10.33.

10.22. How Do I Set a Category and Subcategory for My Form?

To help you keep your custom forms as organized as possible, Outlook enables you to specify a category and a subcategory that your form belongs to. You can display Outlook forms in a tree view based on category and subcategory when viewing them using the Choose Form dialog box. To do this, click the tree view button in the top right corner (see Figure 10-13).

Figure 10-13. Displaying a form in a tree view based upon category and subcategory.

[View full size image]

Here's how to go about setting the category and subcategory:

1. | Open the form that you want to set a category for. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | Type the name of the category you want the form to be a part of in the Category field.
6. | To add the form to a subcategory, simply type the name of the subcategory into the Sub-Category field. If the names that you enter do not already exist, new categories are created to accommodate them.
7. | When you are finished, save your form by following the instructions in FAQ 10.33.

10.23. How Do I Ensure That My Form Is Sent with Items That Were Created with It?

The main reason for creating a form is usually to provide a customized view of a particular Outlook item. For example, you might want to have a custom view of e-mails you receive rather than use the default Message form that comes with Outlook. You might also want to use your own custom forms to create and view items, and you would like the people to whom you send the items to be able to view the item using the form you created.

To do this, you need to ensure that the form has been configured to be sent with each item created with it. To do this, follow these steps:

1. | Open the custom form that you want to modify the settings for. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | To ensure that people who receive items that you created with the custom form can also view the items in the custom form, make sure that the Send form definition with item option is checked.

The main drawback to selecting this option is that it increases the size of each item that is created using the form because the form itself is embedded into the item. Nonetheless, it does allow the recipient to view the item in your form without having to manually install the form and it helps to ensure that the view of your item is always consistent. This method is also useful when you have created a once-off form that you want to send to some people.

On the other hand, if you want to ensure that the form is never sent with items that are created with it, simply ensure that the Send form definition with item option is not selected.

10.24. Can I Protect My Forms So That Only I Can Modify Them?

Put simply, yes. If you share your computer with others, or if you intend to distribute your custom forms, you might want to ensure that other people are prevented from making modifications to your form. Outlook accounts for this by enabling you to set a password for the form that will need to be entered each time someone tries to modify the form or create a form that is based upon your form.

This is how you password-protect your forms:

1. | Open the custom form that you want to protect with a password. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | Check the Protect from design option or click the Set Password button. Regardless of which you do, you are presented with the Password dialog box.
6. | Enter your desired password in the Password field and confirm the password by entering it again in the Confirm field. Click OK to return to the (Properties) page.

10.25. How Do I Set My Form to Be Used Only for Replies?

If you have created a custom Reply form (see FAQs 10.6 and 10.8) or just a standard form that you want to have used only when an item is being replied to, you need to ensure that the form is configured as such. Follow these steps to configure the form to be used for responses only:

1. | Open the form that you want to have used for responses only. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | Ensure that the option Use form only for responses is selected.

10.26. Can I Set Version Information for My Forms and, If So, How?

If you want to keep version information for your forms, you can do so by following these simple steps:

1. | Open the form. FAQ 10.28 explains how you can open forms.
2. | With the form open, go to the Tools menu.
3. | Select the Forms menu item and, on the submenu that appears, select Design This Form. The form switches to Design Mode.
4. | Next, display the (Properties) page by clicking its tab.
5. | You can use the Version and Form Number fields to store the version information that you want to keep.

10.27. How Do I Test a Form Before Saving It?

Whether you are creating a new form or customizing an existing form, it is often hard to visualize exactly how your form will appear when it is actually in use. Thankfully, Outlook enables you to quickly and easily view the form that you are working on as it would appear when it is in normal use (Run mode).

When you are in the Design Mode of a form, you can quickly change to Run Mode by going to the Form menu and clicking Run This Form. Outlook displays the form as it would appear in everyday use without requiring you to save it. The form is also fully functional in this mode, so you can use it for testing the functionality of your form.


Using Forms

10.28. How Do I Open a Form?

This might seem like a silly question to ask, but as you will see in FAQ 10.33, Outlook forms can be stored in a number of different locations. This obviously leads to a number of different methods available for opening a form, depending on where it is stored.

Forms can be stored in five main locations:

  • Organizational Forms Library

  • Folder Forms Library

  • Personal Forms Library

  • An Outlook folder

  • The file system

The merits of each of these locations, along with details on how to save to these locations, are discussed in FAQ 10.33.

Here is how you can open a form that is stored in each of the locations:

Organizational Forms Library:

1. | From the File menu, select New and then click the Choose Form menu option. This displays the Choose Form dialog box.
2. | At the top of the dialog box, select Organizational Forms Library from the Look In drop-down list.
3. | Highlight the form that you want to display and then click the Open button.

Folder Forms Library:

Forms that are stored in a Folder Forms Library are accessible to anybody who has access to the folder in question. To open a form that is stored in the library, go to the Actions menu. On the menu is an option for each of the forms stored in the Folder Forms Library for the currently selected folder. Simply click the menu option for the form you want to open.

Personal Forms Library:

1. | From the File menu, select New and then click the Choose Form menu option. This displays the Choose Form dialog box.
2. | At the top of the dialog box, select Personal Forms Library from the Look In drop-down list.
3. | Highlight the form that you want to display and then click the Open button.

In an Outlook Folder:

Items that are stored directly in an Outlook folder, not stored in the Folder Forms Library for the folder, can be opened by simply double-clicking them or by right-clicking them and selecting Open from the context menu that appears.

The File System:

When you save a form to the file system, it typically is saved as an Outlook Template file. You can open these files in two ways: locate the file on your file system and then double-click it, or follow these instructions:

1. | From the File menu, select New and then click the Choose Form menu option. This displays the Choose Form dialog box.
2. | At the top of the dialog box, select User Templates in File System from the Look In drop-down list.
3. | Highlight the form that you want to display and then click the Open button.

Regardless of where the form has been stored and which of these methods you used to display the form, when you open the form, you can either use it for its intended purpose or create a new form based on it (see FAQs 10.7 and 10.9).

10.29. How Do I Change the Default Form for a Folder?

Most custom forms that you create will probably be forms that you intend to use on a recurring basis. For these forms, it might be tedious to have to manually open the form (see FAQ 10.28) every time you want to create a new item based on the form. Outlook enables you to set the default form for a folder, which is then used whenever you create a new item in that folder.

For example, you might have created a custom form based on the contact form that you want to use whenever you create a new contact in one of your contacts folders. Here's how to do that:

1.
Right-click the folder that you want to make the changes for.

2.
On the context menu that appears, click Properties to display the Properties dialog box for that folder. The current default form is displayed on the General tab in the When posting to this folder, use drop-down list (see Figure 10-14).

Figure 10-14. Changing the default form used for the contacts folder.

3.
To change the default form, click the arrow on the drop-down list and select Forms. This displays the Choose Form dialog box.

4.
By default, the Choose Form dialog box opens with Organizational Forms Library or the Standard Forms Library selected in the Look In list. To select a form from a different location, simply select the location from the Look In drop-down list.

5.
Next, select the form that you want to use as the default by highlighting it and clicking the Open button.

6.
When you click the Open button, Outlook returns to the Properties dialog box of the folder and sets the selected form as the default form for new items created in that folder.

Setting this option changes only the form that is used for items in the folder in question that were created after the change was made. If you want to convert all the old items so that they are also opened with the form, follow the instructions in FAQ 10.30.

10.30. How Do I Change the Form Used for Existing Items in a Folder?

As explained at the end of FAQ 10.29, simply modifying the default form used for a folder does not result in all the existing items being opened using the new form. The new form is used only for items that were created after the default form was changed. Therefore, you might want to modify all the existing items so that they also use the new form.

To do this, you need to use some automation code that iterates over each item in the folder of your choice and changes the Message Class (see FAQ 10.37) for the item. The code you need to use is similar to the following:

Set olApp = New Outlook.Application
Set olNS = olApp.GetNameSpace("MAPI")
Set ContactsFolder = _
    olNS.GetDefaultFolder(olFolderContacts)
Set ContactItems = ContactsFolder.Items
For Each Itm in ContactItems
   If Itm.MessageClass <> "IPM.Contact.MyContactform" Then
      Itm.MessageClass = "IPM.Contact.MyContactform"
      Itm.Save
   End If
Next

This code illustrates how to change the Message Class of all the items in the default contacts folder to IPM.Contact.MyContactForm. The easiest way to execute this code is to copy it into a macro. (Refer to Chapter 11, "Visual Basic Macros," for more information on creating and executing macros.)

10.31. How Do I Change the Default Form Used Across All Folders for a Particular Item Type?

FAQ 10.29 shows you how to change the default form used by a particular folder. However, if you have a lot of folders, it might not be time-efficient to manually change the form for each of your folders. In this situation, you need to configure Outlook to use one of your custom forms instead of one of the default Outlook forms. For example, if you create a custom contact form, you might want to always use this form, regardless of the folder that you are working in, instead of the default contact form.

To configure Outlook to use your form instead of the default contact form, you need to make modifications to the Windows Registry. Because of the nature of the modifications, it is too lengthy to explain the procedure and the changes here. However, to overcome this, Microsoft has released a tool called Forms Administrator that you can download from the Microsoft Web site.

10.32. How Can I Associate Forms with a Particular Folder?

If you are using a Microsoft Exchange Server account, you can configure a folder so that only certain forms can be used by the people using the folder. For example, if you have a shared folder, you might want to restrict people who use that shared folder to a custom form that you have created. Here's how you can do it:

1.
Right-click the folder that you want to make the changes for.

2.
On the context menu that appears, click the Properties menu option.

3.
This displays the Properties dialog box for the folder. Click the Forms tab and then click the Manage button to display the Forms Manager dialog box (see Figure 10-15).

Figure 10-15. The Forms Manager.

4.
From here, you add forms to the Forms associated with this folder list of the folder you are working with by highlighting the form on the left side and clicking Copy.

5.
When you are finished in the Forms Manager, click Close.

6.
This brings you back to the Forms tab for the folder that you are working with.

7.
In the Allow these forms in this folder section, you can choose which forms to allow.


Saving and Publishing Forms

10.33. How Do I Save My Form and Where Can I Save My Forms To?

Unless you are creating a once-off custom form that you are using immediately by switching to Run Mode (Run Mode is covered in FAQ 10.27) and then discarding it without saving, chances are good that you will want to save your form. You can save your forms in three main ways:

  • Save the form in a Forms Library (saving a form to a forms library is also known as Publishing a Form)

  • Save the form to the File System as a File

  • Save the form in an Outlook folder

The most common way to save a custom form is to save it to a Forms Library. There are three types of Forms Libraries. Which one you decide to use depends on your particular needs.

These three Forms Libraries are available to you:

  • Organizational Forms Library The Organizational Forms Library enables you to save forms in a location that is accessible to everybody in your organization using the Microsoft Exchange Server that stores this particular Forms Library. To save to this forms library, you need write permissions to be granted to you by your system administrator. You should normally save your forms to this library if you want them to be available to others in your organization.

  • Folder Forms Library Forms that are saved in a Folders Forms Library can be accessed by anybody who has access to the folder to which the forms Folder Library belongs. If the folder is a private folder and is not shared, the forms will be available only to you. You would use this Forms Library if you wanted to control who has access to your forms by controlling access to the folder that the Folder Forms Library is for.

  • Personal Forms Library The forms that you save in the Personal Forms Library are accessible only to you and are stored in your Personal Folders file. You would normally use this Forms Library when you create forms that are for your personal use only.

The method for saving, or publishing, a form to a forms library is covered in FAQ 10.34. For details on how to save a form to a file or to the currently open Outlook folder, follow the instructions in FAQ 10.35.

10.34. How Do I Save a Form in a Forms Library?

When you are in Design Mode of a form, you can save it to a forms library by following the instructions in this FAQ. FAQ 10.33 outlines the different types of forms libraries available and gives a short explanation of the situations for which each forms library is suitable. Here are the steps necessary to save to a forms library:

1.
Ensure that you are in Design Mode and then go to the Tools menu.

2.
From here, click the Publish Form As menu option, which displays the Publish Form as dialog box (see Figure 10-16).

Figure 10-16. Publishing a form to a Forms Library.

3.
Type the name of the form into the Form name field. This name is appended to the Message Class of the base form that your custom form is created upon. For example, in Figure 10-16, we are creating a custom form based on the default Task form. When we enter TEST as the name of the form, the Message Class for the form becomes IPM.Task.TEST.

4.
Next, enter the display name of the form into the Display name field.

5.
Select the Forms Library that you want to save the form to by selecting it from the Look In drop-down list.

6.
To save the form to a Folder Forms Library, select Outlook Folders from the Look In drop-down list and then click the Browse button to display the Go to Folder dialog box (see Figure 10-17). Select the folder you want to save the form in, and click OK. Outlook saves the form in the Folder Forms Library for the selected folder.

Figure 10-17. You can save the form to any Outlook folder.

7.
When you are satisfied with your Forms Library selection, the display name, and the form name, simply click the Publish button to save and publish the form to the forms library you selected.

10.35. How Do I Save a Form to the Currently Open Folder or to a File?

To save a form to the Outlook folder that you were in when you created the form, simply click File and select Save. If you want to save the form to a file, follow these instructions:

1. | Ensure that you are in Design Mode.
2. | Go to the File menu and select Save As.
3. | On the dialog box that appears, enter the name of the file you want to save the Form to in the File name box.
4. | From the Save as type box, select Outlook Template.
5. | Finally, to save the file, simply click the Save button.

10.36. How Do I Send a Form via E-mail?

Sometimes you need to share a custom form that you created with people who are not using the same Microsoft Exchange Server as you, or perhaps you are not using a Microsoft Exchange Server account yourself. In these situations, the easiest way to send the form to these people is via e-mail. To do this, the form must have been saved with the Send Form definition with item option checked. FAQ 10.23 explains how to do this. You also need to save the form in the open folder (see FAQ 10.35).

When you are sure that the Send Form definition with item option has been selected and the form has been saved to the open folder, you can e-mail the form by following these instructions:

1. | Create a new e-mail.
2. | Go to the Insert menu and select Item.
3. | On the Insert Item dialog box that appears, highlight the folder in the Look in section that you saved the form to.
4. | From the Items section at the bottom of the dialog box, select the form and then click OK to add the form to the e-mail as an attachment.

You can then send the e-mail as normal.

10.37. What Is a Message Class and How Can I Set it for a Form I Save?

Each form in Outlook has a specific Message Class name. Outlook treats this name as an identifier, and it is used to locate the form whenever Outlook needs to open it. All items in Outlook have a Message Class field, which Outlook uses to determine what form it needs to use to open that particular item. You can set the Message Class of a form when you are publishing it by setting the Form Name value. FAQ 10.34 explains how to do this when you are saving the form.


Chapter 11. VISUAL BASIC MACROS

    Definitions

    Creating Macros

    Editing and Debugging

    Security


Definitions

NOTE

The intended audience of this book is nonprogrammers. Therefore, we've intentionally kept this discussion about macros at a beginner level and cover the basics needed to write macros, no matter what the complexity of the code is. If after reading this chapter you discover that macros can really help you a great deal in your customization of Outlook and you want to further your knowledge, we've included some links and references toward the end of the chapter that will aid you in downloading some free Outlook macros and learning how to write more yourself.

11.1. What Is a Macro?

Macros consist of one or more commands grouped together and given a name so that they can be executed when needed. For example, you might have a macro called PrintSelection that prints only the text from an e-mail that you have selected with your mouse or keyboard.

11.2. When Would I Write a Macro?

As programmers, we tend to sometimes jump into a code editor at the first sign of a problem that needs solving. However, this is not always the most efficient use of your time when you're in a production setting and working on real projects with real deadlines. Therefore, we recommend writing macros only when a built-in Outlook feature doesn't fulfill your needs. If you can use a built-in feature, you minimize your workload in terms of the time it takes to write and debug macros. For example, Chapter 10, "Custom Forms," covers questions regarding the task of creating new forms and modifying existing forms with very little or, most times, no code needed.

If you find that Outlook doesn't provide the functionality you need and you can't product that functionality in any other way, we definitely recommend writing macros. As you'll see in the following questions and answers, it's really not that difficult and certainly doesn't take a degree in computer science to discover at least the basics of what writing your own macros can do for you.

11.3. What Programming Languages Can Be Used to Customize Outlook?

There are two very distinct levels of programming Outlook.

The first level exposes quite a bit of its functionality in an object model. Thus, you can "automate," or control, Outlook from other programming environments and write "add-ins," which are basically modules that load when Outlook loads and enable you to extend Outlook's capabilities. These are typically programmed in languages such as C++ and Visual Basic and use something called the Component Object Model (COM) to interact with the Outlook object model. However, these topics far exceed the scope of this book; they are not for the beginner-level programmer and encompass entire books.

The other means of programming Outlook is via macros. When you write macros in the Outlook environment, you use a language called Visual Basic for Applications (VBA), which is a special version of Visual Basic that is specifically aimed at customizing applications. For example, all Office applications, including Word, Excel, and PowerPoint, support the VBA language. Therefore, learning the basics of VBA provides you with the necessary basic knowledge needed to customize those products as well.

11.4. What Are Some Examples of What I Can Do with a VBA Macro?

With macros, not only can you perform specific functions, but you can also respond to key Outlook events. Here's just a sampling of the things you can do with Outlook macros:

  • Perform various actions with Outlook open or closed. For example, you can create Outlook items such as e-mails, notes, and tasks; interface to the address book; control the opening or shutting down of Outlook; and much more.

  • Respond to specific events such as the user creating an e-mail, opening a folder, or defining a new task.

  • Perform any necessary actions when an e-mail, task request, or meeting request is received.

  • Control other Office applications. For example, via a macro, you can export Outlook data into an Excel spreadsheet or Word document. Because all Office products use VBA, you can control any of these applications from another. Therefore, you can also control Outlook from these other applications.

  • Create custom forms when you want a specialized form. For example, if you want additional contact information captured each time a contact is added, you can create your own contact form and use it instead of the supplied form. (Chapter 10, "Custom Forms," delves into modifying Outlook's standard forms to fit your individual needs.)

  • Customize the look and feel of Outlook by modifying the standard menu and toolbars.

  • Access other COM libraries from your macros. For example, because the QuickTime product installs a library that enables you to control it from a scripting language, you can play QuickTime video and audio from a macro. (Creating references to third-party libraries is covered in FAQ 11.22.)

11.5. Are There Dangers to Writing Macros?

When you start creating your own macros, you'll very soon realize that they're extremely easy to write. However, that doesn't change the fact that any time you can programmatically control an application, there are inherit risks. Specifically, macros written by ill-intending or inexperienced people can be very dangerous. Therefore, you should never run a macro given to you by someone unless you have explicit trust in that person. You also should take care to learn exactly what the various commands will do before including them in your own macros. In short, macros are a tremendous aid in giving you full power over your Outlook environment. But with that power comes responsibility.

11.6. What Are the Basic Elements of a Macro?

Only four principal elements constitute a macro:

  • Object Outlook exposes much of its functionality through an object model. That way, you can use various features in an object-oriented manner. For example, if you want to control the starting or quitting of the Outlook application, you could use the Application object. If you want to process an e-mail attachment, you could access that e-mail document's Attachment object, and so on. You can access more than 60 objects via the Outlook object model.

  • Method Many objects have methods that can be called directly from your macros. For example, the Application object has a method called Quit that (obviously) enables you to programmatically quit the current instance of Outlook.

  • Event Events allow your macros to be programmatically made aware of a particular happening. For example, the Application object has events such as Startup and Quit that let you know when the user is starting or closing Outlook, respectively. This way, your code can perform any necessary initialization or clean-up duties.

  • Property Properties are values that can be either set or retrieved from a given object. For example, the Application object has a property called Reminders that is a collection of all the reminders for the current user. Each object within this collection is then represented by a Reminder object and defines things such as the item for which the reminder has been set, the original time the reminder is set to display, the next time the reminder is set to display, and so on.

As you can see, the object model gives you almost complete control over the various aspects of the Outlook product.


Creating Macros

11.7. Can I Autorecord a Macro Like I Can in Word or Excel?

Many Microsoft products, including Excel, Word, and Visual Studio, enable you to automatically record a macro from your mouse and keyboard activity. For example, you simply tell these products to start recording, you perform the action you want to accomplish, and then you click an option to signify that you're finished. You then name the macro, and it's added to your list of custom-made macros. From that point forward, you can either run the macro as is or open the editor and modify it. Unfortunately, Outlook 2003 does not provide a nonprogrammatic means of creating macros. In other words, even when you're simply attempting to automate a task you perform quite a bit, you'll need to write the macro code manually. If you're a "glass half full" type of person, the advantage is that by learning how to manually create and code macros, you'll learn to take complete control over your Outlook environment and will know how to write macros for other Office products as well.

11.8. How Do I Create a Macro?

Almost every book that introduces a new programming language starts out with the canonical "Hello World" example. We'll change this just a bit so that instead of merely displaying static text, our version displays the current user's name. That way, although the macro is still very simple and doesn't take focus from the main subject of this FAQ (the steps required to create a macro), at least when you're done you will have also learned how to retrieve the current user, which is something you will probably need in other macros.

1.
From the Tools menu, select Macro and then Macros.

2.
When the Macros dialog box appears, type in the name of the new macro. For this example, simply type WhoAmI (see Figure 11-1).

Figure 11-1. You can quickly create macros by simply typing in the name of the new macro and clicking the Create button to enter the code in the Visual Basic editor.

3.
As you type the name of the macro, you'll notice that the Create button becomes enabled. When you've finished typing the macro name, click this button.

4.
At this point, the Microsoft Visual Basic editor appears. If this is your first time in an editor, it might appear daunting. However, as you'll soon see, there's nothing here to be intimidated about. On the right side of the editor, you will see the window for typing in your code. In fact, Outlook will have already created an empty macro with the name you supplied in the previous step.

Sub WhoAmI()
  Dim ns As NameSpace

  Set ns = Application.GetNamespace("MAPI")
  MsgBox ("Hello, " + ns.CurrentUser)

  Set ns = Nothing
End Sub

5.
The code in the previous step uses the global Application object representing the current instance of Outlook, retrieves the MAPI Namespace object, and then retrieves that object's CurrentUser property that is then displayed. The macro itself is not incredibly useful, but you'll find that many times you'll need to access the current user, and what you learned from this script will aid you in that department. When you're ready to test the code, press the F5 key.

6.
Assuming that you've typed in everything correctly, you'll see a message box like that shown in Figure 11-2.

Figure 11-2. Although simplistic, the WhoAmI macro illustrates how quickly you can write macros to retrieve information about the current user.

7.
To exit the editor, click the File menu and then select Close and Return to Microsoft Outlook.

Congratulations! You've just written an Outlook macro. Although this particular macro isn't very useful, you now know the steps required to write your own macros, no what matter the complexity of the code itself is.

NOTE

Depending on your macro security settings, you might receive a warning message when you exit and restart Outlook after you've created a macro. Refer to FAQ 11.24 to see ways to eliminate these warnings.

11.9. How Do I Create a Macro to Respond to an Event?

FAQ 11.8 explained the basics of creating a macro that is called to perform a function. However, a major part of Outlook programming is responding to events. The following example illustrates how to write an event handler for the Application.ItemSend event, which is fired any time you attempt to send an e-mail.

1.
From the Tools menu, select Macro and then Visual Basic Editor.

2.
From the View menu, select Project Explorer.

3.
By default, the Project Explorer appears on the left side of Outlook and contains a top-level entry that reads Project1 (VbaProject.OTM). Under that is an entry that reads Microsoft Office Outlook Objects and then, within that, the entry ThisOutlookSession. Double-click ThisOutlookSession.

4.
At the top of the editor are two combo boxes. The one on the left holds the objects that have been defined for the current Visual Basic project. The one on the right contains the variable declarations and events for the selected object. Drop down the object combo box and select Application. This is the global object for accessing Outlook functionality.

5.
On some versions of Outlook, after you select the Application object, an event handler for the ItemSend event is automatically created. If that's not the case in your version, select the ItemSend event from the member combo box at the top right of the editor.

6.
Code your macro to look like the following:

Private Sub Application_ItemSend(ByVal Item As Object,
                                 Cancel As Boolean)
  Dim prompt As String
  prompt = "Are you sure you want to send " & Item.Subject & "?"
  If MsgBox(prompt, vbYesNo + vbQuestion, "Sample") = vbNo Then
    Cancel = True
  End If
End Sub

7.
Save your work and close the Visual Basic Editor.

8.
Exit Outlook and restart it.

NOTE

If you're using journaling, shutting down Outlook takes longer than it appears to take. Outlook might disappear, but it is still running in the background. As a result, attempting to restart an instance of Outlook while another instance is still in memory can lead to unpredictable results. Therefore, if you are using journaling, make surevia the Task Listthat Outlook has completely shut down before attempting to start it up again.

9.
Depending on your macro security settings, you might see a message like that shown in Figure 11-3. Because you know that the macro is safe, click the Enable Macros button. (See FAQ 11.24 to see how you can avoid seeing these warnings in the future while maintaining your current level of security against malicious scripts.)

Figure 11-3. With the default macro security setting, you will receive a warning any time you attempt to load Outlook when it contains unsigned macros or macros from an untrusted source.

10.
Now create a new e-mail and attempt to send it.

You should see a modal message box confirming that you want to send the e-mail.

NOTE

If you do not see the message box that should display as a result of the event-handling code example of this FAQ, it might be displayed behind the e-mail form. Click the Outlook icon in your Windows taskbar to bring the message box to the foreground.

11.10. How Can I Run My Macros from Outlook?

To run a macro from Outlook, click the Tools menu option and select Macro followed by Macros. When the Macros dialog box appears, select the desired macro and then click the Run button.

11.11. How Can I Place My Macros on a Menu or Toolbar?

Having to display the Macros dialog box and then locate your macro would be tedious, at best. Luckily, Outlook makes it easy to place your macros on any menu or toolbar so that they're conveniently located when you need to run them.

1.
From the Tools menu, select the Customize option to display the Customize dialog box.

2.
Click the Commands tab.

3.
In the Categories list, select Macros (see Figure 11-4).

Figure 11-4. The Customize dialog box enables you to drag and drop your macros to any menu or toolbar.

4.
In the right pane, you'll see a list of the macros that you've created. Simply click the desired macro and drag it to a menu or toolbar. An insertion icon appears as you hover above a menu or toolbar to indicate where the macro will appear when you release the mouse button. Release the mouse button to complete the action.

5.
The Customize dialog box remains open so that you can further customize Outlook. Click the Close button when you're done.

11.12. How Can I Change the Appearance of the Menu or Toolbar Item Associated with a Macro?

When you add a macro to a menu or toolbar, Outlook uses a built-in icon to represent the macro, along with a name consisting of the name of the project in which the macro was created, a period, and the name of the macro. Therefore, in the case of our example macro, the menu and toolbar text is Project1.WhoAmI.

11.13. How Do I Display the Visual Basic Editor?

To display the editortypically so that you can edit or debug your macrosselect the Tools menu followed by the Macro and then Visual Basic Editor menu options.


Editing and Debugging

11.14. How Do I Edit a Macro?

To edit a macro, you need to open it in the editor. There are two ways to locate a macro in the editor:

1. | From the Tools menu, select Macro and then Macros.
2. | When the Macros dialog box appears, select the desired macro and click the Edit button to start the Visual Basic Editor.

The second way involves opening the editor and navigating to the desired macro.

1. | Open the editor as described in FAQ 11.13.
2. | Either manually scroll to the desired macro or select it from the combo box in the upper-right corner of the editor.

When you've located the macro, you can simply type in the desired code, save your changes, and then close the editor.

11.15. How Can I Step into a Macro and Debug It from Outlook?

Like anything in life, sometimes macros don't work the way we plan. When you need to debug your script, click the Tools menu and then select Macro and then Macros. When the Macros dialog box appears, select the desired macro and click the Step button. The editor displays, and the first line of the macro is highlighted, indicating that the execution of the macro has stopped at that line. Now you can begin debugging the macro. FAQ 11.17 shows some basic debugging tasks that you need to know to test and debug your code successfully.

11.16. How Can I Debug the Macro from the Visual Basic Editor?

Debugging a macro from the editor can be a bit tricky if you have more than one macro defined.

1. | Start the Visual Basic editor. (See FAQ 11.13.)
2. | Indicate to the debugger which of the macros you want to debug by selecting it from the combo box in the upper-right corner of the debugger.
3. | Set a breakpoint at the line of code where you want to begin debugging. Editing and Debugging section includes FAQs that cover basic debugging tasks such as setting breakpoints and inspecting variables.

11.17. How Do I Use the Visual Basic Editor Debugger?

As mentioned at the outset of this chapter, entire books are dedicated to writing Outlook macros, and these books typically contain at least one full chapter on the subject of debugging. Therefore, we can't teach you everything about the debugger in a single FAQ. However, we wanted to list here a few very basic tips on navigating your way around the debugger, to at least get you started.

  • To "step through" the code one line at a time, click the F8 button.

  • To inspect a variable's value, move the mouse over the variable. The debugger will display a pop-up window indicating the current value of that variable.

  • To create a list of variables that you want to keep an eye on, such as when you're stepping through code, you can "quick watch" them. This is done by clicking a variable and pressing the Shift F9 keyboard combination. At that point, the Quick Watch dialog box will appear. Click the Add button. The variable (and its current value) will be displayed in the Watches window. Now you can watch the variable/value pair as you step through your code.

  • When the current line of code involves another subroutine and you don't want to step into that routine (as F8 will), click the Shift F8 keyboard combination to step over that line of code. (It will still execute, but you won't step into it.)

  • If you find yourself in a subroutine and want to get out of that subroutine and continue debugging, click the Ctrl Shift F8 keyboard combination. This finishes executing the current subroutine, returns you to the calling subroutine, and halts execution at the next line so that you can continue debugging.

  • If you want to jump to a particular line, there are two ways to accomplish this. You can click on the line and then click Ctrl F8 to "run to" that line, or you can set a "breakpoint" by clicking F9 on any given line. In either case, execution will stop at the line.

    NOTE

    The "run to" feature is generally used in a one-time scenario, whereas a breakpoint is usually employed if you are going to run the macro several times and want to stop on that line each time.

  • To remove all breakpoints at once, click Ctrl Shift F9.

  • To stop debugging, click the Reset button on the toolbar.

11.18. How Can I Delete a Macro?

Sometimes, especially when creating test macros, you'll want to delete a macro. To do that, click the Tools menu and then select Macro followed by Macros. When the Macros dialog box is displayed, select the macro you want to delete and click the Delete button. When the delete confirmation message box is displayed, click the Yes button.

When you delete a macro, Outlook automatically closes the Macros dialog box. Therefore, if you need to delete several macros, you might find it easier to delete them from the editor manually. To do that, display the Visual Basic editor by clicking the Tools menu and then the Macro and Visual Basic Editor options. When the editor is displayed, manually delete the unwanted macros. (If you have a long list of macros, you can easily jump to a desired macro by selecting it from the combo box in the upper-right corner of the editor.)

11.19. How Can I Share a Macro with Others?

If you're in a shared, or collaborative, environment, such as when using Microsoft Exchange, you can share your macros with other users. Unfortunately, though, you cannot simply share the macros the way you do other Outlook items such as notes and calendars. Instead, you must export the desired macros from one workstation and then import them onto the target workstation.

1. | Open the Visual Basic editor (see FAQ 11.13).
2. | From the File menu, select Export File.
3. | The default extension is .bas. Type in the desired filename and click the Save button.
4. | E-mail or copy the file to the target workstation.

On the target workstation:

1. | Start Outlook.
2. | From Outlook, start the Visual Basic editor.
3. | From the File menu, select Import File.
4. | Locate the file, select it, and click the Open button. The file opens and the code is integrated with the workstation's current macros.

11.20. My Imported Macros Show Up on the Macros Dialog Box in OutlookWhy Are They Not Showing Up in the Editor?

In the Visual Basic editor, take a look at the Project Explorer. By default, it is displayed on the left side of the editor. If it is not displayed, click the View menu and then Project Explorer. At the top of the Project Explorer, you'll see the name of the project (Project1, by default). Under that, you'll see a listing of modules. Visual Basic projects consist of modules, which, in turn, consist of macros.

If the workstation importing macros already has a module defined, when you attempt to import the macros, the editor automatically creates a new module (appending a number to the module to keep its name unique in the project). Therefore, you simply need to double-click the newly created module to see the new macros (see Figure 11-5).

Figure 11-5. Imported macros are automatically inserted into a new module to keep them separate from any existing code.

11.21. Is There a List of All the Outlook Objects, Properties, and Methods I Can Use?

Many times, it is helpful to see what objects, properties, and methods are available to you. This is done via the Object Browser. In the Visual Basic editor, select the View menu and then Object Browser (see Figure 11-6).

Figure 11-6. The Object Browser enables you to quickly determine what objects, properties, and methods an object library exposes for your programmatic use.

[View full size image]

In the top-left corner of the Object Browser is a combo box where you select the specific library that you want to inspect. Drop down that list and select the Outlook entry. The list on the left side (under the heading Classes) then contains all the types (classes, interfaces, and enums) that make up the library. Click a desired type to see its members. For example, clicking the Application class yields a list of all its functions (methods), events, and properties.

11.22. How Do I Use Third-Party Object Libraries in My Macros?

To learn more about a given library, click the Tools menu and then select References. When the References dialog box appears, click the option next to the desired library then click the OK button. As you see in Figure 11-7, the Windows Media Player object library has been selected. At that point, you can write macros that, along with having access to the Outlook object model, also have access to the Windows Media Player object library to play movies and audio files.

Figure 11-7. Via the References dialog box, you can add other non-Office object libraries to your project, giving your macros a wealth of functionality.

    Previous Page
    Next Page


Security

11.23. How Can I Control Which Macros Are Allowed to Execute?

Macros have almost complete programmatic access to Outlook and can be written by people who intend to harm your computer or by people who could unwittingly cause harm. As a result, Outlook enables you to define the exact level of macro security that is right for you:

  • Low This settings allows all macros to run, regardless of whether they're signed and what they attempt to do. Obviously, this is not the recommended setting for most people.

  • Medium This setting causes Outlook to prompt you when an untrusted, or unsigned, script is about to execute.

  • High This is the default setting and indicates that no unsigned macro can run. This includes potentially helpful scripts that you know to be harmless.

  • Very High The strictest setting, this option means that only macros installed in trust locations will be executed. All other macroseven signed macroswill be disabled.

To modify the current security setting, follow these steps:

1. | From the Tools menu, select the Macro and then Security options.
2. | When the Security dialog box appears (see Figure 11-7), select the desired option using the information provided in this FAQ. As mentioned, the default value is High.

11.24. How Can I Avoid Macro Execution Warnings?

If your macro security is set to Medium or higher (see FAQ 11.23) and you attempt to open Outlook after macros have been introduced into the system (either by yourself or via importation), you will receive a warning message like that shown in Figure 11-6.

The best way to avoid this message is to digitally sign your macros. There are two categories of digital signatures, depending on what you need. If you're writing macros and simply want to disable warnings that you receive during the development process, you can create a self-signed digital signature (see FAQ 11.25). However, this type of signature is not verified by a third party and is only for personal use. If the macros are for distribution to other machines, you'll need to get a certificate from a commercial authority (see FAQ 11.26).

11.25. How Do I Create a Self-Signed Digital Certificate?

A self-signed digital certificate is useful only in personal situations. Specifically, Office products, such as Outlook, allow you to trust a self-signed certificate on the machine on which the certificate was created. This enables you to write and test your own macros without dealing with macro warnings. Here's how to create a self-signed certificate:

1.
Locate the selfcert.exe application. By default, this application is located in the Program Files\Microsoft Office\OFFICE11 folder. If it is not there, you'll need to install this application. For that, see FAQ 11.27.

2.
Run the selfcert.exe application.

3.
When the application runs, a dialog box appears asking you to enter the name on the signature (see Figure 11-8). Type in the name you want to give your certificate (it can be anything you want) and click the OK button.

Figure 11-8. Office provides a utility called selfcert.exe for creating your own personal code-signing certificates.

4.
At this point, you have a certificate and you need to apply it to the Visual Basic project that contains your macros. From the Outlook Tools menu, select Macro and then Visual Basic Editor.

5.
When you're in the Visual Basic editor, click the Tools menu and then select Digital Signatures.

6.
When the Digital Signature dialog box appears, click the Choose button.

7.
You will now see a list of the digital signatures you've created. Along with the Issued to and Issued by names, you'll see values for Intended Purpose, Friendly Name, and an Expiration Date. Select the desired signature and click the OK button.

8.
When you return to the Digital Signature dialog box, click OK button.

9.
Save your work and exit the Visual Basic editor.

10.
Close and restart Outlook. You will now see a warning like that shown in Figure 11-9.

Figure 11-9. After you've installed a certificate, the Outlook macro security warning message includes the information from that certificate. It is then up to you whether to trust that source.

11.
If you know you can trust the originator of the certificatesuch as in this case where you created itcheck the Always trust macros from this publisher option and click the Enable Macros button. You will no longer see warnings for any of the macros you create in that signed project for this machine's installation of Outlook.

11.26. How Do I Create an Authenticated Code-Signing Certificate?

Self-signed certificates are fine either when you'll be using your own macros and you simply want to avoid the Outlook warning messages, or when macros are being shared between members of a development team and, again, there is an implicit trust that the macros are safe. However, self-signed certificates are not authenticated by a third party and as such are not safe for distribution. Therefore, if you are going to distribute your macros to others, you will need to find a third-party authentication company.

The quickest way to find a reputable company is to choose one from the Microsoft Root Certificate Program Members page on the Microsoft site. To locate that page, execute the selfcert.exe application, which, by default, can be found in the Program Files\Microsoft Office\OFFICE11 folder. If you run this application, you'll see a link at the bottom of the dialog box to the Microsoft Web site. Click this link and then close the selfcert.exe dialog box. The Web page has more than 50 members listed (you can see a partial listing in Figure 11-10). Simply select the service whose features and cost best suit your needs.

Figure 11-10. Microsoft provides a continually updated list of third-party identity-authentication companies that belong to its Microsoft Root Certificate Program.

[View full size image]

When you've chosen an authentication service and purchased a commercial certificate, the company will perform varying levels of authentication to ensure that you are who you state you are on the certificate. After that, you can apply the certificate to your Outlook Visual Basic project as follows:

1. | From the Outlook Tools menu, select Macro and then Visual Basic Editor.
2. | When you're in the Visual Basic editor, click the Tools menu and then select Digital Signatures.
3. | When the Digital Signature dialog box appears, click the Choose button.
4. | Select the commercial certificate you purchased.
5. | When you return to the Digital Signature dialog box, click the OK button.
6. | Save your work and exit the Visual Basic editor.
7. | Close and restart Outlook.
8. | When Outlook starts, you will see a dialog box with a warning that contains the name of your chosen certificate. Because the certificate is your own and is authenticated, check the Always trust macros from this publisher option and click the Enable Macros button. You will no longer see warnings for any of the macros you create in that signed project for this machine's installation of Outlook.

11.27. How Do I Install the Digital Signature Feature?

If your installation of Office does not include the selfcert.exe application, the Digital Signature for VBA Projects feature was not installed. To install it, do the following:

1. | From the Windows Control Panel, run the Add/Remove Programs applet (the exact applet name depends on which version of Windows you're running).
2. | Locate your installation of Office. For example, it might be labeled something like Microsoft Office Professional Edition 2003.
3. | Click the Change button.
4. | Because you have Office installed already, the setup application automatically puts you into maintenance mode and displays those options, which include an option called Add or Remove Features. Select this option and then click the Next button.
5. | Click the Choose advanced customization of applications option and then click the Next button.
6. | Under Microsoft Office, you'll see an entry for Office Shared Features. Expand that entry to view the option for Digital Certificate for VBA Projects.
7. | Click the icon next to that option and then select Run from My Computer.
8. | Click the Update button.
9. | A dialog box appears where a progress bar denotes the progress of installing the requested features. When the installation process is finished, you'll see a message box indicating its results. Click the OK button to close this dialog box.

11.28. How Can I View My Digital Certificate Information?

If you've created several certificates, sometimes you'll need to go back and remind yourself of the use of a certificate, who issued it, and so on. To do that, follow these steps:

1. | From the Outlook menu, click the Tools menu and select Macro and then Visual Basic Editor.
2. | When the Visual Basic editor starts, select its Tools menu and then Digital Signature.
3. | Click the Choose button.
4. | Select the desired certificate from the Select Certificate dialog box.
5. | Click the View Certificate button.

Figure 11-11 shows a self-signed certificate created via the Office utility selfcert.exe (see FAQ 11.25).

Figure 11-11. Example of personal code-signing certificate.

    Previous Page
    Next Page


Chapter 12. OUTLOOK EXPRESS AND NEWSGROUPS

    Definitions

    Configuration

    Identities

    Accounts

    Subscriptions

    Reading Messages

    Writing Messages

    File Maintenance

    Security


Definitions

12.1. How Does Outlook Express Relate to Outlook?

It's a bit confusing that Microsoft named two products Outlook. However, you can think of Outlook Express as being a lightweight version of Outlook. Outlook Express doesn't have any of the advanced features of Outlook, such as tasks, notes, calendar, and journal, but it does have one very important feature that Outlook lacks: Outlook Express enables you to read and post messages to newsgroups. Although Outlook Express can be used as an e-mail client, we're going to assume that because this book's focus is Outlook, you'll be using Outlook for your e-mail needs. In that vein, this chapter focuses solely on Outlook Express's capability to read newsgroups.

12.2. What Is a Newsgroup, Discussion Group, News Reader, etc.?

You can think of a newsgroup as a community bulletin board for the Internet. Sometimes you'll hear the terms discussion groups and discussion boards used interchangeably with the term newsgroup. Literally tens of thousands of newsgroups exist on the Internet, covering pretty much every conceivable point of interest. The main attraction of newsgroups is that people from all over the world can post messages, thereby sharing their knowledge, passion, and philosophies on the subject of the newsgroup. Newsgroups are "published" via a news server. For example, Microsoft provides a free news server called news.microsoft.com that contains thousands of newsgroups where users of their various products can look for help in using those products.

To read messages from (and post messages to) a newsgroup, you will need a news reader. A news reader is simply an application that connects to a news server on the Internet, allows you to view the desired newsgroups, and provides the capability to post messages to (and read messages from) those newsgroups. Outlook Express is certainly not the only news readerand not even the only free news reader. However, for anyone using Windows, Outlook Express is a part of the operating system and doesn't require downloading any additional software.


Configuration

12.3. When I Start Outlook Express, I See a Message About It Not Being the "Default Mail Client"What Should I Do?

Almost all mail, or e-mail, clients attempt to register themselves as your "default mail client" when you install or run them. Thankfully, the better-behaving ones ask you first.

This is important because if you have more than one e-mail client on your machine (such as Outlook and Outlook Express) and you click a mailto link on a Web page, the e-mail client application that is run is defined as the default. Because this book is specifically about using Outlook as your e-mail client and this chapter is about using Outlook Express solely for the purposes of a newsreader, we suggest unchecking the Always perform this check… option and then clicking the No button. That way, your default e-mail client continues to be Outlook and you are not bothered with this question again.

12.4. How Do I Change the Visual Layout of Outlook Express?

One of the first tasks you'll want to undertake in Outlook Express is setting it up to your liking. You can change what is displayed in the Folder List as well as how and where the Preview Pane is displayed as follows:

1.
From the View menu, select Layout to display the Windows Layout dialog box (see Figure 12-1).

Figure 12-1. The Windows Layout dialog box is where you toggle the view state of many of the Outlook Express windows and UI elements.

2.
The options in the Basic section of the dialog box pertain to windows such as the Outlook Bar and Folder List, as well as the status bar and toolbar and many other UI elements. The easiest way to determine which option pertains to which UI element and whether you want to have it viewable is to select the option you want to test and then click the Apply button. This toggles its viewable state while you are still in the Window Layout dialog box.

3.
The Preview Pane is used to read messages without having to explicitly open them. If this pane is viewable, you can view a message simply by selecting it. The options on this part of the Windows Layout dialog box are used to determine whether you want to have this pane viewable, whether you want to see the Preview Pane Header control, and where you want the Preview pane to be displayed relative to the message list.

12.5. How Do I Change My Default Mail or Newsgroup Client?

You can do this in a couple of ways. If you use Internet Explorer as your browser, do the following.

NOTE

Although these instructions are for Internet Explorer versions 6.0 and greater, the steps will work on any version of Internet Explorer greater than 3.0. The only difference is that the wording you find on the dialog boxes will be slightly different than in these steps.

1. | Start Internet Explorer.
2. | From the Tools menu, click the Internet Options option.
3. | Click the Programs tab.
4. | You can specify the Mail and Newsgroups clients by selecting the desired client from a drop-down list. As an example, you might have a system with three e-mail clients: Outlook, Outlook Express, and Hotmail (if you have the MSN IM application installed).

The default e-mail client is defined in the Windows Registry. Therefore, if you are not using Internet Explorer and are comfortable with changing the Windows Registry, you can manually change the e-mail client with the following steps:

WARNING

Modifying the Windows Registry can cause your system to become unstable. You should always back up your Windows Registry before making any modifications.

1.
From the Windows Start menu, click the Run option.

2.
Type regedit and click the Enter key.

3.
When the Windows registry editor loads, locate and expand the HKEY_LOCAL_MACHINE \Software\Clients\Mail key on the left side of the application. (You will probably need to expand each of these nested keys one at a time.)

4.
Depending on which you want to change, select either the Mail or News key.

5.
Change the value (right side of the editor) to the desired value. Figure 12-2 shows the Microsoft Outlook application as the default e-mail client.

Figure 12-2. Outlook Express stores many of its options in the Windows Registry.

[View full size image]

12.6. Can Outlook Express Be Shared Among Multiple Users?

Let's first define what we mean by a shared environment. As in Windows applications, Outlook Express stores its data in a folder that is based on the current Windows user. Therefore, if you have a computer that is being used by more than one person and each person has his or her own Windows logon ID and password, each of those people will automatically have Outlook Express data (news accounts, newsgroup list, messages, and so on) isolated from other users.

On the other hand, if you would like to have multiple logons (called identities in Outlook Express) for a single user or have multiple people who use the same Windows logon be able to use Outlook Express, refer to FAQ 12.7.


Identities

12.7. How Do I Create a New Identity?

Sometimes having multiple Outlook Express identities is helpful. For example, let's say that you have a single Windows logon for your family, but you want to keep each other's Outlook Express information private. Another example is if you want to have multiple identities for a single person so that this person can subscribe to different newsgroups.

Identities are basically like user profiles: Each person can have his or her own Outlook Express identity, protected by a password. As a result, the newsgroups each person reads and the posts each person makes are hidden from public view.

Outlook Express has a default identity called Main Identity. Most people never know this if they do not have a reason to create multiple identities. To create additional identities, do the following:

1.
From the File menu, first click the Identities menu option and then the Add New Identity menu option.

2.
The New Identity dialog box appears (see Figure 12-3). Here you can type in the name of the identity (typically the name of a person).

Figure 12-3. Outlook Express supports the concept of identities, or user profiles.

3.
After you've named the identity, click the option labeled Require a password if you want to protect this identity's privacy. If you turn on this option, a dialog box displays allowing you to enter the password that will be used to authenticate the person attempting to use the identity.

4.
Click the OK button to complete the identity's creation.

5.
Finally, you will see a dialog box asking if you want to start using that identity right now. Selecting Yes logs you off the current identity and switches you to the new identity. Selecting No keeps you logged into the current identity and enables you to continue creating identities (you remain on the New Identity dialog box).

NOTE

When you switch to a new identity for the first time, the Internet Connection Wizard automatically is invoked. This wizard is for creating a mail account and importing contact information. If you plan to use Outlook as your e-mail client and use Outlook Express as a reader (which is what we recommend), simply click the Cancel button. If you currently have other e-mail client software installed (such as Outlook), you might see a dialog box asking if you want to import your message and address book. Simply click the Cancel button in this dialog box.

12.8. How Do I Switch Between Identities from Within Outlook Express?

If you are currently using one identity within Outlook Express and need to switch to another, you can do so by selecting the Switch Identities option from the File menu. When the Switch Identities dialog box appears, simply select the desired identity and type in a password if it is needed.

12.9. How Can I Exit Outlook Express So Other Users Have to Log In Properly with the Needed Password?

If you create an identity with a password and exit Outlook Express, you'll find that the next time you start Outlook Express, you don't have to type in the password. This is because Outlook Express keeps that last identity "logged in" unless it is explicitly logged out. Therefore, if you want to ensure that the person using a specific Outlook Express identity has logged on with the correct password, you can do either of the following:

  • From the File menu, select the File Exit and Logoff menu option.

  • From the File menu, select the Switch Identity option. When the Switch Identities dialog box appears, click the Log Off Identity button and then click Yes to confirm that you want to log off the current identity. Outlook Express automatically closes.

The next time you start Outlook Express, you will see the Identity Login dialog box (see Figure 12-4), which enables you to specify the desired identity and its password, if needed.

Figure 12-4. You can protect each identity's workspace with a password that must be entered when anyone attempts to log into Outlook Express using that identity.

12.10. How Can I Force Outlook Express to Display the Login Dialog Box Each Time Outlook Express Is Started?

To many peopleespecially those who have become accustomed to closing applications via shortcuts such as Alt F4trying to remember to log off Outlook Express can be difficult. Therefore, we show you here a little-known way to force Outlook Express to display the Log In dialog box even when the application was ended when someone logged in.

The first thing to understand is that, as in most Windows applications, Outlook Express takes its cues from the Windows Registry. That's how it knows whether a user was logged in when the application ended or whether the user properly logged out. These values are stored in the HKEY_CURRENT_USER/Identities key. Figure 12-5 shows the Windows Registry values after an Outlook Express session was ended without first logging out.

Figure 12-5. Outlook Express stores the last user's logged-in value in the Windows Registry.

[View full size image]

As you can see, this Windows registry key has values such as Last Username and Last User ID. Therefore, you simply need to alter these values. The simplest way is via the Windows Scripting Host (WSH) facility. To do that, open any editor (Notepad will do) and type in the following scripting commands:

NOTE

If you feel uneasy about writing your own script, you can find this file on the book's support page, at http://www.outlookhacks.com.

Set script = WScript.CreateObject("Wscript.Shell")

'Init the OE login Windows Registry values
script.RegWrite "HKCU\Identities\Last Username", ""
script.RegWrite "HKCU\Identities\Last User ID", ""
script.RegWrite "HKCU\Identities\Default User ID", ""
script.RegWrite "HKCU\Identities\Start As", ""

'Start OE
sript.Run "msimn.exe"

As you can see, this script simply creates a scripting object, calls its RegWrite (Registry Write) method for each value you need to change, and then starts the Outlook Express application (via a call to the script object's Run method). Simply save this file with a .vbs extension (for example, the version on the book's support Web site, http://www.outlookhacks.com, is called ForceOeLogin.vbs).

Invoking this script (by double-clicking the file from Explorer) initializes the Outlook Express "last identity" Windows registry values and starts Outlook Express, whereupon the login dialog box is displayed to the user. Now simply change the properties of any links you have to the Outlook Express application (msimn.exe) to instead call your new script.

NOTE

If you have virus-checking software installed, you might receive a warning about running this script. This is because any current virus-checking software warns you about an attempt to update the Windows Registry. Simply select the option to allow this script to execute because you know that it is harmless.

12.11. How Do I Remove (Delete) an Identity?

To remove an identity, click the File menu option and then select the Identity option, followed by the Manage Identities option. When the Manage Identities dialog box appears, select the identity you want to remove and then click the Remove button. (Note that you cannot remove the identity that is currently logged in.)


Accounts

12.12. How Do I Set Up an Account to Read Newsgroups?

Before you can select a newsgroup to read, you need to create a news account that tells Outlook Express such information as the name of the news server from which to retrieve the list of newsgroups and the authentication information necessary to log on to that news server.

1. | From the Tools menu, select the Accounts option.
2. | When the Internet Accounts dialog box is displayed, select the News tab.
3. | Now click the Add button on the right side of the dialog box and, when the menu pops down, select the News option.
4. | The first thing you're asked for is your name. This is the name that will be displayed alongside any message you post on the newsgroups, so it can be your actual name or any moniker that you want to be known as. Type in the desired name and click the Next button.
5. | Now type in your e-mail address. This is the address that will be used when others choose to reply directly to you (as opposed to the group). Many people choose not to type in their real address, for fear of people spamming them or otherwise harassing them. For more information on that, see FAQs 12.47 and 12.48. Type in the desired e-mail address and click the Next button.
6. | Type in the name of your news (NNTP) server and specify whether your server requires you to log on. For example, if you are using the Microsoft news server, this value would be news.microsoft.com. If you're using Comcast, it would be netnews.comcast.net. You'll need to verify with the company providing the news server if you're not sure what to enter here. Click the Next button when done.
7. | Click the Finish button to create the account. You are returned to the Internet Accounts dialog box, where you'll see the newly added news account in the list of the News tab. You can now either close the dialog box or continue working with your news accounts.
8. | When you click the Close button to exit the dialog box, you are asked if you want to download the newsgroup list from the server. Clicking Yes enables you to view all the newsgroups that are available to you from this account's news server.

When you are finished, the account is displayed in the left side of Outlook Express (in the Folders dialog bar).

12.13. What Is the Difference Between the E-mail Address and the Reply Address?

When you create a news account, you can enter two e-mail addresses. To see and modify those values, right-click the news account in the Folders List and select Properties (see Figure 12-6).

Figure 12-6. The E-mail and Reply addresses enable you to control whether and how people e-mail you directly.

However, there has always been a lot of confusion over what each value means (due mainly to poor online help), so we explain the reason for these two values here:

When you send a message, that message has a header associated with it. In that header are values such as a From value and a Reply-To value. Using the value shown in Figure 12-6, we've sent a message to the alt.test newsgroup. We then inspected that message's header by right-clicking the message, selecting Properties, and clicking the Details tab (see Figure 12-7).

Figure 12-7. You can learn a great deal about the origin of a message by inspecting its header.

As you can see, the message has the values you would expect to see in the From and Reply-To fields (highlighted in Figure 12-7 to stand out). The value that will appear in the recipient's Inbox is the From value (the news account's E-mail address property), and the value that will be used when people attempt to reply directly to you will be the Reply-To field (the news account's Reply address property). If you specify an E-mail address value and do not specify a Reply-To address, any replies to your posts will automatically be sent to the Email address.

NOTE

A very small number of ISPs in the world are not using these values correctly and require that you use their address in the From field. In this case, you'll need to specify a Reply address.

12.14. How Do I Rename a News Account?

For some odd reason, Outlook Express doesn't allow you to name the news account while you're creating it. Instead, the news account name defaults to the news server name. If you would like to rename the account to something more meaningful, such as Microsoft or Comcast, do the following:

1. | From the Tools menu, select the Accounts option.
2. | When the Internet Accounts dialog box is displayed, select the News tab.
3. | Select the desired news account and click the Properties button.
4. | Type in the desired name of the account.
5. | Click the OK button to dismiss the Properties dialog box.
6. | Click the Close button to dismiss the Internet Accounts dialog box.


Subscriptions

12.15. How Do I Find (and Subscribe to) Spcific Newsgroups?

In certain situations, Outlook Express automatically presents you with a dialog box asking if you want to see a news account's newsgroups:

  • When you create a news account (see FAQ 12.12), you are asked at that time if you want to download a list of the newsgroups for that account's news server. If you click Yes, you are presented with a list of newsgroups that the news server publishes (see Figure 12-8).

    Figure 12-8. Most news servers publish thousands of newsgroups that you can subscribe to.

    [View full size image]

  • If you choose not to see the newsgroup list after creating the news account, or if you do not subscribe to any newsgroups at that time, any subsequent time that you click the new account (in the Folder List on the left side of Outlook Express), you'll see a message box asking if you want to see the newsgroups at that time.

If you want to manually display the newsgroup list for a specific news account, do the following:

1. | Click the desired news account in the Folder List on the left side of Outlook Express.
2. | In the right side of Outlook Express, you'll see a list of subscribed-to newsgroups and three buttons across the top (Synchronize Account, Newsgroups, and Settings). Click the Newsgroups button.
3. | If you have not already downloaded the newsgroup list, it might take a couple of minutes to download the entire list of newsgroups from your news server (depending on your connection speed). After being downloaded, the newsgroup list is displayed in the Newsgroup Subscriptions dialog box.
4. | You can scroll through the list looking for the newsgroups that interest you, or you can search for them by typing in part of the name in the Display newsgroups which contain text box. The list newsgroups will be filtered as you type each letter. Therefore, you do not have to type in the entire newsgroup name or even the beginning part of the name (such as microsoft.public.access). For example, if you're looking for an Outlook newsgroup, simply type Outlook and then select from the newsgroups that contain that word in their names. If you want your text to be searched for in the descriptions of the newsgroups as well as the names, click the Also search descriptions option. (This feature is covered in FAQ 12.18.)
5. | After you've located a newsgroup, you can click the Go to button, which closes the Newsgroup Subscriptions dialog box and displays the selected newsgroup. You can choose to subscribe to the newsgroup by double-clicking it or by selecting it and clicking the Subscribe button. This enables you to subscribe to a newsgroup and then continue searching for more newsgroups. Subscribed-to newsgroups are represented by a special icon to the left of the newsgroup name.
6. | When you're done, click Go to with a newsgroup selected that you want to read, or simply click the OK button.

NOTE

If you click the Cancel button, you will lose your work without any confirmation message. In other words, if you had chosen to subscribe to any newsgroups, those newsgroups will not be subscribed to.

12.16. How Do I Unsubscribe from a Newsgroup?

Right-click the newsgroup in the Folder List on the left side of Outlook Express. When the context menu appears, select the Unsubscribe menu option.

12.17. How Do I Know When New Newsgroups Have Been Added to My News Server?

New newsgroups that might be of interest to you are being created all the time. Whenever you click on a news account whose news server has newsgroups that have been added, Outlook Express displays a message telling you that new newsgroups are available and asks if you'd like to view them. If later you want to view this list, simply perform these steps:

1. | Right-click the desired news account in the Folder List on the left of Outlook Express and select the Newsgroups menu option.
2. | When the Newsgroups Subscriptions dialog box appears, click the New tab. This shows you all newsgroups that have been added.

12.18. How Can I See the Newsgroup Descriptions?

Because most news servers grant you access to tens of thousands of newsgroups, Outlook Express does not download newsgroup descriptions by default. You can do so in two ways, depending on what dialog box you currently have in front of you.

If you are in the Newsgroup Subscriptions dialog box already, click the Also search descriptions option. You are asked to confirm that you want to download the descriptions; this might take a while on a slow Internet connection. (It should take only a few seconds on DSL or cable modem.)

If you are not in the Newsgroup Subscriptions dialog box, perform the following steps:

1.
Right-click the desired news account in the Folder List on the left of Outlook Express, and select the Properties menu option.

2.
When the Properties dialog box appears, click the Advanced tab.

3.
Click the Use newsgroup descriptions option.

4.
If you have already downloaded the newsgroups list for this account, you need to reset that list by first invoking the Newsgroup Subscriptions dialog box (right-click the account and select the Newsgroups menu option) and then clicking the Reset list button.

5.
Outlook Express confirms that you want to have the descriptions downloaded; this could take a while, depending on the speed of your Internet connection. (If you're using DSL or cable modem, it will take only a few seconds.) Click Yes to download the messages. (Figure 12-9 shows a filtering of the Microsoft newsgroups for the word contacts.)

Figure 12-9. Outlook Express provides a very powerful search facility when attempting to locate newsgroups by name or description.

[View full size image]

NOTE

Most newsgroups do not provide descriptions. In fact, none of the newsgroups on the Microsoft public news server provides a description.


Reading Messages

12.19. How Do I Read the Messages from a Newsgroup?

When you've located a newsgroup (see FAQ 12.15), you can start reading and posting messages by selecting that newsgroup from the Folder List. At this point, it's just like reading e-mail from Outlook: You simply double-click the post you want to read. Here are the main differences between newsgroup posts and e-mails:

  • Posts made to the newsgroup are publicly available to anyone reading the newsgroup.

  • Newsgroup posts are "threaded." That means that all posts to a "conversation," or thread, are kept together. In Outlook Express, this is denoted with a plus sign to the left of a message, indicating a series of posts that all resulted from one original post. To expand a thread, click the plus sign. To see how to have threads automatically expanded, refer to FAQ 12.20.

  • You can specify that you want to "watch" an ongoing conversation. See FAQ 12.21.

  • You can choose to ignore posts to a specific conversation. See FAQ 12.23.

12.20. How Do I Specify That I Want Newsgroups Threads Automatically Expanded?

It can obviously be a bit tedious to have to manually expand each newsgroup thread that is of interest to youespecially if you find that you're inclined to read quite a few threads in a particular newsgroup. Therefore, Outlook Express enables you to specify that all threads for a given newsgroup are to be expanded automatically. To set this option, follow these steps:

1. | First you'll need to make sure that all messages are grouped by conversation (the default). To do this, select the View menu followed by Current View and then Group Messages by Conversation.
2. | From the Tools menu, click the Options menu option.
3. | Click the Read tab.
4. | Click the Automatically expand groups messages option.
5. | Click the OK button.

NOTE

This option is universal to the identity and, as such, cannot be set on an individual news account or at the newsgroup level.

12.21. How Do I Keep Track of a Thread?

You can specify that you want to keep track of, or "watch," a thread by clicking the column with the eyeglasses icon. (You can also click a message in the thread and then select the Watch Conversation option from the Message menu.) This inserts an eyeglasses icon on each line of a message that is involved in this thread. More important, the next time you view this newsgroup, you'll be able to quickly see if someone posted a new message to this thread because the eyeglasses icon and red color that Outlook Express uses to mark "watched" messages causes these messages to stand out amid the hundreds of other posts.

12.22. How Can I Change the Default "Watched" Message Color?

The default color of a "watched" message is red. To change that color, do the following:

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, click the Read tab.
3. | Locate the drop-down list alongside the text Highlight watched messages.
4. | Click the drop-down list arrow and select the desired color.

12.23. How Do I Block a Thread?

Unfortunately, it is quite common for many threads on UseNet to quickly deteriorate into flame-wars in which each message posted is a personal attack. To ignore, or block, a thread, click the eyeglasses column twice (do not double-click) of any thread in the conversation that you want to ignore. (You can also click a message in the thread and then select the Ignore Conversation option from the Message menu.) At this point, any new messages are flagged with the universal icon of a circle with a line through it. If you do not even want to see ignored messages, first click the View menu option and then select Current View, followed by the Hide Read or Ignored Message option.

12.24. How Do I Prevent Outlook Express from Automatically Marking a Message as Read?

This can be especially annoying if you're viewing only unread messages and you don't want to mark the message as read.

1. | From the Tools menu, select Option.
2. | When the Options dialog box is displayed, click the Read tab.
3. | Uncheck the Mark message read after displaying for n seconds option.

12.25. How Can I View Only Messages That…?

As you use Outlook Express to read newsgroups, you'll find that the various views are extremely helpful in eliminating a lot of the "noise" that you don't want to see. To that end, Outlook Express provides a set of built-in views for your convenience. To select one of the following views, click the Views menu, select Current View, and then select one of the following options.

  • Show All Messages As the name indicates, this view enables you to see all messages for a given newsgroup, both read and unread.

  • Hide Read Messages This view displays only the messages that have not been read.

    NOTE

    If you use the Hide Read Messages on a regular basis to see only new messages, you'll probably also want to automatically mark messages as read when exiting a newsgroup. See FAQ 12.31 for this option.

  • Show Downloaded Messages This view displays only the messages that were last downloaded from the server.

  • Show Replies to my Messages Another useful view, this view allows you to quickly see only those messages that were posted in direct response to one of your posts.

  • Hide Read or Ignored Messages This view hides messages that you have read or that you have chosen to ignore (see FAQ 12.23).

12.26. How Do I Create a Custom View?

To create and use custom views, follow these steps:

1. | From the View menu, click Current View and then Define Views.
2. | Click the New button.
3. | Select the condition(s) you want to have met for your view.
4. | Click an underlined word in the View Description box to choose an option or to enter a value. For example, if the value is Show/Hide, clicking that value displays a dialog box that enables you to specify whether messages matching the criteria selected in step 2 should be shown or hidden.
5. | Name the view and click the OK button.
6. | Click the Apply View button and select whether you want the view applied to all folders or just the current folder.
7. | Click the OK button to dismiss the Define Views dialog box.

All custom views appear on the Current View menu just above the Customize Current View and Define Views menu options.

12.27. How Do I Block a Specific User?

From time to time, you might decide that you really don't want to see the messages from a specific individual. In these situations, you can add the person to your Blocked Senders list as follows:

If you know the person's e-mail address:

1.
From the Tools menu, select Message Rules followed by Blocked Senders List.

2.
When the Message Rules dialog box appears (see Figure 12-10), click the Add button.

Figure 12-10. The UseNet world can get a bit nasty, so it's always comforting to know that Outlook Express enables you to easily block anyone who gets too far out of line for your personal taste.

3.
A dialog box appears that enables you to enter the person's e-mail address and select which types of messages you want to block: mail, news, or both.

4.
Click the OK button to close the Add Sender dialog box.

5.
Click the OK button to close the Message Rules dialog box.

If you do not know the person's e-mail address:

1. | Open a message from the person you want to block.
2. | Right-click the person's name/address and click the Block Sender option. You will see a confirmation message telling you that the person has been added to your Blocked Senders list.

12.28. How Can I Download Previous Messages?

When you click a newsgroup, you'll see the messages that have been posted since the last time you read the newsgroup. To see previous messages, follow these steps:

1. | From the Tools menu, select Get next 300 headers.
2. | If you want to change the number of headers that are retrieved, click the Tools option and then select Options. From the Read tab, modify the Get nnn headers at a time value to your liking. (The maximum value is 1000.)

12.29. How Can I Synchronize with a Newsgroup?

The difference between downloading headers and synchronizing is that, with synchronization, you have more options, such as downloading entire messages, which is useful for offline viewing.

1.
From the Folders list, select the desired news account.

2.
In the main window, you'll see the synchronization state of each newsgroup within the selected account (see Figure 12-11), where you can see the number of downloaded messages (both unread messages and total).

Figure 12-11. Outlook Express provides several options that enable you to synchronize with a newsgroup.

[View full size image]

3.
First check the options in the Synchronization Settings column corresponding to the newsgroup(s) that you want to synchronize.

4.
Ensure that the Synchronization Settings value is correct. By default, this value reads New messages only. If that is not what you want, click the Settings button above the newsgroup lists. The available settings are Don't Synchronize, All Messages, New Messages Only, and Headers Only. Select the desired settings.

5.
After you've selected the newsgroups you want to synchronize and have specified the appropriate synchronization setting, click the Synchronize Account button. Outlook Express downloads the requested messages from the server.

NOTE

Synchronizing a newsgroup can be a lengthy operation, depending on the popularity of the selected newsgroups and whether you selected to download all messages. Luckily, this is a multithreaded operation, so you can continue reading and posting while this operation is performed.

12.30. How Do I Initialize a Newsgroup So That Attempts to Synchronize Start from Now?

If you subscribe to a popular newsgroup, it might have tens of thousands of unread messages on the server that will be downloaded when you attempt to synchronize with it. However, what if you want only the messages starting from today? Similarly, you might go on vacation or otherwise not visit a subscribed-to newsgroup for a while, and want to mark the newsgroup as current so you do not have to download the older messages. In either case, you can use the "catch-up" feature. This feature marks all messages in the newsgroup as read, including the ones that have not been downloaded yet. To do this, right-click the newsgroup and select Catch Up. If the current view shows read messages (typically shown in bold), the messages will be shown in a regular (unbolded) font. If the current view doesn't show read messages, your messages list for the newsgroup will be clear.

12.31. How Do I Mark a Newsgroup as Read When I Leave It?

This option is especially useful if you use the Hide Read Messages view so that you see only unread messages (see FAQ 12.25).

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, click the Read tab.
3. | Check the Mark all messages as read when exiting a newsgroup.

12.32. How Can I Flag (or Unflag) a Specific Post or Thread?

Sometimes you'd like to flag a message for later reference. To do that, follow these steps:

1.
From the Message menu, select Flag Message.

2.
If you do not have the Flag column defined for the current view, you will receive a message asking if you want to add the column. Click Yes to add the column to your view. When you have the Flag column in the view, you can simply click that column for any message you want to mark as flagged.

  • You can flag an entire thread by first collapsing the thread (by clicking the plus sign at the topmost message in the thread) and then flagging that message.

  • To unflag a message, simply click the flag and it will disappear.

  • You can see all your flagged messages grouped together by clicking the flag icon above the flag column. (You can also click the View menu option and then click Sort By and Flag.)

  • You can define a rule that automatically flags messages based on specific criteria, such as the message author or words within the message or subject.

12.33. How Can I Search Through Downloaded Messages?

You can search for messages within your newsgroups in a couple of ways. The easiest way is to do the following:

1.
From the Edit menu, select Find followed by Message in this folder (see Figure 12-12).

Figure 12-12. You can quickly search through downloaded messages via the Find feature.

2.
Type in the text to search for.

3.
Click the Find Next button.

4.
Outlook Express searches all downloaded messages and makes active the first message it encounters (starting at the currently select message) that contains the text you're searching for. If your search did not start with the first message (that is, if you had a message selected other than the first message in the newsgroup) and the search is not successful, Outlook Express displays a message box asking if you want to perform the search from the top of the list.

5.
To find the next match of your search criteria, click the F3 button.

Outlook Express also enables you to perform more advanced searches, such as specifying a date range or searching on the message author and whether the message has attachments. In addition, an advanced search displays the entire list of messages that conformed to your search criteria so that you can easily locate the messages you want to view. To perform this search, follow these steps:

1.
Invoke the standard Find dialog box (by performing the previous steps) and then click the Advanced Find button or select the Edit menu, click Find, and then click Message. Either way results in the Find Message dialog box, shown in Figure 12-13.

Figure 12-13. The Find Message feature is nice because it enables you to specify more search criteria, and the entire result list (matching messages) is displayed in the same dialog box.

[View full size image]

2.
Type in the search criteria using the desired fields.

3.
Click the Find Now button.

4.
Outlook Express performs the search and lists all the messages that conform to your search criteria in the same dialog box. Double-click the message you want to read to open that message in a new window.

  • To sort the list of found messages, click the column heading of the column you want to sort by.

  • To initialize the dialog box, especially useful if you've set a number of fields, click the New Search button.

  • Click the Browse button to specify a different newsgroup to search.

12.34. How Can I Search for Older Newsgroup Messages Without Having to Download Every Message?

In some cases you'll want to search for older messages that can no longer be downloaded from the news server. For those situations, the Google search engine provides a wonderful search facility.

1.
Point your browser to http://www.google.com.

2.
Click the Groups link at the top of the page.

3.
Click the Advanced Group Search (to the right of the Google Search button).

4.
As you can see in Figure 12-14, Google provides an amazing array of search options, including the capability to search across multiple newsgroups, to search for combinations of words, to search for specific languages, and much more. Specify the desired options (including the newsgroups) and click the Google Search button.

Figure 12-14. Google provides a powerful and robust means of searching for older messages.

[View full size image]

5.
The located messages are displayed in your browser. Click the desired message to read it.

12.35. How Can I View Multipart Attachments?

Even in a world of high-speed Internet access, most news servers limit the size of a single message's attached files. Therefore, very large binary files (such as music and videos) are usually uploaded to a news server as a series of numbered messages. It's easy to spot these split files because the message subject for these files is along the lines of "My video (1/10)" or "My video (2/10)." (If you see a message with a subject such as "My video (0/10)," that message is typically a text message that describes the multipart file.)

To download and combine these file segments, do the following:

1.
The first thing you'll almost assuredly want to do is to turn off the Preview Pane for this operation. Otherwise, Outlook Express will attempt to open each segment separately while you're selecting it. See FAQ 12.4 for information on turning off the Preview Pane.

2.
Hold down the Ctrl key and click each file in the group.

3.
When you've selected all the files, right-click any file in the list.

4.
Click the Combine and Decode menu option.

5.
You will see the Order for decoding dialog box, which enables you to order how the files are spliced together after they're decoded (see Figure 12-15). Outlook Express does a pretty good job of figuring out the order based on the message subject line. When you've determined that the order is correct, click the OK button to start the process.

Figure 12-15. Outlook Express enables you to combine the attachments of multiple messages that each contains a part of a file.

6.
When the combining and decoding of the binary files is complete, the first message in the group opens and the combined file appears in that message as an attachment. Simply double-click that attachment (or right-click and save it) as you would any email attachment.


Writing Messages

12.36. How Can I Reply to a Message?

You can respond to messages in a number of ways, depending on who you want to enable to see the reply:

1. | Select the message you want to reply to or open the message by double-clicking it.
2. | If you want to reply directly to the author of the message, click the Reply button on the toolbar. If you want to reply to the entire newsgroup, click the Reply Group button on the toolbar.
3. | If you want your reply to go to additional newsgroups on the same news server, click the Newsgroups button to the left of the Newsgroup name. This displays the Pick Newsgroups dialog box, where you can select the newsgroups you want to cross-post your message to. To view all newsgroups (not just the ones you've subscribe to), toggle the Show only subscribed newsgroups icon in the bottom-left corner of the dialog box.
4. | Type your message text and click the Send button.

12.37. How Do I Post a New Message?

To post a new message or start a new thread on a newsgroup, select the desired newsgroup and click the New Post button on the toolbar. You will see the same dialog box as you would when replying to a newsgroup message. Refer to FAQ 12.36 for options such as how to cross-post a message.

12.38. How Can I Prevent My Messages from Being Posted Immediately?

Always keep in mind that when you post a message to a newsgroup, it can be read by anyone in the world who has access to a news server carrying that newsgroup. In addition, your posts can even be read by people who don't even use news readers! (See FAQ 12.34.) Therefore, although it can be very tempting to fire off a retaliatory post when a particular area of sensitivity has been broached, you have to always keep in mind that your messages could be seen by co-workers, management, family, and friendsand might one day be used against you.

For these reasons, we strongly recommend configuring Outlook Express to not send messages immediately. This way, you have a kind of built-in cooling-down period in which you can hastily write that post but then retract it later before it actually gets sent.

1. | From the Tools menu, click Options.
2. | Click the Send tab.
3. | Uncheck the Send messages immediately option.
4. | The next time you post a message, you'll receive a message letting you know that the post is not being sent immediately, but is being placed in the Outbox. Click the Don't show me this again option and then click the OK button.
5. | You'll notice that if you didn't configure Outlook Express for e-mail services, the Send/Recv button on the toolbar (for sending and receiving mail) is disabled. To send queued mail from the Outbox, on the Tools menu, select Send and Receive and then select Send All.

12.39. Is There a Way to Test Sending Messages Without Cluttering Up a Real Newsgroup?

The best way to test sending messages is to use one of the newsgroups set up specifically for testing. There are quite a few, but alt.test is a popular group that is used frequently by programmers who want to test their message-posting software without cluttering real newsgroups with test messages. If you do not know how to locate a newsgroup, refer to FAQ 12.15.

12.40. How Can I Fix Outlook Express's Method of Quoting Text in Replies?

As you use Outlook Express, you'll quickly find that Outlook Express does an absolutely horrendous job of quoting original text in the reply. This problem is especially evident when the message includes several levels of replies. Although Outlook Express doesn't provide a means of correcting this problem (aside from you manually formatting the text), a superb freeware utility can automatically correct the text formatting for you. This utility, called OE-QuoteFix, is a standard tool used by those who read and post to newsgroups frequently. You can find it at http://home.in.tum.de/~jain/software/oe-quotefix/.

We're not going to document the OE-QuoteFix utility herewe leave it up to the reader to check out the OE-QuoteFix Web page for documentationbut we do briefly explain its benefits:

  • Improves replies by correctly formatting the text so that the post is much more readable.

  • Enables you to color-code each level of replies in a message.

  • Corrects the "design decision" that prevents Outlook Express from properly formatting quoted text that was sent as MIME/Quoted Printable.

  • Works automatically! After you've downloaded and installed the application, it works in the background and automatically formats the messages without you having to do anything.

  • (Our favorite:) It's freeware. The authors do state that any donations are appreciated, but that is obviously up to you.

In an ironic twist, we can't really show you in this book an example of formatting because publishers have their own formatting rules and the text would almost assuredly not show up exactly as we want. However, if you visit the aforementioned home page of the OE-QuoteFix, you'll see a great example of a message before and after OE-QuoteFix has repaired the formatting.

12.41. How Do I Save Messages I'm Not Finished Writing?

Much like Outlook, Outlook Express enables you to save a message that you're composing but not quite ready to send. This is done by clicking the File menu and then selecting Save. The message is saved in the Drafts folder of the Folder List, where you can retrieve it later to continue writing it.

12.42. Can I Create a Message Using a Different Background?

Some newsgroups disapprove of backgrounds being used (they're slower to download for people with slow Internet connections), but in newsgroups it's not considered taboo. To select a background for a message that you want to compose, follow these steps:

1. | Click the down-arrow button next to the New Post button on the Outlook Express toolbar.
2. | You should see a number of different background options. You can either select one of those backgrounds or click the Select

Stationary option. You can browse to a background that is not on your default Outlook Express list and preview the backgrounds before choosing one.

  • You can create your own stationary by clicking the Create New button, which invokes a wizard to guide you through that process.

  • You can also browse for any HTML file so that you can share stationeries, or backgrounds, with friends.

12.43. How Do I Define a Signature for My Messages?

You've no doubt seen messages that conclude with a standard salutation or a bit of information about the message's author. For example, let's say you want to market your company and any specific products you're selling. You could create a signature similar to the following:

------
Cheers,
Tom Archer, Archer Consulting Group, Inc.
Author  Inside C#, The Outlook Answer Book
http://www.ArcherConsultingGroup.com
Consulting * Training * Custom Development * Enterprise Solutions

To create a signature, follow these steps:

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Signatures tab (see Figure 12-16).

Figure 12-16. You can create multiple signatures to suit your needs.

3.
To add a new signature, click the New button.

4.
Decide whether you want to have your signature added to all outgoing messages and whether you want to add your signature to be appended to replies as well by clicking the appropriate option.

5.
You can name your signature (especially useful if you're going to have more than one signature for use in different newsgroups) by clicking the Rename button.

6.
Either type the signature directly into the provided text box or select a file that contains your signature.

7.
Click the Advanced button to specify the news accounts for which the signature will be used.

8.
Click the OK button to save the defined signature(s).

Depending on which options you selected when you created your signature(s), the next time you create a new message (or reply to an existing message), Outlook Express will automatically insert your signature into the message body for you.


File Maintenance

12.44. Where Does Outlook Express Store My Messages?

Outlook Express stores all of its data (including mail folders, e-mail messages, local IMAP and Hotmail folders and messages, and all subscribed newsgroups and downloaded news messages) in DBX files located in a single folder for each identity, called the store folder. (You'll sometimes hear the terms store root or store root folder.) By default, this folder location takes the following form: C:\Documents and Settings\<Windows User Name> \Local Settings\Application Data\Identities\<GUID representing current the Outlook identity>\ Microsoft\Outlook Express. (GUID stands for Globally Unique Identifier and is simply a unique number used to represent somethingan Outlook Express identity, in this case.)

You can verify your Outlook Express store folder's location by doing the following:

1. | From the Tools menu, select Options.
2. | When the Options dialog box appears, click the Maintenance tab.
3. | Click the Store Folder button to display the store folder location.

12.45. How Do I Move My Store Folder?

You might want to move your store folder to something a bit more meaningful than the default location explained in FAQ 12.44. For example, you could store the Outlook Express data in a folder hierarchy with the following structure: C:\OEData\<User Name>. This way, the names are much more readable than the GUIDs, and it's very easy to explicitly back up or copy your Outlook Express data. To move the store folder for a given identity, follow these steps:

1. | If you have more than one identity, make sure that you have switched to the identity that you want to change the store folder for. (See FAQ 12.8.)
2. | From the Tools menu, select Options.
3. | When the Options dialog box appears, click the Maintenance tab.
4. | Click the Store Folder button.
5. | When the Store Location dialog box appears, click the Change button and select the desired location to invoke the Browse for Folder dialog box. NOTE You'll note that the Browse for Folder dialog box is a bit dated, in that it does not allow you to create a new folder. Therefore, if you want to move your store folder to a folder that has not been created yet, you'll need to create the new folder before invoking this dialog box. If you're already in the dialog box, simply press the Esc key, create the folder, and then click the Change button to redisplay the Browse for Folder dialog box. Now you should see the intended target folder for your store folder.
6. | When you select a folder, you're returned to the Store Location dialog box. Click the OK button. You will then see a message letting you know that the location will not be changed until you end and restart Outlook Express.
7. | You can easily verify this by opening the new store folder in Explorer and seeing that there is no data in it. When you close the Outlook Express application and restart it, the data will be copied from the previous store folder to the new store folder.

12.46. Can I Share a Data Store over the Network?

Unfortunately, the Outlook Express application is not designed to allow shared, or concurrent, access to its data files. In fact, although the Browse for Folder dialog box displays network folders and removable drives, it does not allow you to select any of them.


Security

12.47. How Can I Prevent Myself from Getting E-mailed to Directly?

Many people choose not to be e-mailed directly from a newsgroup for different reasons. Sometimes it's because they simply prefer to give out their e-mail address only to people they know. Other times, it's from a concern that as newsgroup messages tend to many times get very personal, people choose not to want to be mailed directly.

If your news account is defined as having an E-mail address value and not a Reply-To address value, make the E-mail address a bogus value. If you are supplying both values (for reasons discussed in FAQ 12.13, then make the Reply-To address bogus. Note that even if the Reply-To e-mail address is bogus, an experienced UseNet user can still see the E-mail address value by inspecting the message's header.

12.48. How Can I Prevent SPAM E-mail?

Some less than honorable companies (and individuals) use spiders (applications that search through Internet data) to "harvest" e-mail information that they use to SPAM you with unwanted advertisements or sell to other companies looking to hawk their wares. The easiest way to remedy this problem is use bogus e-mail address information, as explained in FAQ 12.47. However, you might want to receive direct e-mail from your newsgroup postings but at the same time not receive SPAM.

Because these spiders simply copy the From and Reply-To message header values into a database, all you need to do is format your addresses so that although they are invalid, a human can easily discern what the addresses should be. (FAQ 12.13 covers how to change these values.)

For example, if your e-mail address is JohnSmith@yahoo.com, you might specify a value of JohnSmith@NOSPAMyahoo.com. Now when someone attempts to reply directly to you, that person will see the e-mail and can easily tell that he or she needs to remove the NOSPAM from the e-mail address. In fact, many people who format their e-mail addresses like this include a note in their signature along the lines of "Remove NOSPAM from my e-mail to contact me."

12.49. How Do I Protect Myself When Reading OE Messages?

The Internet has made the world a much smaller place, in that people who never would have known one another can now freely exchange opinions, ideas, philosophies, advice, and so on. Unfortunately, the physical distance separating the participants, differing laws from one country to the next, and the capability to post anonymously have created a subculture of people who use the Internet to harm others. This includes UseNet, where there exists the very real threat of opening a message that can either cause damage to your computer system or open hundreds of copies of Outlook Express or Internet Explorer in an attempt to lock up your system. To protect yourself from these people, you should verify that your installation of Outlook Express has the proper security settings so that malicious scripts are not executed on your system.

1.
From the Tools menu, select Options.

2.
When the Options dialog box appears, click the Security tab (see Figure 12-17).

Figure 12-17. Setting your security settings properly goes a long ways toward protecting yourself from malicious scripts.

3.
Check the Restricted sites zone option.

4.
Check the option labeled Warn me when other applications try to send email as me. This prevents such things as a script attempting to replicate itself by sending itself to everyone in your address book.

5.
Check the option labeled Do not allow attachments to be saved or opened that could potentially be a virus.

6.
From the Windows Control Panel, run the Internet Options applet (the exact applet name depends on which version of Windows you're running).

7.
Click the Security tab.

8.
Click the Restricted Zones icon.

9.
Click the Custom Level button.

10.
Locate all options marked as Enabled and change it to Prompt.

11.
Click the OK button to dismiss the Security Settings dialog box.

12.
Click the OK button to dismiss the Internet Properties dialog box.

NOTE

At times you might see a message from Outlook Express stating that a script is "safe." Our personal recommendation is to not run any script whose origins are not known. As programmers ourselves, that means running scripts only that we know were written by trusted fellow developers. Any other scripts get ignored and not executed.


Chapter 13. MICROSOFT EXCHANGE SERVER

    Definitions

    Configuration

    Working Offline


Definitions

13.1. What Is Microsoft Exchange Server?

Microsoft Exchange Server is a software-based product that manages and stores e-mail in a central location. Exchange Server is commonly used by organizations and businesses that need to manage and store mail for multiple people. The business rules and policies defined by the organization or business are managed and implemented by the Exchange Server administrator(s) appointed by the organization or business.

13.2. What's the Difference Between Exchange Server and Outlook?

Outlook is an e-mail client that includes features such as the capability to create and manage appointments, tasks, meeting, address books, and more. Exchange Server is a server-side product that provides a central repository for allowing users to share this same type information over a network. For this reason, you will often hear Exchange Server referred to as a collaboration server. To make the distinction clearer between the two products and to explain how they're used together, let's look at some common scenarios.

NOTE

This FAQ provides a general overview of the purpose of Exchange Server and a very high-level discussion of configuring Outlook and Exchange Server to work together. For specific instructions on a given task, such as connecting Outlook to an Exchange Server, refer to the FAQ covering that topic.

Let's say you have an account with an Internet Service Provider (ISP), such as BellSouth or Comcast, and you don't need to share your personal information, such as your appointments and meetings, with others. With your ISP account, you are given an e-mail account (sometimes more than one). This means that your ISP gives you an e-mail address, such as tomarcher@bellsouth.net. Now anyone in the world who wants to communicate with you can send e-mail to that address, and the e-mail will be stored on an server owned by BellSouth. To retrieve that e-mail, you use an e-mail client such as Outlook or Outlook Express. Using Outlook, you would create an email account that defines things such as the ISP's server names (from which you retrieve your e-mail and through which you send e-mail). After you've created the account and you tell Outlook to check for new e-mail, Outlook connects to the account's specified server using the user and password you supply, and downloads your e-mail; your e-mail then is removed from the server (unless you specify that it should remain on the server).

Now let's say that you need to share your information with others on your network. Typically, this would be a business in which employees need access to one another's calendars, contacts, tasks, and so on. However, busy households also have the same need for collaboration. In this scenario, one product that you would use is Microsoft Exchange Server. In a typical setup, you would install Exchange Server on a machine whose sole responsibility is hosting the Exchange Server product. Within Exchange Server, you would create accounts for each person on the network. These accounts would typically have names such as tomarcher@homeoffice.com and kristacrawley@homeoffice.com.

After creating the accounts on the server, you would go to each person's individual computer and create an e-mail account of type Exchange Server so that each person could connect to the Exchange Server. At that point, the users could e-mail each other through the Exchange Server (where the e-mails are centrally located) and share folders (such as contacts, calendar, tasks, and so on).

It's important to realize that each individual Outlook installation canand typically doeshave both types of e-mail accounts, POP and Exchange Server. Using the example of this FAQ in which Tom Archer has a POP account (tom@outlookhacks.com) and an Exchange Server account (tomarcher@homeoffice.com), his installation of Outlook would pull e-mail from two sources: BellSouth's e-mail servers and the Exchange Server on his network, respectively. However, because he's using Outlook and Exchange Server together, he can still share his folders that include data originally retrieved from either server, so he can share that data with other Exchange Server users to whom he's given sufficient rights.

13.3. What Is Active Directory?

When an organization or business implements a Microsoft Exchange Server, a directory service is also required. The directory service required by Exchange Server is Microsoft Active Directory. This directory service stores all persons and/or distribution lists for the organization. Each person and/or distribution list can be associated with one or more e-mail addresses. For example, a person with the name John Doe can have an e-mail address stored as john.doe@anybusiness.com as well as jdoe@anybusiness.com.

A distribution list is a list that contains either persons or other distribution lists. An example is a distribution list with the name Marketing And Sales that is comprised of two email address: sales@anybusiness.com and marketing@anybusiness.com. The organization also would use Active Directory to implement security, but this is beyond the scope of this document.

13.4. What Is an E-mail Profile and Why Do I Need It?

An e-mail profile is a component provided by the operating system to store your various e-mail accounts. Understanding profiles is a requirement to configuring access to an Exchange Server. The e-mail profiles can be accessed by various e-mail clients, including Outlook. However, in an Exchange Server environment, you manage your e-mail profiles from the Windows Control Panel Mail applet. To see that, do the following:

1. | From the Windows Control Panel, run the Mail applet.
2. | When the applet's Mail Setup dialog box appears, you will see three sections (and buttons) that describe the various aspects of configuring mail accounts.


Configuration

13.5. Do I Need More Than One E-mail Profile?

For the most part, you will use only one profile, which is called your default profile. When your operating system is installed, this initial profile is created for you. Various reasons exist for creating additional profiles:

  • To make a backup before major changes to your current profile.

  • To access multiple Exchange Server accounts. Currently, only one Exchange Server can be accessed per profile.

  • For use with other e-mail clients, such as Outlook Express.

13.6. How Do I Copy an E-mail Profile?

Sometimes you want to create a profile from an existing profile. This can be accomplished by first copying a profile and then making the necessary changes to the newly created profile. Here are the steps to making a copy of mail profile:

1.
Run the Windows Control Panel Mail applet.

2.
When the applet starts (see Figure 13-1), click the Show Profiles button.

Figure 13-1. E-mail profile application.

3.
The Mail dialog box appears and shows a list of all the profiles on your system.

4.
Select the profile you want to copy.

5.
Press the Copy button.

6.
When the Copy Profile dialog box is displayed, you will see a text box labeled New Profile Name. Type the name of the new profile and click the OK button.

7.
The new profile appears in the list. Specify whether you want the user to select the profile from a list when running the e-mail client or whether you want a specific profile to automatically be used each time. The latter requires that you select that desired profile from the drop-down list at the bottom of the dialog box.

8.
Click the OK button to close the applet.

13.7. How Do I Use Multiple E-mail Profiles?

If you have multiple profiles, you will probably want to be able to use one or the other fairly easily. The Windows Control Panel Mail enables you to specify that you want the user to be prompted on what profile to use each time the mail client is started. Here's how to turn on that option:

1. | Run the Windows Control Panel Mail applet.
2. | When the applet starts (see Figure 13-1), click the Show Profiles button.
3. | From the Mail dialog box, click the option labeled Prompt for a profile to be used.
4. | Click the OK button to exit the Mail applet.
5. | Assuming that your mail client is Microsoft Outlook, when you start Outlook, you will see the Choose Profile dialog box, which contains a drop-down list of defined mail profiles.
6. | Select the desired profile and click the OK button.

13.8. How Do I Enable Outlook to Access an Exchange Server?

The following steps enable you to configure Outlook to gain access to an Exchange Server. Before starting this procedure, you need to speak to your Exchange Server administrator to obtain the information required by your Exchange Server provider to access your account.

At a minimum, you need to obtain the name of your Exchange Server (as in myExchange Server.myorganization.com) and the name of your e-mail account (as in John.Doe). When you have the Exchange Server information, you can begin the setup procedure as follows:

1.
Close the Outlook application.

2.
Run the Windows Control Panel Mail applet.

3.
When the applet starts (see Figure 13-1), click the Show Profiles button.

4.
If you are creating a new profile, click the Add Profile button, specify a profile name.

5.
Select the desired profile.

6.
Click the Properties button.

7.
When the Mail Setup dialog box appears, press the Email Accounts button.

8.
When the E-mail Accounts dialog box appears (see Figure 13-2), select the Add a new e-mail account option and click the Next button.

Figure 13-2. E-mail accounts dialog box.

9.
Select the Microsoft Exchange Server option and click the Next button.

10.
In the text box labeled Microsoft Exchange Server, type the name of your Exchange Server that your Exchange Server administrator gave you.

11.
Select the Use Cached Exchange Mode option.

12.
In the text box labeled User Name, type the username that your Exchange Server administrator gave you.

13.
Click the Check Name button.

14.
An underline should appear under your User Name. If you receive any errors, these most likely are caused by connectivity issues to your Exchange Server or an error in the Exchange Server name or account name.

A Congratulations dialog box appears, indicating that you have successfully configured your Exchange Server.

13.9. How Does Outlook Log Into My Exchange Server?

Outlook can log into your Exchange Server in two ways. The default is a Windows integrated logon. This is the most common method on a corporate LAN. For this to work, your computer must belong to a domain that is in either the same domain as the Exchange Server or a domain that has a trust relationship with the Exchange Server domain.

You must have logged on to your computer using your corporate domain account. If this is true and you have not changed the login options for Exchange Server, you will not be prompted for a user ID and password as long as your integrated account logon is successful. The other type of login is a prompted login. This type of login is usually used when you need to log into Exchange Servers that are not in your domain or if your computer does not participate in a domain.

You can set your Exchange Server profile to cause this to happen by following these steps:

1. | Close the Outlook application.
2. | Run the Windows Control Panel Mail applet.
3. | When the applet starts (see Figure 13-1), click the E-mail Accounts button.
4. | When the E-mail Accounts dialog box appears (see Figure 13-2), click the View or Change existing e-mail accounts option.
5. | Click the Next button.
6. | Highlight the entry in the list for Microsoft Exchange Server.
7. | Click the Change button to display the Exchange Server Settings dialog box.
8. | Click the More Settings button to display the Microsoft Exchange Server dialog box.
9. | Choose the Always prompt for user name and password option.
10. | Close the open dialog boxes. This change will take effect the next time you stop and start Outlook.

13.10. Do I Still Need a PST Once I Am Using Exchange Server?

A PST provides storage for your mail on your local hard disk. Without a server-based mail provider such as Exchange Server, you must use a PST file to provide local storage of your mail. The Exchange Server provides storage for your mail on a central server. You can think of it the same way as your PST, but it is not on your local computer. It also has the advantage of being backed up by your Exchange Server administration staff.

13.11. How Does Exchange Server Interact with a PST?

An Exchange Server can co-exist with PST files on your local computer in two ways. The first major decision when deciding how to manage a PST is where your delivery point will be. Outlook requires that you define only one delivery point. The delivery point is the e-mail provider in which Outlook stores your e-mail. Outlook also creates the standard system folders in the current delivery point location (Inbox, Outbox, Contacts, Sent, and so on). Although you can have more than one e-mail provider in your profile, only one can be designated as a delivery point. A PST can be chosen as a delivery point. If you create a new profile and add Exchange Server to it, by default, Exchange Server will be your delivery point.

If you choose a delivery point to be an e-mail provider other than Exchange Server (a PST), Exchange Server automatically moves mail from your Inbox folder on the Exchange Server provider to the delivery point provider. So if your delivery point is a PST, mail will be stored in your Exchange Server Inbox folder until the next time Outlook is started. Once Outlook is started, the mail will be moved from the Exchange Server Inbox folder to the PST Inbox folder. This is not done for any of folders between the Exchange Server e-mail provider and the PST e-mail provider. For example, contacts, tasks, and calendar items are not moved between providers. If you want to move contacts, tasks, or calendar items between providers, you must do it manually.

13.12. How Do I Change Where My Mail Is Delivered?

If you want to either check where your delivery point is defined or move it, follow these steps:

1.
In Outlook, click the Tools menu item and then select Options.

2.
When the Options dialog box appears, click the Mail Setup tab (see Figure 13-3).

Figure 13-3. Options dialog box.

3.
Click the E-mail Accounts button.

4.
When the E-mail Accounts dialog box is displayed (see Figure 13-2), click the View or Change existing e-mail accounts option and click the Next button.

5.
When the Email Accounts dialog box is displayed (see Figure 13-4), locate the drop-down list at the bottom of the dialog box labeled Deliver new e-mail to the following location.

Figure 13-4. E-mail accounts dialog box with deliver e-mail drop-down.

[View full size image]

6.
If you want to change the delivery point, choose the e-mail provider from this drop-down list. (By default, the Exchange Server provider will be selected with a name of MailboxYour Name.

7.
Click the Finish button to save your changes.

8.
Click the OK button to close the Options dialog box.

NOTE

If you change your delivery point, it will take effect the next time you stop and start Outlook. You will be warned that all of your standard tabs, such as contacts, calendars, and tasks, will now point at this new location. You must remember to move your old items from your old provider folders to this new location if you do not plan to use the old provider any longer.

13.13. If I Deliver My Mail to Exchange Server, Do I Need a PST?

You still might want to use a PST file on your local computer, for several reasons. One is the archive function, which automatically creates a PST to archive your mail to. (This PST is called archive.pst.)

You can also use a PST to manage mail that you want to store on your local computer yourself. You can use a PST in your Outlook folder tree and organize it using subfolders. You can then drag and drop e-mail from your Outlook folders to your PST folders. All items stored in your Exchange Server provider reside on the Exchange Server computer. When you move an item from the Exchange Server folder tree to the PST tree, you are removing the item from the Exchange Server and placing it on your local hard disk. This frees up space on your Exchange Server; your Exchange Server administrator might ask you to do this if you begin using too much storage space.

13.14. Does Exchange Server Provide E-mail Addresses?

Yes, Exchange Server provides e-mail addresses in two ways. One is the Global Address Book. The other is through the use of your contacts folder. The default search order is the Exchange Server Global Address book followed by the contacts folder. If you want to change this, follow these steps:

1.
In Outlook, click the Tools menu item and then select Address Book.

2.
When the Address Book dialog box appears (see Figure 13-5), select its Tools menu and then select Options.

Figure 13-5. Address Book dialog box.

[View full size image]

3.
When the Addressing dialog box appears (see Figure 13-6), you will see a drop-down list labeled Show this address list first. By default, the Global Address Book is selected.

Figure 13-6. Addressing dialog box.

4.
If you drop this down, you will see other subregions of your Global Address Book that have been defined by your Exchange Server administrator or by default by the Exchange Server. You will also see any of your contact folders that you have designated as Outlook Address Books. You can select any of these items as the first folder to display. Whenever you open the Address Book dialog box, you will see this folder displayed first.

5.
Farther down, you will see a list labeled When sending mail, check names using these address lists in the following order. These are the locations and orders that address will be searched for. You can use the buttons to the right of this list (displaying up and down arrows) to change the search order. The Add and Remove buttons enable you to add and remove address books to this list.

13.15. How Can I Use My Contacts Folder as an Address Book?

The first contact folder created in Outlook either by adding an e-mail provider such as Exchange Server or by changing your delivery point automatically is designated as an Outlook Address Book. You might want to create other contacts folders and change which of these are accessible as Outlook Address Books, which means you can reference e-mail addresses stored there when sending mail. To check whether an Outlook contact folder is designated as an Outlook Address Book or to designate it as one, follow these steps:

1.
Locate the contact folder in the folder list.

2.
Right-click the contact folder and select Properties from the context menu.

3.
When the Contacts Properties dialog box appears, click the Outlook Address Book tab (see Figure 13-7).

Figure 13-7. Contacts Properties dialog box.

4.
If the Show this folder as an e-mail Address Book option is checked, this contact folder will be included as an available address book for searching or displaying in the Address Book dialog box.

5.
If this option is not turned on, you can click the option, click the OK button, exit, and then restart Outlook. At that point, the folder will be used as an Outlook address book.

13.16. Can I Copy an Address from the Global Address Book to a Contact?

Yes, there are two ways to do this. In the first, you do so from an existing e-mail that someone has sent to you; in this situation, you want to add the sender (or one of the addresses) to your contacts. In the second, you want to copy a contact from the address book.

From an open e-mail, perform these steps:

1. | Right-click the address from any of the address fields (To, From, CC or Bcc).
2. | From the context menu that appears, select Add to Outlook Contacts.
3. | When the contact form appears, the Full Name, File as, E-mail, and Display as values will be filled in using the information gleaned from the e-mail. Specify the remaining information as needed and click the Save and Close button to save the contact.

To copy an address from the Address Book:

1. | In Outlook, click the Tools menu item and then select Address Book.
2. | When the Address Book dialog box is displayed, locate an address in the list of addresses you want to copy to your contact folder.
3. | When you have located the address, right-click the entry.
4. | On the context menu that appears, click Add to Contacts.
5. | When the contact form appears, the Full Name, File as, E-mail, and Display as values will be filled in using the information gleaned from the e-mail. Specify the remaining information as needed and click the Save and Close button to save the contact.

NOTE

Note that Outlook will not keep the information in the contact updated if it changes in the Global Address Book. Therefore, if you modify the information in the Global Address Book, you need to update the contact manually.


Working Offline

13.17. Can I Use Outlook with Exchange Server When I Am Offline?

Most definitely, Exchange Server provides a rich set of tools for users who work offline. The typical example is a portable computer user who travels away from the office. Outlook 2003 provides a feature called Cached Exchange Mode that manages the offline use of Exchange Server resources.

13.18. What Is an OST?

When you use Outlook in an offline mode, Exchange Server and Outlook use a file called an OST to maintain a replica of your mail on your local hard disk. The file is very similar to a PST.

Outlook monitors your Exchange Server to see if a connection can be made. You will notice in the lower-right side of the status bar the words Connected or Disconnected. This indicates whether Outlook is connected to your Exchange Server. When this status changes from Disconnected to Connected, Outlook begins synchronizing all of the Exchange Server folders in your Exchange Server tree with the version that is in the OST file. When this process is complete, the contents of your OST file will be identical to the contents on the Exchange Server.

While you remain connected to Exchange Server, Outlook continues to keep the OST file and the Exchange Server in synchronization. As soon as Outlook detects a loss of connection with Exchange Server, it begins an attempt to reconnect. The Outlook icon in the System Tray changes to an exclamation mark. If you hover over the icon, a tool tip stating that an attempt to reconnect is in progress. Outlook attempts to connect anytime a change in network connectivity occurs, such as if you connect to a LAN or start a VPN connection. Outlook detects this if it is running and attempts to connect to Exchange Server again. Until this occurs, the status bar in the lower right indicates Disconnected, and all work is placed in the OST, awaiting reconnection with the Exchange Server.

13.19. How Do I Turn On Offline Support?

You do this by turning on Cached Exchange Mode. This is normally done by default when you add Exchange Server to your e-mail profile, but if for some reason this was not done, follow these steps to turn it on:

1.
In Outlook, click the Tools menu item and then select Options.

2.
When the Options dialog box is displayed, click the Mail Setup tab.

3.
Click the E-mail Accounts button.

4.
When the E-mail Accounts dialog box is displayed (see Figure 13-2), select the View or Change existing e-mail accounts option and click the Next button.

5.
Select Microsoft Exchange Server and then press the Change button.

6.
Check the option labeled Use Cached Exchange Mode (under the Microsoft Exchange Server name valuesee Figure 13-8).

Figure 13-8. E-mail accounts dialog box.

[View full size image]

7.
Click the More Settings button.

8.
When the Microsoft Exchange Server dialog box appears, click the Advanced tab.

9.
Check the option labeled Use Cached Exchange Mode (see Figure 13-9).

Figure 13-9. Microsoft Exchange Server dialog box.

10.
If you want to have access to your public folders while offline, you will need to also check Download Public Folder Favorites. This causes your public folder favorites to be downloaded into your OST file during synchronization.

11.
Click the OK button to close the Microsoft Exchange Server dialog box.

12.
Click the Next button on the E-Mail Accounts dialog box to return to the list of e-mail accounts.

13.
Click the Finish button to close the E-Mail Accounts dialog box.

14.
Clock the OK button to close the Options dialog box.

The next time you stop and start Outlook, an OST file will be created and synchronization will begin.

13.20. What Is an Offline Address Book?

An offline address book is a local copy of the Exchange Server Global Address Book that is downloaded into your OST file. When you are disconnected from the Exchange Server, the only Global Address Book entries that you can access are the ones in the offline address book that has been downloaded.

Your Exchange Server administrator will decide what addresses are included in the offline address book. In small Exchange Server implementations, the Exchange Server administrator might decide to download the entire Global Address Book to your OST. On the other hand, if the Exchange Server administrator decides that your organization's Global Address Book is too large to be downloaded, the download can be tailored to regions or departments that your account resides in or has access to, and this can be used as the criteria for which entries are downloaded.

If while offline you feel that you are not seeing all the addresses that you should, check with your Exchange Server administrator to see if any filtering is being done.


Chapter 14. OUTLOOK WEB ACCESS

    Basics

    Clients and User Interface

    E-mail

    Calendar

    Contacts and Distribution Lists

    Miscellaneous


Basics

14.1. What Is Outlook Web Access (OWA)?

Outlook Web Access (OWA) is a feature provided by a Microsoft Exchange Server that enables you to access your e-mail via a Web browser. This allows you to check your mail from any computer connected to the Internet, provided that your Microsoft Exchange Server administrator has not disabled OWA. The capability to access your Microsoft Exchange Server account via a Web browser also presents you with the possibility of being able to open your e-mail account effortlessly from any number of operating systems and while you are on the move.

NOTE

The FAQs in this chapter relate to the OWA feature provided by Microsoft Exchange Server 2003. However, previous versions of Microsoft Exchange Server also provide you with Web access features.

14.2. What Web Browsers Can I Use OWA With?

OWA can be accessed by any Web browser that supports HTML 3.2 and the ECMA script standards (such as JavaScript). This simple requirement allows the vast majority of Web browsers in use today to access and use OWA. However, OWA provides two different types of user interfaces: a Premium Client and a Basic Client (see FAQ 14.5 for an explanation of the differences between the two clients). Because the Premium Client requires some features that are available only in Internet Explorer 5 and above, other browsers can access only the Basic Client.

NOTE

Microsoft Internet Explorer is the most widespread browser in use today and Internet Explorer 5 and above support the Premium Client. For this reason, we use Internet Explorer for the greater part of this chapter and also concentrate on the Premium Client.

14.3. How Do I Log Into OWA?

Before you can use OWA, you first need to log into the system. This helps to ensure that your account details are kept safe and that nobody else can simply connect to OWA and access your e-mail account. When you are logging into OWA, you use the same password that you use when connecting to your Microsoft Exchange Server account using Outlook 2003.

Depending on how the administrator has configured OWA, there are two main ways you can log in: using a Web page login or using a network authentication login. To log in, simply type the address of the OWA site (for example, https://voyager.briandela.com/exchange) into your Web browser and browse to the page. If the administrator has enabled forms-based logins, you will be presented with a page similar to the one in Figure 14-1. Note that to access a forms-based login, you also have to use the secure form of the address of the OWA site by typing in https:// at the beginning of the address instead of http://. If forms authentication has not been enabled, or if you go to the nonsecure version of the Web site address, you will be presented with a login screen similar to the one visible in Figure 14-2.

Figure 14-1. Logging into Outlook Web Access using the forms-based login.

[View full size image]

Figure 14-2. Logging into Outlook Web Access using the network.

To log into OWA, you need to enter your username and your password. However, you also need to specify the domain that your username exists on. Your Microsoft Exchange Server administrator can provide you with this. For example, you might type in your username like this: accountingDept\bdelahunty. Here the username is bdelahunty, and that username is on the accountingDept domain. Then simply enter your password in the Password field.

When logging in using the forms-based login, you can also specify what client you want to access, Premium or Basic, if your browser supports both. If your browser supports only the Basic Client, the Premium option will not be available. When using the network authenticationbased login, you automatically are taken to the Premium Client if your browser supports it.

During forms-based login, you can also choose the type of security that you want to use; Public or shared computer or Private computer. The main difference between the two is the time that it takes for an idle session to expire. If you are not interacting with the Microsoft Exchanger Server, such as when opening items and creating items, the Public or shared computer option automatically ends your session after 15 minutes. If you use the Private computer security option, an idle session expires after 24 hours. When your session expires, you must log into OWA again.

14.4. How Do I Log Out of OWA?

When you are logged into OWA, you can permanently log out of a session by clicking the Log Off button, which appears in the top-right side of the Premium Client and at the bottom of the menu on the left side when using the Basic Client. Logging out ends your session; if you want to access OWA again, you must log in again (covered in FAQ 14.3).


Clients and User Interface

14.5. What Are Premium and Basic Clients?

Depending on what browser you use (see FAQ 14.2 for details about what browsers you can use), you have a choice of two different types of user interfaces, called clients: the Premium Client and the Basic Client. Each type of client provides you with the capability to access your Microsoft Exchange Server account items such as your e-mail, contacts, calendar, tasks, and so on.

However, the Premium Client is designed to ensure that the user interface closely resembles the Outlook 2003 software and is generally easier to use than the Basic Client. It also offers more powerful features than the Basic Client and tends to be the client of choice. However, because the Basic Client has a less complicated user interface with fewer features, it uses less bandwidth, and on slow network connections it operates slightly faster than the Premium Client. There is no noticeable difference in speed when using broadband connections or if you are on the same local area network as the Microsoft Exchange Server.

The Premium Client tends to be the most used client, and because it is the more feature rich of the two, this chapter concentrates mainly, although not exclusively, on using the Premium Client to access your account through OWA.

14.6. Which Client Should I Use?

The choice of client is available to you only if you are using Microsoft Internet Explorer 5 or above because the Premium Client uses features that are available only in these browsers. If you are using any other browser, you will automatically use the Basic Client.

If you are using a browser that gives you a choice between the Premium and Basic Clients, choosing which one to use is generally a choice based on the speed of your network connection. The Premium Client provides a much more feature-rich and familiar user interface because it emulates the Outlook 2003 user interface quite well. Because of this, it does use more bandwidth than the Basic Client, and on slow network connections, the Basic Client appears faster.

The best way to decide which client best suits your needs is to use both for a period of time and then judge for yourself whether there is a noticeable difference in speed between the two. Unfortunately, people who use an unsupported browser have to wait for a future version of Outlook Web Access before they can access the Premium Client.

14.7. I Have Never Used the Premium ClientCan You Explain It to Me?

As mentioned in FAQ 14.6, the Premium Client emulates the look and feel of Outlook 2003. Thus, you should easily recognize the different components of the user interface and be able to quickly navigate around the Premium Client. Figure 14-3 shows what the default Premium Client interface looks like. The interface is divided into two main sections, each of which is divided again.

Figure 14-3. The Outlook Web Access Premium Client.

[View full size image]

The left side of the screen imitates the Navigation Pane of Outlook 2003, which is how we refer to it for the remainder of this chapter. At the top of this Navigation Pane, all of your folders, such as your Inbox, Outbox, Sent Items, contacts, and journal, are accessible. From here you can navigate to any of the folders by clicking a folder or right-clicking the folder and clicking Open or Open in New, which opens the folder in a new browser window.

At the bottom of the Navigation Pane are buttons that enable you to quickly access different areas of OWA, just like the buttons at the bottom of the Navigation Pane in Outlook 2003. You can also collapse these buttons by clicking the downward-pointing arrow just about the Inbox button.

The right side of the screen is used to display the contents of the currently selected folder. At the top of this side of the screen there are options for manipulating the current view, options for creating new items and deleting items, and options that are specific to the type of folder that you are currently displaying. In Figure 14-3, the screen is also split into two and the right side of the split displays the Reading Pane, which behaves the same as the Reading Pane in Outlook 2003. As with Outlook 2003, the Reading Pane can be turned off or configured to appear at the bottom of the screen instead of on the right side.

14.8. I Have Never Used the Basic ClientCan You Explain It to Me?

As the name suggests, the Basic Client not as feature rich as the Premium Client. Nevertheless, it provides a fast and easy-to-use interface for accessing your account items. If you choose to use the Basic Client, you will be presented with an interface similar to the one shown in Figure 14-4.

Figure 14-4. The Outlook Web Access Basic Client.

[View full size image]

As with the Premium Client, the Basic Client is split into two main sections. On the left side are buttons that enable you to access various sections of your account, such as your Inbox, calendar, tasks, and folders; we refer to this area as the Navigation Pane throughout the remainder of the chapter. You can access an item on the left side by simply clicking it. The right side of the screen is used for displaying the contents of the currently selected folder. It is also used to display items such as contacts, e-mails, and tasks when you open them, and it is used to display the pages needed to create new items such as e-mails, calendar entries, and journal entries.

14.9. How Do I Change the OWA Theme?

When you use the Premium Client, you can select from a number of different color schemes known as themes. This enables you to customize the way in which your OWA Premium Client appears. Microsoft Exchange Server provides five default themes, but because it is possible for the server administrator to add custom themes, you might have more than five to choose from. The following are the available default themes:

  • Default (blue)

  • Olive green

  • Silver

  • Burgundy

  • Dark blue

To select a theme, follow these instructions:

1. | On the Navigation Pane, click Options.
2. | Scroll down until you find the Appearance section.
3. | To change the theme that you are using, simply select a new theme from the drop-down list.
4. | When you are ready, click the Save and Close button at the top of the page. This changes your theme and returns you to the folder that you were viewing before you clicked Options. Your selected theme is also saved to your Microsoft Exchange Server account so that the next time you log in, your selected theme will automatically be displayed.

When you click Save and Close, the theme should change to the new one that you selected. However, if it does not change immediately, you might need to refresh your browser. You can do this by clicking the Refresh button or by going to View and then clicking Refresh. Alternatively, press the Ctrl F5 key combination on the keyboard.


E-mail

14.10. How Do I View My E-mails?

By default, OWA displays your Inbox when you first log in, regardless of whether you are using the Premium Client or Basic Client. If you are in a different folder, such as your contacts or your calendar, you can view your e-mails by clicking the Inbox button on the Navigation Pane or by clicking your Inbox folder. If you want to view e-mails that are stored in a different folder, such as your Sent Items folder, simply click the folder in the Navigation Pane on the Premium Client or, if you are using the Basic Client, click the Folders button on the left side and then click the Sent Items item.

14.11. What Are the Different Ways I Can View My E-mail?

As in Outlook 2003, you can view your e-mail when using OWA in a number of different ways. Both the Premium and Basic Clients provide you with built-in views of your e-mail items and also enable you to sort items. These default views are available:

  • Messages This view displays the e-mails in chronological order based on the date that the e-mail was received, starting with the most recently received e-mail at the top.

  • Unread Messages The unread Messages view displays only the messages received that have not been read or that have been marked as unread. As with the Messages view, it displays the messages in descending chronological order.

  • By Sender When in this view, OWA displays the e-mails in groups based upon the sender of the e-mail. When using the Premium Client, you can expand and collapse the groups, as shown in Figure 14-5.

    Figure 14-5. The OWA Premium Client enables you to expand and collapse groups of items.

    [View full size image]

  • By Subject This view groups items based on the subject of the e-mail.

  • By Conversation Topic E-mail conversations are displayed in groups based on the conversation topic (the subject of the first e-mail). A conversation is the group of e-mails that come from replying to an e-mail. For example, if an e-mail is sent to Tom and Joan with the subject Outlook Book, any replies from Tom and Joan, along with responses to their replies, are all considered part of a conversation with the topic Outlook Book.

  • Unread By Conversation Topic This view is the same as the By Conversation Topic view, but it displays only conversation topics that have unread items in them.

  • Sent To The Sent To view displays items in a descending chronological order based on the time that the e-mail was sent. It also displays the name of the recipient of the e-mail rather than the sender of the e-mail. This view is generally used only for the Sent Items folder.

  • Two-Line View This view, which is available only on the Premium Client, is similar to the Messages view but displays the From field and the subject on two lines rather than on a single line. This helps to make the subject of the e-mail more visible.

To select a view in the Premium Client, simply click the drop-down list at the top of the screen (as shown in Figure 14-5) and select the view you want. In the Basic Client, select the view you want from the View drop-down menu at the top of the screen.

14.12. I Can't See All My E-mailsHow Can I View Those Not Displayed on the Page?

When you first view your e-mails, you might notice that not all of your items are displayed on the screen. This is because, by default, OWA displays only 25 items at a time, to ensure that the page loads as quickly as possible. In the top-right corner of the page, you will see the number of items that are currently displayed, along with buttons for going to the First Page, Previous Page, Next Page, and Last Page. In Figure 14-5, you will notice that we're displaying Items 1 to 25 of 246. You can change the default number of items displayed by OWA by following the instructions in FAQ 14.13.

14.13. How Can I Change the Number of E-mails Displayed at Any One Time?

As mentioned in the previous FAQ, by default, only 25 items are displayed at any one time. If you have a broadband Internet connection, or if you are on the same network as the Microsoft Exchange Server, you might want to change this value to display more items at a time. Conversely, you might have a slow Internet connection and you want to reduce the default number of items displayed so that the OWA pages load faster.

Whatever the reason, you can change the default number of items that are displayed at any one time by following these instructions:

1. | On the Navigation Pane, click Options.
2. | Go to the Messaging Options section.
3. | Select the number of items you want to appear on each page from the Number of items to display per page drop-down list.
4. | Click Save and Close to return to the folder you were viewing.

From this point on, whenever you open a folder, it will display the number of items that you have just specified. You can change this value at any stage by returning to the Options screen and setting the value that you desire.

14.14. How Do I Check Whether I Have New E-mails?

In Outlook 2003, you use the Send/Receive button to check for new e-mails at any stage. You might have noticed in the images shown so far in this chapter that a button in OWA uses the same icon as the Send/Receive button. In OWA, you can use this button, which is circled in Figure 14-6, to check for new e-mails. The button appears on the majority of pages in OWA, so you can check for new e-mails at almost any stage.

Figure 14-6. You can check for new e-mail at any time by clicking the Send/Receive button that appears at the top of most pages.

[View full size image]

14.15. Can OWA Automatically Notify Me If New Mail Arrives?

Yes and no. If you use the Premium Client then by default OWA automatically notifies you when new e-mail arrives. Unfortunately, this feature is not available in the Basic Client in the current version of OWA. When a new mail arrives, a sound plays and a pop-up message in the bottom left of the browser window appears.

You can configure this feature by following these instructions:

1. | On the Navigation Pane, click Options.
2. | Go to the Messaging Options section.
3. | To turn off the pop-up message when a new e-mail arrives, simply remove the check from the Display a notification message when new mail arrives option. If the pop-up message is already turned off, you can turn it on by checking the box.
4. | To prevent OWA from playing a sound when a new mail arrives, remove the check from the Play a sound when new mail arrives option; to enable the sound notification again, simply check the box.

14.16. How Do I Open an E-mail?

There wouldn't be much point in receiving e-mails if you couldn't open them, so doing that is easy in both the Premium and Basic Clients. When using the Premium Client, you can open an e-mail by double-clicking it, just as you do in Outlook. This displays the e-mail in another browser window (see Figure 14-7). You can then perform all the usual options that are available in Outlook, such as replying, replying to all, forwarding, and printing, to name just a few.

Figure 14-7. In the Premium Client, e-mails are opened in a new window, just as in Outlook.

[View full size image]

When using the Basic Client, you can open an e-mail by clicking it. This causes the e-mail to be loaded in the current view. When you want to go back to viewing your e-mail, you can use the Back or Prev ious button on your Web browser or click the relevant folder on the Navigation Pane.

14.17. Can I View an E-mail Without Having to Open It First?

If you are using the Premium Client, you can use the Reading Pane to display items when you select them, just like in Outlook 2003. Disappointingly, if you are using the Basic Client, this feature is not available and the only way to view your e-mails is by opening them (see FAQ 14.16). By default, the Reading Pane is turned on and is displayed on the right side of the screen, beside the list of your e-mails. You can configure where the Reading Pane is displayed by clicking the Reading Pane button and selecting the location from the drop-down list (see Figure 14-8).

Figure 14-8. As with Outlook 2003, you can configure the Reading Pane to be displayed on the right or at the bottom, or you can turn it off.

[View full size image]

When you click an item, the e-mail is displayed in the Preview Pane. OWA does not display the pictures in e-mails when using the Preview Pane. FAQ 14.18 explains how to display the blocked images.

14.18. I Can't See the Images in My E-mailHow Can I View Them?

By default, OWA blocks the images and external content in e-mail that you receive to help protect you against a threat known as Web beacons when you are using the Premium Client. When items have been blocked, a message appears stating To help protect your privacy, links to images, sounds, or other external content in this message have been blocked. To enable the images and external content, simply click the Click here to unblock content link.

To prevent OWA from blocking external content in HTML e-mails, follow these instructions (keep in mind that doing so will leave you open to Web beacons, which could result in greater volumes of spam).

1. | On the Navigation Pane, click Options.
2. | Go to the Privacy and Junk E-mail Prevention section.
3. | To always display external content in the e-mails you view using the Reading Pane or that you open, simply remove the check from the Block external content in HTML e-mail messages option. Click Save and Close to save the settings.

14.19. How Do I Reply to or Forward an E-mail?

Replying to or forwarding an e-mail using the OWA Premium and Basic Clients is the same as it is when using Outlook 2003. To reply to an e-mail, simply click the Reply button; if you want to reply to all of the recipients of the e-mail, click the Reply to all button. This displays a new e-mail with the recipients in the To and Cc fields; the original e-mail is in the body of the new e-mail. Simply write your reply and click Send. To forward an e-mail, click the Forward button, enter the addresses of the recipients (see FAQ 14.45), and click Send.

14.20. How Do I Create a New E-mail?

You can create a new e-mail from almost any location in both the Premium and Basic Clients. If you are using the Premium Client, simply click the drop-down arrow next to the New button that appears at the top of most of the OWA pages. From the menu that drops down, you can create a new e-mail by clicking the Message option; a new e-mail message then opens (see Figure 14.9). If you are using the Basic Client, you can create a new e-mail by selecting Message from the drop-down list beside the New button. When you have selected the Message option, simply click New to load a new blank e-mail into the current view.

Figure 14-9. Creating a new e-mail using the Premium Client.

[View full size image]

After you have opened the new e-mail, enter the addresses of the recipients in the To, Cc, and Bcc fields. FAQ 14.45 explains how to use the address book and contacts to select the recipients of the e-mail. Enter the subject of the e-mail in the Subject field and then complete the e-mail by typing the body of the message. If you want to add attachments to the e-mail, simply follow the instructions in FAQ 14.21. When you are ready to send the e-mail, you can do so by clicking the Send button. You can also save the e-mail to your Drafts folder and send it later by clicking the Save button, which appears in both the Premium and Basic Clients as a picture of a disk.

14.21. How Do I Add Attachments to an E-mail?

Obviously, sometimes you want to send attachments with an e-mail that you are sending through OWA. Perhaps you are at a friend's house accessing your e-mail through OWA, and you need to send a file to someone. You might be with a client and need to e-mail an order back to the main office. Whatever your reasons, OWA enables you to easily add multiple attachments to an e-mail before sending it in both the Premium and Basic Clients. Here's how to do it in the Premium Client:

1.
Click the Attachments button.

2.
This opens a new window similar to the one shown in Figure 14-10.

Figure 14-10. Adding attachments when using the Premium Client.

3.
To add an attachment to the e-mail, click the Browse button. This displays the Choose File dialog box.

4.
Browse for the file you want to attach to the e-mail, highlight it, and click Open.

5.
Next, to actually attach the file to the e-mail, click the Attach button. At this stage, the file is uploaded to the Microsoft Exchange Server and attached to the e-mail. Depending on the size of the file, this could take some time. The larger the attachment is, the longer it will take.

6.
You can add attachments by following steps 35 again.

7.
If you want to remove an attachment, simply select the attachment by placing a check in the option beside it in the Current file attachments section and then clicking the Remove button.

8.
When you are satisfied with the attachments, click Close to return to the e-mail.

If you are using the Basic Client, you can add attachments by clicking the attachment button (the paper clip) beside the Save button at the top of the e-mail. This loads a page in the current window; to add attachments, simply follow steps 38. When you are finished adding attachments, you can send the e-mail by clicking the Send button.

14.22. How Do I Request Read or Delivery Receipts for an E-mail?

Times will probably arise when you would like to know whether an e-mail has been delivered to somebody's mailbox or whether the recipient has read the e-mail. In these situations, you need to make use of a Delivery Receipt and a Read Receipt, respectively. You can do this in both the Premium Client and the Basic Client. Here's how:

1. | If you are using the Premium Client, click the Options button at the top of the e-mail that you are composing.
2. | The Message Options dialog box appears.
3. | In the Tracking options section are two options: Request a delivery receipt for this message and Request a read receipt for this message. Check the boxes that you require and click Close to return to the e-mail.
4. | If you are using the Basic Client, click the Options drop-down list.
5. | From here you can select one of these options: Read receipt requested, Delivery receipt requested, or Request both. The meaning of each of these options should be clear from the name.
6. | When you are finished composing the e-mail, simply click Send. OWA automatically requests the necessary receipts.

NOTE

Because of the large and annoying issue of spam, most e-mail servers do not send delivery receipts by default. This helps prevent the e-mail server from confirming that a particular e-mail address exists. A lot of spammers send millions of e-mails to random addresses and request delivery receipts for them. If a mail server automatically responded with a delivery receipt, it would confirm that the address was valid and the spammers could then add that address to SPAM lists.

14.23. Can I Set the Priority or Sensitivity of an E-mail When Sending?

If you want to adjust the priority, you can do so in both the Premium and the Basic Clients. If you are using the Premium Client, you can also set the sensitivity of the e-mail. This is how you do it:

1. | If you are using the Premium Client, click the Options button at the top of the e-mail that you are composing.
2. | The Message Options dialog box appears. In the Message settings section, you can set the priority of an e-mail by selecting the desired priority from the Importance drop-down list.
3. | You can also set the sensitivity of the e-mail to Normal, Personal, Private, or Confidential by selecting one of these options from the Sensitivity drop-down list.
4. | When you are finished, just click Close to return to the e-mail. If you are using the Basic Client, you can set the priority of the e-mail by selecting Low, Normal, or High from the Importance drop-down list.
5. | When you are satisfied with the options you have selected, you can send the e-mail by clicking the Send button.

14.24. How Do I Use Signatures When Working in OWA?

You can automatically add signatures to e-mails you send in both the Premium and Basic OWA Clients. To do this, you first need to create the signature that you want to be appended to the e-mails. With the Basic Client, you can configure OWA only to append the signature to all e-mails or none. With the Premium Client, you can configure OWA to append the signature to all e-mails, but you can also add the signature on a per-e-mail basis, if you desire.

Here is how to create, configure, and use your signatures:

1. | To create a signature, click Options on the Navigation Pane.
2. | Go to the Messaging Options section.
3. | If you are using the Premium Client, click Edit Signature to display the Signature page. From here, you can create your signature using the formatting tools available. When you are satisfied with the signature that you have created, click Save and Close. If you are using the Basic Client, you can compose the signature in the text box under Messaging Options.
4. | When you have created your signature, you can configure OWA to automatically include it in the e-mails you send by checking the Automatically include my signature on outgoing messages option.
5. | Click Save and Close to save your new settings and return to the folder you were previously viewing.

If you are using the Premium Client and you know that you want to include the signature on only a small number of e-mails, you can do so by unchecking the option mentioned in Step 4 and then clicking the Insert Signature button (next to the Print button) on each of the e-mails that you are writing.

14.25. How Do I Spell-Check My E-mail Before Sending?

No doubt at times you have carefully crafted an e-mail and sent it, only to realize afterward that there were some obvious spelling mistakes that you did not notice before sending. To help overcome this, you can spell-check your e-mail before sending it if you are using the Premium Client. To do this, simply click the Spelling button at the top of the e-mail (the button with a tick and the letters abc on it).

The first time you do this, you are presented with the Spelling dialog box, shown in Figure 14-11. From here, you need to select a dictionary that you want to use for this and subsequent spell checks. To do this, simply select a language from the Spelling Language drop-down list and then click Check Document to spell-check the e-mail.

Figure 14-11. The first time you run a spell check, you are asked to select a dictionary.

After you click Check Document, OWA displays a dialog box similar to the one shown in Figure 14-12. This dialog box behaves the same as the spell-checking dialog box in Outlook 2003. You can replace the text of an incorrect spelling manually or select from one of the suggestions.

Figure 14-12. The spell-checking dialog box.

You can configure OWA to automatically spell-check all of your emails before you send them. You can do this when you first do a spelling check by checking the Always check spelling before sending option (see Figure 14-11). You can also enable or disable automatic spell checking, along with other spelling options, by following these steps:

1. | Click Options on the Navigation Pane.
2. | Go to the Spelling Options section.
3. | Check or uncheck the Always check spelling before sending option to enable or disable automatic spell checking.
4. | You can change the spelling language by selecting a new language from the Select the language of the dictionary to use while checking spelling drop-down list.
5. | You can also configure the spell checker to ignore words with numbers or words in uppercase by checking the appropriate options under Spelling Options.


Calendar

14.26. How Do I View My Calendar?

You can view your calendar in the Premium or the Basic Clients by clicking the Calendar button on the Navigation Pane. If you are using the Premium Client, you can also view the calendar by clicking a calendar folder in the folders section of the Navigation Pane.

When you first open the calendar, you are presented with a screen similar to the one shown in Figure 14-13. On the right side of the screen is a calendar that displays the current month; the current date is highlighted in red. The center of the screen displays the calendar view of the currently selected day. This section can display different views of your calendar items, as explained in FAQ 14.27.

Figure 14-13. The default view of your calendar.

[View full size image]

14.27. What Are the Different Ways I Can View My Calendar Entries?

As with Outlook 2003, you can have a number of different views of your calendar when using OWA. If you are using the Premium Client, you have three different views at your disposal; the Basic Client provides you with only two views.

These views are available:

  • Daily The Daily view is used to display a single day at a time, split into hourly segments. Each hour is then split in two, enabling you to enter items for each half-hour. The Premium Client displays the hourly segments for the entire day and highlights the hours defined as the working day in a different color than the nonwork hours (see FAQ 14.33). The Basic Client displays hours only starting at the beginning of the time defined as the start of the working day.

  • Weekly The Weekly view displays an overview of each day in the current week, starting at the currently defined weekly start day. You can set the day that is defined as the start of a week by following the instructions in FAQ 14.34. The Premium Client displays the Weekly view in a similar way to Outlook 2003, and the Basic Client displays it as a list of days.

  • Monthly This view is available only when using the Premium Client. It displays an overview of the currently selected month and certain days on either side of that month in 42 boxes.

If you are using the Premium Client, you can select which view to use by clicking one of the view options, 1 (Daily), 7 (Weekly), or 31 (Monthly), to the right of the Today button. When using the Basic Client, you can select the view by selecting either Daily or Weekly from the View drop-down list, which appears to the right of the Today button. The Today button, in both the Premium and Basic Clients, displays the current date in the Daily view. This is useful if you are viewing some other date and you need to quickly return to today's date.

14.28. How Do I Go to a Date in the Calendar?

To go to a date in the calendar, you can simply click that date in the calendar that is visible on the right side of the screen. You can select the month that is currently displayed in the calendar on the right side by clicking the Previous or Next arrows to the left and right, respectively, of the current month. When you are using the Premium Client and you click a date in the calendar, it displays the daily view for that particular date, regardless of what view you are currently displaying. However, with the Basic Client, if you are currently viewing the weekly view and you click a date on the calendar, it shows the weekly view for the week that the selected date is in.

14.29. How Do I Add a New Appointment or Modify an Existing One?

As with creating an e-mail (see FAQ 14.20), you can create a new appointment from almost any location in both the Premium and Basic Clients. If you are using the Premium Client, simply click the drop-down arrow next to the New button that appears at the top of most of the OWA pages and select the Appointment option to create a new appointment (see Figure 14-14). If you are using the Basic Client, you can create a new appointment by selecting Appointment from the drop-down list beside the New button. When you have selected the appointment, click New to load a blank appointment into the current view.

Figure 14-14. Creating a new appointment in the Premium Client.

[View full size image]

To create the appointment or meeting, follow these instructions:

1.
Enter the purpose of the appointment in the Subject field. If you know the location of the appointment when you are creating it, you can enter this information into the Location field.

2.
Next, enter the start date and time in the Start time fields and the end date and time in the End time fields. If the appointment takes up an entire day or multiple days, place a check in the All day event option and end the start and end dates.

3.
To help keep track of your availability, you can specify how you want your time to be shown. You can do this by selecting Busy, Free, Tentative, or Out of office from the Show time as drop-down list.

4.
If you need to invite other people and you are using the Premium Client, click the Invite Attendees button at the top of the appointment form. This displays a form similar to the one shown in Figure 14-15. The Basic Client shows the same information on the main page.

Figure 14-15. Inviting others to the new appointment.

[View full size image]

5.
You can specify the people to send invites to by filling in their names in the Required, Optional, and Resources fields. You can use the Address Book to fill in these fields by following the instructions in FAQ 14.45.

6.
When you are ready, you can send the invites by clicking the Send button. If you are not inviting anybody else to the appointment, simply click the Save and Close button to record the appointment in your calendar.

To modify an existing appointment, simply double-click the appointment if you are using the Premium Client or single click if using the Basic Client. You can modify the different fields of the appointment by following the steps in this FAQ.

14.30. How Can I Create Recurring Items in the Calendar?

Everybody has things that they do on a regular basis. If you are in the office, you might have a regular meeting with your peers, or it might be your turn to clean the office canteen every second Friday. Perhaps you have a weekly schedule for going to the gym, and you want to track it in your calendar. Regardless of the reason, you can add recurring items to the calendar easily.

You can create a new recurring item or modify an existing one. Here's how you can create a recurring item:

1. | Create the new item or open the existing item, as explained in FAQ 14.29.
2. | Click the Recurrence button, which is represented by two arrows in a circle.
3. | If you are using the Premium Client, you are presented with the Recurrence pattern dialog box. If you are using the Basic Client, the Recurrence pattern configuration page loads into the current window.
4. | From here, you can set the Recurrence pattern, which defines exactly when the appointment recurs; you can also set the Range of recurrence, which specifies how long the Recurrence pattern lasts or how many times the item recurs.

Figure 14-16. Setting a schedule for a recurring item you want to add to the calendar.

14.31. Can I Move an Appointment to a Different Time or Date?

It is not possible to predict the future, so there will no doubt be times when you have to change the time or date of an appointment. If you are using the Premium Client, you can change the time of an appointment by simply dragging the appointment to the new time.

On the other hand, if you are using the Basic Client or if you want to change the date of the appointment, you can do so by opening the appointment and modifying the Start time; if necessary, you also can modify the End time. FAQ 14.29 explains how to open an existing appointment and modify it. When you are satisfied with the new times, simply click the appropriate button, either Send or Save and Close.

14.32. How Can I Set Reminders for Items in the Calendar?

Most people use the calendar to keep track of the things they are doing and also to ensure that they do not forget something important. However, people often forget to check their calendar and, in doing so, probably will forget the exact thing that they were using the calendar to remember.

This is where reminders come in. A reminder pops up on the screen and plays a sound to simply remind you of an item that you have recorded. You can add reminders for your calendar items by following the instructions in FAQ 14.44.

14.33. How Can I Set the Working Day Start and Finish Times?

As mentioned in FAQ 14.27, you can specify the working start and finish times. These times affect how the Daily Calendar view is displayed. To modify these values, follow these steps:

1. | On the Navigation Pane, click Options.
2. | Go to the Calendar Options section.
3. | You can set the work day start time by selecting a value from the Day start time drop-down list.
4. | To set the work day end time, select the time from the Day end time drop-down list.
5. | When you have configured the times, click the Save and Close button to save the times and return to the folder that you were viewing before you clicked Options.

14.34. How Do I Set Which Day a Week Starts On?

When using your calendar, you can specify the day on which a week starts. This day affects the Weekly view of your calendar items and also affects how the calendar on the right of the screen is displayed. Here's how to do it:

1. | On the Navigation Pane, click Options.
2. | Go to the Calendar Options section.
3. | To set the day the week starts on, select the day from the Week begins on drop-down list.
4. | When you have configured the day, click the Save and Close button to save the days and return to the folder that you were viewing before you clicked Options.


Contacts and Distribution Lists

14.35. How Do I View My Contacts?

You can view your contacts in both the Premium and Basic Clients, and both clients offer similar views of your contacts (see FAQ 14.36). To view the contacts, simply go to the Navigation Pane and click the Contacts button. If you are using the Premium Client, you can also go to your contacts by clicking the contact folder in the folder list in the Navigation Pane. If you have multiple contacts folders, you can go straight to a particular folder by expanding the contacts folder in the folder list and clicking the contacts folder.

When you open a contacts folder, you are presented with a screen similar to the one shown in Figure 14-17. By default, OWA displays your contacts in the Address Cards view. Only a certain number of items can be displayed on each page, so OWA might split your contacts into multiple pages. If this is the case, you can use the First Page, Previous Page, Next Page, and Last Page buttons on the top right of the screen to navigate through your contacts.

Figure 14-17. The default Contacts view when using the Premium Client.

[View full size image]

14.36. What Are the Different Ways I Can View My Contacts?

Regardless of whether you are using the Premium or Basic Clients, when accessing OWA, six different views enable you to quickly see different aspects of your contacts. If you normally use Outlook 2003 to work with your contacts, all of these view should be familiar to you because they emulate the views provided by Outlook.

The views for both the Premium and Basic Clients are as follows:

  • Address Cards The Address Cards view displays basic information about each of your contacts.

  • Detailed Address Cards This view is the same as the Address Cards view, but more details about the contacts are displayed if they are available.

  • Phone List The Phone List view displays your contacts in ascending alphabetical order based on the display name. This view shows the Business Phone, Business Fax, Home Phone, and Mobile Phone numbers for each of the contacts, if the numbers are available.

  • By Company This view displays your items grouped by company. The groups are arranged in ascending alphabetical order based on the company name; the contacts within each group are arranged in ascending alphabetical order based on their display name.

  • By Location This view is similar to the By Company view, except that it groups items based on the Country/Region value of each of your contacts.

  • By Followup Flag The By Followup Flag view displays your contacts grouped based on the follow-up flags, if any, that have been applied to the different items.

To select a view when you are using the Premium Client, simply click the drop-down list that appears above the list of your contacts and just to the right of the word contacts. From the drop-down list, you can then select from one of the views listed in this FAQ. If you are using the Basic Client to access your account, you can choose a view by selecting the desired view from the View drop-down list. Regardless of which client you are using, when you select a view from the drop-down list, OWA changes to that view immediately.

14.37. How Do I Create or Modify a Contact?

The process for creating a new contact differs slightly depending on whether you are using the Premium Client or the Basic Client. If you are using the Premium Client, you can create a new contact by clicking the arrow to the right of the New button that appears on most of the pages in the Premium Client. This displays a drop-down menu; from this menu, simply click Contact to create a new contact. On the other hand, if you are using the Basic Client, you can create a new contact by selecting Contact from the drop-down list to the right of the New button and then clicking New.

When you click the New button, you are presented with a page similar to the one shown in Figure 14-18. As you can see, this page is almost identical to the one that is used in Outlook 2003. The only real difference is that you cannot define a picture for the contact.

Figure 14-18. Creating a new contact or modifying an existing contact when using the Premium Client.

[View full size image]

You can also modify a contact. To open the contact, double-click it if you are using the Premium Client, or single-click it if you are using the Basic client. You then are presented with a page like the one in Figure 14-18. The difference is that certain fields on the page will already be populated.

To create or modify the contact, simply fill in the details in the fields supplied. Along with fields for the First Name, Middle Name, and Last Name, you can fill in details such as the Job Title and the Company the contact works for. OWA also enables you to enter up to15 numbers, ranging from a Business Number, to a Car Phone Number, to an ISDN Number. You can also specify three different e-mail addresses and three addresses, including Home, Business, and Other (see FAQ 14.38).

When you are finished creating or modifying a contact, you can save the contact by clicking the Save and Close button. This closes the contact page and returns you to the folder you were viewing.

14.38. How Do I Add or Modify Addresses for a Contact?

As mentioned in FAQ 14.37, you can add three different addresses to a contact:

  • Home address

  • Business address

  • Other address

You can also specify one of these addresses as being the mailing address for the contact. To add an address to a contact, follow these steps:

1. | Open the contact by double-clicking it if you are using the Premium Client or by single-clicking it if you are using the Basic Client.
2. | In the Address section, select the address that you want to add or modify from the drop-down list.
3. | Enter the address by filling in some or all of the following fields: Street, City, State/Province, Postal Code, and Country/Region.
4. | If you want the address you are entering to be the mailing address for the contact, select the Mailing address option.
5. | When you are finished click Save (Basic Client) or Save and Close (Premium Client).

14.39. How Can I Get a Map Showing the Location of a Contact's Address?

You can display a map showing the location of the address of a contact by opening the contact and then clicking the Display map for this address button, the yellow button shaped like a diamond with an arrow on it. This takes you to a Web site that shows the location of the address that was visible when you were viewing the contact.

14.40. How Do I Add Phone Numbers and Business Details for a Contact?

Outlook 2003 enables you to associate up to 15 numbers with a contact and also to enter business details such as the contact's Department, Profession, Office, Assistant, and Manager. OWA is no different. When using the Premium Client, you can add all the details (except a picture) to a contact that you could add if you were using Outlook 2003 itself. The Basic Client, on the other hand, doesn't allow you to add these business-related details.

Nevertheless, here is how you can add phone numbers and business information to a contact:

1. | Open the contact by double-clicking it if you are using the Premium Client or by single-clicking it if you are using the Basic Client.
2. | To add a Business, Home, or Mobile Phone number, simply type the number into the relevant field in the top-right side of the contacts page.
3. | You can add numbers by selecting the name of the number you want to add from the drop-down list that is visible just below the Mobile Phone field and then entering the number into the field provided.
4. | If you want to add another number, simply select another option from the drop-down list and type in the new number in the field. OWA automatically stores the numbers you enter.
5. | If you are using the Basic Client, you cannot add business details to the contact, so you can save the numbers that you just entered by clicking the Save button. If you are using the Premium Client, you can click the Details tab to display the business details of the contact. From here you can enter the business details mentioned at the beginning of this FAQ.
6. | When you are satisfied with the details you have entered, you can save them by clicking the Save and Close button.

14.41. Can I Add Attachments to a Contact and, If So, How?

Absolutely. As with the majority of items in Outlook 2003 and OWA, you can add attachments to contacts. To add attachments, you first need to ensure that the contact is open. You can do this by double-clicking it if you are using the Premium Client or by single-clicking it if you are using the Basic Client. With the contact open, you can add attachments to it by following these steps:

1. | Click the Attachments (paper clip) button at the top of the contact, just to the left of the Delete button. This opens a new window similar to the one shown in Figure 14-10, earlier in this chapter.
2. | To add an attachment to the contact, click the Browse button. This displays the Choose File dialog box.
3. | Browse for the file you want to attach, highlight it, and click Open.
4. | To actually attach the file to the contact, click the Attach button. At this stage, the file is uploaded to the Microsoft Exchange Server and attached to the contact. Depending on the size of the file, this could take some time. The larger the attachment is, the longer it will take. You can add other attachments by following Steps 24 again.
5. | If you want to remove an attachment, simply select the attachment by placing a check in the option beside it in the Current file attachments section and then clicking the Remove button.
6. | When you are satisfied with the attachments, click Close to return to the contact.
7. | You can now save the contact by clicking Save or Save and Close.

14.42. How Do I Create or Modify a Distribution List?

A Distribution List is collection of contacts that have been given a single name. Distribution Lists provide you with a way to quickly and easily send an e-mail to a group of people. Refer to FAQ 3.35 in Chapter 3, "Address Book, Contacts, and Distribution Lists," for more details. You can create or modify a Distribution List using OWA by following these instructions:

1.
If you are using the Premium Client, click the drop-down arrow to the right of the New button and select Distribution List.

If you are using the Basic Client, select Distribution List from the drop-down menu and then click New.

2.
If you want to modify a Distribution List instead of creating a new one, you can do so by double-clicking the existing list if you are using the Premium Client, or single-clicking it if you are using the Basic Client.

3.
Regardless of the client you are using, you are presented with a page similar to the one shown in Figure 14-19. Type the name you want to give to the Distribution List in the List Name field. In Figure 14-9, you can see that Family has been specified as the list name. As a result, the entire group of people defined in that list will be e-mailed whenever the Family list is included in any of the addressee fields, To, Cc, or Bcc.

Figure 14-19. Creating a new Distribution List or modifying an existing one when using the Premium Client.

[View full size image]

4.
To add a name to the list, enter it into the Add to Distribution List field and click Add.

Alternatively, click the Find Names button to display the Find Names dialog box. From here, you can search for contacts and add them to the Distribution List by highlighting them and clicking the Add recipient to Distribution List button.

5.
When you are finished adding names to the Distribution List, you can save it by clicking the Save or Save and Close buttons.


Miscellaneous

14.43. How Do I Create or Delete Folders?

OWA enables you to quickly and easily create new folders or delete existing ones. If you are using the Premium Client, you can do both things in a number of different ways. Here is how you can create a new folder when using the Premium Client:

1.
Right-click an existing folder and select New Folder from the context menu that appears.

Alternatively, click the drop-down arrow to the right of the New button that appears on most Premium Client pages and select Folder from the list.

2.
You are presented with the Create New Folder dialog box, shown in Figure 14-20. Type the name of the new folder in the Name field.

Figure 14-20. The dialog box for creating new folders in the Premium Client.

3.
Next, select the type of items that will be stored in the folder by selecting it from the Folder contains drop-down list.

4.
Highlight the location where you want to place the new folder. When you are ready, click OK.

To delete a folder when using the Premium Client, simply right-click it and click Delete on the context menu that appears. OWA prompts you to confirm that you want to delete the folder. Just click OK, and the folder is deleted.

If you are using the Basic Client, you can create a new folder by following these steps:

1. | Navigate to your folder list by clicking Folders in the Navigation Pane.
2. | From the list of folders, click the one that you want to create the new folder under.
3. | Next, select Folder from the drop-down menu that appears on the right side of the New button, and then click New.
4. | OWA takes you to another page, where you can enter the name of the new folder into the Name of the folder field and specify the type of items that will be stored in the file by selecting an option from the The new folder will contain drop-down list.
5. | Finally, click Create to create the new folder.

To delete a folder in the Basic Client, browse to the location where the folder is and select it by checking the option to the left of it. When the option has been selected, you can delete the folder by clicking the Delete button.

14.44. How Do I Set and Configure Reminders?

You can set a reminder for an item such as a calendar entry or a task when you create it or at a later date. Reminders help to ensure that you do not forget about important items by automatically reminding you of them. A reminder does this by displaying a dialog box on the screen, playing a sound to get your attention, and then listing the items that the reminder is for.

Here's how to add a reminder to an item that supports reminders:

1. | Open the item that you want to set the reminder for by double-clicking it if you are in the Premium Client or single-clicking on it if you are using the Basic Client.
2. | To set a reminder for the item, simply check the Reminder option.
3. | You can specify how far in advance you want to be reminded by selecting a value from the Reminder drop-down list.
4. | When you are happy with the reminder settings for the item, click the Save or Save and Close button.

You can also configure reminders by following these steps:

1. | Click Options in the Navigation Pane.
2. | Scroll to the Reminder Options section. You can enable or disable reminders for the items in the calendar by checking or removing the check from the Enable reminders for Calendar items option.
3. | You can enable or disable reminders for your tasks by checking or removing the check from the Enable reminders for Tasks items option.
4. | You can also enable or disable the sound that is played when a reminder is displayed by checking or removing the check from the Play a sound when a reminder is due option.
5. | To change the default time for a reminder, select the value you desire from the Default reminder drop-down list.
6. | When you are finished configuring the reminders, save the settings by clicking the Save or Save and Close button.

14.45. How Do I Use the Address Book?

A number of different items through OWA can make use of the address book. These include e-mails, tasks, appointment attendees, and so on. To display the address book at any stage in both the Premium and Basic Clients, simply click the Address Book button, which appears to the left of the Help button at the top of most pages in both Clients.

You can also display the address book by clicking the To, Cc, or Bcc buttons when you are creating an e-mail. Also, when you are inviting attendees to an appointment, you can display the address book by clicking the Required, Optional, and Resources buttons. There are also a number of other locations where the address book can be displayed, such as in Distribution Lists and Posts to public folders.

Regardless of where and how you open the address book, you are presented with a dialog box similar to the one shown in Figure 14-21. You can select which address book you want to search by selecting one from the Find names in drop-down list. To find a name in the address book, enter some details about the contact, such as the first letter of the Last name, and then click Find. OWA displays all entries in the selected address book that match the search criteria you specify. You can then use the found addresses by highlighting them and clicking one of the action buttons, such as To, Cc, Bcc, Add to distribution list, and so on. When you are finished with the address book, click Close to return to the item or folder you were viewing before you opened it.

Figure 14-21. The Premium Client address book for adding addresses to the To, Cc, and Bcc fields of an e-mail.

    Previous Page
    Next Page


Chapter 15. PRIVACY, DATA SECURITY, AND VIRUS PROTECTION

    Privacy and Data Security

    Attachments

    Encrypting E-mails and S/MIME Receipts

    Digital Signatures and Digital IDs

    Viruses and Macros

    Security Labels


Privacy and Data Security

15.1. How Can I Protect My Outlook Data on a Shared Computer?

It is probably true to say that the vast majority of home computer users these days share their computer with other people: family members, friends, or the annoying roommate in a university dorm room. In some situations, computers are shared between employees in offices. All this sharing of computers can lead to some obvious questions when thinking about Outlook: Will other people be able to access my Outlook data? And if so, how can I secure my data so that only I have access?

The answer to the first question is a simple "yes." If you share your computer with other people and they have access to your Windows account, then, by default, they will be able to access your Outlook data. If the other people do not have access to your Windows account, it is more difficult for them to gain access to your Outlook data. However, you can secure your Outlook data in a number of ways, regardless of whether you share a Windows account with the other people.

To help ensure that your Outlook data is safe from prying eyes, it is necessary to password-protect your data. Unfortunately, Outlook does not allow you to password-protect Outlook profiles (Outlook profiles are explained in FAQ 1.19). This means that other people who share your Windows account can gain access to your profile. Nonetheless, your Outlook profile is essentially just a record of your e-mail accounts and their settings; if somebody gains access to your profile, that does not necessarily mean that this person will have access to your data.

Each profile has one or more Personal Folders files (covered in FAQ 1.22, in Chapter 1, "Setup and Configuration"), which are the actual locations where your data, such as e-mails, contacts, notes, and journal entries, is stored. This is the last line of defense when it comes to your Outlook data, so you should secure the Personal Folders file by password-protecting it (covered in FAQ 15.2).

Just to recap, the best way to ensure that nobody else has access to your Outlook data is to ensure that…

  • You are the only person who has access to your Windows account.

  • You do not share an Outlook profile with other users of the computer. Every user of Outlook should have a separate profile (covered in FAQ 1.29 ). If all people use separate Windows accounts, you will automatically have different profiles.

  • You password-protect your Personal Folders file(s) and store all your data in these files, not in an unprotected Personal Folders file.

15.2. How Can I Set a Password from My Personal Folders File?

One of the best ways to protect your data within Outlook is to keep all the data in a password-protected Personal Folders file. This helps to ensure that you are the only person with access to the data that is stored in that file. Here's how to set or change a password for a Personal Folders file:

1.
From the File menu, select Data File Management.

2.
In the Data Files section, highlight the Personal Folders file that you want to set the password for and click the Settings button. This displays the properties for the selected Personal Folders file (see Figure 15-1).

Figure 15-1. The settings for a particular Personal Folders file.

3.
This dialog box shows details such as the Name of the Personal Folders file (which you can change by entering the desired name in the Name field), the location of the file, the encryption being used, the format of the file, and any comments that you have recorded for this file. You can also compact the Personal Folders file by clicking the Compact Now button.

4.
To set a password, first click the Change Password button. This displays the Change Password dialog box (see Figure 15-2).

Figure 15-2. Setting or changing the password for a Personal Folders file.

From here you can set a password for the Personal Folders file. If there was no password before, leave the Old password field blank and enter your desired password into the New password and Verify password fields. If you are changing an existing password, type the existing password into the Old password box and then enter the new password into the New password and Verify password fields.

5.
If you want Outlook to ask you to enter your password when you try to view data in the Personal Folders file, you need to ensure that the Save this password in your password list option is not checked. However, if you are the only person who has access to your particular Windows account, you might want to check this box. This will ensure that you do not have to enter the password, but if somebody else was to get your Personal Folders file and try to open it on another Windows account, that person would have to enter the password for the file.

6.
When you are ready, click the OK buttons of the dialog boxes that are displayed until you are returned to Outlook.

15.3. Why Is Outlook Not Requiring Me to Enter My Personal Folders Password?

This situation occurs when you have told Outlook to store the password for the Personal Folders file in the password list. This means that when you try to access data in the Personal Folders file, Outlook simply retrieves the password from the password list and opens the file without prompting you. This can be useful if you are the only person who has access to your Windows account because it ensures that you never have to enter your password. If somebody else gained access to your Personal Folders file, that person would not be able to open it on another Windows account.

However, if you share your Windows account or you simply want to have Outlook prompt you for the password, here's how to do it:

1. | From the File menu, select Data File Management.
2. | In the Data Files section, highlight the Personal Folders file that the password has been set for and click the Settings button.
3. | Click the Change Password button to display the Change Password dialog box (see Figure 15-2).
4. | To ensure that Outlook prompts you for the password, remove the check from the Save this password in your password list option. If in the future you want to configure Outlook to open the Personal Folders file without prompting you for the password, simply return to this location and place a check in the option.

15.4. How Do I Ensure That E-mail Is Delivered to a Password-Protected Personal Folder File?

If you have multiple Personal Folders files, you might not have password-protected all of them. In such a situation, it is important to ensure that your e-mails are being stored in a Personal Folders file that has been password-protected. Here's how you can do just that:

1. | From the Tools menu, select E-mail Accounts.
2. | On the E-mail Accounts dialog box that appears, click Next.
3. | The next screen lists the different e-mail accounts that you use. To ensure that your e-mail is stored in the correct Personal Folders file, look toward the bottom for this dialog box.
4. | Select the Personal Folders file that has been password-protected from the Deliver new e-mail to the following location drop-down list.
5. | When you are finished, click the Finish button to save the settings. From now on, your e-mail will be delivered to the Personal Folders file that you selected.

15.5. How Do I Specify to Always Be Prompted for My Exchange Server Username and Password?

If you are using a Microsoft Exchange Server e-mail account, it is possible to have Outlook always ask you for your username and password before accessing the account. This can be useful if multiple people are using the Windows account. Here's how to do it:

1. | From the Tools menu, select E-mail Accounts.
2. | On the E-mail Accounts dialog box that appears, select View or change existing e-mail accounts and click Next.
3. | Highlight your Microsoft Exchange Server e-mail account and click Change.
4. | On the dialog box that appears, click the More Settings button.
5. | This displays the Microsoft Exchange Server dialog box. Ensure that the Security tab is visible by clicking it.
6. | In the User identification section, check the Always prompt for user name and password option.
7. | Click OK, then Next, and finally Finish to return to Outlook.

15.6. How Do I Specify to Always Be Prompted for My E-mail Account Username and Password?

If you are sharing a Windows account with other users, along with password-protecting your Personal Folders file (covered in FAQ 15.2), you might want to configure Outlook to always ask you for your e-mail account username and password. This will ensure that people who do not know your password will not be able to retrieve any of your new e-mails. Here's how to do it:

1. | From the Tools menu, select E-mail Accounts.
2. | On the E-mail Accounts dialog box that appears, select View or change existing e-mail accounts and click Next.
3. | Highlight your e-mail account for which you want Outlook to ask the username and password, and click Change.
4. | On the dialog box that appears, under the Login Information section, remove the check from the Remember password option.
5. | Click Next and finally click Finish to return to Outlook.

15.7. How Do I Specify the Default Level of Encryption Used for New Personal Folder Files?

When you are creating a new Personal Folders file (covered in FAQ 1.24 ), you also have the option to set the level of encryption that Outlook will use to encrypt your data stored within the file. If an unsavory character managed to get hold of your Personal Folders file, the level of encryption could easily determine whether that person could view your data.

The higher the encryption, the more complicated it is for someone else to view your data. However, with high encryption, accessing your data is also slower because your data needs to be decrypted when you want to view it. You should choose the level of encryption you want based upon how secret you want you data to be kept. Here's how to determine the level of encryption:

1.
Ensure that Outlook is open and then select New from the File menu.

2.
Select the Outlook Data File menu option to display the New Outlook Data File dialog box.

3.
From the New Outlook Data File dialog box, select the type of Personal Folders file that you want to create and click the OK button.

4.
When the Create or Open Outlook Data File dialog box appears, select the location in which you want to save the Personal Folders file and type in the name of the file (or accept the default). When you're done, click the OK button.

5.
At this point, the Create Microsoft Personal Folders dialog box is displayed. In the Name field, enter the name you want to appear in the Outlook folders list for the new data file.

6.
At this stage, you should have a dialog box similar to the one shown in Figure 15-3.

Figure 15-3. Setting the encryption level when creating a new Personal Folders file.

Three encryption levels are available in the Encryption Setting section of the dialog box No Encryption, Compressible Encryption, and High Encryption. Select the encryption level that you want and then click OK to create the new Personal Folders file.

NOTE

If your data is extremely sensitive, you should choose the High Encryption setting. The default value is Compressible Encryption because it offers an acceptable compromise between speed and data protection.

15.8. How Do I Prevent Outlook from Sending Personal Information Associated with Sent Files?

If you are using Outlook to send your e-mail, chances are good that you will be using other applications from the Microsoft Office suite, such as Word, Excel, or PowerPoint. Generally, when you save a file from one of these applications, the file includes personal information such as the name of the author, the name of your company, and any comments that might have been attached to the file.

It is possible to manually remove this information from a file before sending it via e-mail by right-clicking the file, going to Properties on the context menu, and then clicking the Summary tab and removing the data. However, when you send the file via e-mail using Outlook, some of that information is added to the file again. Here's how you can prevent this from happening:

1. | From the Tools menu, select Options.
2. | On the dialog box that appears, ensure that the Preferences tab is selected.
3. | Click E-mail Options and then, under the Message Handling section, click the Advanced E-mail Options button.
4. | At the bottom of the dialog box that appears, in the When sending a message section, you will see the Add properties to attachments to enable Reply with Changes option. To prevent Outlook from adding personal information to certain attachments when sending, ensure that this option is not checked.

15.9. What Are Security Zones?

Security zones are logical groupings of Internet locations to which you can apply different security settings. Each zone has its own individual security settings that can be changed independently of the other zones. Any Outlook item that falls within a particular security zone is subject to the security restrictions that have been defined for that particular zone. It's a bit like saying to an item, "When you are under my roof, you follow my rules," except that the roof is a particular security zone and the rules are the security settings for that zone.

Four different security zones exist, each of which has its own default settings that you can customize (see FAQ 15.10). Here is a list of the zones and some information about the zones:

  • Internet zone The Internet zone defines security settings that apply to all items that originated from Internet locations that are not covered by the other three zones.

  • Local intranet This zone defines the security settings that are applicable to items that come from locations within your local intranet.

  • Trusted sites The Trusted sites zone specifies the security settings for sites that you have manually chosen to trust.

  • Restricted sites Any items that originate from the sites specified within the restricted sites zone are subject to the security settings defined for this zone.

The Trusted sites and Restricted sites security zones contain only locations that you have manually defined (covered in FAQ 15.11). By default, the Local Intranet zone includes all sites that you have set to bypass your network's proxy server, all local intranet sites that do not appear in either the Trusted sites or Restricted sites security zones, and also network paths on your local network.

15.10. How Do I Change the Security Settings for a Particular Security Zone?

FAQ 15.9 gave a quick overview of security zones. By default, each security zone has one of the four default security settings configurations: High, Medium, Medium-low, or Low. However, you can set the security level to each zone to any one of these predefined security settings configurations; it is also possible to set custom security levels for each of the zones.

For example, you might want to enable some features for sites on the Local Intranet zone that are not enabled at its default level (the default level for the Local Intranet security zone is Medium-low).To change the security settings for a particular zone, just follow these instructions:

1.
From the Tools menu, select Options to display the Options dialog box.

2.
Ensure that the Security tab is visible by clicking it.

3.
Next, in the Security Zones section, click the Zone Settings button to display the Security dialog box (see Figure 15-4).

Figure 15-4. The four security zones Outlook uses.

4.
Select the security zone for which you want to modify the settings by clicking it.

5.
To change the security settings to one of the four predefined configurations, click the configuration you want on the vertical slide rule to the left of the dialog box.

6.
If you want to manually choose which security settings to use, you can do so by clicking the Custom Level button and selecting the security options that you want.

7.
If the selected security zone already has a custom level, you can reset it to the default security configuration for that zone by clicking the Default Level button.

8.
When you are satisfied with your security settings, click OK and then OK again to return to Outlook.

NOTE

Note that the changes that you make to the security zones don't apply just to Outlook. These security zone settings also apply to Internet Explorer, Outlook Express, and other programs that use the security zones.

15.11. How Do I Add or Remove Sites from the Different Security Zones?

To add or remove sites from the three different security zones that allow it (the Local intranet, Trusted sites, and Restricted sites zones), just follow these instructions:

1. | From the Tools menu, select Options to display the Options dialog box.
2. | Ensure that the Security tab is visible by clicking it.
3. | Next, in the Security Zones section, click the Zone Settings button to display the Security dialog box (see Figure 15-4).
4. | To add sites to or remove sites from the Local intranet security zone, click the Sites button and then click the Advanced button. Skip ahead to step 7.
5. | To add sites to or remove sites from the Trusted sites zone, select the zone and then click the Sites button. Skip ahead to step 7.
6. | To add sites to or remove sites from the Restricted sites zone, select the zone and then click the Sites button.
7. | If you want to add a site to the selected zone, enter the address of the site in the Add this Web site to the zone field and then click the Add button.
8. | If you want to remove a site, highlight the site in the Web sites box and then click the Remove button.


Attachments

15.12. How Can I Receive an Attachment Outlook Is Blocking?

Because of the large numbers of viruses, Outlook automatically blocks certain types of files attached to e-mails that could possibly cause damage or harm to your system. When you get an e-mail that has one of the file types that Outlook blocks (covered in FAQ 15.13), that attachment automatically is blocked to help protect your computer and your data from harm.

It is entirely possible that the file you received is a genuine file that will not cause any problems to your computer. If this is the case, you can ask the person who sent you the file to resend the file with a different file extension, such as adding .bak to the end of the file. Alternatively, you can open the blocked attachment or actually stop Outlook from blocking a particular file type by following the instructions in FAQ 15.15.

15.13. What File Types Does Outlook Block by Default?

You might be surprised to find out that Outlook blocks many more file types than simply executables and script. Here's a complete table of all the file types (identified by extension) that Outlook will block in order to protect your computer from viruses.

Table 15-1. The File Types Outlook Blocks by Default When Received as Attachments

File Extension

File Type

.ade

Access Project Extension (Microsoft)

.adp

Access Project (Microsoft)

.app

Executable Application

.asp

Active Server Page

.bas

BASIC Source Code

.bat

Batch Processing

.cer

Internet Security Certificate File

.chm

Compiled HTML Help

.cmd

DOS CP/M Command File, Command File for Windows NT

.com

Command

.cpl

Windows Control Panel Applet Files

.crt

Certificate File

.csh

csh Script

.exe

Executable File

.fxp

FoxPro Compiled Source (Microsoft)

.hlp

Windows Help File

.hta

Hypertext Application

.inf

Information or Setup File

.ins

IIS Internet Communications Settings (Microsoft)

.isp

IIS Internet Service Provider Settings (Microsoft)

.its

Internet Document Set, Internet Translation

.js

JavaScript Source Code

.jse

JScript Encoded Script File

.ksh

UNIX Shell Script

.lnk

Windows Shortcut File

.mad

Access Module Shortcut (Microsoft)

.maf

Access (Microsoft)

.mag

Access Diagram Shortcut (Microsoft)

.mam

Access Macro Shortcut (Microsoft)

.maq

Access Query Shortcut (Microsoft)

.mar

Access Report Shortcut (Microsoft)

.mas

Access Stored Procedures (Microsoft)

.mat

Access Table Shortcut (Microsoft)

.mau

Access Shortcut Function (Microsoft)

.mav

Access View Shortcut (Microsoft)

.maw

Access Data Access Page (Microsoft)

.mda

Access Add-in (Microsoft), MDA Access 2 Workgroup (Microsoft)

.mdb

Access Application (Microsoft), MDB Access Database (Microsoft)

.mde

Access MDE Database File (Microsoft)

.mdt

Access Add-in Data (Microsoft)

.mdw

Access Workgroup Information (Microsoft)

.mdz

Access Wizard Template (Microsoft)

.msc

Microsoft Management Console Snap-in Control File (Microsoft)

.msi

Windows Installer File (Microsoft)

.msp

Windows Installer Patch

.mst

Windows SDK Setup Transform Script

.ops

Office Profile Settings File

.pcd

Visual Test (Microsoft)

.pif

Windows Program Information File (Microsoft)

.prf

Windows System File

.prg

Program File

.pst

MS Exchange Address Book File, Outlook Personal Folders file (Microsoft)

.reg

Windows Registry file

.scf

Windows Explorer Command

.scr

Windows Screen Saver

.sct

Windows Script Component, Foxpro Screen (Microsoft)

.shb

Windows Shortcut into a Document

.shs

Shell Scrap Object File

.tmp

Temporary File/Folder

.url

Internet Location

.vb

VBScript File or Any Visual Basic Source

.vbe

VBScript Encoded Script File

.vbs

VBScript Script File, Visual Basic for Applications Script

.vsmacros

Visual Studio .NET Binary-based Macro Project (Microsoft)

.vss

Visio Stencil (Microsoft)

.vst

Visio Template (Microsoft)

.vsw

Visio Workspace File (Microsoft)

.ws

Windows Script File

.wsc

Windows Script Component

.wsf

Windows Script File

.wsh

Windows Script Host Settings File

15.14. Can I Add File Types to the List of File Types Outlook Blocks?

Absolutely. Blocking additional file types involves modifying the Windows Registry, so care should be taken when making these changes. For instructions on how to do add file types to the list of file types that are blocked, follow the instructions in FAQ 4.55.

15.15. How Do I Open Attachments Outlook Has Blocked?

It is possible to open attachments that Outlook has blocked. However, before doing so, you should ensure that you have some antivirus software running, in case the file is a virus. For details on how to open attachments that Outlook has blocked, see the FAQ 15.12.


Encrypting E-mails and S/MIME Receipts

15.16. What Is Encryption and When Should I Use It?

Encryption is the process of converting plain text, such as the text you would send in an e-mail, into scrambled text called cipher text. This cipher text is unreadable and extremely hard to decipher; for somebody to be able to read the original message, that person would have to decrypt the cipher text using a secret password or key. Two types of encryption are used: asymmetric encryption and symmetric encryption. Outlook uses asymmetric encryption when encrypting e-mails.

Asymmetric encryption employs the use of two keys that have been paired together: a secret private key that is known only by the owner of the key, and a public key that can be given to anybody. The person sending the e-mail encrypts the e-mail using the public key of the recipient. When the recipient receives the e-mail, that person uses the secret private key to decrypt the e-mail. This system works because if somebody attempts to decrypt the message with the wrong private key, it won't work and that person will end up with a scrambled message. The message is also encrypted with your private key, which means that the recipient must have a copy of your public key.

Asymmetric encryption is also a slow encryption process, and it takes a small amount of time after you click the Send button for the e-mail to be encrypted and sent. To most people, this time delay is not noticeable, but if speed is paramount and the information you are sending is not mission-critical secret information, it makes sense to not use encryption. It is also necessary to remember that to be able to send an encrypted message to someone, you need to have that person's public key.

15.17. How Do I Encrypt a Message Before Sending It?

If you are sending important data and you want to ensure that only the recipient will be able to read the message, you should encrypt it before sending it. To do this, you need to ensure that you have the recipient's public key stored in the contacts entry for that recipient. To encrypt a message before sending, follow these instructions:

1. | Click the Options button on the message to display the Message Options dialog box.
2. | In the top right of the dialog box, in the Security section, click the Security Settings button.
3. | To encrypt the message when sent, check the Encrypt message contents and attachments option.
4. | You can change additional security settings simply by clicking the Change Settings button.
5. | When you are happy with your chosen settings, click OK and then click Close to get back to your e-mail.
6. | You can now send your e-mail by clicking the Send button. Outlook will encrypt the e-mail before it leaves your outbox.

15.18. Can I Set Outlook to Automatically Encrypt All the E-mails I Send?

Sometimes you want Outlook to automatically encrypt all the e-mails you send. For example, you might be contacting business colleagues about a new contract that needs to be kept secret, or you might be arranging a surprise birthday party for someone and you want to ensure that only the intended recipients can read the e-mails that you send. Whatever the reason, here's how to configure Outlook to encrypt all the e-mails that you send:

1. | From the Tools menu, click Options.
2. | This displays the Options dialog box. Ensure that the Security tab is selected by clicking it.
3. | To encrypt all outgoing e-mails, check the Encrypt contents and attachments for outgoing messages option. You can also change additional settings related to security by clicking the Settings button.
4. | To return to Outlook, click OK.

15.19. Does Using an Exchange Server Mail Account Provide Me Additional Protection?

When you are using a Microsoft Exchange Server e-mail account, you can gain further encryption by encrypting the connection that Outlook uses between your computer and the computer that Microsoft Exchange Server is on. This is useful if you are connecting to the Microsoft Exchange Server across the Internet rather then across a local area network. To configure Outlook to do this, follow these steps:

1.
From the Tools menu, select E-mail Accounts.

2.
On the E-mail Accounts dialog box that appears, select View or change existing e-mail accounts and click Next.

3.
Highlight your Microsoft Exchange Server e-mail account and click Change.

4.
On the dialog box that appears, click the More Settings button.

5.
This displays the Microsoft Exchange Server dialog box. Ensure that the Security tab is visible by clicking it.

6.
In the Encryption section, check the Encrypt data between Microsoft Office Outlook and Microsoft Exchange Server option (Figure 15-5).

Figure 15-5. Setting Outlook to encrypt the data that is sent between it and the Microsoft Exchange Server.

7.
Click OK, then click Next, and finally click Finish to return to Outlook.

15.20. What Is an S/MIME Receipt?

S/MIME Receipts are a way to provide information about whether the e-mail was received unaltered. An S/MIME Receipt also contains information about who opened the e-mail and when they did. The receipt provides you with enough information to determine whether the intended recipient got the mail that you sent and verify that the mail was not changed en route to the recipient.

When you send an e-mail and request an S/MIME Receipt (covered in FAQs 15.21 and 15.22), Outlook will request that the recipient send back a receipt. If the recipient's client software does not support S/MIME, you will not receive any receipt. In this situation, you can contact the intended recipient using other means to confirm that the e-mail was received unaltered.

15.21. How Do I Request an S/MIME Receipt for an E-mail?

If you are sending an e-mail and you want to receive a receipt from the recipient to prove that the recipient got the e-mail and that it was not altered along the way, you need to request an S/MIME Receipt for the e-mail. Outlook enables you to request an S/MIME Receipt on a per-e-mail basis, as explained in this FAQ, or to request a receipt for all e-mails it sends by default, which is covered in FAQ 15.22.

Here's how to configure Outlook to request an S/MIME Receipt for an e-mail you are writing:

1.
Click the Options button on the message to display the Message Options dialog box.

2.
In the top right of the dialog box, in the Security section, click the Security Settings button.

3.
To request an S/MIME Receipt, you first need to tell Outlook to add a digital signature (see FAQ 15.23) to the e-mail. You can do this by checking the Add digital signature to this message option.

4.
Next, to request the S/MIME Receipt, simply select the Request S/MIME receipt for this message option (see Figure 15-6).

Figure 15-6. Requesting an S/MIME Receipt for an e-mail before sending it.

5.
When you are happy with your chosen settings, click OK and then click Close to get back to your e-mail.

6.
You can now send your e-mail by clicking the Send button. Outlook will request that an S/MIME Receipt be returned by the recipient.

15.22. How Do I Set Outlook to Request an S/MIME Receipt for All E-mails?

FAQ 15.21 mentioned that Outlook can automatically request an S/MIME Receipt for all the e-mails it sends, without you having to manually specify that you want one. Here's how to do it:

1.
From the Tools menu, click Options.

2.
This displays the Options dialog box. Ensure that the Security tab is selected by clicking it.

3.
To request an S/MIME Receipt for all messages, you first have to tell Outlook to add a digital signature (see FAQ 15.23) to all e-mails it sends. To do this, you need to check the Add digital signature to outgoing messages option (Figure 15-7).

Figure 15-7. Configuring Outlook to request S/MIME Receipts for all the e-mails it sends.

4.
Next check the Request S/MIME receipt for all S/MIME signed messages option (Figure 15-7) to get Outlook to request an S/MIME receipt for all outgoing e-mails.

5.
To return to Outlook, click OK.


Digital Signatures and Digital IDs

15.23. What Is a Digital Signature?

A digital signature is essentially a message that is attached to an e-mail before sending, to help prove that the e-mail comes from who it appears to come from and that it was not altered during transmission. The easiest way to explain a digital signature is to list the steps involved in creating a digital signature and the reasons why you would want to create one. Here's our scenario:

  • Brian has just finished a chapter for the Outlook book and wants to send it to Tom.

  • However, Brian wants to make sure that when Tom gets the chapter, Tom knows that it has come from Brian and that the chapter has not been intercepted and altered by the evil author, John.

These steps are performed to produce the digital signature:

1. | Outlook creates a hash of the e-mail Brian is sending to Tom. A hash is a unique, extremely short version of the e-mail and is created using a technique called hashing. It is important to note that hashing is a one-way procedure; it is not possible to get an original document from a hash.
2. | Brian encrypts the hash of the e-mail using his private key. This provides a signature for the e-mail that can be appended to the end of the e-mail.
3. | Brian sends the e-mail, with the signature appended, to Tom.
4. | When Tom gets the e-mail, he decrypts the signature using Brian's public key, which gives him the hash that Brian created of the e-mail.
5. | Tom creates his own hash of the e-mail. If the hash Tom created matches the hash Tom decrypted using Brian's public key, Tom knows that the e-mail was not altered during transmission and that the e-mail came from Brian.

Outlook handles all these steps automatically so that the entire process is completely transparent to Tom. There is another twist when it comes to digital signatures: We mentioned in the example scenario that the evil author, John, might want to fool Tom into thinking that he is Brian, thereby making Tom accept fake chapters from him. Here's how our evil author could achieve this:

1. | John creates a public-private key pair and sends the public key to Tom while pretending to be Brian. Because Tom has not received the public key from Brian in person, he has no way of knowing that the public key he received is not from Brian and is actually a fake!
2. | John then creates a fake chapter that he e-mails to Tom. Before e-mailing, he hashes the e-mail, encrypts the hash using the private key from the fake public-private key pair, and attaches this digital signature to the e-mail.
3. | When Tom receives the e-mail, he decrypts it with the public key that he thinks has come from Brian, when it has, in fact, come from John. Tom sees that the hash matches the hash that he creates of the e-mail.
4. | From Tom's point of view, the e-mail has come from Brian and has not been altered along the way.

This situation is obviously quite alarming. John has been able to impersonate Brian and get away with it. However, this impersonation of Brian can be easily overcome by involving a third party known as a Certificate Authority. The Certificate Authority (or CA, for short) is a trusted third party and can help verify that the public key that Tom has received is actually from Brian:

1. | Brian wants other people to be completely sure that they are receiving an e-mail from him, not from some evil author who is impersonating him.
2. | He does this by getting a CA to create a digital signature for him (see FAQ 4.42 for an explanation of what a digital signature is) and that digital certificate is appended to the e-mail along with the digital certificate.
3. | Now when Tom receives an e-mail from Brian, he can check with the CA that the e-mail's digital signature was actually created using Brian's real public key and also that the appended digital certificate is Brian's real one, not a fake one from an evil author trying to impersonate Brian.
4. | Even if John sends e-mails to Tom pretending to be Brian, Tom will immediately be able to see that the key used to create the digital signature did not actually come from Brian.

It should be obvious from this sequence of events how useful digital signatures are. When used in conjunction with digital certificates from a Certificate Authority, a digital signature can steadfastly assure you that the e-mail has come from who you think it has come from and that the e-mail has not been altered during transmission.

15.24. How Does Digitally Signing an E-mail Differ from Encrypting It?

Digitally signing an e-mail does not actually encrypt the e-mail. As explained in FAQ 15.23, a digital signature provides a means for the recipient of an e-mail to ensure that the e-mail as not been altered during transmission. When used in conjunction what a digital certificate (see FAQ 15.23), a digital signature also ensures the recipient that the e-mail has actually come from the person the recipient thinks it came from, not from some third party impersonating the sender.

A digital signature does not scramble the e-mail into cipher text, which means that anyone who intercepts the e-mail can read the e-mail, even if they cannot modify it without alerting the recipient. Encryption scrambles the e-mail to create cipher text, so anybody who manages to intercept the e-mail would not be able to see the real contents of the e-mail.

15.25. What Is a Digital Signature?

A digital signature is the digital equivalent of an official identity card. Digital signatures, or certificates, for short, are issued by a third party known as a Certificate Authority. The Certificate Authority is a trusted third party who creates certificates by signing a person or organization's real public key, along with some information about the person or organization, with the Certificate Authority's key.

This means that when someone receives an e-mail with a digital signature appended to it, he or she can check with the Certificate Authority to ensure that the certificate is real and that the certificate is actually the certificate that belongs to the person who sent the e-mail. Digital signatures can also expire on a set date. If a digital signature is somehow stolen, the Certificate Authority can immediately revoke the digital signature.

15.26. What Is a Digital ID?

A digital id is a storage structure that contains a private key from a public-private key pair, and a digital certificate that contains the public key from the pair. The private key that is stored in a digital id is password-protected; when you create the digital id, you are prompted to supply the password that is used to protect the private key. The digital certificate that is stored in the digital id is used whenever you send an e-mail with a digital signature.

Your digital id essentially provides you with a digital identity card in the form of the digital certificate. It also enables you to use encryption with e-mails; somebody sending you an e-mail can use your public key, which is stored in your digital certificate, to encrypt the e-mail before sending it to you, and you can then use the private key stored in your digital id to decrypt the e-mail. For these reasons, it is important to keep your digital id safe. If you change computers, you should bring your digital id with you (covered in FAQs 15.32 and 15.33).

15.27. How Do I Obtain a Digital ID?

If you want to obtain a digital id that enables you to send e-mail to people on the Internet, follow these steps.

1.
From the Tools menu, select Options.

2.
Ensure that the Security tab is visible by clicking it.

3.
In the Digital IDs (Certificates) section at the bottom of the Security tab, click the Get a Digital ID button (Figure 15-8).

Figure 15-8. Acquiring a digital id for sending e-mails.

4.
Outlook opens a browser window and takes you to a Web page that lists several Certificate Authorities from which you can purchase a digital id. When you have registered for a digital id, the Certificate Authority will send you the digital id along with instructions on how to use it.

15.28. How Do I Attach a Digital Signature to an E-mail Before Sending It?

If you are sending an important e-mail to somebody and you want to ensure that the person at the other end knows that the e-mail comes from you and that the e-mail has been unaltered during transmission, you need to digitally sign the e-mail. For example, you might be sending the latest chapter of a book you are writing to the editor, and you want the editor to be safe in the knowledge that the chapter that he receives comes from you and that it is exactly as it was when you sent it.

Here's how to attach a digital signature to an e-mail before sending it:

1.
Click the Options button on the message to display the Message Options dialog box.

2.
In the top right of the dialog box, in the Security section, click the Security Settings button.

3.
To attach a digital signature to the e-mail, place a check in the Add digital signature to this message option (Figure 15-9).

Figure 15-9. Sending a digital signature with an e-mail is as simple as checking a box.

4.
By default, the Send this message as clear text signed is checked. This ensures that recipients who are using an e-mail client that does not have S/MIME security features can still read the e-mail.

5.
If you want to receive an S/MIME Receipt (see FAQ 15.20 for an explanation of an S/MIME Receipt) for the e-mail, simply check the Request S/MIME receipt for this message option.

6.
When you are happy with your chosen settings, click OK and then click Close to get back to your e-mail.

7.
You can now send your e-mail by clicking the Send button. Outlook appends a digital signature to the e-mail.

15.29. How Do I Automatically Send All E-mails with a Digital Signature?

If you find that you are manually adding a digital signature to the majority of e-mails you send, it might be worthwhile to configure Outlook to automatically add a digital signature to all e-mails you send. If sometimes you want to send an e-mail without a digital signature, you can manually remove the digital signature for that particular e-mail by following the instructions in FAQ 15.28, but at step 3, uncheck the Add digital signature to this message option.

Here's how to configure Outlook to automatically add digital signatures to all the e-mails that you send:

1. | From the Tools menu, click Options.
2. | This displays the Options dialog box. From here you need to ensure that the Security tab is selected by clicking it.
3. | To get Outlook to automatically add a digital signature to all emails you send, simply check the Add digital signature to outgoing messages option.
4. | To return to Outlook, click the OK button.

15.30. How Can I Verify the Identity of the Person Sending Me an E-mail?

If you have just received a digitally signed e-mail from someone and you are unsure of whether the e-mail actually came from the person in the From field of the e-mail, you can check to see if the digital signature is valid. It is important to note that if a digital signature is invalid, the message might still be from the correct sender.

One reason why a digital signature might appear as being invalid when it is not is that the server of the Certificate Authority used to verify the digital certificate used by the sender might not be reachable because of network problems. Outlook then would not be able to verify that the digital signature is valid, even though it actually is. The certificate that the sender uses in his or her digital signatures might also have expired. In such a situation, you should contact the sender to let him or her know that the signatures are being marked as invalid.

Here's how to check whether a digital signature is valid:

1. | Open the digitally signed e-mail.
2. | A digitally signed e-mail displays an additional status line, the Signed By status, just below the Subject line.
3. | If the digital signature is invalid, the e-mail address to the right of the Signed By: text will be underlined in red. If the e-mail address is not underlined, then the signature is valid.

When you have verified that the digital signature is valid, you can save the digital certificate that the sender used to create the digital signature by following the instructions in FAQ 15.31.

15.31. How Do I Save the Digital Certificate of a Received E-mail?

If somebody has sent you a digitally signed e-mail and you have verified that the signature is valid (covered in FAQ 15.30), you can store the digital certificate for the sender so that in the future you can send encrypted e-mail to the sender.

Here's how you can accomplish this:

1.
Open the digitally signed e-mail.

2.
Right-click the name of the sender in the From field.

3.
On the context menu that appears, click the Add to Outlook Contact option. This displays a new contact dialog box with some of the fields predefined. Click the Save and Close button on the toolbar, or go to File and then click Save.

4.
Outlook displays the Duplicate Contact Detected dialog box (see Figure 15-10) if the sender is already in your Outlook contacts (contacts are covered in Chapter 3, "Address Book, Contacts, and Distribution Lists"). In this dialog box, select the Update new information from this contact to the existing one radio button and then click OK.

Figure 15-10. The Duplicate Contact Detected dialog box appears if the contact is already stored in your Outlook contacts.

The digital certificate that the sender used in the digital signature now is stored in the list of certificates for that contact.

To view the certificates that have been stored for a particular contact, open the contact and then click the Certificates tab. From here you can also import or export certificates, set the default certificate for the contact, or remove a certificate.

15.32. How Do I Back Up My Digital ID?

As mentioned in FAQ 15.26, if you use a digital id, it is important that you not lose the digital id at any stage: If you do, you will have to get a new digital id, which will normally cost you money and you will need to inform everybody who has stored your digital id of your new ID. If you do not inform someone of your new digital idand, hence your new public keywhen someone sends you an encrypted e-mail, you will not be able to open it because it was encrypted with your old public key.

To help prevent situations like this, always ensure that you have a backup of your digital id stored safely. When you create a backup of your digital id, you can also specify a password to ensure that even if somebody manages to get a copy of your backup, that person will not be able to use your digital id to impersonate you unless he or she also knows your password.

Here's how you can create a password-protected backup of a digital id:

1. | From the Tools menu, select Options.
2. | Ensure that the Security tab is displayed by clicking it, and then click the Import/Export button.
3. | Select the Export your Digital ID to a file radio button and then click the Select button.
4. | Choose the digital id you want to back up by highlighting it and then clicking OK.
5. | Click the Browse button to select the location and specify the name of the file that you want to save the digital id to, or type the name into the Filename field.
6. | Enter the password you want to use to protect your digital id backup in the Password field, and confirm the password by typing it again in the Confirm field.
7. | Finally, click OK to create the backup.

Figure 15-11. Creating a password-protected backup of your digital id.

After you have created the password-protected backup of your digital id, you should keep it stored in a safe location (see FAQ 16.5) so that you can import the digital id later; this is covered in FAQ 15.33.

15.33. How Do I Import a Backed-Up Digital ID?

If you previously backed up a digital id (covered in FAQ 15.32) and you want to restore it or simply import it into Outlook on a different machine, here's how to do it:

1. | From the Tools menu, select Options.
2. | Ensure that the Security tab is displayed by clicking it, and then click the Import/Export button.
3. | Select the Import existing Digital ID from a file radio button.
4. | Choose the digital id you want to import by clicking the Browse button, locating the file, and opening it by highlighting it and clicking the Open button. Alternatively, you can type the location of the file into the Filename field.
5. | Enter the password that was used to encrypt the digital id backup file during the backup process.
6. | Type in the name you want to have displayed for the imported digital id in the Digital ID Name field.
7. | Finally, click OK to import the digital id.


Viruses and Macros

15.34. What Is a Computer Virus and What Types of Viruses Exist?

A computer virus is program that infects your computer and spreads either by self-replication or by changing another file and attaching itself to the file. The latter technique of spreading is known as piggybacking; the virus is spread each time the program that the virus is attached to is run or opened. Another way for viruses to spread is through e-mail. These viruses are known as e-mail viruses, and the vast majority of e-mail viruses spread by infecting a computer and then e-mailing themselves to everybody in the address book stored on the infected computer. Almost all viruses are malicious in nature and are intended to cause damage to your computer software, files, and data.

Other viruslike malicious programs include worms and Trojan horses. A worm is a small computer program that spreads through computer networks by exploiting security holes in the software and operating systems of computers on the network. When a worm infects a computer on the network, it typically spreads by using the security hole to scan for additional computers with the same vulnerability and then copying itself to that machine. It continues to spread from there.

A Trojan horse is a computer program that pretends to be used for one purpose, while at the same time carrying out its real purpose, which can be anything from erasing your files or hard disk to silently and stealthily providing a third party with control over your machine without you knowing about it. Trojan horses gain their name from Greek mythology and the legend involving a giant hollow wooden horse that contained Greek soldiers that was left at the gates of Troy. The Trojans believed that the huge horse was a gift and brought it inside the city walls. Later, when all the citizens of Troy slept, the Greek soldiers came out of the horse and laid waste to the city. Now that is something you don't want to happen to your computer!

Another type of virus is called a macro virus. A macro is essentially a group or set of commands that are designed to automate what would normally be a manual process. You would normally create a macro if you were repeatedly performing the same task in an application. A macro enables you to automate the task, thereby saving you time and effort. However, some people create malicious macros that are designed to cause damage to your software or to cause data loss. These macros are dangerous because they can be automatically executed when you open a document, unless you have configured your applications to not run unknown macros. Macro viruses are generally spread through attachments on e-mails.

15.35. How Do I Protect My Computer from a Virus Sent Through Outlook?

By default, Outlook provides a number of strong protective measures to prevent you from getting infected with a virus through Outlook:

  • Macro Security Outlook does not have the capability to determine whether a macro is malicious or benign. Nonetheless, Outlook does provide strong security when it comes to macros. By default, Outlook will not let any macro run unless you personally have created it or it comes from a trusted source and is digitally signed with a valid certificate. However, even if you change the macro security settings to the lowest, Outlook still prompts you before running a macro that it does not know to be safe. From the prompt, you can decide whether the macro should be run or disabled.

  • E-mail Attachment Security Because the majority of viruses in this day and age spread via e-mail as attachments, Outlook blocks, by default, more than 70 types of files that potentially could be viruses or could cause malicious damage to your computer (see FAQ 15.13 for a list of these file types). You can also block additional file types that you believe to be dangerous by following the instructions in FAQ 15.14.

  • Address Book Security As mentioned in Chapter 3, "Address Book, Contacts, and Distribution Lists," the Outlook Address Book is protected to help prevent unauthorized programs from accessing it. This helps ensure that, if your computer gets infected by a virus, the virus cannot replicated itself by e-mailing itself to the people listed in your address book. When an unauthorized program attempts to gain access to the address book, Outlook displays a warning and prompts you to decide whether access to the address book should be granted and, if so, for what time period, or whether access should be denied.

  • HTML and RTF E-mail Security HTML and RTF (Rich Text Format) e-mails can contain embedded scripts that could be malicious and designed to cause damage to your computer. By default, Outlook protects your computer, using security zones, by automatically restricting the capability of these types of e-mails to execute scripts. This prevents the e-mails from executing any nasty instructions. FAQs 15.9 and 15.10 look at security zones in more detail.

Even though Outlook provides these security features, you should take a number of other precautions to help prevent your computer from getting infected:

  • Use Windows Update, to make sure you always have the latest security patches and updates for your computer.

  • Install antivirus software.

  • Keep your antivirus software up-to-date so that it can detect the latest viruses.

  • Always scan attachments for viruses using your antivirus software.

  • Make sure all the people who are using the computer are educated on the dangers of opening programs or files that are attached to e-mails, even if they appear to be coming from a trustworthy source.


Security Labels

15.36. What Is a Security Label?

A security label is a piece of information that is inserted into the header of an e-mail. It is essentially a security tag that allows an email to be controlled by the security policies of the organization that the e-mail administrator has defined. Security labels are part of the S/MIME v3 security protocol; the movement of an e-mail with a security label in its header can be governed by the S/MIME v3 security policies that the administrator has set.

For example, the administrator might have set a policy specifying that all e-mails with a security label such as Internal Use Only do not get delivered to any computer or e-mail address outside of those defined as internal to the organization.

15.37. How Do I Add a Security Label to an E-mail Before Sending It?

If you want to specify a once-off security label for an e-mail before you send it, you can do it by following these instructions:

1. | Click the Options button on the message to display the Message Options dialog box.
2. | In the top right of the dialog box, in the Security section, click the Security Settings button.
3. | To attach a digital signature to the e-mail, place a check in the Add digital signature to this message option.
4. | In the Security Label section, select a policy module from the Policy Module drop-down list.
5. | Next, select a classification from the Classification drop-down list and enter a Privacy Mark if these options are available to you.
6. | You can configure additional settings for the security label by clicking the Configure button if it is enabled.
7. | When you are ready, click OK and then click Close to return to the e-mail before sending it.

15.38. Can I Set Outlook to Add a Security Label to All E-mails I Send?

If your organization has well-defined security policies that use security labels, it might be beneficial to set Outlook to add a particular security label to all the e-mails that you send. Here's how you can accomplish this:

1. | From the Tools menu, click Options.
2. | This displays the Options dialog box. From here, ensure that the Security tab is selected by clicking it.
3. | Under the Encrypted e-mail section, click the Settings button.
4. | This displays the Change Security Settings dialog box. From here, click the Security Labels button to display the Security Labels dialog box.
5. | On the dialog box, select a policy module from the Policy Module dialog box and, if available, select a Classification and enter a Privacy Mark.
6. | To return to Outlook, click OK to close all of the open dialog boxes.


Chapter 16. DATA ARCHIVAL, BACKUP, AND RESTORE

    Basics

    Archiving

    Item Backup and Recovery


Basics

16.1. What Does "Backup" Mean?

Put simply, a backup is a copy of your data to ensure that, in case the original data is lost (some reasons are given in FAQ 16.2), you can recover from this loss by using the backup copy of your data. Backup data is generally kept on a different storage medium and at a different location than the original data; this is to ensure that if the original data is corrupted or lost, the cause of that loss does not affect the backup data. The action of creating a backup is called backing up. In relation to Outlook, a backup is essentially a copy of all your Outlook items, such as your e-mails, contacts, tasks, and rules.

Almost all organizations have their own backup policies and procedures to ensure that if there is a loss of data (whether minor or catastrophic), they can recover as much as possible the data that was lost. Backup policies and procedures normally encompass details ranging from the type of storage to use (hard drive, tape, optical), to how often a backup is created, to where the backup is stored, to what exactly is done, and by whom. Now, chances are good that you, as an individual, will not need to have defined complex policies and procedures, but keeping regular backups of your data is common sense. Accidents do happen; at least if you have a backup, your day, week, month, or year won't be completely ruined.

16.2. Why Should I Back Up?

The simple answer to this question is, because of data loss. Not too many people can afford to lose all their data, so we strongly recommend putting into place some sort of backup strategy. Data loss can occur for any number of reasons, usually at a very inconvenient time. Here are some examples of situations in which you can suffer data loss:

  • Human Error Humans are fallible. We make mistakes. When we make a mistake with our computer's data, more often than not, that data is lost.

  • Computer Viruses It's hard to read a technical magazine these days without finding out about some new virus that is spreading across the Internet. A lot of viruses are designed to corrupt data, and some can even render your computer inoperable.

  • Hardware Failure In general, computer hardware has become more reliable over the past few years, and failures can often be few and far between. However, hardware failure is still something that could happen to you, and your data could be lost.

  • Software Errors These are more commonly known as "bugs." Sometimes the software itself is to blame for the loss of your data. Bugs can cause software to behave in ways it's not supposed to, such as inadvertently corrupting your data files.

  • External Entities Your hardware and data could be corrupted or destroyed from external entities in countless ways: floods, fires, electrical storms, children with liquids, and so on. All of these items and many more can cause serious damage to your data.

Whatever the reason, whether one of those listed here or something completely different, when your data is corrupted or lost, chances are good that it's gone for good. Keeping backups of your data is the easiest and best way to ensure that, if a loss occurs, you still can recover as much of your data as possible.

16.3. When Should I Back Up?

When exactly you should back up depends on a number of things: how often the data changes, how long since your last backup, whether it is necessary to back up recent data, and so on. You should get into the habit of backing up your data regularly. Perhaps backing up on Friday evening of every week suits your needs, or maybe you would prefer to back up your data daily.

When and how often you should back up your data depends completely on how important your data is to you. There is no hard and fast rule, but common wisdom suggests that you should back up your data whenever you have new data that you cannot afford to lose. You should also back up on a regular basis, regardless of the amount or importance of new data.

16.4. What Should I Back Up?

The most important data to backup is the data that you simply cannot afford to lose. It might be important business e-mails, such as contracts or instructions on how and when to feed your boss's goldfish, or personal calendar entries, such as your in-laws' birthdays or your bank account statements. Regardless of what the data is, if you can't afford to lose it, it should be backed up.

It is often prudent to back up all your data, even the data that you think you can afford to lose. If you have a backup of everything, you can be sure that you did not forget something important. Besides, you might have data that is important to others, even if it is not important to you, so having a backup of it might keep you from ruining somebody else's day. And everybody knows that it's nice to be nice.

16.5. Where Should I Back Up To?

You can use a multitude of different devices and storage media to store your data on, including CDs, DVDs, hard drives, pen drives, and network drives. The list goes on. In the past, the humble floppy disk was the number one way to go when it came to backups. In this day and age, a floppy disk would not enter many people's minds when thinking about backing up data. Where exactly you back up your data to depends on what options you currently have available. If your current options are not suitable, another factor is whether you are willing to part with your hard-earned cash to acquire a better backup device.

The majority of computers these days come with CD or DVD writers, and this is the obvious place to look for cheap storage for your backups. Blank CDs and DVDs are extremely cheap, and one usually has enough storage space to store your Outlook data. Another option is to use a removable storage device such as a memory stick or pen drive. Although these are more expensive than CDs or DVDs, they are normally more portable and their prices are falling by the day. Probably the best backup medium to use is a removable or external (USB or Firewire) hard drive; these offer one the largest amounts of storage for your money. Hard drives are not the most portable of devices, but they are generally very reliable and offer massive storage space.

Whichever medium you decide to use for storing your backups, it is often useful to have more than one backup. You should also never keep your backup in the same location as the original data because your backup is often as susceptible to the same thing that caused the loss to your original data (robbery, vandalism, fire, flood, and so on). There is simply no point in keeping a backup if it can easily be destroyed by the same thing that destroyed your original data.

16.6. What Is Archiving?

Archiving in Outlook is related to moving old items to a data file that is separate from the main data file that is used for your data. Archiving essentially provides a way to ensure that older data is kept in a different location than recent data. You normally archive Outlook items that you do not use anymore but that you would prefer not to delete, in case you ever need them again. Moving the items to a separate file helps ensure that your main data file does not get too large. In turn, this helps ensure that Outlook runs as fast and efficiently as possible.

16.7. How Does Archiving Differ from Backing Up?

Archiving differs from backing up in that archiving is used only to move your older items to a different data file. Archiving is not intended to create copies of your data items for safe storage at disparate locations; the backup process is intended to achieve this (see FAQ 16.1 for an explanation of a backup).

16.8. What Does "Recovery" Mean?

Recovery is the process of restoring your data from a backup so that it becomes your main working copy of the data. The whole point of backing up your Outlook items is to be able to easily recover important data if you lost it.

16.9. Why Would I Need to Recover?

Hopefully, you will never need to recover any of your Outlook items. However, from time to time, you might lose some of your Outlook items; in the worst-case scenario, you could lose all of your Outlook items. FAQ 16.2 touched on a number of reasons why data loss can occur. Regardless of the reason why the loss occurred, you still need to somehow get that data back. You get this data back by recovering it; FAQ 16.26 explains how to do just that.


Archiving

16.10. What Can I Archive in Outlook?

You can archive virtually any Outlook item, including these:

  • E-mails

  • Contacts

  • Tasks

  • Calendar Entries

  • Appointments

  • Notes

  • Journal Entries

Although you can archive all of these items, in Outlook, you actually set the archiving options on a per-folder basis. This basically means that each folder that you have created in Outlook can have different archiving options defined for it. This enables you to precisely define which items from each individual folder to archive.

16.11. How Do I Archive a Folder?

Outlook provides a feature called AutoArchive that enables you to configure Outlook to automatically archive your items on a schedule that you define (FAQs 16.12, 16.15, and 16.16 explain how to use the AutoArchive feature). However, sometimes you just want to archive a particular folder, without having to worry about all the AutoArchive settings. Thankfully, this is a simple process:

1.
You first need to select the folder that you want to archive. Probably the best location for doing this is the Outlook Folder List because it displays all your Outlook folders. To display the Folder List, click the Folder List button on the Navigation Pane; if you do not use the Navigation Pane, you can display the Folder List by selecting it from the Go menu or by using the Ctrl 6 key combination.

2.
When the Folder List is visible, simply highlight the folder that you want to archive and then select Archive from the File menu.

3.
The Archive dialog box appears (see Figure 16-1).

Figure 16-1. The Archive dialog box enables you to configure individual archiving settings when you are manually archiving an individual folder.

4.
You can choose to have all folders archived using the same settings that are set for the AutoArchive feature by checking the Archive all folders according to their AutoArchive settings option.

However, it is more likely that you will want to set custom settings because, after all, you are manually archiving the selected folder. To use custom settings for this once-off archiving, simply check the Archive this folder and all subfolders option.

5.
The folder that you highlighted in step 2 should still be highlighted in the list of folders in the Archive dialog box. Nevertheless, you can change the folder that you want to archive at this stage by selecting a different folder from the list of folders.

6.
When you have selected the folder you want to archive, you can set the Archive items older than date. Outlook will archive only items that have a modified date that is older than the date that you select here, so ensure that you set the date to the one you desire.

7.
Outlook also enables you to mark items that you do not want AutoArchive to archive (see FAQ 16.17). In spite of this, you can tell Outlook to archive these items when doing a manual archive by checking the Include items with "Do not Auto-Archive" checked option.

8.
The last option on the Archive dialog box is the Archive file option, which enables you to define where the folder is archived to. By default this file is C:\Documents and Settings\<your windows username>\Local Settings\Application Data\Microsoft\Outlook\Archive.pst. You can change this location by clicking the Browse button and choosing a new location and filename for the Personal Folders file the your items will be archived to (see FAQ 1.22 in Chapter 1, "Setup and Configuration").

9.
To archive the items in the folder you selected, just click OK. Outlook then moves items that are older than the date you specified into the Personal Folders file that you specified.

For details on how to view the items that you just archived, see FAQ 16.18.

16.12. What Is AutoArchive?

AutoArchive is an Outlook feature that you can use to automatically archive your Outlook items at intervals that you specify. It does the same thing as a manual archive (covered in FAQs 16.6 and 16.11), but it can be completely automated, helping to ensure that your items get archived even when you forget. FAQ 16.13 explains how to configure the AutoArchive feature to meet your individual needs.

16.13. How Do I Set Default Settings for AutoArchive?

Outlook enables you to configure default settings for the Auto-Archive feature, such as defining when AutoArchive is run and whether you want to be prompted about allowing AutoArchive to occur when it is due to run.

To modify these default settings, just follow these instructions:

1.
From the Tools menu, select Options to display the Options dialog box.

2.
Click the Other tab and, in the AutoArchive section, click the AutoArchive button. You are presented with the AutoArchive dialog box, shown in Figure 16-2.

Figure 16-2. Outlook enables you to configure detailed default settings for the AutoArchive feature that can be applied to all of your Outlook folders.

You can configure a number of different settings related to the AutoArchive feature. These are generally divided into two areas:

  • Settings regarding when and how AutoArchive runs

  • Settings that govern what happens and what gets archived during AutoArchive

Settings regarding when and how AutoArchive runs appear at the top of the AutoArchive dialog box (see Figure 16-2):

  • Only two settings relate to when and how the AutoArchive feature actually runs. To configure how often the AutoArchive feature runs, you can specify the interval in terms of the number of days by checking the Run AutoArchive every X days option and entering the interval in the available field.

  • By default, Outlook prompts you to confirm that you want AutoArchive to run just before it is about to start archiving your items. To change this behavior, remove the check from the Prompt before AutoArchive runs option that appears at the top of the AutoArchive dialog box.

Settings that govern what happens and what gets archived during AutoArchive appear on the AutoArchive dialog box (see Figure 16-2) under the heading During AutoArchive:

  • You can configure Outlook to delete expired e-mail messages by checking the Delete expired items (e-mail folders only) option.

  • To tell the AutoArchive feature to either archive or delete old items, check the Archive or delete old items option. The individual settings that determine whether old items are actually archived or deleted are listed at the end of this FAQ.

  • The next option in the During AutoArchive section of the dialog box determines whether the Archive folder appears in the Folder List. If this option is checked, the Personal Folders file that contains your archived items will appear in the list of folders along with your other Personal Folders files. This enables you to quickly view your archived items.

In the next section, entitled Default folder settings for archiving, you can configure exactly what you want to archive and exactly what you want to happen to items when they are being archived.

  • The first option enables you to specify which items to archive. By default, the AutoArchive feature archives only items that are older than 6 months. However, you can modify this value to set AutoArchive to archive items as young as 1 day old.

  • You can choose to either move the old items to an archive Personal Folders file or delete them by selecting either the Move old items to or Permanently delete old items option buttons. If you choose the option to move old items, you can specify the Personal Folders file that you want the archived items to go to by clicking the Browse button and entering the location and filename where you want to store them.

  • The Apply these setting to all folders now button enables you to quickly set the default setting to all Outlook folders. All folders will be archived the next time that AutoArchive runs.

If your network administrator has set retention policies, you can view these policies by clicking the Retention Policy Information button at the bottom of the AutoArchive dialog box. To save the settings you have chosen, just click OK.

16.14. How Do I Disable AutoArchive?

Here's how to disable the AutoArchive feature:

1.
From the Tools menu, select Options to display the Options dialog box.

2.
Click the Other tab and then click the AutoArchive button.

3.
On the AutoArchive dialog box that appears, remove the check mark from the Run AutoArchive every X days option, as shown in Figure 16-3.

Figure 16-3. You can disable the AutoArchive feature from the AutoArchive dialog box.

16.15. How Do I Configure Outlook to Automatically Archive a Particular Folder?

You can tell Outlook to archive a particular folder during an Auto-Archive by following these instructions:

1.
Select the folder that you want to tell Outlook to archive during the next AutoArchive, and then right-click it.

2.
Select Properties from the end of the context menu that appears. You are presented with the Properties dialog box for that particular folder.

3.
Ensure that the AutoArchive tab is selected by clicking it. From here you can configure how AutoArchive treats the items stored within this particular folder.

4.
To use the default AutoArchive settings for the folder, just select the Archive items in this folder using the default settings option button.

5.
You can also specify individual settings for this folder by selecting the Archive this folder using these settings option button and specifying the settings you desire (see Figure 16-4).

Figure 16-4. You can configure AutoArchive setting on a per-folder basis from the Properties dialog box for each folder.

16.16. How Do I Configure Outlook to Automatically Archive All My Items?

To configure Outlook to use AutoArchive on all of your folders, simply follow these instructions:

1. | From the Tools menu, select Options to display the Options dialog box.
2. | Ensure that the Other tab is selected by clicking it.
3. | In the AutoArchive section, click the AutoArchive button. You are presented with the AutoArchive dialog box.
4. | Configure the default AutoArchive settings to suit your needs (covered in FAQ 16.13).
5. | When you are satisfied with your AutoArchive settings, click the Apply these settings to all folders now button.

When you have followed these instructions, all your folders in Outlook will be set to use the default AutoArchive settings.

16.17. How Do I Set Outlook to Not Archive a Particular Folder?

You might have folders that you do not want Outlook to archive when it is running an AutoArchive. Perhaps you always want to keep the items in the same place, regardless of their age. Whatever the reason, you can do so by disabling AutoArchive for that particular folder. Here's how you can accomplish this:

1.
Select the folder that you do not want to have archived during AutoArchive, and right-click it.

2.
On the context menu that appears, click Properties. You are presented with the Properties dialog box for that particular folder.

3.
Select the AutoArchive tab.

4.
From here, you can instruct Outlook to not archive items in the folder during an AutoArchive by selecting the Do not archive items in this folder radio button (see Figure 16-5).

Figure 16-5. You can tell Outlook to not archive a folder by modifying its AutoArchive settings on its Properties dialog box.

5.
To save your settings, just click the OK button.

16.18. How Can I View My Archived Items?

The easiest way to view your archived items it to open the Folder List view. To do this, click the Folder List button on the Navigation Pane or select Folder List from the Go menu. When the Folder List is visible, you can view your archived items by clicking Archive Folders (or whatever name you gave your archived folder when you created it) in the Folder List.


Item Backup and Recovery

16.19. How Do I Back Up My E-mails?

To back up your e-mails follow these simple instructions:

1.
Select the e-mail folder that you want to back up. Outlook enables you to back up nested folders (folders within folders), so if you have a number of e-mail folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

Figure 16-6. The Import and Export Wizard dialog box enables you to select whether you want to import or export data.

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your e-mails to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

Figure 16-7. You can select the type of file you want to export your items to.

5.
When you have selected the type of file that you want to back up your e-mails to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your e-mails to a removable hard drive and call the exported file Email backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate e-mails. For example, if you back up your e-mails to the same file that you used to back up your e-mails previously, there could be e-mails already in the backup that you are attempting to back up again. Outlook gives you three different options for dealing with the duplicate e-mails:

  • Replace duplicates with items exported Outlook replaces duplicate e-mails in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate e-mails to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any e-mail that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your e-mails.

The exported file is now a backup of your e-mails. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.20. How Do I Back Up My Calendar?

To back up your calendar entries, follow these simple instructions:

1.
Select the calendar folder that you want to back up. Outlook enables you to back up nested folders (folders within folders), so if you have a number of calendar folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your calendar entries to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

5.
When you have selected the type of file that you want to back up your calendar entries to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your calendar entries to a removable hard drive and call the exported file Calendar backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate calendar entries. For example, if you back up your calendar entries to the same file that you used to back up your calendar entries previously, there could be calendar entries already in the backup that you are attempting to back up again. Outlook gives you three different options for dealing with the duplicate calendar entries:

  • Replace duplicates with items exported Outlook replaces duplicate calendar entries in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate calendar entries to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any calendar entry that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your calendar entries.

The exported file is now a backup of your calendar entries. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.21. How Do I Back Up My Contacts?

To back up your contacts, follow these simple instructions:

1.
Select the contact folder that you want to backup. Outlook enables you to back up nested folders (folders within folders), so if you have a number of contact folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your contacts to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

5.
When you have selected the type of file that you want to back up your contacts to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your contacts to a CD and call the exported file Contact backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate contacts. For example, if you back up your contacts to the same file that you used to back up your contacts previously, there could be contacts already in the backup that you are attempting to back up again. Outlook gives you three different options for dealing with the duplicate contacts:

  • Replace duplicates with items exported Outlook replaces duplicate contacts in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate contacts to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any contact that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your contacts.

The exported file is now a backup of your contacts. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.22. How Do I Back Up My Tasks?

To back up your tasks, follow these simple instructions:

1.
Select the task folder that you want to back up. Outlook enables you to back up nested folders (folders within folders), so if you have a number of task folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your tasks to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

5.
When you have selected the type of file that you want to back up your tasks to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your tasks to a removable hard drive and call the exported file Task backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate tasks. For example, if you back up your tasks to the same file that you used to back up your tasks previously, there could be tasks already in the backup that you are attempting to back up again. Outlook gives you three different options for dealing with the duplicate tasks:

  • Replace duplicates with items exported Outlook replaces duplicate tasks in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate tasks to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any task that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your tasks.

The exported file is now a backup of your tasks. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.23. How Do I Back Up My Notes?

To back up your notes, follow these simple instructions:

1.
Select the note folder that you want to backup. Outlook enables you to back up nested folders (folders within folders), so if you have a number of note folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your notes to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

5.
When you have selected the type of file that you want to back up your notes to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your notes to a DVD and call the exported file Notes backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate notes. For example, if you back up your notes to the same file that you used to back up your notes previously, there could be notes already in the backup that you are attempting to back up again. Outlook gives you three different options for dealing with the duplicate notes:

  • Replace duplicates with items exported Outlook replaces duplicate notes in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate notes to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any note that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your notes.

The exported file is now a backup of your notes. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.24. How Do I Back Up a Particular Folder?

To back up a particular folder, simply follow these instructions.

1.
Select the folder that you want to backup. Outlook enables you to back up nested folders (folders within folders), so if you have a number of folders that you want to back up, simply highlight the root folder.

2.
To back up the folder, go to the File menu and select Import and Export to display the Import and Export Wizard dialog box (see Figure 16-6).

3.
In the Choose an action to perform list box, highlight Export to a file and then click Next.

4.
You are presented with the Export to a file dialog box (see Figure 16-7), where you can choose which file type you want to export your folder to. You can choose any file type you want, but the Personal Folders file (.pst) option will generally suit most of your backup needs.

5.
When you have selected the type of file that you want to back up your folder to, click Next to display the Export Personal Folders dialog box.

6.
In the Select the folder to export from list box, the folder you highlighted in step 1 is highlighted. If you want, you can change the folder to a different folder from this dialog box.

7.
If you want to export nested folders, you must also check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to back up from the folder, along with subfolders, if applicable. To do this, just click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
When you have selected the folder that you want to export, click Next.

10.
From the next dialog box, you can choose where you want to export the data to by clicking the Browse button. For example, you might want to export your folder to a removable hard drive and call the export file FolderX backup.

11.
If you are exporting the data to a file that already exists, you can choose how to handle duplicate folder items within the file. For example, if you have backed up the folder to the same file that you used to back up the folder previously, there could be items already in the backup that you are attempting to backup again. Outlook gives you three different options for dealing with these duplicate items:

  • Replace duplicates with items exported Outlook replaces duplicate items in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate items to appear in the backup file.

  • Do not export duplicate items Outlook does not back up any items that is duplicated in the backup file.

12.
When you are satisfied with the options that you have selected, simply click Finish. Outlook then exports your e-mails.

The exported file is now a backup of the folder. Follow the instructions in FAQ 16.5 for details on where is best to keep your backup.

16.25. How Do I Back Up or Recover My Rules and Alerts?

To export your Outlook rules and alerts, follow these instructions:

1.
From the Tools menu, click Rules and Alerts to display the Rules and Alerts dialog box.

2.
In the dialog box, click the Options button to display the Options dialog box (see Figure 16-8).

Figure 16-8. The Rules and Alerts Options dialog box.

3.
From here, you can either Export (backup) or Import (recover) your Outlook Rules and Alerts.

4.
To back up your Rules and Alerts, simply click the Export Rules button. Outlook displays a dialog box that enables you to specify where you want to save the exported data to and what name to call the exported file. To back up the Rules and Alerts, click Save.

5.
If you want to recover Rules and Alerts that you previously backed up, simply click the Import Rules button and select the file that you used to back up your data previously. To recover the Rules and Alerts, click Open after you have selected the file.

16.26. How Do I Recover Items from a Backup?

Hopefully, you will never need to recover items from a backup. Nevertheless, if you do lose data at some stage and you want to recover it from a backup copy that you have made, here's how to do it:

1.
From the File menu, click Import and Export.

2.
In the Choose an action to perform list box, highlight the Import from another program or file entry and click Next.

3.
You are presented with the Import a File dialog box (see Figure 16-9), where you can select the type of file that you want to import from. For example, if you backed up to a Personal Folders file, than you should select that file type from the list of files.

Figure 16-9. Outlook enables you to import data from a number of different file types.

4.
In the next dialog box, you need to enter the name of the backup file in the File to import field. The quickest way to do this is to click the Browse button to browse for your backup file. When you have located your backup file, highlight it and click Open.

5.
In the Options section, you have three options to choose from for dealing with items that might be duplicated in the backup and the associated folder in Outlook:

  • Replace duplicates with items exported Outlook replaces duplicate items in the associated Outlook folder with the items in the backup file.

  • Allow duplicate items to be created Outlook allows duplicate items to appear.

  • Do not export duplicate items Outlook does not recover any items that already exist in the associated folders in Outlook itself.

6.
Click Next. You are presented with the Import Personal Folders dialog box (see Figure 16-10).

Figure 16-10. You can specify exactly which folders and filters to use when recovering data from backups.

7.
The Select the folder to import from box displays all the folders that are stored in the backup file. You can select which folder to recover; if you want to also recover the subfolders of the folder you select, check the Include subfolders option.

8.
Outlook enables you to use filters to further define exactly what you want to import. To do this, click the Filter button to display the Filter dialog box, where you can specify the filters you desire.

9.
Next you need to tell Outlook where you want to recover the items to. You can recover the items to the currently selected folder by selecting the Import items into the current folder option button. You also can choose exactly which folder you want to import the items into by selecting the Import items into the same folder in and then choosing the location from the drop-down list.

10.
When you are satisfied with your choices, simply click the Finish button to recover your data.


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]


SYMBOL

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

.pst (Personal Folder files) 2nd
creating 2nd 3rd
moving 2nd 3rd
reducing size of 2nd


A

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

accepting
tasks 2nd
Account Configuration
accounts
news accounts
creating 2nd
e-mail address versus reply address 2nd 3rd 4th
renaming
actions 2nd
changing properties
creating 2nd 3rd 4th
Active Directory
Active Tasks view (tasks)
Activities tab 2nd
adding
all-day calendar entries 2nd
appointments
appointments to calendars
with details 2nd 3rd
buttons
from Navigation pane
e-mail addresses
to contacts 2nd
fax numbers
to contacts 2nd 3rd
holidays of other countries to calendards 2nd
IMAP accounts 2nd
LDAP
to Address Book 2nd
meetings
Microsoft Exchange Server accounts 2nd
names
to distribution lists 2nd
Outlook
to Quick Launch Bar 2nd
phone numbers
to contacts 2nd 3rd
physical addresses
to contacts 2nd
pictures
to contacts
POP3 accounts 2nd
research services 2nd
shortcuts to Quick Launch Bar
for creating new appointments 2nd
for creating new contacts 2nd
for creating new e-mails 2nd
for creating new journal entries 2nd
for creating new notes 2nd
for creating new tasks 2nd 3rd
for specific Outlook tasks 2nd
shortcuts to the Quick Launch Bar
for loading particular profiles
web-based e-mail accounts 2nd
Address Book 2nd 3rd 4th
changing which address bookis being displayed 2nd
contacts folder as 2nd 3rd
displaying 2nd
Global Address Book
copying e-mail addresses from 2nd
Global Address List
in OWA 2nd 3rd
LDAP
adding 2nd
My Contacts
troubleshooting 2nd
offline address book 2nd
Outlook Address Book
creating 2nd
Outlook security
Personal Address Book
removing
address books
address books
changing default address books 2nd
making available offline 2nd
removing
Address Cards
contacts
Address Cards view (OWA)
addresses [See e-mail addresses]
adding for contacts
in OWA 2nd
displaying maps for
in OWA
physical addresses
adding to contacts 2nd
reply-to addresses
changing
advanced criteria
finding with 2nd 3rd
Advanced Find dialog box
alerts and rules
exporting 2nd 3rd
all-day calendar entries
adding 2nd
Amazon Research Service for Microsoft Office System
appending
command-line switches
to Target field
signatures
to e-mails 2nd
applications
creating notes from 2nd
Appointment form
customizing
Appointment Recurrence dialog box
appointments
adding shortcuts to Quick Launch Bar 2nd
adding to calendars
with details 2nd 3rd
canceling 2nd
changing
date or time 2nd
duration of
copying
from one calendar to another 2nd
creating
from tasks
in OWA 2nd 3rd 4th
editing 2nd
finding 2nd 3rd 4th
inviting contacts to 2nd
inviting others 2nd
moving
in OWA
searching for 2nd 3rd 4th
archiving
AutoArchive
default settings 2nd 3rd 4th
disabling 2nd
folders 2nd 3rd
disabling AutoArchive 2nd
with AutoArchive 2nd 3rd 4th
versus backing up
viewing archived items
what to archive 2nd
assigned tasks
accepting 2nd
sending comments
assigning
categories
existing items 2nd
to e-mails 2nd
to items youíre creating 2nd 3rd
to multiple items at the same time
to tasks 2nd
categories that are not on Master Category Lists 2nd
multiple categories
to items
note categories 2nd
tasks
existing tasks
new tasks 2nd
to contacts 2nd 3rd
to multiple people
Assignment view (tasks) 2nd
associating
forms with folders 2nd 3rd
journal entries
with categories 2nd
notes with contacts 2nd
asymmetric encryption
attaching
digital signatures to e-mail messages 2nd 3rd 4th 5th
files
to e-mail
notes and files
to contacts 2nd
attachments
adding for contacts
in OWA 2nd
adding to e-mail messages
in OWA 2nd 3rd
blocked attachments
list of file types 2nd 3rd 4th 5th 6th
opening
receiving
blocking 2nd
editing and saving to original e-mails 2nd
forwarding tasks as
multipart attachments
viewing 2nd 3rd
Outlook security
removing
from e-mail
removing personal information from 2nd
sending items with categories
to tasks 2nd
authenticated digital certificates
creating 2nd 3rd
AutoArchive
archiving folders 2nd 3rd 4th
default settings 2nd 3rd 4th
disabling 2nd
disabling on folders 2nd
AutoComplete 2nd
deleting items from
e-mail
enabling and disabling 2nd
troubleshooting
Automated Safe mode
automatic journal entries 2nd
configuring 2nd 3rd
for Office applications 2nd
for specific contacts 2nd
automatically displaying notes
automatically displaying tasks 2nd
automatically receiving new e-mail 2nd
automatically spell checking e-mails 2nd
automatically starting Outlook
Windows 2000 2nd
Windows XP
AutoPreview
previewing notes 2nd
previewing tasks
autoresponses
Out of Office Assistant 2nd 3rd 4th


B

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

background colors
changing
in My Calendar
backgrounds
for newsgroup messages 2nd
backing up 2nd
calendar 2nd
contacts 2nd
digital ids 2nd 3rd
e-mail messages 2nd 3rd 4th 5th
folders 2nd
notes 2nd
reasons for 2nd
recovering items after 2nd 3rd 4th
rules and alerts 2nd 3rd
tasks 2nd
versus archiving
what to back up
when to back up
where to back up 2nd
Basic Client (OWA)
operational overview 2nd
versus Premium Client 2nd 3rd 4th
BCC
Bcc 2nd
blocked e-mail attachments
opening 2nd 3rd
blocking
attachments 2nd 3rd
newsgroup threads
offensive material
from Research Service 2nd 3rd 4th
specific senders (newsgroups) 2nd 3rd
Boolean logic
finding with
business details
adding for contacts
in OWA 2nd
buttons
adding or removing
from Navigation pane
changing order of
on Navigation pane 2nd
increasing size of
on toolbars
Recurrence
By Category view (journals)
By Category view (notes)
customizing 2nd 3rd
By Category view (tasks)
By Color view (notes)
customizing 2nd 3rd
By Company view (OWA)
By Contact view (journals)
By Conversation Topic view (OWA)
By Followup Flag view (OWA)
By Location view (OWA)
By Person Responsible view (tasks)
By Sender view (OWA)
By Subject view (OWA)
By Type view (journals)


C

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

CA (Certificate Authority) 2nd
Cached Exchange Mode 2nd 3rd 4th
calendar
backing up 2nd
creating appointments
in OWA 2nd 3rd 4th
creating recurring items
in OWA 2nd
go to specific date
in OWA
moving appointments
in OWA
setting reminders
in OWA
setting starting day of week
in OWA
setting working day start/finish times
in OWA
viewing
in OWA 2nd 3rd 4th
viewing tasks with
calendar entries
e-mailing 2nd 3rd
Calendar views
calendars [See also My Calendar]
adding
all-day calendar entries 2nd
appointments with details 2nd 3rd
meetings or appointments
adding holidays of other countries 2nd
appointments [See appointments]
editing 2nd
changing
calendar label text 2nd
date format
changing days of work week 2nd
changing time scale 2nd
coloring
individual calendar events 2nd 3rd 4th
creating additional calendars 2nd
creating calendars for others to import 2nd
Date Navigator 2nd
e-mailing calendar entries 2nd 3rd
exporting
to iCalendar format 2nd
finding favorite sports teamís schedules
holidays
finding information on 2nd
removing 2nd 3rd
importing calendars
in iCalendar format 2nd
printing
recurring items
defining 2nd
reminders
troubleshooting 2nd 3rd
searching for specific appointments and meetings 2nd 3rd 4th
time slots
defining 2nd
viewing different formats 2nd
canceling
appointments 2nd
Catch up feature (newsgroups)
categories
advantages of 2nd
assigning
categories that are not on Master Category Lists 2nd
to e-mails 2nd
to existing items 2nd
to items youíre creating 2nd 3rd
to multiple items at the same time
to tasks 2nd
assigning multiple categories to items
associating journal entries with 2nd
creating journal entries 2nd
filtering items to show only those from particular categories 2nd
for custom forms 2nd 3rd
grouping items 2nd
items assigned to deleted categories
Master Category List
creating new categories 2nd 3rd
loading saved Master Category Lists 2nd
removing categories 2nd
resetting
saving 2nd 3rd 4th
sharing
of notes
assigning 2nd
reasons for using 2nd 3rd
removing assignments
from e-mails
removing assignments from items
sending with attachements
versus folders 2nd
categoroies
assigning
Certificate Authority (CA) 2nd
certificates [See digital signatures]
Certificates tab
changing
appointments
date or time 2nd
duration of
background colors of calendards
button order
Navigation pane 2nd
calendar label text 2nd
calendars
defining work week 2nd
date format
default address book 2nd
default fonts
in e-mails 2nd
default profiles
e-mail account settings 2nd
fonts
icons
on Quick Launch Bar 2nd
location
of Reading pane
mail count display
new mail sounds 2nd
Outlook Today message folders
pictures
contacts
reply-to addresses
size of text
which address book is being displayed
in Address Book 2nd
characters
extended characters
in e-mails 2nd
closing
notes
collaboration servers
color
for watched threads
changing
of notes
changing 2nd 3rd
color schemes (OWA)
changing 2nd
coloring
individual calendar events 2nd
creating rules to automatically color events 2nd
colors
background colors
changing for My Calendar
command-line switches
that Outlook supports 2nd
using with Outlook 2nd
comments
sending
about assigned tasks
completed
marking tasks as 2nd
Completed Tasks view (tasks)
Component Object Model (COM)
computer viruses [See viruses]
configuring
automatic journaling 2nd 3rd
custom forms
as Reply forms
Outlook
for Exchange Server 2nd 3rd
Contact form
customizing
contacts 2nd 3rd [See also My Contacts]
adding
e-mail addresses to 2nd
fax numbers 2nd 3rd
phone numbers 2nd 3rd
physical addresses 2nd
pictures
adding addresses
in OWA 2nd
adding attachments
in OWA 2nd
adding phone numbers/business details
in OWA 2nd
adding shortcuts to Quick Launch Bar 2nd
assigning tasks to 2nd 3rd
associating with notes 2nd
attaching notes and files 2nd
automatic journal entries for 2nd
backing up 2nd
changing
pictures
configuring journaling options
copying e-mail addresses
from Global Address Book 2nd
creating 2nd
from e-mails 2nd
in OWA 2nd 3rd
creating additional contacts folders 2nd 3rd
Display as value 2nd
displaying maps
in OWA
File As value
finding 2nd 3rd
getting directions to contactís address 2nd
inviting
to meetings or appointments 2nd
recovering deleted contacts 2nd
removing 2nd
removing pictures
sharing 2nd
tracking activities 2nd 3rd 4th
viewing
in OWA 2nd 3rd 4th
viewing journal entries for 2nd
viewing someone elseís shared contacts 2nd
views of 2nd 3rd
contacts folder
as Address Book 2nd
as address book
Control Toolbox 2nd 3rd 4th 5th
controlling
how Reading Pane marks e-mails as read 2nd 3rd
copying
appointments
from one calendar to another 2nd
e-mail addresses
between Global Address Book and contacts folder 2nd
e-mail profiles 2nd 3rd
notes
research results
into e-mail messages 2nd
tasks
cross-posting
newsgroup messages
Current View menu
Navigation pane
custom forms
categories/subcategories 2nd 3rd
changing action properties
configuring as Reply forms
Control Toolbox 2nd 3rd 4th 5th
creating 2nd 3rd 4th
creating actions 2nd 3rd 4th
field chooser 2nd 3rd 4th
hiding pages 2nd
icons for 2nd
modifying 2nd
pages 2nd 3rd
password-protection 2nd
required fields 2nd
saving 2nd 3rd 4th 5th
sending via e-mail 2nd
sending with items 2nd
setting Message Class
storage location
storage locations 2nd
testing
validating fields 2nd
VBScript in 2nd
version information
custom journal entry types
creating 2nd 3rd 4th
custom views
for newsgroup messages
creating 2nd
customizing
default forms 2nd 3rd 4th
Icons view (notes) 2nd 3rd 4th
journal views
notes
changing default properties 2nd 3rd
notes view types 2nd 3rd
Outlook
programming languages for
when it starts
search folders 2nd
task views


D

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Daily view (OWA)
data
storing
Date Navigator 2nd
dates
changing
formats
changing appointments 2nd
debugging
macros
from Visual Basic Editor 2nd 3rd
stepping through
default AutoArchive settings 2nd 3rd 4th
default color
for watched threads
changing
default forms 2nd
changing for all folders 2nd
changing for folders 2nd 3rd
changing for items in folders 2nd
customizing 2nd 3rd 4th
default mail client
changing 2nd 3rd
default mail clientî message
avoiding
default newsgroup client
changing 2nd 3rd
default note properties
changing 2nd 3rd
default reminders
for tasks 2nd
delayed posting
of newsgroup messages 2nd
Deleted Items
deleting [See removing]
appointments 2nd
folders
in OWA 2nd 3rd
identities (Outlook Express)
macros 2nd
notes 2nd
tasks
delivery point
changing 2nd
delivery receipts 2nd
requesting
in OWA 2nd
descriptions of newsgroups
downloading 2nd 3rd
Desktop Alert 2nd
length of display 2nd 3rd
Detailed Address Cards
contacts
Detailed Address Cards view (OWA)
Detailed List view (tasks)
Details tab (tasks) 2nd
dialing from Outlook 2nd 3rd
digital certificates [See digital signatures]
digital ids
backing up 2nd 3rd
importing 2nd
obtaining 2nd
Digital Signature for VBA Projects
installing 2nd
digital signatures 2nd 3rd 4th 5th 6th
attaching to e-mail messages 2nd 3rd 4th 5th
authenticated digital certificates 2nd 3rd
installing Digital Signature for VBA Projects 2nd
saving 2nd 3rd
self-signed digital certificates 2nd 3rd 4th
verifying 2nd
versus encryption
viewing certificates 2nd
diistribution lists
directions
getting directions
to contactís address 2nd
disabling
AutoArchive 2nd
on folders 2nd
AutoComplete 2nd
discussion groups [See newsgroups]
Display as value
contacts 2nd
displaying
Address Book 2nd
BCC
Bcc
e-mails
in plain text 2nd
login dialog box (Outlook Express) 2nd 3rd
nonconsecutive dates
in My Calendar 2nd
notes
automatically
tasks
automatically 2nd
Distribution List form
customizing
distribution lists 2nd
adding names to 2nd
creating 2nd
Distribution Lists
creating
in OWA 2nd
distribution lists
creating
in OWA
e-mailing 2nd
importing
removing names from
sending e-mails to 2nd
downloading
descriptions of newsgroups 2nd 3rd
e-mail headers 2nd
previous newsgroup messages
draft messages (newsgroups)
saving
Drafts
dragging and dropping
Outlook shortcuts
Windows XP 2nd
due date
of tasks
setting/changing
duplicating
notes
tasks
duration of appointments
changing


E

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

e-mail
assigning categorieis to 2nd
attaching files to
attachments
blocking 2nd
Outlook security
removing personal information from 2nd
AutoComplete
automatic journal entries
automatically receiving new e-mail 2nd 3rd 4th
automatically spell checking 2nd
autoresponses
setting up 2nd 3rd 4th
Bcc
changing account settings 2nd
changing new mail sounds 2nd
changing reply-to addresses
default fonts
setting 2nd
delivery receipts 2nd
delivery to password-protected files 2nd
Desktop Alert 2nd
length of display 2nd 3rd
digital signatures 2nd 3rd 4th 5th
attaching 2nd 3rd 4th 5th
saving 2nd 3rd
verifying 2nd
versus encryption
downloading e-mail headers only 2nd
encryption 2nd 3rd 4th 5th 6th
with Exchange Server 2nd
extended characters 2nd
flagging
as complete
Follow Up flags
forwarding 2nd
forwarding multiple e-mails
grouping
IMAP [See IMAP]
mail count display
changing
Microsoft Exchange Server [See Microsoft Exchange Server]
opening blocked e-mail attachments 2nd 3rd
Out of Office Assistant 2nd 3rd 4th
personalizing new e-mail notification options 2nd
POP3 [See POP3]
previewing
before opening 2nd
read receipt requests 2nd
read receipts 2nd
Reading Pane 2nd [See Reading Pane]
removing
category assignments
removing accounts from Outlook 2nd
removing attachments from
replying to all recipients of an e-mail
S/MIME Receipts 2nd 3rd 4th 5th
scheduling e-mails to be sent latere 2nd
security labels
adding to e-mail messages 2nd 3rd 4th
sending calendar entries 2nd 3rd
sending custom forms 2nd
setting default formats for new e-mails
signatures
appending 2nd
creating 2nd 3rd 4th
selecting
sorting 2nd
specifying custom messages in New Mail Alert
viewing
Web access [See OWA (Outlook Web Access)]
E-mail Accounts
e-mail accounts
IMAP
Microsoft Exchange Server
POP3 2nd
username and password
prompts for
e-mail address
versus reply address
in news accounts 2nd 3rd 4th
e-mail addresses
adding to contacts 2nd
copying
between Global Address Book and contacts folder 2nd
provided by Exchange Server 2nd 3rd 4th
e-mail attachments
forwarding tasks as
e-mail editor
selecting 2nd
e-mail editors
e-mail messages
adding attachments
in OWA 2nd 3rd
backing up 2nd 3rd 4th 5th
blocked attachments
list of file types 2nd 3rd 4th 5th 6th
opening
receiving
changing number displayed
in OWA 2nd
copying research results into 2nd
creating new
in OWA 2nd
delivery or read receipts
in OWA 2nd
delivery point
changing 2nd
finding 2nd 3rd 4th
finding related messages
opening
in OWA 2nd 3rd
priority settings
in OWA 2nd
receiving new
in OWA 2nd 3rd 4th
replying or forwarding
in OWA
signatures
in OWA 2nd
spell-checking
in OWA 2nd 3rd 4th
synonyms
finding 2nd
translating 2nd
viewing
in OWA 2nd 3rd 4th 5th
viewing images
in OWA 2nd
viewing without opening
in OWA 2nd 3rd
e-mail profiles
copying 2nd 3rd
switching between 2nd
uses for
e-mail viruses
e-mailed notes
storing
e-mailing
distribution lists 2nd
notes
tasks
e-mails
attachments
editing and saving to original e-mails 2nd
changing default fonts 2nd
creating contacts from 2nd
displaying in plain text 2nd
entering hyperlinks containing spaces 2nd
requesting receipts for 2nd
sending to distribution lists 2nd
editing
appointments 2nd
attachments
and saving to original e-mails 2nd
macros 2nd
editors
e-mail editors
email contact
preventing from newsgroups 2nd
enabling
AutoComplete 2nd
Send/Receive logging 2nd 3rd
encryption 2nd 3rd 4th 5th 6th
versus digital signatures
with Exchange Server 2nd
encryption levels
Personal Folders files 2nd 3rd
entering
hyperlinks containing speces into e-mails 2nd
Entry List view (journals)
event handlers
creating macros with 2nd 3rd 4th
events
Exchange Server
and PST files 2nd 3rd 4th
configuring Outlook for 2nd 3rd
e-mail addresses
providing 2nd 3rd 4th
encryption 2nd
logging into 2nd
offline address book 2nd
offline usage of Outlook
OST files 2nd
turning on support for 2nd 3rd 4th
username and password
prompts for 2nd
versus Outlook 2nd 3rd
excluding
services from Research Service 2nd 3rd
execution warnings (macros)
avoiding
existing tasks
assigning
expanding
newsgroup threads
exporting
calendars
to iCalendar format 2nd
rules and alerts 2nd 3rd
extended characters
in e-mails 2nd


F

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

failure to start
troubleshooting 2nd
fax numbers
adding
to contacts 2nd 3rd
field chooser 2nd 3rd 4th
fields
relationship with forms 2nd
required fields
in custom forms 2nd
validating
in custom forms 2nd
File As value
contacts
file system
opening forms
file types
for blocked attachments 2nd 3rd 4th 5th 6th
files
attaching
to contacts 2nd
to tasks 2nd
saving custom forms
files-attaching
to e-mail
filtering
items
to show only those from particular categories 2nd
newsgroup messages 2nd 3rd 4th
filters
creating
for notes 2nd
for tasks
finding
appointments 2nd 3rd 4th
by word or phrase 2nd 3rd
contacts 2nd 3rd
e-mail messages 2nd 3rd 4th
favorite sports teamís schedules
information on holidays 2nd
journal entries 2nd 3rd 4th 5th 6th
meetings 2nd 3rd 4th
notes 2nd 3rd
related e-mail messages
synonyms
for e-mail messages 2nd
tasks 2nd 3rd 4th
with advanced criteria 2nd 3rd
with Boolean logic
flagging
e-mails
as complete
newsgroup messages 2nd
flags
default Follow Up flags
Follow Up flags
setting
Folder Forms Library
opening forms
folders
archiving 2nd 3rd
disabling AutoArchinve 2nd
with AutoArchinve 2nd 3rd 4th
associating forms with 2nd 3rd
backing up 2nd
changing default forms 2nd 3rd 4th 5th 6th 7th
creating/deleting
in OWA 2nd 3rd
Deleted Items
Drafts
for tasks
advantages of
creating 2nd
hiding
Reading pane 2nd
Notes folders
creating 2nd 3rd
rearranging
Outbox
Outlook Today message folders
changing
saving custom forms
search folders
creating 2nd
customizing 2nd
viewing all 2nd 3rd
Sent Items
sharing
showing
Reading pane
specifying which folder is displayed when Outlook starts 2nd
versus categories 2nd
viewing
Follow Up flags
default Follow Up flags
setting
fonts
changing
changing default fonts
in e-mails 2nd
default fonts
for e-mails 2nd
formats
setting default formats for new e-mails
formatting
quoted text in newsgroup replies 2nd
forms
associating with folders 2nd 3rd
custom forms
categories/subcategories 2nd 3rd
changing action properties
configuring as Reply forms
Control Toolbox 2nd 3rd 4th 5th
creating 2nd 3rd 4th
creating actions 2nd 3rd 4th
field chooser 2nd 3rd 4th
hiding pages 2nd
icons for 2nd
modifying 2nd
pages 2nd 3rd
password-protection 2nd
required fields 2nd
saving 2nd 3rd 4th 5th
sending via e-mail 2nd
sending with items 2nd
setting Message Class
storage location
storage locations 2nd
testing
validating fields 2nd
VBScript in 2nd
version information
default forms 2nd
changing for all folders 2nd
changing for folders 2nd 3rd
changing for items in folders 2nd
customizing 2nd 3rd 4th
opening 2nd 3rd
relationship with items 2nd
Reply forms 2nd
creating
Forms Administrator
forms libraries
saving custom forms 2nd 3rd 4th
types of
forwarding
e-mail messages
in OWA
e-mails 2nd
multiple e-mails
notes
tasks
as e-mail attachments


G

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Global Address Book
copying e-mail addresses
to contacts folder 2nd
offline address book 2nd
Global Address List
grandfatheringî
journals
grouping
e-mails
items
based on categories 2nd
notes 2nd 3rd
tasks
groups
sorting items within 2nd 3rd


H

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

hashing
headers
e-mail headers
downloading 2nd
hiding
Current View menu
Navigation pane
Navigation pane
pages 2nd
Reading pane
for folders 2nd
time stamp information
in notes 2nd 3rd
holidays
adding to calendars 2nd
finding information on 2nd
removing from calendars 2nd 3rd
HTML e-mail
Outlook security
HTTP
hyperlinks
entering hyperlinks containing spaces into e-mails 2nd


I

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

iCalendar
exporting to 2nd
importing calendars in iCalendar format 2nd
versus vCalendar
iCalendar standard
icons
changing
on Quick Launch Bar 2nd
for custom forms 2nd
Icons view (notes)
customizing 2nd 3rd 4th
identities (Outlook Express)
creating 2nd 3rd
deleting
displaying login dialog box 2nd 3rd
logging off 2nd
switching between
ignoring
newsgroup threads
images
in e-mail messages
viewing in OWA 2nd
IMAP 2nd
adding accounts 2nd
imported macros
viewing 2nd
importing
backed up items 2nd 3rd 4th
calendars
in iCalendar format 2nd
digital ids 2nd
distribution lists
increasing
size of buttons on toolbars
initialization
for synchronizing newgroups
installing
Digital Signature for VBA Projects 2nd
Internet security zone
Invite Attendees button
inviting
contacts
to meeting requests or appointments 2nd
people to appointments or meetings 2nd
items
changing default forms 2nd
relationship with forms 2nd
sending custom forms with 2nd
sorting within groups 2nd 3rd


J

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

journal entries
adding shortcuts to Quick Launch Bar 2nd
Journal Entry form
customizing
Journal Options dialog box
changing Office applications listed 2nd 3rd 4th
journals
associating entries
with categories 2nd
automatic entries
configuring 2nd 3rd
creating 2nd
automatic journal entries
for Office applications 2nd
for specific contacts 2nd
custom entry types
creating 2nd 3rd 4th
finding entries 2nd 3rd 4th 5th 6th
grandfatheringî
Journal Options dialog box
changing Office applications listed 2nd 3rd 4th
manual entries
creating 2nd
manual journal entries
creating 2nd 3rd 4th
printing 2nd 3rd 4th 5th 6th 7th
turning off 2nd
turning on 2nd 3rd
uses for 2nd 3rd 4th
versus notes and tasks
viewing entries
customizing types of views
for specific contacts 2nd
types of views 2nd 3rd 4th


L

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

labels
changing
calendar label text 2nd
Last Seven Days view (journals)
Last Seven Days view (notes)
customizing 2nd 3rd
LDAP
adding
to Address Book 2nd
LDAP (Lightweight Directory Access Protocol)
Lightweight Directory Access Protocol [See LDAP]
lines
stopping Outlook from splitting single lines into multiple lines
loading
profiles
adding shortcuts to Quick Launch Bar
saved Master Category Lists 2nd
Local intranet security zone
location
of Reading pane
changing
logging
Send/Receive logging
enabling 2nd 3rd
logging in
OWA 2nd 3rd 4th
logging into
Exchange Server 2nd
logging off
Outlook Express 2nd
logging out
OWA
login dialog box (Outlook Express)
displaying 2nd 3rd


M

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

macro viruses
Outlook security
macros
avoiding execution warnings
creating 2nd 3rd 4th 5th
with event handlers 2nd 3rd 4th
dangers of
debugging
from Visual Basic Editor 2nd 3rd
stepping through
deleting 2nd
digital signatures
authenticated digital certificates 2nd 3rd
installing Digital Signature for VBA Projects 2nd
self-signed digital certificates 2nd 3rd 4th
viewing certificates 2nd
editing 2nd
elements of 2nd
imported macros
viewing 2nd
Object Browser 2nd 3rd
placing on menu or toolbar 2nd 3rd 4th
recording
running
security settings 2nd
sharing 2nd
third-party object libraries in 2nd
uses for 2nd
when to use 2nd
mail count display
changing
mail profiles [See e-mail profiles]
manual journal entries 2nd
creating 2nd 3rd 4th
maps
directions to contactís address
displaying for contact addresses
in OWA
marking
notes
as read/unread
tasks
as read/unread
Master Category List
creating new categories 2nd 3rd
loading saved Master Category Lists 2nd
removing categories 2nd
resetting
saving 2nd 3rd 4th
sharing
meeting requests
inviting contacts 2nd
meetings
adding to calendars
automatic journal entries
finding 2nd 3rd 4th
inviting others 2nd
searching for 2nd 3rd 4th
menu
placing macros on 2nd 3rd 4th
menus
Current View
Navigation pane
Message Class
setting for forms
Message form
customizing
messages [See e-mail messages]
messages (e-mail) [See e-mail messages]
messages (newsgroups)
backgrounds for 2nd
blocking specific senders 2nd 3rd
delayed posting 2nd
downloading previous
flagging 2nd
formatting quoted text in replies 2nd
marking as read/unread 2nd
posting new
reading 2nd
replying to 2nd
saving draft messages
searching 2nd 3rd 4th 5th 6th 7th
sending test messages
signatures for 2nd 3rd
storage location 2nd 3rd 4th 5th
viewing multipart attachments 2nd 3rd
views 2nd
creating custom 2nd
Messages view (OWA)
methods
Object Browser 2nd 3rd
Microsoft Exchange Server [See Exchange Server]
adding accounts 2nd
Microsoft Marketplace
Microsoft Word
as e-mail editor
minimized
starting Outlook minimized
Monthly view (OWA)
moving
appointments
in OWA
notes
Personal Folders files 2nd 3rd
storage location for newsgroup messages 2nd
multipart attachments
viewing 2nd 3rd
multiple people
assigning tasks to
My Calendar
and tasks 2nd
changing background colors of
changing time scale 2nd
displaying nonconsecutive dates 2nd
jumping to specific dates 2nd
viewing 2nd 3rd 4th
My Contacts [See also contacts]
sharing 2nd
troubleshooting why contacts arenít appearing in Address Book 2nd
viewing 2nd


N

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

names
adding to distribution lists 2nd
removing from distribution lists
Navigation pane 2nd
Navigation Pane
Navigation pane
adding or removing buttons
changing order of buttons 2nd
showing or hiding
New Item Alerts window
New Mail Alert
specifying custom messages
news accounts
creating 2nd
e-mail address versus reply address 2nd 3rd 4th
renaming
news readers
newsgroups
blocking specific senders 2nd 3rd
blocking threads
changing watched thread color
creating custom views 2nd
default newsgroup client
changing 2nd 3rd
delayed message posting 2nd
downloading descriptions of 2nd 3rd
downloading previous messages
expanding threads
flagging messages 2nd
formatting quoted text in replies 2nd
initializing for synchronization
marking messages as read/unread 2nd
message backgrounds 2nd
message signatures 2nd 3rd
posting new messages
preventing direct email contact 2nd
preventing SPAM 2nd
reading messages 2nd
replying to messages 2nd
saving draft messages
searching messages 2nd 3rd 4th 5th 6th 7th
sending test messages
storage location for messages 2nd 3rd 4th 5th
subscribing to 2nd 3rd
synchronizing with 2nd 3rd
unsubscribing from
viewing multipart attachments 2nd 3rd
viewing new
views 2nd
watching threads
Next Seven Days view (tasks)
notes
adding shortcuts to Quick Launch Bar 2nd
assigning categories 2nd
associating with contacts 2nd
attaching
to contacts 2nd
automatically displaying
backing up 2nd
benefits of 2nd
changing color 2nd 3rd
closing
creating 2nd
from other applications 2nd
customizing
changing default properties 2nd 3rd
deleting 2nd
duplicating
e-mailing
filtering 2nd
finding 2nd 3rd
folders
creating 2nd 3rd
rearranging
forwarding
generating tasks from
grouping 2nd 3rd
hiding time stamp information 2nd 3rd
marking as read/unread
moving
previewing 2nd
printing
resizing 2nd
saving
outside Outlook 2nd
sharing 2nd
sorting 2nd 3rd
storing e-mailed notes
versus journals
viewing 2nd
customizing Icons view 2nd 3rd 4th
customizing other view 2nd 3rd
shared notes 2nd
types of views 2nd 3rd
without opening 2nd
Notes List view (notes)
customizing 2nd 3rd
notification
of new e-mail messages
in OWA 2nd


O

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Object Browser 2nd 3rd
object libraries
third-party object libraries
in macros 2nd
object model
objects
Object Browser 2nd 3rd
OE-QuoteFix utility 2nd
offensive material
blocking from Research Service 2nd
resetting password for 2nd
Office applications
automatic journal entries
automatic journal entries for 2nd
in Journal Options dialog box
changing 2nd 3rd 4th
offline address book 2nd
offline usage of Outlook
OST files 2nd
turning on support for 2nd 3rd 4th
opening
blocked
attachments
blocked e-mail attachments 2nd 3rd
e-mail messages
in OWA 2nd 3rd
forms 2nd 3rd
notes
viewing without 2nd
tasks
viewing without
Organizational Forms Library
opening forms
organizing
notes
creating Notes folders 2nd 3rd
rearranging Notes folders
saving outside Outlook 2nd
OST files 2nd
Out of Office Assistant 2nd 3rd 4th
Outbox
Outlook
adding research services to 2nd
configuring
for Exchange Server 2nd 3rd
creating items from tasks
creating tasks from items
logging into Exchange Server 2nd
offline usage
OST files 2nd
turning on support for 2nd 3rd 4th
programming languages for customizing
restarting
warning about
saving notes outside of 2nd
versus Exchange Server 2nd 3rd
versus Outlook Express
virus security 2nd
Outlook 2003 Personal Folders files
Outlook 2003 Startup Wizard
Outlook Address Book 2nd
contacts folder as 2nd
Outlook address book
contacts folder as
Outlook Address Book
creating 2nd
Outlook Book
Outlook Express
changing visual display 2nd 3rd
default mail clientî message
avoiding
identities
creating 2nd 3rd
deleting
displaying login dialog box 2nd 3rd
logging off 2nd
switching between
news accounts
creating 2nd
e-mail address versus reply address 2nd 3rd 4th
renaming
newsgroups
blocking specific senders 2nd 3rd
blocking threads
changing watched thread color
creating custom views 2nd
delayed message posting 2nd
downloading descriptions of 2nd 3rd
downloading previous messages
expanding threads
flagging messages 2nd
formatting quoted text in replies 2nd
initializing for synchronization
marking messages as read/unread 2nd
message backgrounds 2nd
message signatures 2nd 3rd
posting new messages
preventing direct email contact 2nd
preventing SPAM 2nd
reading messages 2nd
replying to messages 2nd
saving draft messages
searching 2nd 3rd 4th 5th 6th 7th
sending test messages
storage location for messges 2nd 3rd 4th 5th
subscribing to 2nd 3rd
synchronizing with 2nd 3rd
unsubscribing from
viewing multipart attachments 2nd 3rd
viewing new
views 2nd
watching threads
security settings 2nd 3rd
sharing
versus Outlook
Outlook folder
opening forms
Outlook forms [See forms]
Outlook Today
changing message folders
Outlook Web Access [See OWA]
Overdue Tasks view (tasks)
OWA
(Outlook Web Access)
Address Book 2nd 3rd
Basic Client
operational overview 2nd
calendar
creating appointments 2nd 3rd 4th
creating recurring items 2nd
go to specific date
moving appointments
setting reminders
setting starting day of week
setting working day start/finish times
viewing 2nd 3rd 4th
contacts
adding addresses 2nd
adding attachments 2nd
adding phone numbers/business details 2nd
creating 2nd 3rd
displaying maps
viewing 2nd 3rd 4th
Distribution Lists
creating 2nd
distribution lists
creating
e-mail messages
adding attachments 2nd 3rd
changing number displayed 2nd
creating new 2nd
delivery or read receipts 2nd
opening 2nd 3rd
priority settings 2nd
receiving new 2nd 3rd 4th
replying or forwarding
signatures 2nd
spell-checking 2nd 3rd 4th
viewing 2nd 3rd 4th 5th
viewing images in 2nd
viewing without opening 2nd 3rd
folders
creating/deleting 2nd 3rd
logging in 2nd 3rd 4th
logging out
Premium Client
operational overview 2nd 3rd
versus Basic Client 2nd
Premium Client versus Basic Client 2nd
reminders
setting 2nd
themes
changing 2nd
Web browser support


P

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

pages 2nd 3rd
hiding 2nd
viewing e-mail messages
in OWA
Parental Control feature (Research Service) 2nd
resetting password for 2nd
password
for Parental Control feature (Research Service)
resetting 2nd
password-protecting
Personal Folders file 2nd 3rd 4th 5th 6th
e-mail delivery to 2nd
prompts for password 2nd
password-protection
for custom forms 2nd
percentage completed
of tasks
changing 2nd
PerfectXML.com
Personal Address Book
Personal Folder files (.pst) 2nd
creating 2nd 3rd
moving 2nd 3rd
reducing size of 2nd
Personal Folders file
password-protecting 2nd 3rd 4th 5th 6th
e-mail delivery to 2nd
prompts for password 2nd
Personal Folders files
encryption levels 2nd 3rd
Personal Forms Library
opening forms
personal information
removing
from attachments 2nd
personalizing
new e-mail notification options 2nd
phone calls
automatic journal entries
Phone Calls view (journals)
Phone List view (OWA)
phone numbers
adding
to contacts 2nd 3rd
adding for contacts
in OWA 2nd
phones
dialing from Outlook 2nd 3rd
phrases
finding by 2nd 3rd
physical addresses
adding to contacts 2nd
pictures
adding
to contacts
changing contact pictures
removing from contacts
piggybacking
POP3
adding accounts 2nd
Post form
customizing
posting
newsgroup messages
delayed posting 2nd
sending test messages
posts (newsgroups) [See messages (newsgroups)]
Premium Client (OWA)
operational overview 2nd 3rd
versus Basic Client 2nd 3rd 4th
previewing
e-mail
before opening 2nd
notes 2nd
tasks
printing
calendars
journals 2nd 3rd 4th 5th 6th 7th
notes
prioritizing
tasks 2nd
priority settings
of e-mail messages
in OWA 2nd
private
marking tasks as
profiles 2nd [See e-mail profiles]
changing default profiles
creating 2nd
loading
adding shortcuts to Quick Launch Bar
setting Outlook to ask which profile to load on startup
programming languages
customizing Outlook
prompts
for e-mail account username and password
for Exchange Server username and password 2nd
for Personal Folders file password 2nd
properties
default note properties
changing 2nd 3rd
Object Browser 2nd 3rd
of actions
changing
PST files
and Exchange Server 2nd 3rd 4th


Q

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

Quick Launch Bar
adding Outlook to 2nd
adding shortcuts
for creating new appointments 2nd
for creating new contacts 2nd
for creating new e-mails 2nd
for creating new journal entries 2nd
for creating new notes 2nd
for creating new tasks 2nd 3rd
for loading particular profiles
for specific Outlook tasks 2nd
changing icons for shortcuts 2nd


R

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

read receipt requests 2nd
read receipts 2nd
requesting
in OWA 2nd
read/unread
marking newsgroup messages as 2nd
marking notes as
marking tasks
reading
newsgroup messages 2nd
Reading pane
Reading Pane 2nd
Reading pane
changing location of
Reading Pane
controlling how e-mails are marked as read 2nd 3rd
Reading pane
hiding
for folders 2nd
showing
for folders
receipts
delivery receipts 2nd
read receipt requests 2nd
receiving
blocked attachments
e-mail messages
in OWA 2nd 3rd 4th
recipts
requesting receipts for e-mails 2nd
recording
macros
recovering
deleted contacts 2nd
recovery 2nd 3rd 4th 5th
reasons for
Recurrence button
recurring items
creating
in OWA 2nd
defining 2nd
recurring tasks
creating 2nd 3rd
reducing size of
Personal Folders files 2nd
related e-mail messages
finding
reminders
setting
for tasks 2nd 3rd 4th 5th
in OWA 2nd 3rd
troubleshooting 2nd 3rd
reminders of events
sound
default sound 2nd
removing
address books
from Address Book
attachments
from e-mail
buttons
from Navigation pane
categories
from Master Category List 2nd
category assignments
from e-mails
category assignments from items
contacts 2nd
e-mail accounts from Outlook 2nd
holidays
from calendars 2nd 3rd
items
from AutoComplete list
names
from distribution lists
personal information from attachments 2nd
pictures
from contacts
sites from security zones 2nd
renaming
news accounts
reply address
versus e-mail address
in news accounts 2nd 3rd 4th
Reply forms 2nd
configuring custom forms as
creating
reply-to addresses
changing
replying
to all recipients of an e-mail
to e-mail messages
in OWA
to newsgroup messages 2nd
formatting quoted text in 2nd
requesting
receipts for e-mails 2nd
required fields
in custom forms 2nd
Research Service 2nd 3rd
accessing 2nd
adding services to 2nd
blocking offensive material 2nd
resetting password for 2nd
copying to e-mail messages 2nd
excluding services from 2nd 3rd
finding synonyms 2nd
translating e-mail messages 2nd
resetting
categories
from Master Category List
resizing
notes 2nd
restarting Outlook
warning about
Restricted sites security zone
RTF (Rich Text Format) e-mail
Outlook security
rules and alerts
exporting 2nd 3rd
Rules Wizard
running
macros


S

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

S/MIME Receipts 2nd 3rd 4th 5th
Safe mode 2nd
Automated Safe mode
knowing if Outlook started in Safe mode
starting manually 2nd
User-Initiated Safe mode
saving
categories
from Master Category List 2nd 3rd 4th
custom forms 2nd 3rd 4th 5th
digital signatures in e-mail messages 2nd 3rd
draft messages (newsgroups)
notes
outside Outlook 2nd
tasks 2nd
scheduling
e-mails to be sent later 2nd
ScreenTips
showing on toolbars 2nd
showing shortcut keys
scripts
security
search folders
creating 2nd
customizing 2nd
viewing all 2nd 3rd
searching [See finding]
for specific calendar appointments and meetings 2nd 3rd 4th
newsgroup messages 2nd 3rd 4th 5th 6th 7th
security
blocked attachments
list of file types 2nd 3rd 4th 5th 6th
opening
receiving
digital ids
backing up 2nd 3rd
importing 2nd
obtaining 2nd
digital signatures 2nd 3rd 4th 5th
attaching to e-mail messages 2nd 3rd 4th 5th
saving 2nd 3rd
verifying 2nd
versus encryption
encryption 2nd 3rd 4th 5th 6th
with Exchange Server 2nd
newsgroups
preventing direct email contact
preventing SPAM 2nd
on shared computers 2nd 3rd 4th 5th 6th
e-mail delivery to password-protected files 2nd
encryption levels 2nd 3rd
prompts for e-mail account username and password
prompts for Exchange Server username and password 2nd
prompts for password 2nd
removing personal information from attachments 2nd
Outlook Express settings 2nd 3rd
password-protection
for custom forms 2nd
S/MIME Receipts 2nd 3rd 4th 5th
scripts
security labels
adding to e-mail messages 2nd 3rd 4th
security zones 2nd 3rd
adding/removing sites from 2nd
changing settings for 2nd
spam
and delivery receipts
viruses 2nd
Outlook security 2nd
security labels
adding to e-mail messages 2nd 3rd 4th
security settings
for macros 2nd
security zones 2nd 3rd
adding/removing sites from 2nd
changing settings for 2nd
selecting
e-mail editor 2nd
signatures
for e-mails
self-signed digital certificates
creating 2nd 3rd 4th
Send/Receive logging
enabling 2nd 3rd
sending
comments
about assigned tasks
custom forms
via e-mail 2nd
custom forms with items 2nd
e-mails
to distribution lists 2nd
e-mails at a later date 2nd
newsgroup messages [See posting newsgroup messages]
notes
as e-mail messages
status reports and task updates
Sent Items
Sent To view (OWA)
shared computers
security on 2nd 3rd 4th 5th 6th
e-mail delivery to password-protected files 2nd
encryption levels 2nd 3rd
prompts for e-mail account username and password
prompts for Exchange Server username and password 2nd
prompts for password 2nd
removing personal information from attachments 2nd
shared contacts
viewing 2nd
shared notes
viewing 2nd
shared tasks
viewing 2nd
sharing
contacts 2nd
folders
macros 2nd
Master Category Lists
notes 2nd
Outlook Express
storage location for newsgroup messages
tasks 2nd
shortcut keys
showing in ScreenTips
shortcuts
adding to Quick Launch Bar
for creating new appointments 2nd
for creating new contacts 2nd
for creating new e-mails 2nd
for creating new journal entries 2nd
for creating new notes 2nd
for creating new tasks 2nd 3rd
for specific tasks 2nd
dragging and dropping Outlook shortcuts (Windows XP) 2nd
showing
Current View menu
Navigation pane
Navigation pane
Reading pane
for folders
ScreenTips
on toolbars 2nd
shortcut keys
in ScreenTips
signatures
digital signatures 2nd 3rd 4th 5th
versus encryption
e-mail signatures
appending 2nd
creating 2nd 3rd 4th
selecting
for newsgroup messages 2nd 3rd
of e-mail messages
in OWA 2nd
Simple List view (tasks)
sites
adding/removing
from security zones 2nd
sorting
e-mail 2nd
items
within groups 2nd 3rd
notes 2nd 3rd
tasks
sound
reminders 2nd
sounds
changing new mail sounds 2nd
reminders
spam
and delivery receipts
SPAM
preventing from newsgroups 2nd
spell-check
e-mails 2nd
spell-checking
e-mail messages
in OWA 2nd 3rd 4th
start date
of tasks
setting/changing 2nd
starting
Outlook
automatically
automatically (Windows 2000) 2nd
automatically (Windows XP)
customizing how it starts
for the first time
manually in Safe mode 2nd
minimized
Safe mode 2nd
specifying which folder displays 2nd
starting day of week
setting
in OWA
stationery
for newsgroup messages 2nd
status
of tasks
changing 2nd
status reports
for tasks
handling 2nd
sending
stepping through macros
stopping
Outlook
from splitting single lines into multiple lines
storage location
for custom forms
for newsgroup messages 2nd 3rd 4th 5th
storage locations
for backing up 2nd
for custom forms 2nd
storing
data
e-mailed notes
subcategories
for custom forms 2nd 3rd
subscribing
to newsgroups 2nd 3rd
switches
command-line switches [See command-line switches]
switching
between e-mail profiles 2nd
between identities (Outlook Express)
syncronizing
with newsgroups 2nd 3rd
initialization for
synomyms
finding
for e-mail messages 2nd


T

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

tabs
Activities tab
Certificates
Target field
appending command-line switches to
Task form
customizing
task requests 2nd
Task Timeline view (tasks)
task updates
handling 2nd
sending
TaskPad
tasks
accepting 2nd
adding shortcuts to Quick Launch Bar 2nd 3rd
and My Calendar 2nd
assigned tasks
sending comments
assigning
existing tasks
new tasks 2nd
to multiple people
assigning to contacts 2nd 3rd
attaching files to 2nd
automatic journal entries
backing up 2nd
categories
assigning 2nd
creating
basic tasks 2nd 3rd
detailed tasks 2nd 3rd
from Outlook items
creating appointments from
creating unassigned copies 2nd 3rd
deleting
Details tab 2nd
due date
setting/changing
duplicating
e-mailing
filtering
finding 2nd 3rd 4th
folders
advantages of
creating 2nd
forwarding
as e-mail attachments
generating from notes
generating Outlook items from
grouping
marking
as read/unread
marking as completed 2nd
marking as private
percentage completed
changing 2nd
previewing
prioritizing 2nd
recurring tasks
creating 2nd 3rd
reminders
setting 2nd 3rd 4th 5th
saving 2nd
shared tasks
viewing 2nd
sharing 2nd
sorting
start date
setting/changing 2nd
status
changing 2nd
status reports and task updates
handling 2nd
sending
task requests 2nd
uses for 2nd
versus journals
viewing 2nd
automatically 2nd
by assignment
customizing views
types of views 2nd
with calendar
without opening
test newsgroup messages
sending
testing
custom forms
text
changing size of
themes (OWA)
changing 2nd
Thesaurus
third-party object libraries
in macros 2nd
threads (newsgroups)
blocking
expanding
watching
changing default color for
time
changing appointments 2nd
time scale
changing on calendars 2nd
time stamp information
in notes
hiding 2nd 3rd
times slots
defining 2nd
toolbar
placing macros on 2nd 3rd 4th
toolbars
increasing size of buttons
showing ScreenTips 2nd
tracking
contact activities 2nd 3rd 4th
translating
e-mail messages 2nd
Trojan horses
troubleshooting
AutoComplete lisit
My Contacts
why contacts arenít appearing in Address Book 2nd
reminders 2nd 3rd
startup failures 2nd
Windows XP
dragging and dropping Outlook shortcuts 2nd
Trusted sites security zone
Two-Line View (OWA)


U

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

unassigned copies of tasks
creating 2nd 3rd
unread [See read/unread]
Unread By Conversation Topic view (OWA)
Unread Messages view (OWA)
unread/read
marking newsgroup messages as 2nd
unsubscribing
from newsgroups
Usenet [See newsgroups]
User-Initiated Safe mode


V

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

validating fields
in custom forms 2nd
VBA (Visual Basic for Applications)
VBScript
in custom forms 2nd
vCalendar
versus iCalendar
vCard 2nd
verifying
digital signatures in e-mail messages 2nd
version information
for custom forms
viewing
Address Book 2nd
archived items
calendar
in OWA 2nd 3rd 4th
contacts
in OWA 2nd 3rd 4th
different calendar formats 2nd
digital certificates 2nd
e-mail
e-mail messages
in OWA 2nd 3rd 4th 5th
without opening in OWA 2nd 3rd
folders
images in e-mail messages
in OWA 2nd
imported macros 2nd
journal entries
customizing types of views
for specific contacts 2nd
types of views 2nd 3rd 4th
multipart atttachments 2nd 3rd
My Calendar 2nd 3rd 4th
My Contacts 2nd
new newsgroups
notes 2nd
customizing Icons view 2nd 3rd 4th
customizing other view 2nd 3rd
displaying automatically
shared notes 2nd
types of views 2nd 3rd
without opening 2nd
search folders 2nd 3rd
shared tasks 2nd
someone elseís shared contacts 2nd
tasks 2nd
automatically 2nd
by assignment
customizing views
types of views 2nd
with calendar
without opening
Visual Basic Editor
views
for newsgroup messages 2nd
creating custom 2nd
of contacts 2nd 3rd
viruses 2nd
Outlook security 2nd
Visual Basic Editor
debugging macros 2nd 3rd
viewing
Visual Basic for Applications (VBA)
Visual Basic macros [See macros]
visual display
of Outlook Express
changing 2nd 3rd


W

Previous Page
Next Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

watching
newsgroup threads
changing default color
Web access for e-mail [See OWA (Outlook Web Access)]
Web browsers
OWA support
web-based e-mail accounts
adding to Outlook 2nd
Weekly view (OWA)
windows
New Item Alerts
Windows 2000
changing date format on Calendar
starting Outlook automatically 2nd
Windows Control Panel extensions
Windows Server 2003
changing date format on Calendar
Windows XP
changing date format on Calendar 2nd
dragging and dropping Outlook shortcuts 2nd
starting Outlook automatically
wizard
Rules
wizards
Outlook 2003 Startup Wizard
word or phrase
finding by 2nd 3rd
work week
defining in calendars 2nd
working day start/finish times
setting
in OWA
worms
writing
macros [See macros]


Z

Previous Page

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [Z]

zones [See security zones]